## WMS部分接口文档

### 物料部分

```go
type Article struct {
*ArtId              string             `xorm:"pk nvarchar(40) 'ArtId'" json:"WM_Article-ArtId"`
Descr1             string             `xorm:"nvarchar(100) 'Descr1' not null" json:"WM_Article-Descr1"`
Descr2             string             `xorm:"nvarchar(100) 'Descr2' not null" json:"WM_Article-Descr2"`
ArtType            string             `xorm:"nvarchar(40) 'ArtType' not null" json:"WM_Article-ArtType"`
ProjectId          string             `xorm:"nvarchar(40) 'ProjectId' not null" json:"WM_Article-ProjectId"` // 不展示
Uom                string             `xorm:"nvarchar(40) 'Uom' not null" json:"WM_Article-Uom"`
Weight             float64            `xorm:"float 'Weight' not null" json:"WM_Article-Weight"`
WeightUom          string             `xorm:"nvarchar(40) 'WeightUom' not null" json:"WM_Article-WeightUom"`
Length             float64            `xorm:"float 'Length' not null" json:"WM_Article-Length"`
Width              float64            `xorm:"float 'Width' not null" json:"WM_Article-Width"`
Height             float64            `xorm:"float 'Height' not null" json:"WM_Article-Height"`
SizeUom            string             `xorm:"nvarchar(40) 'SizeUom' not null" json:"WM_Article-SizeUom"`
Fragile            bool               `xorm:"bit 'Fragile' not null" json:"WM_Article-Fragile"` // 勾选
Icon               string             `xorm:"nvarchar(100) 'Icon' not null" json:"WM_Article-Icon"`
DisplayColor       string             `xorm:"nvarchar(20) 'DisplayColor' not null" json:"WM_Article-DisplayColor"`
Document           string             `xorm:"nvarchar(100) 'Document' not null" json:"WM_Article-Document"`
LotSize            float64            `xorm:"float 'LotSize'" json:"WM_Article-LotSize"`
ABCClass           string             `xorm:"nvarchar(1) 'ABCClass' not null" json:"WM_Article-ABCClass"`
ArtSize1           float64            `xorm:"float 'ArtSize1' not null" json:"WM_Article-ArtSize1"`
ArtSize2           float64            `xorm:"float 'ArtSize2' not null" json:"WM_Article-ArtSize2"`
ArtSize3           int                `xorm:"int 'ArtSize3' not null" json:"WM_Article-ArtSize3"`
ArtSize4           int                `xorm:"int 'ArtSize4' not null" json:"WM_Article-ArtSize4"`
ArtSize5           string             `xorm:"nvarchar(100) 'ArtSize5' not null" json:"WM_Article-ArtSize5"`
ArtSpec1           string             `xorm:"nvarchar(100) 'ArtSpec1' not null" json:"WM_Article-ArtSpec1"`
ArtSpec2           string             `xorm:"nvarchar(100) 'ArtSpec2' not null" json:"WM_Article-ArtSpec2"`
ArtSpec3           string             `xorm:"nvarchar(100) 'ArtSpec3' not null" json:"WM_Article-ArtSpec3"`
ArtSpec4           string             `xorm:"nvarchar(100) 'ArtSpec4' not null" json:"WM_Article-ArtSpec4"`
ArtSpec5           string             `xorm:"nvarchar(100) 'ArtSpec5' not null" json:"WM_Article-ArtSpec5"`
LastModify         grmi.DateTime      `xorm:"datetime 'LastModify' not null updated" json:"WM_Article-LastModify"`
LastUser           string             `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_Article-LastUser"`
CreateTime         grmi.DateTime      `xorm:"datetime 'CreateTime' not null created" json:"WM_Article-CreateTime"`
Qty                float64            `xorm:"float 'Qty' not null" json:"WM_Article-Qty"` // 不展示
ArticlePickingRate ArticlePickingRate `xorm:"-" json:"WM_Article-ArticlePickingRate"`
ArticleReplenish   ArticleReplenish   `xorm:"-" json:"WM_Article-ArticleReplenish"`
}
```

```go
type ArticlePickingRate struct {
*ArtId        string        `xorm:"pk nvarchar(1) 'ArtId'" json:"WM_ArticlePickingRate-ArtId"`
Priority     int           `xorm:"int 'Priority' not null" json:"WM_ArticlePickingRate-Priority"`
PickRateArea string        `xorm:"nvarchar(100) 'PickRateArea' not null" json:"WM_ArticlePickingRate-PickRateArea"`
Force        string        `xorm:"nvarchar(100) 'Force' not null" json:"WM_ArticlePickingRate-Force"`
Uom          string        `xorm:"nvarchar(40) 'Uom' not null" json:"WM_ArticlePickingRate-Uom"`
Availiable   bool          `xorm:"bit 'Availiable' not null" json:"WM_ArticlePickingRate-Availiable"`
OnStock      int           `xorm:"int 'OnStock' not null" json:"WM_ArticlePickingRate-OnStock"`
APRCtrlPara1 string        `xorm:"nvarchar(100) 'APRCtrlPara1' not null" json:"WM_ArticlePickingRate-APRCtrlPara1"`
APRCtrlPara2 string        `xorm:"nvarchar(100) 'APRCtrlPara2' not null" json:"WM_ArticlePickingRate-APRCtrlPara2"`
APRCtrlPara3 int           `xorm:"int 'APRCtrlPara3' not null" json:"WM_ArticlePickingRate-APRCtrlPara3"`
APRCtrlPara4 int           `xorm:"int 'APRCtrlPara4' not null" json:"WM_ArticlePickingRate-APRCtrlPara4"`
APRCtrlPara5 float64       `xorm:"float 'APRCtrlPara5' not null" json:"WM_ArticlePickingRate-APRCtrlPara5"`
APRCtrlPara6 float64       `xorm:"float 'APRCtrlPara6' not null" json:"WM_ArticlePickingRate-APRCtrlPara6"`
LastModify   grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_ArticlePickingRate-LastModify"`
LastUser     string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_ArticlePickingRate-LastUser"`
CreateTime   grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_ArticlePickingRate-CreateTime"`
}
```

```go
type ArticleReplenish struct {
*ArtId         string        `xorm:"pk nvarchar(40) 'ArtId'" json:"WM_ArticleReplenish-ArtId"`
*MinQty        float64       `xorm:"float 'MinQty' not null" json:"WM_ArticleReplenish-MinQty"`
MaxQty        float64       `xorm:"float 'MaxQty' not null" json:"WM_ArticleReplenish-MaxQty"`
*ReplenishQty  float64       `xorm:"float 'ReplenishQty' not null" json:"WM_ArticleReplenish-ReplenishQty"`
ReplenishFrom string        `xorm:"nvarchar(255) 'ReplenishFrom' not null" json:"WM_ArticleReplenish-ReplenishFrom"`
ARCtrlPara1   string        `xorm:"nvarchar(100) 'ARCtrlPara1' not null" json:"WM_ArticleReplenish-ARCtrlPara1"`
ARCtrlPara2   string        `xorm:"nvarchar(100) 'ARCtrlPara2' not null" json:"WM_ArticleReplenish-ARCtrlPara2"`
ARCtrlPara3   int           `xorm:"int 'ARCtrlPara3' not null" json:"WM_ArticleReplenish-ARCtrlPara3"`
ARCtrlPara4   int           `xorm:"int 'ARCtrlPara4' not null" json:"WM_ArticleReplenish-ARCtrlPara4"`
ARCtrlPara5   float64       `xorm:"float 'ARCtrlPara5' not null" json:"WM_ArticleReplenish-ARCtrlPara5"`
ARCtrlPara6   float64       `xorm:"float 'ARCtrlPara6' not null" json:"WM_ArticleReplenish-ARCtrlPara6"`
LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_ArticleReplenish-LastModify"`
LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_ArticleReplenish-LastUser"`
CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_ArticleReplenish-CreateTime"`
}
```

### 库房

```go
type Warehouse struct {
*WarehouseId          string        `xorm:"pk nvarchar(40) 'WarehouseId'" json:"WM_Warehouse-WarehouseId"`
*Descr                string        `xorm:"nvarchar(100) 'Descr' not null" json:"WM_Warehouse-Descr"`
// 下拉框 标准定义
*Status               string        `xorm:"nvarchar(3) 'Status' not null" json:"WM_Warehouse-Status"`
WarehouseType        string        `xorm:"nvarchar(40) 'WarehouseType' not null" json:"WM_Warehouse-WarehouseType"`
StorageMethod        string        `xorm:"nvarchar(40) 'StorageMethod' not null" json:"WM_Warehouse-StorageMethod"`
Comment              string        `xorm:"nvarchar(255) 'Comment' not null" json:"WM_Warehouse-Comment"`
AllocationStrategy   string        `xorm:"nvarchar(40) 'AllocationStrategy' not null" json:"WM_Warehouse-AllocationStrategy"`
RuleSetId            string        `xorm:"nvarchar(40) 'RuleSetId' not null" json:"WM_Warehouse-RuleSetId"`
CompleteStockRemoval string        `xorm:"nvarchar(40) 'CompleteStockRemoval' not null" json:"WM_Warehouse-CompleteStockRemoval"`
TransportSystemNr    int           `xorm:"int 'TransportSystemNr' not null" json:"WM_Warehouse-TransportSystemNr"`
TransportPoint       int           `xorm:"int 'TransportPoint' not null" json:"WM_Warehouse-TransportPoint"`

// 不显示
WarehouseCtrlPara1   int           `xorm:"int 'WarehouseCtrlPara1' not null" json:"WM_Warehouse-WarehouseCtrlPara1"`
WarehouseCtrlPara2   int           `xorm:"int 'WarehouseCtrlPara2' not null" json:"WM_Warehouse-WarehouseCtrlPara2"`
WarehouseCtrlPara3   int           `xorm:"int 'WarehouseCtrlPara3' not null" json:"WM_Warehouse-WarehouseCtrlPara3"`
WarehouseCtrlPara4   int           `xorm:"int 'WarehouseCtrlPara4' not null" json:"WM_Warehouse-WarehouseCtrlPara4"`
WarehouseCtrlPara5   string        `xorm:"nvarchar(255) 'WarehouseCtrlPara5'" json:"WM_Warehouse-WarehouseCtrlPara5"`
WarehouseCtrlPara6   string        `xorm:"nvarchar(255) 'WarehouseCtrlPara6'" json:"WM_Warehouse-WarehouseCtrlPara6"`
WarehouseCtrlPara7   string        `xorm:"nvarchar(255) 'WarehouseCtrlPara7'" json:"WM_Warehouse-WarehouseCtrlPara7"`
WarehouseCtrlPara8   string        `xorm:"nvarchar(255) 'WarehouseCtrlPara8'" json:"WM_Warehouse-WarehouseCtrlPara8"`
WarehouseCtrlPara9   float64       `xorm:"float 'WarehouseCtrlPara9'" json:"WM_Warehouse-WarehouseCtrlPara9"`
WarehouseCtrlPara10  float64       `xorm:"float 'WarehouseCtrlPara10'" json:"WM_Warehouse-WarehouseCtrlPara10"`
WarehouseCtrlPara11  float64       `xorm:"float 'WarehouseCtrlPara11'" json:"WM_Warehouse-WarehouseCtrlPara11"`
WarehouseCtrlPara12  float64       `xorm:"float 'WarehouseCtrlPara12'" json:"WM_Warehouse-WarehouseCtrlPara12"`
WarehouseCtrlPara13  grmi.DateTime `xorm:"datetime 'WarehouseCtrlPara13'" json:"WM_Warehouse-WarehouseCtrlPara13"`
WarehouseCtrlPara14  grmi.DateTime `xorm:"datetime 'WarehouseCtrlPara14'" json:"WM_Warehouse-WarehouseCtrlPara14"`
WarehouseCtrlPara15  grmi.DateTime `xorm:"datetime 'WarehouseCtrlPara15'" json:"WM_Warehouse-WarehouseCtrlPara15"`
WarehouseCtrlPara16  grmi.DateTime `xorm:"datetime 'WarehouseCtrlPara16'" json:"WM_Warehouse-WarehouseCtrlPara16"`
LastModify           grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_Warehouse-LastModify"`
LastUser             string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_Warehouse-LastUser"`
CreateTime           grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_Warehouse-CreateTime"`
}
```

### 库区

```go
type StorageArea struct {
*StorageAreaId  string        `xorm:"pk nvarchar(40) 'StorageAreaId'" json:"WM_StorageArea-StorageAreaId"`
*WarehouseId    string        `xorm:"pk nvarchar(40) 'WarehouseId'" json:"WM_StorageArea-WarehouseId"`
*Descr          string        `xorm:"nvarchar(100) 'Descr' not null" json:"WM_StorageArea-Descr"`
// 下拉框 标准定义
*Status         string        `xorm:"nvarchar(3) 'Status' not null" json:"WM_StorageArea-Status"`

// 不显示
AreaCtrlPara1  int           `xorm:"int 'AreaCtrlPara1' not null" json:"WM_StorageArea-AreaCtrlPara1"`
AreaCtrlPara2  int           `xorm:"int 'AreaCtrlPara2' not null" json:"WM_StorageArea-AreaCtrlPara2"`
AreaCtrlPara3  int           `xorm:"int 'AreaCtrlPara3' not null" json:"WM_StorageArea-AreaCtrlPara3"`
AreaCtrlPara4  int           `xorm:"int 'AreaCtrlPara4' not null" json:"WM_StorageArea-AreaCtrlPara4"`
AreaCtrlPara5  string        `xorm:"nvarchar(255) 'AreaCtrlPara5'" json:"WM_StorageArea-AreaCtrlPara5"`
AreaCtrlPara6  string        `xorm:"nvarchar(255) 'AreaCtrlPara6'" json:"WM_StorageArea-AreaCtrlPara6"`
AreaCtrlPara7  string        `xorm:"nvarchar(255) 'AreaCtrlPara7'" json:"WM_StorageArea-AreaCtrlPara7"`
AreaCtrlPara8  string        `xorm:"nvarchar(255) 'AreaCtrlPara8'" json:"WM_StorageArea-AreaCtrlPara8"`
AreaCtrlPara9  float64       `xorm:"float 'AreaCtrlPara9'" json:"WM_StorageArea-AreaCtrlPara9"`
AreaCtrlPara10 float64       `xorm:"float 'AreaCtrlPara10'" json:"WM_StorageArea-AreaCtrlPara10"`
AreaCtrlPara11 float64       `xorm:"float 'AreaCtrlPara11'" json:"WM_StorageArea-AreaCtrlPara11"`
AreaCtrlPara12 float64       `xorm:"float 'AreaCtrlPara12'" json:"WM_StorageArea-AreaCtrlPara12"`
AreaCtrlPara13 grmi.DateTime `xorm:"datetime 'AreaCtrlPara13'" json:"WM_StorageArea-AreaCtrlPara13"`
AreaCtrlPara14 grmi.DateTime `xorm:"datetime 'AreaCtrlPara14'" json:"WM_StorageArea-AreaCtrlPara14"`
AreaCtrlPara15 grmi.DateTime `xorm:"datetime 'AreaCtrlPara15'" json:"WM_StorageArea-AreaCtrlPara15"`
AreaCtrlPara16 grmi.DateTime `xorm:"datetime 'AreaCtrlPara16'" json:"WM_StorageArea-AreaCtrlPara16"`
LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_StorageArea-LastModify"`
LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_StorageArea-LastUser"`
CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_StorageArea-CreateTime"`
}
```

### 库架

```go
type StorageRack struct {
*StorageRackId string        `xorm:"pk nvarchar(40) 'StorageRackId'" json:"WM_StorageRack-StorageRackId"`
*WarehouseId   string        `xorm:"pk nvarchar(40) 'WarehouseId'" json:"WM_StorageRack-WarehouseId"`
*StorageAreaId string        `xorm:"nvarchar(40) 'StorageAreaId' not null" json:"WM_StorageRack-StorageAreaId"`
*Descr         string        `xorm:"nvarchar(100) 'Descr' not null" json:"WM_StorageRack-Descr"`
// 下拉框 标准定义
*Status        string        `xorm:"nvarchar(10) 'Status' not null" json:"WM_StorageRack-Status"`

// 不显示
SRCtrlPara1   string        `xorm:"nvarchar(100) 'SRCtrlPara1' not null" json:"WM_StorageRack-SRCtrlPara1"`
SRCtrlPara2   string        `xorm:"nvarchar(100) 'SRCtrlPara2' not null" json:"WM_StorageRack-SRCtrlPara2"`
SRCtrlPara3   int           `xorm:"int 'SRCtrlPara3' not null" json:"WM_StorageRack-SRCtrlPara3"`
SRCtrlPara4   int           `xorm:"int 'SRCtrlPara4' not null" json:"WM_StorageRack-SRCtrlPara4"`
SRCtrlPara5   float64       `xorm:"float 'SRCtrlPara5' not null" json:"WM_StorageRack-SRCtrlPara5"`
SRCtrlPara6   float64       `xorm:"float 'SRCtrlPara6' not null" json:"WM_StorageRack-SRCtrlPara6"`
LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_StorageRack-LastModify"`
LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_StorageRack-LastUser"`
CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_StorageRack-CreateTime"`
}
```

### 库位

```go
type StorageBin struct {
*StorageBinId       string        `xorm:"pk nvarchar(40) 'StorageBinId'" json:"WM_StorageBin-StorageBinId"`
*WarehouseId        string        `xorm:"pk nvarchar(40) 'WarehouseId'" json:"WM_StorageBin-WarehouseId"`
*StorageAreaId      string        `xorm:"nvarchar(40) 'StorageAreaId' not null" json:"WM_StorageBin-StorageAreaId"`
*StorageRackId      string        `xorm:"nvarchar(40) 'StorageRackId' not null" json:"WM_StorageBin-StorageRackId"`
*Descr              string        `xorm:"nvarchar(100) 'Descr' not null" json:"WM_StorageBin-Descr"`
// 下拉框 标准定义
*Status             string        `xorm:"nvarchar(3) 'Status' not null" json:"WM_StorageBin-Status"`
ActualStock        float64       `xorm:"float 'ActualStock' not null" json:"WM_StorageBin-ActualStock"`
BlockedStock       float64       `xorm:"float 'BlockedStock' not null" json:"WM_StorageBin-BlockedStock"`
AvailableStock     float64       `xorm:"float 'AvailableStock' not null" json:"WM_StorageBin-AvailableStock"`
ReservedStock      float64       `xorm:"float 'ReservedStock' not null" json:"WM_StorageBin-ReservedStock"`
ReservableStock    float64       `xorm:"float 'ReservableStock' not null" json:"WM_StorageBin-ReservableStock"`
RemovalReason string        `xorm:"nvarchar(255) 'RemovalReason' not null" json:"WM_StorageBin-RemovalReason"`
RemovalPerson      string        `xorm:"nvarchar(40) 'RemovalPerson' not null" json:"WM_StorageBin-RemovalPerson"`
LastStorageBlock   grmi.DateTime `xorm:"datetime 'LastStorageBlock' not null" json:"WM_StorageBin-LastStorageBlock"`
StorageBlockReason string        `xorm:"nvarchar(255) 'StorageBlockReason' not null" json:"WM_StorageBin-StorageBlockReason"`
StoragePerson      string        `xorm:"nvarchar(40) 'StoragePerson' not null" json:"WM_StorageBin-StoragePerson"`
StorageCapacity    float64       `xorm:"float 'StorageCapacity' not null" json:"WM_StorageBin-StorageCapacity"`
LastRemoval        grmi.DateTime `xorm:"datetime 'LastRemoval' not null" json:"WM_StorageBin-LastRemoval"`
LastStorage        grmi.DateTime `xorm:"datetime 'LastStorage' not null" json:"WM_StorageBin-LastStorage"`
RemainStock        float64       `xorm:"float 'RemainStock' not null" json:"WM_StorageBin-RemainStock"`
LastStockTaking    grmi.DateTime `xorm:"datetime 'LastStockTaking' not null" json:"WM_StorageBin-LastStockTaking"`
Weight             float64       `xorm:"float 'Weight' not null" json:"WM_StorageBin-Weight"`
WeightUom          string        `xorm:"nvarchar(40) 'WeightUom' not null" json:"WM_StorageBin-WeightUom"`
Length             float64       `xorm:"float 'Length' not null" json:"WM_StorageBin-Length"`
Width              float64       `xorm:"float 'Width' not null" json:"WM_StorageBin-Width"`
Height             float64       `xorm:"float 'Height' not null" json:"WM_StorageBin-Height"`
SizeUom            string        `xorm:"nvarchar(40) 'SizeUom' not null" json:"WM_StorageBin-SizeUom"`
MovementClass      string        `xorm:"nvarchar(40) 'MovementClass' not null" json:"WM_StorageBin-MovementClass"`
RowIndex           string        `xorm:"nvarchar(20) 'RowIndex' not null" json:"WM_StorageBin-RowIndex"`
ColIndex           string        `xorm:"nvarchar(20) 'ColIndex' not null" json:"WM_StorageBin-ColIndex"`

// 不显示
BinCtrlPara1       int           `xorm:"int 'BinCtrlPara1' not null" json:"WM_StorageBin-BinCtrlPara1"`
BinCtrlPara2       int           `xorm:"int 'BinCtrlPara2' not null" json:"WM_StorageBin-BinCtrlPara2"`
BinCtrlPara3       int           `xorm:"int 'BinCtrlPara3' not null" json:"WM_StorageBin-BinCtrlPara3"`
BinCtrlPara4       int           `xorm:"int 'BinCtrlPara4' not null" json:"WM_StorageBin-BinCtrlPara4"`
BinCtrlPara5       string        `xorm:"nvarchar(255) 'BinCtrlPara5'" json:"WM_StorageBin-BinCtrlPara5"`
BinCtrlPara6       string        `xorm:"nvarchar(255) 'BinCtrlPara6'" json:"WM_StorageBin-BinCtrlPara6"`
BinCtrlPara7       string        `xorm:"nvarchar(255) 'BinCtrlPara7'" json:"WM_StorageBin-BinCtrlPara7"`
BinCtrlPara8       string        `xorm:"nvarchar(255) 'BinCtrlPara8'" json:"WM_StorageBin-BinCtrlPara8"`
BinCtrlPara9       float64       `xorm:"float 'BinCtrlPara9'" json:"WM_StorageBin-BinCtrlPara9"`
BinCtrlPara10      float64       `xorm:"float 'BinCtrlPara10'" json:"WM_StorageBin-BinCtrlPara10"`
BinCtrlPara11      float64       `xorm:"float 'BinCtrlPara11'" json:"WM_StorageBin-BinCtrlPara11"`
BinCtrlPara12      float64       `xorm:"float 'BinCtrlPara12'" json:"WM_StorageBin-BinCtrlPara12"`
BinCtrlPara13      grmi.DateTime `xorm:"datetime 'BinCtrlPara13'" json:"WM_StorageBin-BinCtrlPara13"`
BinCtrlPara14      grmi.DateTime `xorm:"datetime 'BinCtrlPara14'" json:"WM_StorageBin-BinCtrlPara14"`
BinCtrlPara15      grmi.DateTime `xorm:"datetime 'BinCtrlPara15'" json:"WM_StorageBin-BinCtrlPara15"`
BinCtrlPara16      grmi.DateTime `xorm:"datetime 'BinCtrlPara16'" json:"WM_StorageBin-BinCtrlPara16"`
LastModify         grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_StorageBin-LastModify"`
LastUser           string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_StorageBin-LastUser"`
CreateTime         grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_StorageBin-CreateTime"`
}
```

### 客户

```go
type Client struct {
*ClientId       string        `xorm:"pk nvarchar(40) 'ClientId'" json:"WM_Client-ClientId"`
Descr          string        `xorm:"nvarchar(100) 'Descr' not null" json:"WM_Client-Descr"`
Address        string        `xorm:"nvarchar(100) 'Address' not null" json:"WM_Client-Address"`
Name           string        `xorm:"nvarchar(100) 'Name' not null" json:"WM_Client-Name"`
Name1          string        `xorm:"nvarchar(100) 'Name1' not null" json:"WM_Client-Name1"`
Name2          string        `xorm:"nvarchar(100) 'Name2' not null" json:"WM_Client-Name2"`
ValidStartDate grmi.Date     `xorm:"date 'ValidStartDate' not null" json:"WM_Client-ValidStartDate"`
Country        string        `xorm:"nvarchar(100) 'Country' not null" json:"WM_Client-Country"`
City           string        `xorm:"nvarchar(100) 'City' not null" json:"WM_Client-City"`
District       string        `xorm:"nvarchar(100) 'District' not null" json:"WM_Client-District"`
Street         string        `xorm:"nvarchar(100) 'Street' not null" json:"WM_Client-Street"`
Location       string        `xorm:"nvarchar(100) 'Location' not null" json:"WM_Client-Location"`
PostCode       string        `xorm:"nvarchar(20) 'PostCode' not null" json:"WM_Client-PostCode"`
Phone          string        `xorm:"nvarchar(20) 'Phone' not null" json:"WM_Client-Phone"`
Mobile         string        `xorm:"nvarchar(20) 'Mobile' not null" json:"WM_Client-Mobile"`
Fax            string        `xorm:"nvarchar(20) 'Fax' not null" json:"WM_Client-Fax"`
Email1         string        `xorm:"nvarchar(40) 'Email1' not null" json:"WM_Client-Email1"`
Email2         string        `xorm:"nvarchar(40) 'Email2' not null" json:"WM_Client-Email2"`
ContactPerson  string        `xorm:"nvarchar(40) 'ContactPerson' not null" json:"WM_Client-ContactPerson"`
PersonTitle    string        `xorm:"nvarchar(40) 'PersonTitle' not null" json:"WM_Client-PersonTitle"`
ContactAddress string        `xorm:"nvarchar(100) 'ContactAddress' not null" json:"WM_Client-ContactAddress"`
Account        int           `xorm:"int 'Account' not null" json:"WM_Client-Account"`
TaxRate        string        `xorm:"nvarchar(20) 'TaxRate' not null" json:"WM_Client-TaxRate"`
// 下拉框 标准定义 wm_clientstatus
Status         int           `xorm:"int 'Status' not null" json:"WM_Client-Status"`
// 联动插件 显示中文
Province       string        `xorm:"nvarchar(100) 'Province'" json:"WM_Client-Province"`
ProvinceCode   string        `xorm:"nvarchar(20) 'ProvinceCode'" json:"WM_Client-ProvinceCode"`
CityCode       string        `xorm:"nvarchar(20) 'CityCode'" json:"WM_Client-CityCode"`
DistrictCode   string        `xorm:"nvarchar(20) 'DistrictCode'" json:"WM_Client-DistrictCode"`
// 不显示
LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_Client-LastModify"`
LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_Client-LastUser"`
CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_Client-CreateTime"`
}
```

### 供应商

```go
type Vendor struct {
*VendorId       string        `xorm:"pk nvarchar(40) 'VendorId'" json:"WM_Vendor-VendorId"`
Descr          string        `xorm:"nvarchar(100) 'Descr' not null" json:"WM_Vendor-Descr"`
Address        string        `xorm:"nvarchar(100) 'Address' not null" json:"WM_Vendor-Address"`
Name           string        `xorm:"nvarchar(100) 'Name' not null" json:"WM_Vendor-Name"`
Name1          string        `xorm:"nvarchar(100) 'Name1' not null" json:"WM_Vendor-Name1"`
Name2          string        `xorm:"nvarchar(100) 'Name2' not null" json:"WM_Vendor-Name2"`
ValidStartDate grmi.Date     `xorm:"date 'ValidStartDate' not null" json:"WM_Vendor-ValidStartDate"`
Country        string        `xorm:"nvarchar(100) 'Country' not null" json:"WM_Vendor-Country"`
City           string        `xorm:"nvarchar(100) 'City' not null" json:"WM_Vendor-City"`
District       string        `xorm:"nvarchar(100) 'District' not null" json:"WM_Vendor-District"`
Street         string        `xorm:"nvarchar(100) 'Street' not null" json:"WM_Vendor-Street"`
Location       string        `xorm:"nvarchar(100) 'Location' not null" json:"WM_Vendor-Location"`
PostCode       string        `xorm:"nvarchar(20) 'PostCode' not null" json:"WM_Vendor-PostCode"`
Phone          string        `xorm:"nvarchar(20) 'Phone' not null" json:"WM_Vendor-Phone"`
Mobile         string        `xorm:"nvarchar(20) 'Mobile' not null" json:"WM_Vendor-Mobile"`
Fax            string        `xorm:"nvarchar(20) 'Fax' not null" json:"WM_Vendor-Fax"`
Email1         string        `xorm:"nvarchar(40) 'Email1' not null" json:"WM_Vendor-Email1"`
Email2         string        `xorm:"nvarchar(40) 'Email2' not null" json:"WM_Vendor-Email2"`
ContactPerson  string        `xorm:"nvarchar(40) 'ContactPerson' not null" json:"WM_Vendor-ContactPerson"`
PersonTitle    string        `xorm:"nvarchar(40) 'PersonTitle' not null" json:"WM_Vendor-PersonTitle"`
ContactAddress string        `xorm:"nvarchar(100) 'ContactAddress' not null" json:"WM_Vendor-ContactAddress"`
Account        int           `xorm:"int 'Account' not null" json:"WM_Vendor-Account"`
TaxRate        string        `xorm:"nvarchar(20) 'TaxRate' not null" json:"WM_Vendor-TaxRate"`
// 下拉框 标准定义 wm_vendorstatus
Status         int           `xorm:"int 'Status' not null" json:"WM_Vendor-Status"`
// 联动插件 显示中文
Province       string        `xorm:"nvarchar(100) 'Province'" json:"WM_Vendor-Province"`
ProvinceCode   string        `xorm:"nvarchar(20) 'ProvinceCode'" json:"WM_Vendor-ProvinceCode"`
CityCode       string        `xorm:"nvarchar(20) 'CityCode'" json:"WM_Vendor-CityCode"`
DistrictCode   string        `xorm:"nvarchar(20) 'DistrictCode'" json:"WM_Vendor-DistrictCode"`

//不显示
LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_Vendor-LastModify"`
LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_Vendor-LastUser"`
CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_Vendor-CreateTime"`
}
```

### 工作区

```go
type WorkArea struct {
*WorkAreaId   string        `xorm:"pk nvarchar(40) 'WorkAreaId'" json:"WM_WorkArea-WorkAreaId"`
//下拉列表 标准定义wm_workareatype
*WorkAreaType string        `xorm:"nvarchar(20) 'WorkAreaType' not null" json:"WM_WorkArea-WorkAreaType"`
// 联动下拉框  显示为 关联库房
*RelevanceId  string        `xorm:"nvarchar(40) 'RelevanceId' not null" json:"WM_WorkArea-RelevanceId"`
// 联动下拉框 显示为 关联位置
WACtrlPara3  string        `xorm:"nvarchar(40) 'WACtrlPara3' not null" json:"WM_WorkArea-WACtrlPara3"`
//不显示
WACtrlPara1  int           `xorm:"int 'WACtrlPara1' not null" json:"WM_WorkArea-WACtrlPara1"`
WACtrlPara2  int           `xorm:"int 'WACtrlPara2' not null" json:"WM_WorkArea-WACtrlPara2"`

WACtrlPara4  string        `xorm:"nvarchar(40) 'WACtrlPara4' not null" json:"WM_WorkArea-WACtrlPara4"`
LastModify   grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_WorkArea-LastModify"`
LastUser     string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_WorkArea-LastUser"`
CreateTime   grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_WorkArea-CreateTime"`
}
```

### 工作区用户关联

```go
type WorkAreaUserRequest struct {
*UserId            string            `json:"userId"`
*WorkAreaUserLstLi []WorkAreaUserLst `json:"workAreaUserLstLi"`
}
type WorkAreaUserLst struct {
*WorkAreaId string        `xorm:"pk nvarchar(40) 'WorkAreaId'" json:"WM_WorkAreaUserLst-WorkAreaId"`
*UserId     string        `xorm:"pk nvarchar(40) 'UserId'" json:"WM_WorkAreaUserLst-UserId"`
Pos        int           `xorm:"int 'Pos' not null" json:"WM_WorkAreaUserLst-Pos"`

//不显示
CtrlLevel  int           `xorm:"int 'CtrlLevel' not null" json:"WM_WorkAreaUserLst-CtrlLevel"`
CtrlPara1  int           `xorm:"int 'CtrlPara1' not null" json:"WM_WorkAreaUserLst-CtrlPara1"`
CtrlPara2  int           `xorm:"int 'CtrlPara2' not null" json:"WM_WorkAreaUserLst-CtrlPara2"`
CtrlPara3  string        `xorm:"nvarchar(100) 'CtrlPara3' not null" json:"WM_WorkAreaUserLst-CtrlPara3"`
CtrlPara4  string        `xorm:"nvarchar(100) 'CtrlPara4' not null" json:"WM_WorkAreaUserLst-CtrlPara4"`
LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_WorkAreaUserLst-LastModify"`
LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_WorkAreaUserLst-LastUser"`
CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_WorkAreaUserLst-CreateTime"`
}
```

### 入库

```go
type GoodsReceiptHead struct {
GoodsReceiptId string        `xorm:"pk nvarchar(40) 'GoodsReceiptId'" json:"WM_GoodsReceiptHead-GoodsReceiptId"`  //入库流水号
RefOrderId     string        `xorm:"nvarchar(100) 'RefOrderId' not null" json:"WM_GoodsReceiptHead-RefOrderId"`
*GRWarehouseId  string        `xorm:"nvarchar(40) 'GRWarehouseId' not null" json:"WM_GoodsReceiptHead-GRWarehouseId"`
Remark         string        `xorm:"nvarchar(255) 'Remark' not null" json:"WM_GoodsReceiptHead-Remark"`
DemandDate     grmi.Date     `xorm:"date 'DemandDate' not null" json:"WM_GoodsReceiptHead-DemandDate"`
RegisterDate   grmi.Date     `xorm:"date 'RegisterDate' not null" json:"WM_GoodsReceiptHead-RegisterDate"`
//标准定义wm_goodsstatus  值默认传1 已完成
*Status         string        `xorm:"nvarchar(3) 'Status' not null" json:"WM_GoodsReceiptHead-Status"`
// 下拉框 供应商列表接口
SupplierId     string        `xorm:"nvarchar(40) 'SupplierId' not null" json:"WM_GoodsReceiptHead-SupplierId"`
SupplierName   string        `xorm:"nvarchar(100) 'SupplierName' not null" json:"WM_GoodsReceiptHead-SupplierName"`

GRType         string        `xorm:"nvarchar(40) 'GRType' not null" json:"WM_GoodsReceiptHead-GRType"`
GRType1        string        `xorm:"nvarchar(40) 'GRType1' not null" json:"WM_GoodsReceiptHead-GRType1"`
GRType2        string        `xorm:"nvarchar(40) 'GRType2' not null" json:"WM_GoodsReceiptHead-GRType2"`
GRReason       string        `xorm:"nvarchar(255) 'GRReason' not null" json:"WM_GoodsReceiptHead-GRReason"`
*OrderedQty     float64       `xorm:"float 'OrderedQty' not null" json:"WM_GoodsReceiptHead-OrderedQty"`
*DeliveredQty   float64       `xorm:"float 'DeliveredQty' not null" json:"WM_GoodsReceiptHead-DeliveredQty"`
Applicant      string        `xorm:"nvarchar(40) 'Applicant' not null" json:"WM_GoodsReceiptHead-Applicant"`
Department     string        `xorm:"nvarchar(40) 'Department' not null" json:"WM_GoodsReceiptHead-Department"`
ApplyTime      grmi.DateTime `xorm:"datetime 'ApplyTime' not null" json:"WM_GoodsReceiptHead-ApplyTime"`

*GoodsReceiptDetail       []GoodsReceiptDetail       `json:"goods-receipt-detail" xorm:"-"`               // 详情列表

//不显示
GRCtrlPara1    int           `xorm:"int 'GRCtrlPara1' not null" json:"WM_GoodsReceiptHead-GRCtrlPara1"`
GRCtrlPara2    int           `xorm:"int 'GRCtrlPara2' not null" json:"WM_GoodsReceiptHead-GRCtrlPara2"`
GRCtrlPara3    int           `xorm:"int 'GRCtrlPara3' not null" json:"WM_GoodsReceiptHead-GRCtrlPara3"`
GRCtrlPara4    int           `xorm:"int 'GRCtrlPara4' not null" json:"WM_GoodsReceiptHead-GRCtrlPara4"`
GRCtrlPara5    string        `xorm:"nvarchar(255) 'GRCtrlPara5'" json:"WM_GoodsReceiptHead-GRCtrlPara5"`
GRCtrlPara6    string        `xorm:"nvarchar(255) 'GRCtrlPara6'" json:"WM_GoodsReceiptHead-GRCtrlPara6"`
GRCtrlPara7    string        `xorm:"nvarchar(255) 'GRCtrlPara7'" json:"WM_GoodsReceiptHead-GRCtrlPara7"`
GRCtrlPara8    string        `xorm:"nvarchar(255) 'GRCtrlPara8'" json:"WM_GoodsReceiptHead-GRCtrlPara8"`
GRCtrlPara9    float64       `xorm:"float 'GRCtrlPara9'" json:"WM_GoodsReceiptHead-GRCtrlPara9"`
GRCtrlPara10   float64       `xorm:"float 'GRCtrlPara10'" json:"WM_GoodsReceiptHead-GRCtrlPara10"`
GRCtrlPara11   float64       `xorm:"float 'GRCtrlPara11'" json:"WM_GoodsReceiptHead-GRCtrlPara11"`
GRCtrlPara12   float64       `xorm:"float 'GRCtrlPara12'" json:"WM_GoodsReceiptHead-GRCtrlPara12"`
GRCtrlPara13   grmi.DateTime `xorm:"datetime 'GRCtrlPara13'" json:"WM_GoodsReceiptHead-GRCtrlPara13"`
GRCtrlPara14   grmi.DateTime `xorm:"datetime 'GRCtrlPara14'" json:"WM_GoodsReceiptHead-GRCtrlPara14"`
GRCtrlPara15   grmi.DateTime `xorm:"datetime 'GRCtrlPara15'" json:"WM_GoodsReceiptHead-GRCtrlPara15"`
GRCtrlPara16   grmi.DateTime `xorm:"datetime 'GRCtrlPara16'" json:"WM_GoodsReceiptHead-GRCtrlPara16"`
LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_GoodsReceiptHead-LastModify"`
LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_GoodsReceiptHead-LastUser"`
CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_GoodsReceiptHead-CreateTime"`
}

type GoodsReceiptDetail struct {
GoodsReceiptId string        `xorm:"pk nvarchar(40) 'GoodsReceiptId'" json:"WM_GoodsReceiptDetail-GoodsReceiptId"`
GRPos          int           `xorm:"pk int 'GRPos'" json:"WM_GoodsReceiptDetail-GRPos"`
// 下拉框 物料列表
*ArtId          string        `xorm:"nvarchar(40) 'ArtId' not null" json:"WM_GoodsReceiptDetail-ArtId"`
// article descr1
ArtName        string        `xorm:"nvarchar(100) 'ArtName' not null" json:"WM_GoodsReceiptDetail-ArtName"`
ArtType        string        `xorm:"nvarchar(40) 'ArtType' not null" json:"WM_GoodsReceiptDetail-ArtType"`


Remark         string        `xorm:"nvarchar(100) 'Remark' not null" json:"WM_GoodsReceiptDetail-Remark"`
Auditor        string        `xorm:"nvarchar(40) 'Auditor' not null" json:"WM_GoodsReceiptDetail-Auditor"`
AuditTime      grmi.DateTime `xorm:"datetime 'AuditTime' not null" json:"WM_GoodsReceiptDetail-AuditTime"`
AuditStatus    string        `xorm:"nvarchar(3) 'AuditStatus' not null" json:"WM_GoodsReceiptDetail-AuditStatus"`
BatchId        string        `xorm:"nvarchar(255) 'BatchId' not null" json:"WM_GoodsReceiptDetail-BatchId"`
*OrderedQty     float64       `xorm:"float 'OrderedQty' not null" json:"WM_GoodsReceiptDetail-OrderedQty"`
OrderType      string        `xorm:"nvarchar(40) 'OrderType' not null" json:"WM_GoodsReceiptDetail-OrderType"`
*DeliveredQty   float64       `xorm:"float 'DeliveredQty' not null" json:"WM_GoodsReceiptDetail-DeliveredQty"`
// article 里面携带
QtyUom         string        `xorm:"nvarchar(40) 'QtyUom' not null" json:"WM_GoodsReceiptDetail-QtyUom"`
UnitPrice      float64       `xorm:"float 'UnitPrice'" json:"WM_GoodsReceiptDetail-UnitPrice"`
TotalPrice     float64       `xorm:"float 'TotalPrice'" json:"WM_GoodsReceiptDetail-TotalPrice"`
Currency       string        `xorm:"nvarchar(40) 'Currency' not null" json:"WM_GoodsReceiptDetail-Currency"`
InspectToggle  bool          `xorm:"bit 'InspectToggle' not null" json:"WM_GoodsReceiptDetail-InspectToggle"`
InspectPlanId  string        `xorm:"nvarchar(40) 'InspectPlanId' not null" json:"WM_GoodsReceiptDetail-InspectPlanId"`
InspectStatus  string        `xorm:"nvarchar(3) 'InspectStatus' not null" json:"WM_GoodsReceiptDetail-InspectStatus"`
BeforeQty     float64       `xorm:"float 'BeforeQty' not null" json:"WM_GoodsReceiptDetail-BeforeQty"`// 之前库存
CurQty     float64       	`xorm:"float 'CurQty' not null" json:"WM_GoodsReceiptDetail-CurQty"`// 当前库存

*GoodsReceiptLst       []GoodsReceiptLst       `json:"goods-receipt-lst" xorm:"-"`               // 库位列表
//不显示
GRICtrlPara1   int           `xorm:"int 'GRICtrlPara1' not null" json:"WM_GoodsReceiptDetail-GRICtrlPara1"`
GRICtrlPara2   int           `xorm:"int 'GRICtrlPara2' not null" json:"WM_GoodsReceiptDetail-GRICtrlPara2"`
GRICtrlPara3   int           `xorm:"int 'GRICtrlPara3' not null" json:"WM_GoodsReceiptDetail-GRICtrlPara3"`
GRICtrlPara4   int           `xorm:"int 'GRICtrlPara4' not null" json:"WM_GoodsReceiptDetail-GRICtrlPara4"`
GRICtrlPara5   string        `xorm:"nvarchar(255) 'GRICtrlPara5'" json:"WM_GoodsReceiptDetail-GRICtrlPara5"`
GRICtrlPara6   string        `xorm:"nvarchar(255) 'GRICtrlPara6'" json:"WM_GoodsReceiptDetail-GRICtrlPara6"`
GRICtrlPara7   string        `xorm:"nvarchar(255) 'GRICtrlPara7'" json:"WM_GoodsReceiptDetail-GRICtrlPara7"`
GRICtrlPara8   string        `xorm:"nvarchar(255) 'GRICtrlPara8'" json:"WM_GoodsReceiptDetail-GRICtrlPara8"`
GRICtrlPara9   float64       `xorm:"float 'GRICtrlPara9'" json:"WM_GoodsReceiptDetail-GRICtrlPara9"`
GRICtrlPara10  float64       `xorm:"float 'GRICtrlPara10'" json:"WM_GoodsReceiptDetail-GRICtrlPara10"`
GRICtrlPara11  float64       `xorm:"float 'GRICtrlPara11'" json:"WM_GoodsReceiptDetail-GRICtrlPara11"`
GRICtrlPara12  float64       `xorm:"float 'GRICtrlPara12'" json:"WM_GoodsReceiptDetail-GRICtrlPara12"`
GRICtrlPara13  grmi.DateTime `xorm:"datetime 'GRICtrlPara13'" json:"WM_GoodsReceiptDetail-GRICtrlPara13"`
GRICtrlPara14  grmi.DateTime `xorm:"datetime 'GRICtrlPara14'" json:"WM_GoodsReceiptDetail-GRICtrlPara14"`
GRICtrlPara15  grmi.DateTime `xorm:"datetime 'GRICtrlPara15'" json:"WM_GoodsReceiptDetail-GRICtrlPara15"`
GRICtrlPara16  grmi.DateTime `xorm:"datetime 'GRICtrlPara16'" json:"WM_GoodsReceiptDetail-GRICtrlPara16"`
LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_GoodsReceiptDetail-LastModify"`
LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_GoodsReceiptDetail-LastUser"`
CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_GoodsReceiptDetail-CreateTime"`

}

type GoodsReceiptLst struct {
GoodsReceiptId string        `xorm:"pk nvarchar(40) 'GoodsReceiptId'" json:"WM_GoodsReceiptLst-GoodsReceiptId"`
GRPos          int           `xorm:"pk int 'GRPos'" json:"WM_GoodsReceiptLst-GRPos"`
GRLPos         int           `xorm:"pk int 'GRLPos'" json:"WM_GoodsReceiptLst-GRLPos"`
*WarehouseId    string        `xorm:"nvarchar(40) 'WarehouseId' not null" json:"WM_GoodsReceiptLst-WarehouseId"`
*StorageAreaId  string        `xorm:"nvarchar(40) 'StorageAreaId' not null" json:"WM_GoodsReceiptLst-StorageAreaId"`
*StorageBinId   string        `xorm:"nvarchar(40) 'StorageBinId' not null" json:"WM_GoodsReceiptLst-StorageBinId"`
*StorageRackId  string        `xorm:"nvarchar(40) 'StorageRackId' not null" json:"WM_GoodsReceiptLst-StorageRackId"`
*Qty            float64       `xorm:"float 'Qty' not null" json:"WM_GoodsReceiptLst-Qty"`
//不显示
CtrlPara1      string        `xorm:"nvarchar(100) 'CtrlPara1' not null" json:"WM_GoodsReceiptLst-CtrlPara1"`
CtrlPara2      string        `xorm:"nvarchar(100) 'CtrlPara2' not null" json:"WM_GoodsReceiptLst-CtrlPara2"`
CtrlPara3      int           `xorm:"int 'CtrlPara3' not null" json:"WM_GoodsReceiptLst-CtrlPara3"`
CtrlPara4      int           `xorm:"int 'CtrlPara4' not null" json:"WM_GoodsReceiptLst-CtrlPara4"`
CtrlPara5      float64       `xorm:"float 'CtrlPara5' not null" json:"WM_GoodsReceiptLst-CtrlPara5"`
CtrlPara6      float64       `xorm:"float 'CtrlPara6' not null" json:"WM_GoodsReceiptLst-CtrlPara6"`
LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_GoodsReceiptLst-LastModify"`
LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_GoodsReceiptLst-LastUser"`
CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_GoodsReceiptLst-CreateTime"`
}
```

### 出库

```go
type GoodsIssueHead struct {
	GoodsIssueId string        `xorm:"pk nvarchar(40) 'GoodsIssueId'" json:"WM_GoodsIssueHead-GoodsIssueId"`
	RefOrderId   string        `xorm:"nvarchar(100) 'RefOrderId' not null" json:"WM_GoodsIssueHead-RefOrderId"`
	CustOrderId  string        `xorm:"nvarchar(100) 'CustOrderId' not null" json:"WM_GoodsIssueHead-CustOrderId"`
	Destination  string        `xorm:"nvarchar(40) 'Destination' not null" json:"WM_GoodsIssueHead-Destination"`
	Remark       string        `xorm:"nvarchar(255) 'Remark' not null" json:"WM_GoodsIssueHead-Remark"`
	DeliveryDate grmi.Date     `xorm:"date 'DeliveryDate' not null" json:"WM_GoodsIssueHead-DeliveryDate"`
	//标准定义wm_goodsstatus  值默认传1 已完成
	*Status       string        `xorm:"nvarchar(3) 'Status' not null" json:"WM_GoodsIssueHead-Status"`
	GIType       string        `xorm:"nvarchar(40) 'GIType' not null" json:"WM_GoodsIssueHead-GIType"`
	GIType1      string        `xorm:"nvarchar(40) 'GIType1' not null" json:"WM_GoodsIssueHead-GIType1"`
	GIType2      string        `xorm:"nvarchar(40) 'GIType2' not null" json:"WM_GoodsIssueHead-GIType2"`
	GIReason     string        `xorm:"nvarchar(255) 'GIReason' not null" json:"WM_GoodsIssueHead-GIReason"`
	Priority     int           `xorm:"int 'Priority' not null" json:"WM_GoodsIssueHead-Priority"`
	CostCenterId string        `xorm:"nvarchar(40) 'CostCenterId' not null" json:"WM_GoodsIssueHead-CostCenterId"`
	BookingKey   string        `xorm:"nvarchar(100) 'BookingKey' not null" json:"WM_GoodsIssueHead-BookingKey"`
	
	*GoodsIssueDetail       []GoodsIssueDetail       `json:"goods-issue-detail" xorm:"-"`               //详情列表
	//不显示
	GICtrlPara1  int           `xorm:"int 'GICtrlPara1' not null" json:"WM_GoodsIssueHead-GICtrlPara1"`
	GICtrlPara2  int           `xorm:"int 'GICtrlPara2' not null" json:"WM_GoodsIssueHead-GICtrlPara2"`
	GICtrlPara3  int           `xorm:"int 'GICtrlPara3' not null" json:"WM_GoodsIssueHead-GICtrlPara3"`
	GICtrlPara4  int           `xorm:"int 'GICtrlPara4' not null" json:"WM_GoodsIssueHead-GICtrlPara4"`
	GICtrlPara5  string        `xorm:"nvarchar(255) 'GICtrlPara5'" json:"WM_GoodsIssueHead-GICtrlPara5"`
	GICtrlPara6  string        `xorm:"nvarchar(255) 'GICtrlPara6'" json:"WM_GoodsIssueHead-GICtrlPara6"`
	GICtrlPara7  string        `xorm:"nvarchar(255) 'GICtrlPara7'" json:"WM_GoodsIssueHead-GICtrlPara7"`
	GICtrlPara8  string        `xorm:"nvarchar(255) 'GICtrlPara8'" json:"WM_GoodsIssueHead-GICtrlPara8"`
	GICtrlPara9  float64       `xorm:"float 'GICtrlPara9'" json:"WM_GoodsIssueHead-GICtrlPara9"`
	GICtrlPara10 float64       `xorm:"float 'GICtrlPara10'" json:"WM_GoodsIssueHead-GICtrlPara10"`
	GICtrlPara11 float64       `xorm:"float 'GICtrlPara11'" json:"WM_GoodsIssueHead-GICtrlPara11"`
	GICtrlPara12 float64       `xorm:"float 'GICtrlPara12'" json:"WM_GoodsIssueHead-GICtrlPara12"`
	GICtrlPara13 grmi.DateTime `xorm:"datetime 'GICtrlPara13'" json:"WM_GoodsIssueHead-GICtrlPara13"`
	GICtrlPara14 grmi.DateTime `xorm:"datetime 'GICtrlPara14'" json:"WM_GoodsIssueHead-GICtrlPara14"`
	GICtrlPara15 grmi.DateTime `xorm:"datetime 'GICtrlPara15'" json:"WM_GoodsIssueHead-GICtrlPara15"`
	GICtrlPara16 grmi.DateTime `xorm:"datetime 'GICtrlPara16'" json:"WM_GoodsIssueHead-GICtrlPara16"`
	LastModify   grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_GoodsIssueHead-LastModify"`
	LastUser     string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_GoodsIssueHead-LastUser"`
	CreateTime   grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_GoodsIssueHead-CreateTime"`
}

type GoodsIssueDetail struct {
GoodsIssueId  string        `xorm:"pk nvarchar(40) 'GoodsIssueId'" json:"WM_GoodsIssueDetail-GoodsIssueId"`
GIPos         int           `xorm:"pk int 'GIPos'" json:"WM_GoodsIssueDetail-GIPos"`
Remark        string        `xorm:"nvarchar(255) 'Remark' not null" json:"WM_GoodsIssueDetail-Remark"`
    // 下拉框  article列表页
*ArtId         string        `xorm:"nvarchar(40) 'ArtId' not null" json:"WM_GoodsIssueDetail-ArtId"`
ArtName       string        `xorm:"nvarchar(100) 'ArtName' not null" json:"WM_GoodsIssueDetail-ArtName"`
ArtType       string        `xorm:"nvarchar(40) 'ArtType' not null" json:"WM_GoodsIssueDetail-ArtType"`
QtyUom         string        `xorm:"nvarchar(40) 'QtyUom' not null" json:"WM_GoodsIssueDetail-QtyUom"`
*RequiredQty   float64       `xorm:"float 'RequiredQty' not null" json:"WM_GoodsIssueDetail-RequiredQty"`
RequestType   string        `xorm:"nvarchar(40) 'RequestType' not null" json:"WM_GoodsIssueDetail-RequestType"`
ReservedQty   float64       `xorm:"float 'ReservedQty' not null" json:"WM_GoodsIssueDetail-ReservedQty"`
ActualQty     float64       `xorm:"float 'ActualQty' not null" json:"WM_GoodsIssueDetail-ActualQty"`
OrderQty      float64       `xorm:"float 'OrderQty' not null" json:"WM_GoodsIssueDetail-OrderQty"`
DeliveryDate  grmi.Date     `xorm:"date 'DeliveryDate'" json:"WM_GoodsIssueDetail-DeliveryDate"` 
InspectToggle bool          `xorm:"bit 'InspectToggle' not null" json:"WM_GoodsIssueDetail-InspectToggle"`
InspectPlanId string        `xorm:"nvarchar(40) 'InspectPlanId' not null" json:"WM_GoodsIssueDetail-InspectPlanId"`
InspectStatus string        `xorm:"nvarchar(3) 'InspectStatus' not null" json:"WM_GoodsIssueDetail-InspectStatus"`
Auditor       string        `xorm:"nvarchar(40) 'Auditor' not null" json:"WM_GoodsIssueDetail-Auditor"`
AuditTime     grmi.DateTime `xorm:"datetime 'AuditTime' not null" json:"WM_GoodsIssueDetail-AuditTime"`
AuditStatus   string        `xorm:"nvarchar(3) 'AuditStatus' not null" json:"WM_GoodsIssueDetail-AuditStatus"`
BatchId       string        `xorm:"nvarchar(255) 'BatchId' not null" json:"WM_GoodsIssueDetail-BatchId"`
BeforeQty     float64       `xorm:"float 'BeforeQty' not null" json:"WM_GoodsIssueDetail-BeforeQty"`// 之前库存
CurQty     float64       	`xorm:"float 'CurQty' not null" json:"WM_GoodsIssueDetail-CurQty"`// 当前库存
*GoodsIssueLst       []GoodsIssueLst       `json:"goods-issue-lst" xorm:"-"`               //

//不显示
GICtrlPara1   int           `xorm:"int 'GICtrlPara1' not null" json:"WM_GoodsIssueDetail-GICtrlPara1"`
GIICtrlPara2  int           `xorm:"int 'GIICtrlPara2' not null" json:"WM_GoodsIssueDetail-GIICtrlPara2"`
GIICtrlPara3  int           `xorm:"int 'GIICtrlPara3' not null" json:"WM_GoodsIssueDetail-GIICtrlPara3"`
GIICtrlPara4  int           `xorm:"int 'GIICtrlPara4' not null" json:"WM_GoodsIssueDetail-GIICtrlPara4"`
GIICtrlPara5  string        `xorm:"nvarchar(255) 'GIICtrlPara5'" json:"WM_GoodsIssueDetail-GIICtrlPara5"`
GIICtrlPara6  string        `xorm:"nvarchar(255) 'GIICtrlPara6'" json:"WM_GoodsIssueDetail-GIICtrlPara6"`
GIICtrlPara7  string        `xorm:"nvarchar(255) 'GIICtrlPara7'" json:"WM_GoodsIssueDetail-GIICtrlPara7"`
GIICtrlPara8  string        `xorm:"nvarchar(255) 'GIICtrlPara8'" json:"WM_GoodsIssueDetail-GIICtrlPara8"`
GIICtrlPara9  float64       `xorm:"float 'GIICtrlPara9'" json:"WM_GoodsIssueDetail-GIICtrlPara9"`
GIICtrlPara10 float64       `xorm:"float 'GIICtrlPara10'" json:"WM_GoodsIssueDetail-GIICtrlPara10"`
GIICtrlPara11 float64       `xorm:"float 'GIICtrlPara11'" json:"WM_GoodsIssueDetail-GIICtrlPara11"`
GIICtrlPara12 float64       `xorm:"float 'GIICtrlPara12'" json:"WM_GoodsIssueDetail-GIICtrlPara12"`
GIICtrlPara13 grmi.DateTime `xorm:"datetime 'GIICtrlPara13'" json:"WM_GoodsIssueDetail-GIICtrlPara13"`
GIICtrlPara14 grmi.DateTime `xorm:"datetime 'GIICtrlPara14'" json:"WM_GoodsIssueDetail-GIICtrlPara14"`
GIICtrlPara15 grmi.DateTime `xorm:"datetime 'GIICtrlPara15'" json:"WM_GoodsIssueDetail-GIICtrlPara15"`
GIICtrlPara16 grmi.DateTime `xorm:"datetime 'GIICtrlPara16'" json:"WM_GoodsIssueDetail-GIICtrlPara16"`
LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_GoodsIssueDetail-LastModify"`
LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_GoodsIssueDetail-LastUser"`
CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_GoodsIssueDetail-CreateTime"`
}

type GoodsIssueLst struct {
GoodsIssueId  string        `xorm:"pk nvarchar(40) 'GoodsIssueId'" json:"WM_GoodsIssueLst-GoodsIssueId"`
GIPos         int           `xorm:"pk int 'GIPos'" json:"WM_GoodsIssueLst-GIPos"`
GILPos        int           `xorm:"pk int 'GILPos'" json:"WM_GoodsIssueLst-GILPos"`
*WarehouseId   string        `xorm:"nvarchar(40) 'WarehouseId' not null" json:"WM_GoodsIssueLst-WarehouseId"`
*StorageAreaId string        `xorm:"nvarchar(40) 'StorageAreaId' not null" json:"WM_GoodsIssueLst-StorageAreaId"`
*StorageBinId  string        `xorm:"nvarchar(40) 'StorageBinId' not null" json:"WM_GoodsIssueLst-StorageBinId"`
*StorageRackId string        `xorm:"nvarchar(40) 'StorageRackId' not null" json:"WM_GoodsIssueLst-StorageRackId"`
*Qty           float64       `xorm:"float 'Qty' not null" json:"WM_GoodsIssueLst-Qty"`
//不显示
CtrlPara1     string        `xorm:"nvarchar(100) 'CtrlPara1' not null" json:"WM_GoodsIssueLst-CtrlPara1"`
CtrlPara2     string        `xorm:"nvarchar(100) 'CtrlPara2' not null" json:"WM_GoodsIssueLst-CtrlPara2"`
CtrlPara3     int           `xorm:"int 'CtrlPara3' not null" json:"WM_GoodsIssueLst-CtrlPara3"`
CtrlPara4     int           `xorm:"int 'CtrlPara4' not null" json:"WM_GoodsIssueLst-CtrlPara4"`
CtrlPara5     float64       `xorm:"float 'CtrlPara5' not null" json:"WM_GoodsIssueLst-CtrlPara5"`
CtrlPara6     float64       `xorm:"float 'CtrlPara6' not null" json:"WM_GoodsIssueLst-CtrlPara6"`
LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_GoodsIssueLst-LastModify"`
LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_GoodsIssueLst-LastUser"`
CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_GoodsIssueLst-CreateTime"`
}
```

### 移库

```go
type StockTransferHead struct {
	StockTransferId   string        `xorm:"pk nvarchar(40) 'StockTransferId'" json:"WM_StockTransferHead-StockTransferId"`
	RefOrderId        string        `xorm:"nvarchar(100) 'RefOrderId' not null" json:"WM_StockTransferHead-RefOrderId"`
	*WarehouseId       string        `xorm:"nvarchar(40) 'WarehouseId' not null" json:"WM_StockTransferHead-WarehouseId"`//库房id
    *TargetWarehouseId string        `xorm:"nvarchar(40) 'TargetWarehouseId' not null" json:"WM_StockTransferHead-TargetWarehouseId"`//目标库房id
	Remark            string        `xorm:"nvarchar(255) 'Remark' not null" json:"WM_StockTransferHead-Remark"`
	DemandDate        grmi.Date     `xorm:"date 'DemandDate' not null" json:"WM_StockTransferHead-DemandDate"`
	RegisterDate      grmi.Date     `xorm:"date 'RegisterDate' not null" json:"WM_StockTransferHead-RegisterDate"`
    //标准定义wm_goodsstatus  值默认传1 已完成
	*Status            string        `xorm:"nvarchar(3) 'Status' not null" json:"WM_StockTransferHead-Status"`
	STType            string        `xorm:"nvarchar(40) 'STType' not null" json:"WM_StockTransferHead-STType"`
	STType1           string        `xorm:"nvarchar(40) 'STType1' not null" json:"WM_StockTransferHead-STType1"`
	STType2           string        `xorm:"nvarchar(40) 'STType2' not null" json:"WM_StockTransferHead-STType2"`
	STReason          string        `xorm:"nvarchar(255) 'STReason' not null" json:"WM_StockTransferHead-STReason"`
	*OrderedQty        float64       `xorm:"float 'OrderedQty' not null" json:"WM_StockTransferHead-OrderedQty"`
	*DeliveredQty      float64       `xorm:"float 'DeliveredQty' not null" json:"WM_StockTransferHead-DeliveredQty"`
	Applicant         string        `xorm:"nvarchar(40) 'Applicant' not null" json:"WM_StockTransferHead-Applicant"`
	Department        string        `xorm:"nvarchar(40) 'Department' not null" json:"WM_StockTransferHead-Department"`
	ApplyTime         grmi.DateTime `xorm:"datetime 'ApplyTime' not null" json:"WM_StockTransferHead-ApplyTime"`

	StockTransferDetail []StockTransferDetail `xorm:"-" json:"WM_StockTransferHead-StockTransferDetail"` //详情列表
	//不显示
	STCtrlPara1       int           `xorm:"int 'STCtrlPara1' not null" json:"WM_StockTransferHead-STCtrlPara1"`
	STCtrlPara2       int           `xorm:"int 'STCtrlPara2' not null" json:"WM_StockTransferHead-STCtrlPara2"`
	STCtrlPara3       int           `xorm:"int 'STCtrlPara3' not null" json:"WM_StockTransferHead-STCtrlPara3"`
	STCtrlPara4       int           `xorm:"int 'STCtrlPara4' not null" json:"WM_StockTransferHead-STCtrlPara4"`
	STCtrlPara5       string        `xorm:"nvarchar(255) 'STCtrlPara5'" json:"WM_StockTransferHead-STCtrlPara5"`
	STCtrlPara6       string        `xorm:"nvarchar(255) 'STCtrlPara6'" json:"WM_StockTransferHead-STCtrlPara6"`
	STCtrlPara7       string        `xorm:"nvarchar(255) 'STCtrlPara7'" json:"WM_StockTransferHead-STCtrlPara7"`
	STCtrlPara8       string        `xorm:"nvarchar(255) 'STCtrlPara8'" json:"WM_StockTransferHead-STCtrlPara8"`
	STCtrlPara9       float64       `xorm:"float 'STCtrlPara9'" json:"WM_StockTransferHead-STCtrlPara9"`
	STCtrlPara10      float64       `xorm:"float 'STCtrlPara10'" json:"WM_StockTransferHead-STCtrlPara10"`
	STCtrlPara11      float64       `xorm:"float 'STCtrlPara11'" json:"WM_StockTransferHead-STCtrlPara11"`
	STCtrlPara12      float64       `xorm:"float 'STCtrlPara12'" json:"WM_StockTransferHead-STCtrlPara12"`
	STCtrlPara13      grmi.DateTime `xorm:"datetime 'STCtrlPara13'" json:"WM_StockTransferHead-STCtrlPara13"`
	STCtrlPara14      grmi.DateTime `xorm:"datetime 'STCtrlPara14'" json:"WM_StockTransferHead-STCtrlPara14"`
	STCtrlPara15      grmi.DateTime `xorm:"datetime 'STCtrlPara15'" json:"WM_StockTransferHead-STCtrlPara15"`
	STCtrlPara16      grmi.DateTime `xorm:"datetime 'STCtrlPara16'" json:"WM_StockTransferHead-STCtrlPara16"`
	LastModify        grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_StockTransferHead-LastModify"`
	LastUser          string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_StockTransferHead-LastUser"`
	CreateTime        grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_StockTransferHead-CreateTime"`
}

type StockTransferDetail struct {
StockTransferId     string        `xorm:"pk nvarchar(40) 'StockTransferId'" json:"WM_StockTransferDetail-StockTransferId"`
STPos               int           `xorm:"pk int 'STPos'" json:"WM_StockTransferDetail-STPos"`
     // 下拉框  article列表页
*ArtId               string        `xorm:"nvarchar(40) 'ArtId' not null" json:"WM_StockTransferDetail-ArtId"`//物料id
ArtName             string        `xorm:"nvarchar(100) 'ArtName' not null" json:"WM_StockTransferDetail-ArtName"`
ArtType             string        `xorm:"nvarchar(40) 'ArtType' not null" json:"WM_StockTransferDetail-ArtType"`
Remark              string        `xorm:"nvarchar(100) 'Remark' not null" json:"WM_StockTransferDetail-Remark"`
Auditor             string        `xorm:"nvarchar(40) 'Auditor' not null" json:"WM_StockTransferDetail-Auditor"`
AuditTime           grmi.DateTime `xorm:"datetime 'AuditTime' not null" json:"WM_StockTransferDetail-AuditTime"`
AuditStatus         string        `xorm:"nvarchar(3) 'AuditStatus' not null" json:"WM_StockTransferDetail-AuditStatus"`
BatchId             string        `xorm:"nvarchar(255) 'BatchId' not null" json:"WM_StockTransferDetail-BatchId"`
*OrderedQty          float64       `xorm:"float 'OrderedQty' not null" json:"WM_StockTransferDetail-OrderedQty"`
OrderType           string        `xorm:"nvarchar(40) 'OrderType' not null" json:"WM_StockTransferDetail-OrderType"`
*DeliveredQty        float64       `xorm:"float 'DeliveredQty' not null" json:"WM_StockTransferDetail-DeliveredQty"`
    // article 里面携带
QtyUom              string        `xorm:"nvarchar(40) 'QtyUom' not null" json:"WM_StockTransferDetail-QtyUom"`
UnitPrice           float64       `xorm:"float 'UnitPrice'" json:"WM_StockTransferDetail-UnitPrice"`
TotalPrice          float64       `xorm:"float 'TotalPrice'" json:"WM_StockTransferDetail-TotalPrice"`
Currency            string        `xorm:"nvarchar(40) 'Currency' not null" json:"WM_StockTransferDetail-Currency"`
InspectToggle       bool          `xorm:"bit 'InspectToggle' not null" json:"WM_StockTransferDetail-InspectToggle"`
InspectPlanId       string        `xorm:"nvarchar(40) 'InspectPlanId' not null" json:"WM_StockTransferDetail-InspectPlanId"`
InspectStatus       string        `xorm:"nvarchar(3) 'InspectStatus' not null" json:"WM_StockTransferDetail-InspectStatus"`
*StorageBinId        string        `xorm:"nvarchar(40) 'StorageBinId' not null" json:"WM_StockTransferDetail-StorageBinId"`//库位
*StorageAreaId       string        `xorm:"nvarchar(40) 'StorageAreaId' not null" json:"WM_StockTransferDetail-StorageAreaId"`//库区
*WarehouseId         string        `xorm:"nvarchar(40) 'WarehouseId' not null" json:"WM_StockTransferDetail-WarehouseId"`//库房
*TargetStorageBinId  string        `xorm:"nvarchar(40) 'TargetStorageBinId' not null" json:"WM_StockTransferDetail-TargetStorageBinId"`//目标库位
*TargetStorageAreaId string        `xorm:"nvarchar(40) 'TargetStorageAreaId' not null" json:"WM_StockTransferDetail-TargetStorageAreaId"`//目标库区
*TargetWarehouseId   string        `xorm:"nvarchar(40) 'TargetWarehouseId' not null" json:"WM_StockTransferDetail-TargetWarehouseId"`//目标库房
*StorageRackId       string        `xorm:"nvarchar(40) 'StorageRackId' not null" json:"WM_StockTransferDetail-StorageRackId"`
*TargetStorageRackId string        `xorm:"nvarchar(40) 'TargetStorageRackId' not null" json:"WM_StockTransferDetail-TargetStorageRackId"`//目标库架
//不显示
STICtrlPara1        int           `xorm:"int 'STICtrlPara1' not null" json:"WM_StockTransferDetail-STICtrlPara1"`
STICtrlPara2        int           `xorm:"int 'STICtrlPara2' not null" json:"WM_StockTransferDetail-STICtrlPara2"`
STICtrlPara3        int           `xorm:"int 'STICtrlPara3' not null" json:"WM_StockTransferDetail-STICtrlPara3"`
STICtrlPara4        int           `xorm:"int 'STICtrlPara4' not null" json:"WM_StockTransferDetail-STICtrlPara4"`
STICtrlPara5        string        `xorm:"nvarchar(255) 'STICtrlPara5'" json:"WM_StockTransferDetail-STICtrlPara5"`
STICtrlPara6        string        `xorm:"nvarchar(255) 'STICtrlPara6'" json:"WM_StockTransferDetail-STICtrlPara6"`
STICtrlPara7        string        `xorm:"nvarchar(255) 'STICtrlPara7'" json:"WM_StockTransferDetail-STICtrlPara7"`
STICtrlPara8        string        `xorm:"nvarchar(255) 'STICtrlPara8'" json:"WM_StockTransferDetail-STICtrlPara8"`
STICtrlPara9        float64       `xorm:"float 'STICtrlPara9'" json:"WM_StockTransferDetail-STICtrlPara9"`
STICtrlPara10       float64       `xorm:"float 'STICtrlPara10'" json:"WM_StockTransferDetail-STICtrlPara10"`
STICtrlPara11       float64       `xorm:"float 'STICtrlPara11'" json:"WM_StockTransferDetail-STICtrlPara11"`
STICtrlPara12       float64       `xorm:"float 'STICtrlPara12'" json:"WM_StockTransferDetail-STICtrlPara12"`
STICtrlPara13       grmi.DateTime `xorm:"datetime 'STICtrlPara13'" json:"WM_StockTransferDetail-STICtrlPara13"`
STICtrlPara14       grmi.DateTime `xorm:"datetime 'STICtrlPara14'" json:"WM_StockTransferDetail-STICtrlPara14"`
STICtrlPara15       grmi.DateTime `xorm:"datetime 'STICtrlPara15'" json:"WM_StockTransferDetail-STICtrlPara15"`
STICtrlPara16       grmi.DateTime `xorm:"datetime 'STICtrlPara16'" json:"WM_StockTransferDetail-STICtrlPara16"`
LastModify          grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_StockTransferDetail-LastModify"`
LastUser            string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_StockTransferDetail-LastUser"`
CreateTime          grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_StockTransferDetail-CreateTime"`
}
```

### 盘库

```go
type InventoryCheckHead struct {
InventoryCheckId       string                 `xorm:"pk nvarchar(40) 'InventoryCheckId'" json:"WM_InventoryCheckHead-InventoryCheckId"`
Descr                  string                 `xorm:"nvarchar(100) 'Descr' not null" json:"WM_InventoryCheckHead-Descr"`
CheckDate              grmi.Date              `xorm:"date 'CheckDate' not null" json:"WM_InventoryCheckHead-CheckDate"`
CheckTime              grmi.DateTime          `xorm:"datetime 'CheckTime' not null" json:"WM_InventoryCheckHead-CheckTime"`
CheckType              string                 `xorm:"nvarchar(40) 'CheckType' not null" json:"WM_InventoryCheckHead-CheckType"`
CheckPerson            string                 `xorm:"nvarchar(40) 'CheckPerson' not null" json:"WM_InventoryCheckHead-CheckPerson"`
//标准定义wm_goodsstatus  值默认传1 已完成
*Status                 int                    `xorm:"int 'Status' not null" json:"WM_InventoryCheckHead-Status"`
*WareHouseId            string                 `xorm:"nvarchar(40) 'WareHouseId' not null" json:"WM_InventoryCheckHead-WareHouseId"`
*StorageAreaId          string                 `xorm:"nvarchar(40) 'StorageAreaId' not null" json:"WM_InventoryCheckHead-StorageAreaId"`
StorageRackId          string                 `xorm:"nvarchar(40) 'StorageRackId' not null" json:"WM_InventoryCheckHead-StorageRackId"`
*InventoryCheckDetailLi []InventoryCheckDetail `xorm:"-" json:"WM_InventoryCheckHead-InventoryCheckDetailLi"`

//不显示
ICCtrlPara1            int                    `xorm:"int 'ICCtrlPara1' not null" json:"WM_InventoryCheckHead-ICCtrlPara1"`
ICCtrlPara2            int                    `xorm:"int 'ICCtrlPara2' not null" json:"WM_InventoryCheckHead-ICCtrlPara2"`
ICCtrlPara3            string                 `xorm:"nvarchar(255) 'ICCtrlPara3' not null" json:"WM_InventoryCheckHead-ICCtrlPara3"`
ICCtrlPara4            string                 `xorm:"nvarchar(255) 'ICCtrlPara4' not null" json:"WM_InventoryCheckHead-ICCtrlPara4"`
ICCtrlPara5            float64                `xorm:"float 'ICCtrlPara5' not null" json:"WM_InventoryCheckHead-ICCtrlPara5"`
ICCtrlPara6            float64                `xorm:"float 'ICCtrlPara6' not null" json:"WM_InventoryCheckHead-ICCtrlPara6"`

LastModify             grmi.DateTime          `xorm:"datetime 'LastModify' not null updated" json:"WM_InventoryCheckHead-LastModify"`
LastUser               string                 `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_InventoryCheckHead-LastUser"`
CreateTime             grmi.DateTime          `xorm:"datetime 'CreateTime' not null created" json:"WM_InventoryCheckHead-CreateTime"`
}

type InventoryCheckDetail struct {
InventoryCheckId    string              `xorm:"pk nvarchar(40) 'InventoryCheckId'" json:"WM_InventoryCheckDetail-InventoryCheckId"`
ICDPos              int                 `xorm:"pk int 'ICDPos'" json:"WM_InventoryCheckDetail-ICDPos"`
Descr               string              `xorm:"nvarchar(100) 'Descr' not null" json:"WM_InventoryCheckDetail-Descr"`
*StorageBinId        string              `xorm:"nvarchar(40) 'StorageBinId' not null" json:"WM_InventoryCheckDetail-StorageBinId"`
*WarehouseId         string              `xorm:"nvarchar(40) 'WarehouseId' not null" json:"WM_InventoryCheckDetail-WarehouseId"`
InventoryCheckLstLi []InventoryCheckLst `xorm:"-" json:"WM_InventoryCheckDetail-InventoryCheckLstLi"`
// 不显示
ICCtrlPara1         int                 `xorm:"int 'ICCtrlPara1' not null" json:"WM_InventoryCheckDetail-ICCtrlPara1"`
ICCtrlPara2         int                 `xorm:"int 'ICCtrlPara2' not null" json:"WM_InventoryCheckDetail-ICCtrlPara2"`
ICCtrlPara3         string              `xorm:"nvarchar(255) 'ICCtrlPara3'" json:"WM_InventoryCheckDetail-ICCtrlPara3"`
ICCtrlPara4         string              `xorm:"nvarchar(255) 'ICCtrlPara4'" json:"WM_InventoryCheckDetail-ICCtrlPara4"`
ICCtrlPara5         float64             `xorm:"float 'ICCtrlPara5'" json:"WM_InventoryCheckDetail-ICCtrlPara5"`
ICCtrlPara6         float64             `xorm:"float 'ICCtrlPara6'" json:"WM_InventoryCheckDetail-ICCtrlPara6"`
LastModify          grmi.DateTime       `xorm:"datetime 'LastModify' not null updated" json:"WM_InventoryCheckDetail-LastModify"`
LastUser            string              `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_InventoryCheckDetail-LastUser"`
CreateTime          grmi.DateTime       `xorm:"datetime 'CreateTime' not null created" json:"WM_InventoryCheckDetail-CreateTime"`
}

type InventoryCheckLst struct {
InventoryCheckId string        `xorm:"pk nvarchar(40) 'InventoryCheckId'" json:"WM_InventoryCheckLst-InventoryCheckId"`
ICDPos           int           `xorm:"pk int 'ICDPos'" json:"WM_InventoryCheckLst-ICDPos"`
ICLPos           int           `xorm:"pk int 'ICLPos'" json:"WM_InventoryCheckLst-ICLPos"`
*StorageBinId     string        `xorm:"nvarchar(40) 'StorageBinId' not null" json:"WM_InventoryCheckLst-StorageBinId"`
*WarehouseId      string        `xorm:"nvarchar(40) 'WarehouseId' not null" json:"WM_InventoryCheckLst-WarehouseId"`
// 下拉框   
*ArtId            string        `xorm:"nvarchar(40) 'ArtId' not null" json:"WM_InventoryCheckLst-ArtId"`
ArtName          string        `xorm:"nvarchar(100) 'ArtName' not null" json:"WM_InventoryCheckLst-ArtName"`
ArtType          string        `xorm:"nvarchar(40) 'ArtType' not null" json:"WM_InventoryCheckLst-ArtType"`

*OriginQty        float64       `xorm:"float 'OriginQty' not null" json:"WM_InventoryCheckLst-OriginQty"`
*ActQty           float64       `xorm:"float 'ActQty' not null" json:"WM_InventoryCheckLst-ActQty"`
// article 携带
QtyUom           string        `xorm:"nvarchar(40) 'QtyUom' not null" json:"WM_InventoryCheckLst-QtyUom"`
CheckResult      string        `xorm:"nvarchar(20) 'CheckResult' not null" json:"WM_InventoryCheckLst-CheckResult"`
ResultExplain    string        `xorm:"nvarchar(255) 'ResultExplain' not null" json:"WM_InventoryCheckLst-ResultExplain"`
// 不显示
ICLCtrlPara1     int           `xorm:"int 'ICLCtrlPara1' not null" json:"WM_InventoryCheckLst-ICLCtrlPara1"`
ICLCtrlPara2     int           `xorm:"int 'ICLCtrlPara2' not null" json:"WM_InventoryCheckLst-ICLCtrlPara2"`
ICLCtrlPara3     string        `xorm:"nvarchar(255) 'ICLCtrlPara3'" json:"WM_InventoryCheckLst-ICLCtrlPara3"`
ICLCtrlPara4     string        `xorm:"nvarchar(255) 'ICLCtrlPara4'" json:"WM_InventoryCheckLst-ICLCtrlPara4"`
ICLCtrlPara5     float64       `xorm:"float 'ICLCtrlPara5'" json:"WM_InventoryCheckLst-ICLCtrlPara5"`
ICLCtrlPara6     float64       `xorm:"float 'ICLCtrlPara6'" json:"WM_InventoryCheckLst-ICLCtrlPara6"`
LastModify       grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_InventoryCheckLst-LastModify"`
LastUser         string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_InventoryCheckLst-LastUser"`
CreateTime       grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_InventoryCheckLst-CreateTime"`
}
```

### 补库单

```go
type ReplenishOrder struct {
ReplenishId   string        `xorm:"pk nvarchar(40) 'ReplenishId'" json:"WM_ReplenishOrder-ReplenishId"`
ArtId         string        `xorm:"nvarchar(40) 'ArtId' not null" json:"WM_ReplenishOrder-ArtId"`
Qty           float64       `xorm:"float 'Qty' not null" json:"WM_ReplenishOrder-Qty"`
Uom           string        `xorm:"nvarchar(40) 'Uom' not null" json:"WM_ReplenishOrder-Uom"`
ReplenishTime grmi.DateTime `xorm:"datetime 'ReplenishTime' not null" json:"WM_ReplenishOrder-ReplenishTime"`
ArtType       string        `xorm:"varchar(40) 'ArtType' not null" json:"WM_ReplenishOrder-ArtType"`
ArtName       string        `xorm:"nvarchar(100) 'ArtName' not null" json:"WM_ReplenishOrder-ArtName"`
//标准定义wm_goodsstatus
Status        int           `xorm:"int 'Status' not null" json:"WM_ReplenishOrder-Status"`
//不显示
LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_ReplenishOrder-LastModify"`
LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_ReplenishOrder-LastUser"`
CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_ReplenishOrder-CreateTime"`
}
```

### 库存

```go
type InventoryBook struct {
	*StorageBinId    string        `xorm:"pk nvarchar(40) 'StorageBinId'" json:"WM_InventoryBook-StorageBinId"`
	*WarehouseId     string        `xorm:"pk nvarchar(40) 'WarehouseId'" json:"WM_InventoryBook-WarehouseId"`
	*ArtId           string        `xorm:"pk nvarchar(40) 'ArtId'" json:"WM_InventoryBook-ArtId"`
	*StorageAreaId   string        `xorm:"nvarchar(40) 'StorageAreaId' not null" json:"WM_InventoryBook-StorageAreaId"`
	SKU             string        `xorm:"nvarchar(100) 'SKU' not null" json:"WM_InventoryBook-SKU"`
	ArtName         string        `xorm:"nvarchar(100) 'ArtName' not null" json:"WM_InventoryBook-ArtName"`
	ArtType         string        `xorm:"nvarchar(40) 'ArtType' not null" json:"WM_InventoryBook-ArtType"`
	QtyUom          string        `xorm:"nvarchar(40) 'QtyUom' not null" json:"WM_InventoryBook-QtyUom"`
	*Qty             float64       `xorm:"float 'Qty' not null" json:"WM_InventoryBook-Qty"`
    StorageRackId   string        `xorm:"nvarchar(40) 'StorageRackId'" json:"WM_InventoryBook-StorageRackId"`
	
	不显示
	IBCtrlPara1     int           `xorm:"int 'IBCtrlPara1' not null" json:"WM_InventoryBook-IBCtrlPara1"`
	IBCtrlPara2     int           `xorm:"int 'IBCtrlPara2' not null" json:"WM_InventoryBook-IBCtrlPara2"`
	IBCtrlPara3     string        `xorm:"nvarchar(255) 'IBCtrlPara3'" json:"WM_InventoryBook-IBCtrlPara3"`
	IBCtrlPara4     string        `xorm:"nvarchar(255) 'IBCtrlPara4'" json:"WM_InventoryBook-IBCtrlPara4"`
	IBCtrlPara5     float64       `xorm:"float 'IBCtrlPara5'" json:"WM_InventoryBook-IBCtrlPara5"`
	IBCtrlPara6     float64       `xorm:"float 'IBCtrlPara6'" json:"WM_InventoryBook-IBCtrlPara6"`
	LastCheckDate   grmi.DateTime `xorm:"datetime 'LastCheckDate' not null" json:"WM_InventoryBook-LastCheckDate"`
	LastCheckPerson string        `xorm:"nvarchar(20) 'LastCheckPerson' not null" json:"WM_InventoryBook-LastCheckPerson"`
	LastModify      grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_InventoryBook-LastModify"`
	LastUser        string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_InventoryBook-LastUser"`
	CreateTime      grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_InventoryBook-CreateTime"`
}
```

### 台账  请看物料表

```go
```