// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package api

import (
	"LAPP_LF_MOM_BACKEND/dao/api/implments"
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/api"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : A30MesDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : A30Mes的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-11 17:38:55
 *
 ******************************************************************************/
type A30MesDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条A30Mes
	 *
	 * @Function Parameters      : 需要插入的A30Mes
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-11 17:38:55
	 *
	 ******************************************************************************/
	InsertOne(*model.A30Mes) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的A30Mes
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-11 17:38:55
	 *
	 ******************************************************************************/
	DeleteOne(string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的A30Mes
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的A30Mes
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-11 17:38:55
	 *
	 ******************************************************************************/
	SelectOne(string) (*model.A30Mes, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改A30Mes
	 *
	 * @Function Parameters      : 需要修改的A30Mes
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-11 17:38:55
	 *
	 ******************************************************************************/
	UpdateOne(*model.A30Mes) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条A30Mes
	 *
	 * @Function Parameters      : 需要插入的A30Mes列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-11 17:38:55
	 *
	 ******************************************************************************/
	Insert(*[]model.A30Mes) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条A30Mes
	 *
	 * @Function Parameters      : 需要删除的A30Mes列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-11 17:38:55
	 *
	 ******************************************************************************/
	Delete(*[]model.A30Mes) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除A30Mes
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-11 17:38:55
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询A30Mes
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-11 17:38:55
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.A30Mes, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询A30Mes并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-11 17:38:55
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条A30Mes
	 *
	 * @Function Parameters      : 需要修改的A30Mes列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-11 17:38:55
	 *
	 ******************************************************************************/
	Update(*[]model.A30Mes) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改A30Mes
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-11 17:38:55
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.A30Mes, ...string) error
}

/******************************************************************************
 *
 * @Function Name            : NewA30MesDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个A30MesDAO实例
 *
 * @Function Parameters      : xorm会话
 *

 * @Return Value             : A30MesDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-11 17:38:55
 *
 ******************************************************************************/
func NewA30MesDAO(session *xorm.Session, userid string) A30MesDAO {
	return implments.NewA30MesDAOImplement(session, userid)
}
