// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package api

import (
	"LAPP_LF_MOM_BACKEND/dao/api/implments"
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/api"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : ACCUNITIDDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : ACCUNITID的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-12 10:08:28
 *
 ******************************************************************************/
type ACCUNITIDDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ACCUNITID
	 *
	 * @Function Parameters      : 需要插入的ACCUNITID
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-12 10:08:28
	 *
	 ******************************************************************************/
	InsertOne(*model.ACCUNITID) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ACCUNITID
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-12 10:08:28
	 *
	 ******************************************************************************/
	DeleteOne(int64) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ACCUNITID
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ACCUNITID
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-12 10:08:28
	 *
	 ******************************************************************************/
	SelectOne(int64) (*model.ACCUNITID, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectInfo
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ACCUNITID
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ACCUNITID
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-12 10:08:28
	 *
	 ******************************************************************************/
	SelectInfo(reclinerNr string) (*model.ACCUNITID, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改ACCUNITID
	 *
	 * @Function Parameters      : 需要修改的ACCUNITID
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-12 10:08:28
	 *
	 ******************************************************************************/
	UpdateOne(*model.ACCUNITID) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ACCUNITID
	 *
	 * @Function Parameters      : 需要插入的ACCUNITID列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-12 10:08:28
	 *
	 ******************************************************************************/
	Insert(*[]model.ACCUNITID) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ACCUNITID
	 *
	 * @Function Parameters      : 需要删除的ACCUNITID列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-12 10:08:28
	 *
	 ******************************************************************************/
	Delete(*[]model.ACCUNITID) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除ACCUNITID
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-12 10:08:28
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ACCUNITID
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-12 10:08:28
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.ACCUNITID, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ACCUNITID并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-12 10:08:28
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ACCUNITID
	 *
	 * @Function Parameters      : 需要修改的ACCUNITID列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-12 10:08:28
	 *
	 ******************************************************************************/
	Update(*[]model.ACCUNITID) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改ACCUNITID
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-12 10:08:28
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.ACCUNITID, ...string) error
}

/******************************************************************************
 *
 * @Function Name            : NewACCUNITIDDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ACCUNITIDDAO实例
 *
 * @Function Parameters      : xorm会话
 *

 * @Return Value             : ACCUNITIDDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-12 10:08:28
 *
 ******************************************************************************/
func NewACCUNITIDDAO(session *xorm.Session, userid string) ACCUNITIDDAO {
	return implments.NewACCUNITIDDAOImplement(session, userid)
}
