// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package api

import (
	"LAPP_LF_MOM_BACKEND/dao/api/implments"
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/api"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : ACCUNITSTATUSDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : ACCUNITSTATUS的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-25 15:07:15
 *
 ******************************************************************************/
type ACCUNITSTATUSDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ACCUNITSTATUS
	 *
	 * @Function Parameters      : 需要插入的ACCUNITSTATUS
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-25 15:07:15
	 *
	 ******************************************************************************/
	InsertOne(*model.ACCUNITSTATUS) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ACCUNITSTATUS
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-25 15:07:15
	 *
	 ******************************************************************************/
	DeleteOne(string, string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ACCUNITSTATUS
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ACCUNITSTATUS
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-25 15:07:15
	 *
	 ******************************************************************************/
	SelectOne(string, string) (*model.ACCUNITSTATUS, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectInfo
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ACCUNITSTATUS
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ACCUNITSTATUS
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-25 15:07:15
	 *
	 ******************************************************************************/
	SelectInfo(string) (*model.ACCUNITSTATUS, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改ACCUNITSTATUS
	 *
	 * @Function Parameters      : 需要修改的ACCUNITSTATUS
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-25 15:07:15
	 *
	 ******************************************************************************/
	UpdateOne(*model.ACCUNITSTATUS) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ACCUNITSTATUS
	 *
	 * @Function Parameters      : 需要插入的ACCUNITSTATUS列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-25 15:07:15
	 *
	 ******************************************************************************/
	Insert(*[]model.ACCUNITSTATUS) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ACCUNITSTATUS
	 *
	 * @Function Parameters      : 需要删除的ACCUNITSTATUS列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-25 15:07:15
	 *
	 ******************************************************************************/
	Delete(*[]model.ACCUNITSTATUS) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除ACCUNITSTATUS
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-25 15:07:15
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ACCUNITSTATUS
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-25 15:07:15
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.ACCUNITSTATUS, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ACCUNITSTATUS并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-25 15:07:15
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ACCUNITSTATUS
	 *
	 * @Function Parameters      : 需要修改的ACCUNITSTATUS列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-25 15:07:15
	 *
	 ******************************************************************************/
	Update(*[]model.ACCUNITSTATUS) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改ACCUNITSTATUS
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-25 15:07:15
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.ACCUNITSTATUS, ...string) error
}

/******************************************************************************
 *
 * @Function Name            : NewACCUNITSTATUSDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ACCUNITSTATUSDAO实例
 *
 * @Function Parameters      : xorm会话
 *

 * @Return Value             : ACCUNITSTATUSDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-25 15:07:15
 *
 ******************************************************************************/
func NewACCUNITSTATUSDAO(session *xorm.Session, userid string) ACCUNITSTATUSDAO {
	return implments.NewACCUNITSTATUSDAOImplement(session, userid)
}
