// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package api

import (
	"LAPP_LF_MOM_BACKEND/dao/api/implments"
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/api"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : ACCWOWORKORDERDETAILDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : ACCWOWORKORDERDETAIL的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-12 14:17:07
 *
 ******************************************************************************/
type ACCWOWORKORDERDETAILDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ACCWOWORKORDERDETAIL
	 *
	 * @Function Parameters      : 需要插入的ACCWOWORKORDERDETAIL
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-10 17:17:39
	 *
	 ******************************************************************************/
	InsertOne(*model.ACCWOWORKORDERDETAIL) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ACCWOWORKORDERDETAIL
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-12 14:17:07
	 *
	 ******************************************************************************/
	DeleteOne(string, string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ACCWOWORKORDERDETAIL
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ACCWOWORKORDERDETAIL
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-12 14:17:07
	 *
	 ******************************************************************************/
	SelectOne(string, string) (*model.ACCWOWORKORDERDETAIL, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改ACCWOWORKORDERDETAIL
	 *
	 * @Function Parameters      : 需要修改的ACCWOWORKORDERDETAIL
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-10 17:17:39
	 *
	 ******************************************************************************/
	UpdateOne(*model.ACCWOWORKORDERDETAIL) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ACCWOWORKORDERDETAIL
	 *
	 * @Function Parameters      : 需要插入的ACCWOWORKORDERDETAIL列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-10 17:17:39
	 *
	 ******************************************************************************/
	Insert(*[]model.ACCWOWORKORDERDETAIL) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ACCWOWORKORDERDETAIL
	 *
	 * @Function Parameters      : 需要删除的ACCWOWORKORDERDETAIL列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-10 17:17:39
	 *
	 ******************************************************************************/
	Delete(*[]model.ACCWOWORKORDERDETAIL) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除ACCWOWORKORDERDETAIL
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-10 17:17:39
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ACCWOWORKORDERDETAIL
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-10 17:17:39
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.ACCWOWORKORDERDETAIL, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ACCWOWORKORDERDETAIL并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-10 17:17:39
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ACCWOWORKORDERDETAIL
	 *
	 * @Function Parameters      : 需要修改的ACCWOWORKORDERDETAIL列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-10 17:17:39
	 *
	 ******************************************************************************/
	Update(*[]model.ACCWOWORKORDERDETAIL) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改ACCWOWORKORDERDETAIL
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-10 17:17:39
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.ACCWOWORKORDERDETAIL, ...string) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOneWithPreStatus
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改ACCWOWORKORDERDETAIL
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-07-20
	 *
	 ******************************************************************************/
	UpdateOneWithPreStatus(entity *model.ACCWOWORKORDERDETAIL, status int) error
}

/******************************************************************************
 *
 * @Function Name            : NewACCWOWORKORDERDETAILDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ACCWOWORKORDERDETAILDAO实例
 *
 * @Function Parameters      : xorm会话
 *

 * @Return Value             : ACCWOWORKORDERDETAILDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-10 17:17:39
 *
 ******************************************************************************/
func NewACCWOWORKORDERDETAILDAO(session *xorm.Session, userid string) ACCWOWORKORDERDETAILDAO {
	return implments.NewACCWOWORKORDERDETAILDAOImplement(session, userid)
}
