// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package api

import (
	"LAPP_LF_MOM_BACKEND/dao/api/implments"
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/api"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : ACCWOWORKORDERHEADERDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : ACCWOWORKORDERHEADER的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-12 14:17:07
 *
 ******************************************************************************/
type ACCWOWORKORDERHEADERDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ACCWOWORKORDERHEADER
	 *
	 * @Function Parameters      : 需要插入的ACCWOWORKORDERHEADER
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-12 14:17:07
	 *
	 ******************************************************************************/
	InsertOne(*model.ACCWOWORKORDERHEADER) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ACCWOWORKORDERHEADER
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-12 14:17:07
	 *
	 ******************************************************************************/
	DeleteOne(string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ACCWOWORKORDERHEADER
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ACCWOWORKORDERHEADER
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-12 14:17:07
	 *
	 ******************************************************************************/
	SelectOne(string) (*model.ACCWOWORKORDERHEADER, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改ACCWOWORKORDERHEADER
	 *
	 * @Function Parameters      : 需要修改的ACCWOWORKORDERHEADER
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-12 14:17:07
	 *
	 ******************************************************************************/
	UpdateOne(*model.ACCWOWORKORDERHEADER) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ACCWOWORKORDERHEADER
	 *
	 * @Function Parameters      : 需要插入的ACCWOWORKORDERHEADER列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-12 14:17:07
	 *
	 ******************************************************************************/
	Insert(*[]model.ACCWOWORKORDERHEADER) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ACCWOWORKORDERHEADER
	 *
	 * @Function Parameters      : 需要删除的ACCWOWORKORDERHEADER列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-12 14:17:07
	 *
	 ******************************************************************************/
	Delete(*[]model.ACCWOWORKORDERHEADER) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除ACCWOWORKORDERHEADER
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-12 14:17:07
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ACCWOWORKORDERHEADER
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-12 14:17:07
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field, int) ([]model.ACCWOWORKORDERHEADER, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ACCWOWORKORDERHEADER并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-12 14:17:07
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ACCWOWORKORDERHEADER
	 *
	 * @Function Parameters      : 需要修改的ACCWOWORKORDERHEADER列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-12 14:17:07
	 *
	 ******************************************************************************/
	Update(*[]model.ACCWOWORKORDERHEADER) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改ACCWOWORKORDERHEADER
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-12 14:17:07
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.ACCWOWORKORDERHEADER, ...string) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateForQty
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改ACCWOWORKORDERHEADER 同时指定原先的qty
	 *
	 * @Function Parameters      : 需要修改的ACCWOWORKORDERHEADER
	 *
	 * @Function Parameters      : 之前的数量
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-06-29
	 *
	 ******************************************************************************/
	UpdateForQty(*model.ACCWOWORKORDERHEADER, int) error
}

/******************************************************************************
 *
 * @Function Name            : NewACCWOWORKORDERHEADERDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ACCWOWORKORDERHEADERDAO实例
 *
 * @Function Parameters      : xorm会话
 *

 * @Return Value             : ACCWOWORKORDERHEADERDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-12 14:17:07
 *
 ******************************************************************************/
func NewACCWOWORKORDERHEADERDAO(session *xorm.Session, userid string) ACCWOWORKORDERHEADERDAO {
	return implments.NewACCWOWORKORDERHEADERDAOImplement(session, userid)
}
