// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package api

import (
	"LAPP_LF_MOM_BACKEND/dao/api/implments"
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/api"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : PortalWorkOrderDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : PortalWorkOrder的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-14 10:40:07
 *
 ******************************************************************************/
type PortalWorkOrderDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条PortalWorkOrder
	 *
	 * @Function Parameters      : 需要插入的PortalWorkOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-14 10:40:07
	 *
	 ******************************************************************************/
	InsertOne(*model.PortalWorkOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的PortalWorkOrder
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-14 10:40:07
	 *
	 ******************************************************************************/
	DeleteOne(string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的PortalWorkOrder
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的PortalWorkOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-14 10:40:07
	 *
	 ******************************************************************************/
	SelectOne(string) (*model.PortalWorkOrder, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改PortalWorkOrder
	 *
	 * @Function Parameters      : 需要修改的PortalWorkOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-14 10:40:07
	 *
	 ******************************************************************************/
	UpdateOne(*model.PortalWorkOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条PortalWorkOrder
	 *
	 * @Function Parameters      : 需要插入的PortalWorkOrder列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-14 10:40:07
	 *
	 ******************************************************************************/
	Insert(*[]model.PortalWorkOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条PortalWorkOrder
	 *
	 * @Function Parameters      : 需要删除的PortalWorkOrder列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-14 10:40:07
	 *
	 ******************************************************************************/
	Delete(*[]model.PortalWorkOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除PortalWorkOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-14 10:40:07
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询PortalWorkOrder
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-14 10:40:07
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.PortalWorkOrder, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询PortalWorkOrder并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-14 10:40:07
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条PortalWorkOrder
	 *
	 * @Function Parameters      : 需要修改的PortalWorkOrder列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-14 10:40:07
	 *
	 ******************************************************************************/
	Update(*[]model.PortalWorkOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改PortalWorkOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-14 10:40:07
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.PortalWorkOrder, ...string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectNeedParseData
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 获取需要同步的portal work order
	 *
	 * @Return Value             : []model.PortalWorkOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-05-14
	 *
	 ******************************************************************************/
	SelectNeedParseData(string) ([]model.PortalWorkOrder, error)
}

/******************************************************************************
 *
 * @Function Name            : NewPortalWorkOrderDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个PortalWorkOrderDAO实例
 *
 * @Function Parameters      : xorm会话
 *

 * @Return Value             : PortalWorkOrderDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-14 10:40:07
 *
 ******************************************************************************/
func NewPortalWorkOrderDAO(session *xorm.Session, userid string) PortalWorkOrderDAO {
	return implments.NewPortalWorkOrderDAOImplement(session, userid)
}
