// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package api

import (
	"LAPP_LF_MOM_BACKEND/dao/api/implments"
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/api"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : VwPlanInfoDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : VwPlanInfo的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-18 10:52:46
 *
 ******************************************************************************/
type VwPlanInfoDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条VwPlanInfo
	 *
	 * @Function Parameters      : 需要插入的VwPlanInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-18 10:52:46
	 *
	 ******************************************************************************/
	InsertOne(*model.VwPlanInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的VwPlanInfo
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-18 10:52:46
	 *
	 ******************************************************************************/
	DeleteOne(string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的VwPlanInfo
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的VwPlanInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-18 10:52:46
	 *
	 ******************************************************************************/
	SelectOne(string) (*model.VwPlanInfo, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改VwPlanInfo
	 *
	 * @Function Parameters      : 需要修改的VwPlanInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-18 10:52:46
	 *
	 ******************************************************************************/
	UpdateOne(*model.VwPlanInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条VwPlanInfo
	 *
	 * @Function Parameters      : 需要插入的VwPlanInfo列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-18 10:52:46
	 *
	 ******************************************************************************/
	Insert(*[]model.VwPlanInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条VwPlanInfo
	 *
	 * @Function Parameters      : 需要删除的VwPlanInfo列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-18 10:52:46
	 *
	 ******************************************************************************/
	Delete(*[]model.VwPlanInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除VwPlanInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-18 10:52:46
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询VwPlanInfo
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-18 10:52:46
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.VwPlanInfo, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询VwPlanInfo并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-18 10:52:46
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条VwPlanInfo
	 *
	 * @Function Parameters      : 需要修改的VwPlanInfo列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-18 10:52:46
	 *
	 ******************************************************************************/
	Update(*[]model.VwPlanInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改VwPlanInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-18 10:52:46
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.VwPlanInfo, ...string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectNeedParseData
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 获取需要同步的portal work order
	 *
	 * @Return Value             : []model.VwPlanInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-05-14
	 *
	 ******************************************************************************/
	SelectNeedParseData(string, string) ([]model.VwPlanInfo, error)
}

/******************************************************************************
 *
 * @Function Name            : NewVwPlanInfoDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个VwPlanInfoDAO实例
 *
 * @Function Parameters      : xorm会话
 *

 * @Return Value             : VwPlanInfoDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-18 10:52:46
 *
 ******************************************************************************/
func NewVwPlanInfoDAO(session *xorm.Session, userid string) VwPlanInfoDAO {
	return implments.NewVwPlanInfoDAOImplement(session, userid)
}
