// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/dao/base/implments"
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : ArticleAtcodLstDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : ArticleAtcodLst的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-19 09:34:38
 *
 ******************************************************************************/
type ArticleAtcodLstDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ArticleAtcodLst
	 *
	 * @Function Parameters      : 需要插入的ArticleAtcodLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-19 09:34:38
	 *
	 ******************************************************************************/
	InsertOne(*model.ArticleAtcodLst) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ArticleAtcodLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-19 09:34:38
	 *
	 ******************************************************************************/
	DeleteOne(string, int, string, int, string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ArticleAtcodLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ArticleAtcodLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-19 09:34:38
	 *
	 ******************************************************************************/
	SelectOne(string, int, string, int, string) (*model.ArticleAtcodLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改ArticleAtcodLst
	 *
	 * @Function Parameters      : 需要修改的ArticleAtcodLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-19 09:34:38
	 *
	 ******************************************************************************/
	UpdateOne(*model.ArticleAtcodLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ArticleAtcodLst
	 *
	 * @Function Parameters      : 需要插入的ArticleAtcodLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-19 09:34:38
	 *
	 ******************************************************************************/
	Insert(*[]model.ArticleAtcodLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ArticleAtcodLst
	 *
	 * @Function Parameters      : 需要删除的ArticleAtcodLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-19 09:34:38
	 *
	 ******************************************************************************/
	Delete(*[]model.ArticleAtcodLst) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除ArticleAtcodLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-19 09:34:38
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ArticleAtcodLst
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-19 09:34:38
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.ArticleAtcodLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ArticleAtcodLst并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-19 09:34:38
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ArticleAtcodLst
	 *
	 * @Function Parameters      : 需要修改的ArticleAtcodLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-19 09:34:38
	 *
	 ******************************************************************************/
	Update(*[]model.ArticleAtcodLst) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改ArticleAtcodLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-19 09:34:38
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.ArticleAtcodLst, ...string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectAllot
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 通过ArticleAtcodLst和Attribute联查出已分配的属性
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : Lou Wen Zhi
	 *
	 * @Date                     : 2021-04-19 09:53:49
	 *
	 ******************************************************************************/
	SelectAllot(artId string) ([]model.Attribute, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectUnAllot
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 通过ArticleAtcodLst查询出未分配的属性
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : Lou Wen Zhi
	 *
	 * @Date                     : 2021-04-19 09:53:49
	 *
	 ******************************************************************************/
	SelectUnAllot(attrCodes []int) ([]model.Attribute, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAllAttributeWithValue
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 获取所有的attribute和AttributeValst连表查询
	 *
	 * @Return Value             : []model.ArticleWithAttrValue
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-08-19
	 *
	 ******************************************************************************/
	SelectAllWithAttrValue() ([]model.ArticleWithAttrValue, error)
}

/******************************************************************************
 *
 * @Function Name            : NewArticleAtcodLstDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ArticleAtcodLstDAO实例
 *
 * @Function Parameters      : xorm会话
 *
 * @Function Parameters      : 基本主键
 *
 * @Return Value             : ArticleAtcodLstDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-19 09:34:38
 *
 ******************************************************************************/
func NewArticleAtcodLstDAO(session *xorm.Session, plantNr int, userid string) ArticleAtcodLstDAO {
	return implments.NewArticleAtcodLstDAOImplement(session, plantNr, userid)
}
