// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/dao/base/implments"
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : GuideRuleInfoDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : GuideRuleInfo的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-12 10:43:48
 *
 ******************************************************************************/
type GuideRuleInfoDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条GuideRuleInfo
	 *
	 * @Function Parameters      : 需要插入的GuideRuleInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-12 10:43:48
	 *
	 ******************************************************************************/
	InsertOne(*model.GuideRuleInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的GuideRuleInfo
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-12 10:43:48
	 *
	 ******************************************************************************/
	DeleteOne(int) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的GuideRuleInfo
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的GuideRuleInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-12 10:43:48
	 *
	 ******************************************************************************/
	SelectOne(int) (*model.GuideRuleInfo, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改GuideRuleInfo
	 *
	 * @Function Parameters      : 需要修改的GuideRuleInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-12 10:43:48
	 *
	 ******************************************************************************/
	UpdateOne(*model.GuideRuleInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条GuideRuleInfo
	 *
	 * @Function Parameters      : 需要插入的GuideRuleInfo列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-12 10:43:48
	 *
	 ******************************************************************************/
	Insert(*[]model.GuideRuleInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条GuideRuleInfo
	 *
	 * @Function Parameters      : 需要删除的GuideRuleInfo列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-12 10:43:48
	 *
	 ******************************************************************************/
	Delete(*[]model.GuideRuleInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除GuideRuleInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-12 10:43:48
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询GuideRuleInfo
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-12 10:43:48
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.GuideRuleInfo, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询GuideRuleInfo并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-12 10:43:48
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条GuideRuleInfo
	 *
	 * @Function Parameters      : 需要修改的GuideRuleInfo列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-12 10:43:48
	 *
	 ******************************************************************************/
	Update(*[]model.GuideRuleInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改GuideRuleInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-12 10:43:48
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.GuideRuleInfo, ...string) error
}

/******************************************************************************
 *
 * @Function Name            : NewGuideRuleInfoDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个GuideRuleInfoDAO实例
 *
 * @Function Parameters      : xorm会话
 *
 * @Function Parameters      : 基本主键
 *
 * @Return Value             : GuideRuleInfoDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-12 10:43:48
 *
 ******************************************************************************/
func NewGuideRuleInfoDAO(session *xorm.Session, plantNr int, userid string) GuideRuleInfoDAO {
	return implments.NewGuideRuleInfoDAOImplement(session, plantNr, userid)
}
