// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/dao/base/implments"
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : OPCMonitorComDetailRuleDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : OPCMonitorComDetailRule的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-22 15:49:36
 *
 ******************************************************************************/
type OPCMonitorComDetailRuleDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条OPCMonitorComDetailRule
	 *
	 * @Function Parameters      : 需要插入的OPCMonitorComDetailRule
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-22 15:49:36
	 *
	 ******************************************************************************/
	InsertOne(*model.OPCMonitorComDetailRule) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的OPCMonitorComDetailRule
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-22 15:49:36
	 *
	 ******************************************************************************/
	DeleteOne(int, int, int, int, int, int) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的OPCMonitorComDetailRule
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的OPCMonitorComDetailRule
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-22 15:49:36
	 *
	 ******************************************************************************/
	SelectOne(int, int, int, int, int, int) (*model.OPCMonitorComDetailRule, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改OPCMonitorComDetailRule
	 *
	 * @Function Parameters      : 需要修改的OPCMonitorComDetailRule
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-22 15:49:36
	 *
	 ******************************************************************************/
	UpdateOne(*model.OPCMonitorComDetailRule) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条OPCMonitorComDetailRule
	 *
	 * @Function Parameters      : 需要插入的OPCMonitorComDetailRule列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-22 15:49:36
	 *
	 ******************************************************************************/
	Insert(*[]model.OPCMonitorComDetailRule) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条OPCMonitorComDetailRule
	 *
	 * @Function Parameters      : 需要删除的OPCMonitorComDetailRule列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-22 15:49:36
	 *
	 ******************************************************************************/
	Delete(*[]model.OPCMonitorComDetailRule) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除OPCMonitorComDetailRule
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-22 15:49:36
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询OPCMonitorComDetailRule
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-22 15:49:36
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.OPCMonitorComDetailRule, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询OPCMonitorComDetailRule并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-22 15:49:36
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条OPCMonitorComDetailRule
	 *
	 * @Function Parameters      : 需要修改的OPCMonitorComDetailRule列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-22 15:49:36
	 *
	 ******************************************************************************/
	Update(*[]model.OPCMonitorComDetailRule) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改OPCMonitorComDetailRule
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-22 15:49:36
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.OPCMonitorComDetailRule, ...string) error
}

/******************************************************************************
 *
 * @Function Name            : NewOPCMonitorComDetailRuleDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个OPCMonitorComDetailRuleDAO实例
 *
 * @Function Parameters      : xorm会话
 *
 * @Function Parameters      : 基本主键
 *
 * @Return Value             : OPCMonitorComDetailRuleDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-22 15:49:36
 *
 ******************************************************************************/
func NewOPCMonitorComDetailRuleDAO(session *xorm.Session, plantNr int, userid string) OPCMonitorComDetailRuleDAO {
	return implments.NewOPCMonitorComDetailRuleDAOImplement(session, plantNr, userid)
}
