// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/dao/base/implments"
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : PersonLoginHistoryDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : PersonLoginHistory的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-25 14:20:56
 *
 ******************************************************************************/
type PersonLoginHistoryDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条PersonLoginHistory
	 *
	 * @Function Parameters      : 需要插入的PersonLoginHistory
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-25 14:20:56
	 *
	 ******************************************************************************/
	InsertOne(*model.PersonLoginHistory) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的PersonLoginHistory
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-25 14:20:56
	 *
	 ******************************************************************************/
	DeleteOne(int) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的PersonLoginHistory
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的PersonLoginHistory
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-25 14:20:56
	 *
	 ******************************************************************************/
	SelectOne(int) (*model.PersonLoginHistory, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改PersonLoginHistory
	 *
	 * @Function Parameters      : 需要修改的PersonLoginHistory
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-25 14:20:56
	 *
	 ******************************************************************************/
	UpdateOne(*model.PersonLoginHistory) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条PersonLoginHistory
	 *
	 * @Function Parameters      : 需要插入的PersonLoginHistory列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-25 14:20:56
	 *
	 ******************************************************************************/
	Insert(*[]model.PersonLoginHistory) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条PersonLoginHistory
	 *
	 * @Function Parameters      : 需要删除的PersonLoginHistory列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-25 14:20:56
	 *
	 ******************************************************************************/
	Delete(*[]model.PersonLoginHistory) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除PersonLoginHistory
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-25 14:20:56
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询PersonLoginHistory
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-25 14:20:56
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.PersonLoginHistory, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询PersonLoginHistory并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-25 14:20:56
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条PersonLoginHistory
	 *
	 * @Function Parameters      : 需要修改的PersonLoginHistory列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-25 14:20:56
	 *
	 ******************************************************************************/
	Update(*[]model.PersonLoginHistory) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改PersonLoginHistory
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-25 14:20:56
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.PersonLoginHistory, ...string) error
}

/******************************************************************************
 *
 * @Function Name            : NewPersonLoginHistoryDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个PersonLoginHistoryDAO实例
 *
 * @Function Parameters      : xorm会话
 *
 * @Function Parameters      : 基本主键
 *
 * @Return Value             : PersonLoginHistoryDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-25 14:20:56
 *
 ******************************************************************************/
func NewPersonLoginHistoryDAO(session *xorm.Session, plantNr int, userid string) PersonLoginHistoryDAO {
	return implments.NewPersonLoginHistoryDAOImplement(session, plantNr, userid)
}
