// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/dao/base/implments"
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : PrintRuleInfoDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : PrintRuleInfo的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-16 15:09:09
 *
 ******************************************************************************/
type PrintRuleInfoDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条PrintRuleInfo
	 *
	 * @Function Parameters      : 需要插入的PrintRuleInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-16 15:09:09
	 *
	 ******************************************************************************/
	InsertOne(*model.PrintRuleInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的PrintRuleInfo
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-16 15:09:09
	 *
	 ******************************************************************************/
	DeleteOne(int) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的PrintRuleInfo
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的PrintRuleInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-16 15:09:09
	 *
	 ******************************************************************************/
	SelectOne(int) (*model.PrintRuleInfo, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改PrintRuleInfo
	 *
	 * @Function Parameters      : 需要修改的PrintRuleInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-16 15:09:09
	 *
	 ******************************************************************************/
	UpdateOne(*model.PrintRuleInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条PrintRuleInfo
	 *
	 * @Function Parameters      : 需要插入的PrintRuleInfo列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-16 15:09:09
	 *
	 ******************************************************************************/
	Insert(*[]model.PrintRuleInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条PrintRuleInfo
	 *
	 * @Function Parameters      : 需要删除的PrintRuleInfo列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-16 15:09:09
	 *
	 ******************************************************************************/
	Delete(*[]model.PrintRuleInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除PrintRuleInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-16 15:09:09
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询PrintRuleInfo
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-16 15:09:09
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.PrintRuleInfo, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询PrintRuleInfo并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-16 15:09:09
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条PrintRuleInfo
	 *
	 * @Function Parameters      : 需要修改的PrintRuleInfo列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-16 15:09:09
	 *
	 ******************************************************************************/
	Update(*[]model.PrintRuleInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改PrintRuleInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-16 15:09:09
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.PrintRuleInfo, ...string) error
}

/******************************************************************************
 *
 * @Function Name            : NewPrintRuleInfoDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个PrintRuleInfoDAO实例
 *
 * @Function Parameters      : xorm会话
 *
 * @Function Parameters      : 基本主键
 *
 * @Return Value             : PrintRuleInfoDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-16 15:09:09
 *
 ******************************************************************************/
func NewPrintRuleInfoDAO(session *xorm.Session, plantNr int, userid string) PrintRuleInfoDAO {
	return implments.NewPrintRuleInfoDAOImplement(session, plantNr, userid)
}
