// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/dao/base/implments"
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : SpecArtShareAllocateDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : SpecArtShareAllocate的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-14 14:51:48
 *
 ******************************************************************************/
type SpecArtShareAllocateDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条SpecArtShareAllocate
	 *
	 * @Function Parameters      : 需要插入的SpecArtShareAllocate
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-14 14:51:48
	 *
	 ******************************************************************************/
	InsertOne(*model.SpecArtShareAllocate) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的SpecArtShareAllocate
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-14 14:51:48
	 *
	 ******************************************************************************/
	DeleteOne(int, string, string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的SpecArtShareAllocate
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的SpecArtShareAllocate
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-14 14:51:48
	 *
	 ******************************************************************************/
	SelectOne(int, string, string) (*model.SpecArtShareAllocate, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改SpecArtShareAllocate
	 *
	 * @Function Parameters      : 需要修改的SpecArtShareAllocate
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-14 14:51:48
	 *
	 ******************************************************************************/
	UpdateOne(*model.SpecArtShareAllocate) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条SpecArtShareAllocate
	 *
	 * @Function Parameters      : 需要插入的SpecArtShareAllocate列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-14 14:51:48
	 *
	 ******************************************************************************/
	Insert(*[]model.SpecArtShareAllocate) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条SpecArtShareAllocate
	 *
	 * @Function Parameters      : 需要删除的SpecArtShareAllocate列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-14 14:51:48
	 *
	 ******************************************************************************/
	Delete(*[]model.SpecArtShareAllocate) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除SpecArtShareAllocate
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-14 14:51:48
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询SpecArtShareAllocate
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-14 14:51:48
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.SpecArtShareAllocate, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询SpecArtShareAllocate并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-14 14:51:48
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条SpecArtShareAllocate
	 *
	 * @Function Parameters      : 需要修改的SpecArtShareAllocate列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-14 14:51:48
	 *
	 ******************************************************************************/
	Update(*[]model.SpecArtShareAllocate) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改SpecArtShareAllocate
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-14 14:51:48
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.SpecArtShareAllocate, ...string) error
}

/******************************************************************************
 *
 * @Function Name            : NewSpecArtShareAllocateDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个SpecArtShareAllocateDAO实例
 *
 * @Function Parameters      : xorm会话
 *
 * @Function Parameters      : 基本主键
 *
 * @Return Value             : SpecArtShareAllocateDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-14 14:51:48
 *
 ******************************************************************************/
func NewSpecArtShareAllocateDAO(session *xorm.Session, plantNr int, userid string) SpecArtShareAllocateDAO {
	return implments.NewSpecArtShareAllocateDAOImplement(session, plantNr, userid)
}
