// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/dao/base/implments"
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : WeekModelLstDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : WeekModelLst的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-16 10:03:06
 *
 ******************************************************************************/
type WeekModelLstDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条WeekModelLst
	 *
	 * @Function Parameters      : 需要插入的WeekModelLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-16 10:03:06
	 *
	 ******************************************************************************/
	InsertOne(*model.WeekModelLst) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的WeekModelLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-16 10:03:06
	 *
	 ******************************************************************************/
	DeleteOne(int, grmi.Date) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的WeekModelLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的WeekModelLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-16 10:03:06
	 *
	 ******************************************************************************/
	SelectOne(int, grmi.Date) (*model.WeekModelLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改WeekModelLst
	 *
	 * @Function Parameters      : 需要修改的WeekModelLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-16 10:03:06
	 *
	 ******************************************************************************/
	UpdateOne(*model.WeekModelLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条WeekModelLst
	 *
	 * @Function Parameters      : 需要插入的WeekModelLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-16 10:03:06
	 *
	 ******************************************************************************/
	Insert(*[]model.WeekModelLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条WeekModelLst
	 *
	 * @Function Parameters      : 需要删除的WeekModelLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-16 10:03:06
	 *
	 ******************************************************************************/
	Delete(*[]model.WeekModelLst) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除WeekModelLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-16 10:03:06
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询WeekModelLst
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-16 10:03:06
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.WeekModelLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询WeekModelLst并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-16 10:03:06
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条WeekModelLst
	 *
	 * @Function Parameters      : 需要修改的WeekModelLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-16 10:03:06
	 *
	 ******************************************************************************/
	Update(*[]model.WeekModelLst) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改WeekModelLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-16 10:03:06
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.WeekModelLst, ...string) error
	///******************************************************************************
	// *
	// * @Function Name            : SelectJoinDayModel
	// *-----------------------------------------------------------------------------
	// *
	// * @Description              : WeekModelLst和DayModel连表查询
	// *
	// * @Return Value             : 执行时发生的错误
	// *
	// * @Author                   : 张鑫
	// *
	// * @Date                     : 2021-04-15
	// *
	// ******************************************************************************/
	//SelectJoinDayModel([]grmi.Predicate, []grmi.Field) ([]model.WeekModelLstAndDay, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectJoinDayModel
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : WeekModelLst和DayModel连表查询
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 张鑫
	 *
	 * @Date                     : 2021-04-15
	 *
	 ******************************************************************************/
	SelectJoinDayModel(int) ([]model.WeekModelLstAndDay, error)
}

/******************************************************************************
 *
 * @Function Name            : NewWeekModelLstDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个WeekModelLstDAO实例
 *
 * @Function Parameters      : xorm会话
 *
 * @Function Parameters      : 基本主键
 *
 * @Return Value             : WeekModelLstDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-16 10:03:06
 *
 ******************************************************************************/
func NewWeekModelLstDAO(session *xorm.Session, plantNr int, userid string) WeekModelLstDAO {
	return implments.NewWeekModelLstDAOImplement(session, plantNr, userid)
}
