// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/dao/base/implments"
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : WorkCalendarLstDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkCalendarLst的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-16 10:03:06
 *
 ******************************************************************************/
type WorkCalendarLstDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条WorkCalendarLst
	 *
	 * @Function Parameters      : 需要插入的WorkCalendarLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-16 10:03:06
	 *
	 ******************************************************************************/
	InsertOne(*model.WorkCalendarLst) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的WorkCalendarLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-16 10:03:06
	 *
	 ******************************************************************************/
	DeleteOne(int, grmi.Date) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的WorkCalendarLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的WorkCalendarLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-16 10:03:06
	 *
	 ******************************************************************************/
	SelectOne(int, grmi.Date) (*model.WorkCalendarLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : IsWorkDate
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的WorkCalendarLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的WorkCalendarLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-16 10:03:06
	 *
	 ******************************************************************************/
	IsWorkDate(string) bool
	/******************************************************************************
	 *
	 * @Function Name            : SelectNearWorkDate
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的WorkCalendarLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的WorkCalendarLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-16 10:03:06
	 *
	 ******************************************************************************/
	SelectNearWorkDate(string) (*model.WorkCalendarLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改WorkCalendarLst
	 *
	 * @Function Parameters      : 需要修改的WorkCalendarLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-16 10:03:06
	 *
	 ******************************************************************************/
	UpdateOne(*model.WorkCalendarLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条WorkCalendarLst
	 *
	 * @Function Parameters      : 需要插入的WorkCalendarLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-16 10:03:06
	 *
	 ******************************************************************************/
	Insert(*[]model.WorkCalendarLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条WorkCalendarLst
	 *
	 * @Function Parameters      : 需要删除的WorkCalendarLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-16 10:03:06
	 *
	 ******************************************************************************/
	Delete(*[]model.WorkCalendarLst) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除WorkCalendarLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-16 10:03:06
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询WorkCalendarLst
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-16 10:03:06
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.WorkCalendarLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询WorkCalendarLst并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-16 10:03:06
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条WorkCalendarLst
	 *
	 * @Function Parameters      : 需要修改的WorkCalendarLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-16 10:03:06
	 *
	 ******************************************************************************/
	Update(*[]model.WorkCalendarLst) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改WorkCalendarLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-16 10:03:06
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.WorkCalendarLst, ...string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectJoinDayModel
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : WorkCalendar和DayModel连表查询
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 张鑫
	 *
	 * @Date                     : 2021-04-15
	 *
	 ******************************************************************************/
	//SelectJoinDayModel([]grmi.Predicate, []grmi.Field) ([]model.WorkCalendarLstAndDay, error)
	SelectJoinDayModel(int) ([]model.WorkCalendarLstAndDay, error)
}

/******************************************************************************
 *
 * @Function Name            : NewWorkCalendarLstDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个WorkCalendarLstDAO实例
 *
 * @Function Parameters      : xorm会话
 *
 * @Function Parameters      : 基本主键
 *
 * @Return Value             : WorkCalendarLstDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-16 10:03:06
 *
 ******************************************************************************/
func NewWorkCalendarLstDAO(session *xorm.Session, plantNr int, userid string) WorkCalendarLstDAO {
	return implments.NewWorkCalendarLstDAOImplement(session, plantNr, userid)
}
