// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/dao/base/implments"
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : WorkLineWorkPlaceLstDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkLineWorkPlaceLst的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-22 16:03:30
 *
 ******************************************************************************/
type WorkLineWorkPlaceLstDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条WorkLineWorkPlaceLst
	 *
	 * @Function Parameters      : 需要插入的WorkLineWorkPlaceLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 16:03:30
	 *
	 ******************************************************************************/
	InsertOne(*model.WorkLineWorkPlaceLst) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的WorkLineWorkPlaceLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 16:03:30
	 *
	 ******************************************************************************/
	DeleteOne(string, int) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的WorkLineWorkPlaceLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的WorkLineWorkPlaceLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 16:03:30
	 *
	 ******************************************************************************/
	SelectOne(string, int) (*model.WorkLineWorkPlaceLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改WorkLineWorkPlaceLst
	 *
	 * @Function Parameters      : 需要修改的WorkLineWorkPlaceLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 16:03:30
	 *
	 ******************************************************************************/
	UpdateOne(*model.WorkLineWorkPlaceLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条WorkLineWorkPlaceLst
	 *
	 * @Function Parameters      : 需要插入的WorkLineWorkPlaceLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 16:03:30
	 *
	 ******************************************************************************/
	Insert(*[]model.WorkLineWorkPlaceLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条WorkLineWorkPlaceLst
	 *
	 * @Function Parameters      : 需要删除的WorkLineWorkPlaceLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 16:03:30
	 *
	 ******************************************************************************/
	Delete(*[]model.WorkLineWorkPlaceLst) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除WorkLineWorkPlaceLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 16:03:30
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询WorkLineWorkPlaceLst
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 16:03:30
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.WorkLineWorkPlaceLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询WorkLineWorkPlaceLst并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 16:03:30
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条WorkLineWorkPlaceLst
	 *
	 * @Function Parameters      : 需要修改的WorkLineWorkPlaceLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 16:03:30
	 *
	 ******************************************************************************/
	Update(*[]model.WorkLineWorkPlaceLst) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改WorkLineWorkPlaceLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 16:03:30
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.WorkLineWorkPlaceLst, ...string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectAllot
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询WorkLineWorkPlaceLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 16:03:30
	 *
	 ******************************************************************************/
	SelectAllot(string) ([]model.WorkPlace, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectUnAllot
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询WorkLineWorkPlaceLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 16:03:30
	 *
	 ******************************************************************************/
	SelectUnAllot([]int) ([]model.WorkPlace, error)
}

/******************************************************************************
 *
 * @Function Name            : NewWorkLineWorkPlaceLstDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个WorkLineWorkPlaceLstDAO实例
 *
 * @Function Parameters      : xorm会话
 *
 * @Function Parameters      : 基本主键
 *
 * @Return Value             : WorkLineWorkPlaceLstDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-22 16:03:30
 *
 ******************************************************************************/
func NewWorkLineWorkPlaceLstDAO(session *xorm.Session, plantNr int, userid string) WorkLineWorkPlaceLstDAO {
	return implments.NewWorkLineWorkPlaceLstDAOImplement(session, plantNr, userid)
}
