// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/dao/base/implments"
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : WorkPlacePersonLstDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkPlacePersonLst的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-25 14:20:56
 *
 ******************************************************************************/
type WorkPlacePersonLstDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条WorkPlacePersonLst
	 *
	 * @Function Parameters      : 需要插入的WorkPlacePersonLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-25 14:20:56
	 *
	 ******************************************************************************/
	InsertOne(*model.WorkPlacePersonLst) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的WorkPlacePersonLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-25 14:20:56
	 *
	 ******************************************************************************/
	DeleteOne(int, int) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的WorkPlacePersonLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的WorkPlacePersonLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-25 14:20:56
	 *
	 ******************************************************************************/
	SelectOne(int, int) (*model.WorkPlacePersonLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改WorkPlacePersonLst
	 *
	 * @Function Parameters      : 需要修改的WorkPlacePersonLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-25 14:20:56
	 *
	 ******************************************************************************/
	UpdateOne(*model.WorkPlacePersonLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条WorkPlacePersonLst
	 *
	 * @Function Parameters      : 需要插入的WorkPlacePersonLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-25 14:20:56
	 *
	 ******************************************************************************/
	Insert(*[]model.WorkPlacePersonLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条WorkPlacePersonLst
	 *
	 * @Function Parameters      : 需要删除的WorkPlacePersonLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-25 14:20:56
	 *
	 ******************************************************************************/
	Delete(*[]model.WorkPlacePersonLst) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除WorkPlacePersonLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-25 14:20:56
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询WorkPlacePersonLst
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-25 14:20:56
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.WorkPlacePersonLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询WorkPlacePersonLst并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-25 14:20:56
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条WorkPlacePersonLst
	 *
	 * @Function Parameters      : 需要修改的WorkPlacePersonLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-25 14:20:56
	 *
	 ******************************************************************************/
	Update(*[]model.WorkPlacePersonLst) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改WorkPlacePersonLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-25 14:20:56
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.WorkPlacePersonLst, ...string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectAllot
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询WorkPlacePersonLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-25 14:20:56
	 *
	 ******************************************************************************/
	SelectAllot(int) ([]model.WorkPlace, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectUnAllot
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询WorkPlacePersonLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-25 14:20:56
	 *
	 ******************************************************************************/
	SelectUnAllot([]int) ([]model.WorkPlace, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectUnAllot
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 根据用户编号和工位查询出数据
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-25 14:20:56
	 *
	 ******************************************************************************/
	SelectPersonByWorkPlace(string,  string) (*model.WorkPlacePersonLst, error)
}

/******************************************************************************
 *
 * @Function Name            : NewWorkPlacePersonLstDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个WorkPlacePersonLstDAO实例
 *
 * @Function Parameters      : xorm会话
 *
 * @Function Parameters      : 基本主键
 *
 * @Return Value             : WorkPlacePersonLstDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-25 14:20:56
 *
 ******************************************************************************/
func NewWorkPlacePersonLstDAO(session *xorm.Session, plantNr int, userid string) WorkPlacePersonLstDAO {
	return implments.NewWorkPlacePersonLstDAOImplement(session, plantNr, userid)
}
