package cache

import (
	"LAPP_LF_MOM_BACKEND/dao/cache/implments"
	model "LAPP_LF_MOM_BACKEND/models/cache"
	"go.mongodb.org/mongo-driver/bson/primitive"
)

/******************************************************************************
 *
 * @Interface Name           : CustOrderDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : CustOrder的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-20 14:37:20
 *
 ******************************************************************************/
type SchedulerCacheDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条SchedulerCache
	 *
	 * @Function Parameters      : 需要插入的SchedulerCache
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-20 14:37:20
	 *
	 ******************************************************************************/
	InsertOne(cache *model.SchedulerCache) (primitive.ObjectID, error)
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的SchedulerCache
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-20 14:37:20
	 *
	 ******************************************************************************/
	DeleteOne(cache *model.SchedulerCache) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的SchedulerCache
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的SchedulerCache
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-20 14:37:20
	 *
	 ******************************************************************************/
	SelectOne(cache *model.SchedulerCache) (model.SchedulerCache, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改SchedulerCache
	 *
	 * @Function Parameters      : 需要修改的SchedulerCache
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-20 14:37:20
	 *
	 ******************************************************************************/
	UpdateOne(cache *model.SchedulerCache) error
}

/******************************************************************************
 *
 * @Function Name            : NewCustOrderDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个SchedulerCacheDAO实例
 *
 * @Function Parameters      : xorm会话
 *
 * @Function Parameters      : 基本主键
 *
 * @Return Value             : SchedulerCacheDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-20 14:37:20
 *
 ******************************************************************************/
func NewSchedulerCacheDAO() SchedulerCacheDAO {
	return implments.NewSchedulerCacheDAOImplement()
}
