// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package log

import (
	"LAPP_LF_MOM_BACKEND/dao/log/implments"
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/log"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
*
* @Interface Name           : ArtDemandHeadDAO
*-----------------------------------------------------------------------------
*
* @Description              : ArtDemandHead的数据访问对象接口
*
* @Author                   : 代码生成器创建
*
* @Date                     : 2021-03-24 09:53:49
*
******************************************************************************/
type ArtDemandHeadDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ArtDemandHead
	 *
	 * @Function Parameters      : 需要插入的ArtDemandHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-24 09:53:49
	 *
	 ******************************************************************************/
	InsertOne(*model.ArtDemandHead) error
	/******************************************************************************
	 *
	 * @Function Name            : SyncInsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ArtDemandHead
	 *
	 * @Function Parameters      : 需要插入的ArtDemandHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-24 09:53:49
	 *
	 ******************************************************************************/
	SyncInsertOne(*model.SyncArtDemandHead) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ArtDemandHead
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-24 09:53:49
	 *
	 ******************************************************************************/
	DeleteOne(string, string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ArtDemandHead
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ArtDemandHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-24 09:53:49
	 *
	 ******************************************************************************/
	SelectOne(string, string) (*model.ArtDemandHead, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改ArtDemandHead
	 *
	 * @Function Parameters      : 需要修改的ArtDemandHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-24 09:53:49
	 *
	 ******************************************************************************/
     UpdateOne(head *model.ArtDemandHead) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改ArtDemandHead
	 *
	 * @Function Parameters      : 需要修改的ArtDemandHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 娄文智
	 *
	 * @Date                     : 2021-03-24 09:53:49
	 *
	 ******************************************************************************/
	SyncUpdateOne(head *model.SyncArtDemandHead) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ArtDemandHead
	 *
	 * @Function Parameters      : 需要插入的ArtDemandHead列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-24 09:53:49
	 *
	 ******************************************************************************/
	Insert(*[]model.ArtDemandHead) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ArtDemandHead
	 *
	 * @Function Parameters      : 需要删除的ArtDemandHead列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-24 09:53:49
	 *
	 ******************************************************************************/
	Delete(*[]model.ArtDemandHead) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除ArtDemandHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-24 09:53:49
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ArtDemandHead
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-24 09:53:49
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.ArtDemandHead, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectUnByUser
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ArtDemandHead
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-24 09:53:49
	 *
	 ******************************************************************************/
	SelectUnByUser([]grmi.Predicate, []grmi.Field) ([]model.ArtDemandHead, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ArtDemandHead并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-24 09:53:49
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ArtDemandHead
	 *
	 * @Function Parameters      : 需要修改的ArtDemandHead列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-24 09:53:49
	 *
	 ******************************************************************************/
	Update(*[]model.ArtDemandHead) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改ArtDemandHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-24 09:53:49
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.ArtDemandHead, ...string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectByEndDate
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ArtDemandHead
	*
	 * @Function Parameters      : 物料id
	 *
	 * @Function Parameters      : endDate
	 *
	 * @Return Value             : []model.ArtDemandHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 张鑫
	 *
	 * @Date                     : 2021-04-23
	 *
	 ******************************************************************************/
	SelectByEndDate(string, string) ([]model.ArtDemandHead, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectByLastModifyTime
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按lastModify查询ArtDemandHead
	 *
	 * @Function Parameters      : lastModify
	 *
	 * @Return Value             : []model.ArtDemandHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 张鑫
	 *
	 * @Date                     : 2021-04-23
	 *
	 ******************************************************************************/
	SelectByLastModifyTime(string) ([]model.ArtDemandHead, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWithoutModifyTime
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ArtDemandHead
	 *
	 * @Function Parameters      : 需要修改的ArtDemandHead列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-05-10
	 *
	 ******************************************************************************/
	UpdateWithoutModifyTime(*[]model.ArtDemandHead) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectWithoutAuthority
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ArtDemandHead
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-24 09:53:49
	 *
	 ******************************************************************************/
	SelectWithoutAuthority([]grmi.Predicate, []grmi.Field) ([]model.ArtDemandHead, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectLastModify
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询最后一条ArtDemandHead
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 娄文智
	 *
	 * @Date                     : 2021-05-07
	 *
	 ******************************************************************************/
	SelectLastModify() (model.ArtDemandHead, error)
	/******************************************************************************
	 *
	 * @Function Name            : ClearOldData
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 清理旧数据
	 *
	 * @Function Parameters      : 截止时间
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-06-22
	 *
	 ******************************************************************************/
	ClearOldData(string) error
}

/******************************************************************************
 *
 * @Function Name            : NewArtDemandHeadDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ArtDemandHeadDAO实例
 *
 * @Function Parameters      : xorm会话
 *
 * @Function Parameters      : 基本主键
 *
 * @Return Value             : ArtDemandHeadDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-24 09:53:49
 *
 ******************************************************************************/
func NewArtDemandHeadDAO(session *xorm.Session, plantNr int, userid string) ArtDemandHeadDAO {
	return implments.NewArtDemandHeadDAOImplement(session, plantNr, userid)
}
