// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package log

import (
	"LAPP_LF_MOM_BACKEND/dao/log/implments"
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/log"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : ArtDemandHeadCacheDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : ArtDemandHeadCache的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-09 14:00:44
 *
 ******************************************************************************/
type ArtDemandHeadCacheDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ArtDemandHeadCache
	 *
	 * @Function Parameters      : 需要插入的ArtDemandHeadCache
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-09 14:00:44
	 *
	 ******************************************************************************/
	InsertOne(*model.ArtDemandHeadCache) error
	/******************************************************************************
	 *
	 * @Function Name            : SyncInsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ArtDemandHeadCache
	 *
	 * @Function Parameters      : 需要插入的ArtDemandHeadCache
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-24 09:53:49
	 *
	 ******************************************************************************/
	SyncInsertOne(*model.SyncArtDemandHeadCache) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ArtDemandHeadCache
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-09 14:00:44
	 *
	 ******************************************************************************/
	DeleteOne(string, string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ArtDemandHeadCache
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ArtDemandHeadCache
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-09 14:00:44
	 *
	 ******************************************************************************/
	SelectOne(string, string) (*model.ArtDemandHeadCache, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改ArtDemandHeadCache
	 *
	 * @Function Parameters      : 需要修改的ArtDemandHeadCache
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-09 14:00:44
	 *
	 ******************************************************************************/
	UpdateOne(*model.ArtDemandHeadCache) error
	/******************************************************************************
	 *
	 * @Function Name            : SyncUpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改ArtDemandHeadCache
	 *
	 * @Function Parameters      : 需要修改的ArtDemandHeadCache
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 娄文智
	 *
	 * @Date                     : 2021-03-24 09:53:49
	 *
	 ******************************************************************************/
	SyncUpdateOne(head *model.SyncArtDemandHeadCache) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ArtDemandHeadCache
	 *
	 * @Function Parameters      : 需要插入的ArtDemandHeadCache列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-09 14:00:44
	 *
	 ******************************************************************************/
	Insert(*[]model.ArtDemandHeadCache) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ArtDemandHeadCache
	 *
	 * @Function Parameters      : 需要删除的ArtDemandHeadCache列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-09 14:00:44
	 *
	 ******************************************************************************/
	Delete(*[]model.ArtDemandHeadCache) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除ArtDemandHeadCache
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-09 14:00:44
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ArtDemandHeadCache
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-09 14:00:44
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.ArtDemandHeadCache, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ArtDemandHeadCache并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-09 14:00:44
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ArtDemandHeadCache
	 *
	 * @Function Parameters      : 需要修改的ArtDemandHeadCache列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-09 14:00:44
	 *
	 ******************************************************************************/
	Update(*[]model.ArtDemandHeadCache) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改ArtDemandHeadCache
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-09 14:00:44
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.ArtDemandHeadCache, ...string) error
}

/******************************************************************************
 *
 * @Function Name            : NewArtDemandHeadCacheDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ArtDemandHeadCacheDAO实例
 *
 * @Function Parameters      : xorm会话
 *
 * @Function Parameters      : 基本主键
 *
 * @Return Value             : ArtDemandHeadCacheDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-09 14:00:44
 *
 ******************************************************************************/
func NewArtDemandHeadCacheDAO(session *xorm.Session, plantNr int, userid string) ArtDemandHeadCacheDAO {
	return implments.NewArtDemandHeadCacheDAOImplement(session, plantNr, userid)
}
