// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package log

import (
	"LAPP_LF_MOM_BACKEND/dao/log/implments"
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/log"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : ArtDemandLstDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : ArtDemandLst的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-22 11:27:55
 *
 ******************************************************************************/
type ArtDemandLstDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ArtDemandLst
	 *
	 * @Function Parameters      : 需要插入的ArtDemandLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 11:27:55
	 *
	 ******************************************************************************/
	InsertOne(*model.ArtDemandLst) error
	/******************************************************************************
	 *
	 * @Function Name            : SyncInsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ArtDemandLst
	 *
	 * @Function Parameters      : 需要插入的ArtDemandLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 11:27:55
	 *
	 ******************************************************************************/
	SyncInsertOne(*model.SyncArtDemandLst) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ArtDemandLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 11:27:55
	 *
	 ******************************************************************************/
	DeleteOne(string, int) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ArtDemandLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ArtDemandLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 11:27:55
	 *
	 ******************************************************************************/
	SelectOne(string, int) (*model.ArtDemandLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改ArtDemandLst
	 *
	 * @Function Parameters      : 需要修改的ArtDemandLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 11:27:55
	 *
	 ******************************************************************************/
	UpdateOne(*model.ArtDemandLst) error
	/******************************************************************************
	 *
	 * @Function Name            : SyncUpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改ArtDemandLst
	 *
	 * @Function Parameters      : 需要修改的ArtDemandLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 11:27:55
	 *
	 ******************************************************************************/
	SyncUpdateOne(lst *model.SyncArtDemandLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ArtDemandLst
	 *
	 * @Function Parameters      : 需要插入的ArtDemandLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 11:27:55
	 *
	 ******************************************************************************/
	Insert(*[]model.ArtDemandLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ArtDemandLst
	 *
	 * @Function Parameters      : 需要删除的ArtDemandLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 11:27:55
	 *
	 ******************************************************************************/
	Delete(*[]model.ArtDemandLst) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除ArtDemandLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 11:27:55
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ArtDemandLst
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 11:27:55
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.ArtDemandLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectUnByUser
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ArtDemandLst
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 11:27:55
	 *
	 ******************************************************************************/
	SelectUnByUser([]grmi.Predicate, []grmi.Field) ([]model.ArtDemandLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ArtDemandLst并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 11:27:55
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ArtDemandLst
	 *
	 * @Function Parameters      : 需要修改的ArtDemandLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 11:27:55
	 *
	 ******************************************************************************/
	Update(*[]model.ArtDemandLst) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改ArtDemandLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 11:27:55
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.ArtDemandLst, ...string) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteByHead
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除ArtDemandHead时删除对应的ArtDemandLst数据
	 *
	 * @Function Parameters      : model.ArtDemandItem 切片指针
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 张鑫
	 *
	 * @Date                     : 2021-03-23
	 *
	 ******************************************************************************/
	DeleteByHead(*[]model.ArtDemandItem) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWithoutModifyTime
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ArtDemandLst
	 *
	 * @Function Parameters      : 需要修改的ArtDemandHead列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-05-10
	 *
	 ******************************************************************************/
	UpdateWithoutModifyTime(*[]model.ArtDemandLst) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectWithoutAuthority
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询Se
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 11:27:55
	 *
	 ******************************************************************************/
	SelectWithoutAuthority([]grmi.Predicate, []grmi.Field) ([]model.ArtDemandLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : ClearOldData
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 清理旧数据
	 *
	 * @Function Parameters      : 截止时间
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-06-22
	 *
	 ******************************************************************************/
	ClearOldData(string) error
}

/******************************************************************************
 *
 * @Function Name            : NewArtDemandLstDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ArtDemandLstDAO实例
 *
 * @Function Parameters      : xorm会话
 *
 * @Function Parameters      : 基本主键
 *
 * @Return Value             : ArtDemandLstDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-22 11:27:55
 *
 ******************************************************************************/
func NewArtDemandLstDAO(session *xorm.Session, plantNr int, userid string) ArtDemandLstDAO {
	return implments.NewArtDemandLstDAOImplement(session, plantNr, userid)
}
