// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package log

import (
	"LAPP_LF_MOM_BACKEND/dao/log/implments"
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/log"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
*
* @Interface Name           : VendorUserLstDAO
*-----------------------------------------------------------------------------
*
* @Description              : VendorUserLst的数据访问对象接口
*
* @Author                   : 代码生成器创建
*
* @Date                     : 2021-03-25 10:13:02
*
******************************************************************************/
type VendorUserLstDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条VendorUserLst
	 *
	 * @Function Parameters      : 需要插入的VendorUserLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-25 10:13:02
	 *
	 ******************************************************************************/
	InsertOne(*model.VendorUserLst) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的VendorUserLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-25 10:13:02
	 *
	 ******************************************************************************/
	DeleteOne(string, string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的VendorUserLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的VendorUserLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-25 10:13:02
	 *
	 ******************************************************************************/
	SelectOne(string, string) (*model.VendorUserLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改VendorUserLst
	 *
	 * @Function Parameters      : 需要修改的VendorUserLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-25 10:13:02
	 *
	 ******************************************************************************/
	UpdateOne(*model.VendorUserLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条VendorUserLst
	 *
	 * @Function Parameters      : 需要插入的VendorUserLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-25 10:13:02
	 *
	 ******************************************************************************/
	Insert(*[]model.VendorUserLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条VendorUserLst
	 *
	 * @Function Parameters      : 需要删除的VendorUserLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-25 10:13:02
	 *
	 ******************************************************************************/
	Delete(*[]model.VendorUserLst) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除VendorUserLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-25 10:13:02
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询VendorUserLst
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-25 10:13:02
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.VendorUserLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询VendorUserLst并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-25 10:13:02
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条VendorUserLst
	 *
	 * @Function Parameters      : 需要修改的VendorUserLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-25 10:13:02
	 *
	 ******************************************************************************/
	Update(*[]model.VendorUserLst) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改VendorUserLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-25 10:13:02
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.VendorUserLst, ...string) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteByVendor
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除vendor表记录时删除对应的数据
	 *
	 * @Function Parameters      : 需要删除的vendor id切片
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 张鑫
	 *
	 * @Date                     : 2021-03-23
	 *
	 ******************************************************************************/
	DeleteByVendor([]string) error
	/******************************************************************************
	 *
	 * @Function Name            : GetMaxPos
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 根据当前的vendorId获取该vendorId下面最大的Pos
	 *
	 * @Function Parameters      : vendorId
	 *
	 * @Return Value             : 最大的pos
	 *
	* @Return Value             : 执行时的错误
	 *
	 * @Author                   : 张鑫
	 *
	 * @Date                     : 2021-03-25
	 *
	 ******************************************************************************/
	GetMaxPos(string) (int, error)
}

/******************************************************************************
 *
 * @Function Name            : NewVendorUserLstDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个VendorUserLstDAO实例
 *
 * @Function Parameters      : xorm会话
 *
 * @Function Parameters      : 基本主键
 *
 * @Return Value             : VendorUserLstDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-25 10:13:02
 *
 ******************************************************************************/
func NewVendorUserLstDAO(session *xorm.Session, plantNr int, userid string) VendorUserLstDAO {
	return implments.NewVendorUserLstDAOImplement(session, plantNr, userid)
}
