// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package ods

import (
	"LAPP_LF_MOM_BACKEND/dao/ods/implments"
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/ods"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : StationOrderDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : StationOrder的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-18 11:12:43
 *
 ******************************************************************************/
type StationOrderDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条StationOrder
	 *
	 * @Function Parameters      : 需要插入的StationOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-18 11:12:43
	 *
	 ******************************************************************************/
	InsertOne(*model.StationOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的StationOrder
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-18 11:12:43
	 *
	 ******************************************************************************/
	DeleteOne(string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的StationOrder
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的StationOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-18 11:12:43
	 *
	 ******************************************************************************/
	SelectOne(string) (*model.StationOrder, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改StationOrder
	 *
	 * @Function Parameters      : 需要修改的StationOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-18 11:12:43
	 *
	 ******************************************************************************/
	UpdateOne(*model.StationOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条StationOrder
	 *
	 * @Function Parameters      : 需要插入的StationOrder列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-18 11:12:43
	 *
	 ******************************************************************************/
	Insert(*[]model.StationOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条StationOrder
	 *
	 * @Function Parameters      : 需要删除的StationOrder列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-18 11:12:43
	 *
	 ******************************************************************************/
	Delete(*[]model.StationOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除StationOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-18 11:12:43
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询StationOrder
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-18 11:12:43
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.StationOrder, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询StationOrder并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-18 11:12:43
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条StationOrder
	 *
	 * @Function Parameters      : 需要修改的StationOrder列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-18 11:12:43
	 *
	 ******************************************************************************/
	Update(*[]model.StationOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改StationOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-18 11:12:43
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.StationOrder, ...string) error
}

/******************************************************************************
 *
 * @Function Name            : NewStationOrderDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个StationOrderDAO实例
 *
 * @Function Parameters      : xorm会话
 *
 * @Function Parameters      : 基本主键
 *
 * @Return Value             : StationOrderDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-18 11:12:43
 *
 ******************************************************************************/
func NewStationOrderDAO(session *xorm.Session, plantNr int, userid string) StationOrderDAO {
	return implments.NewStationOrderDAOImplement(session, plantNr, userid)
}
