// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/dao/om/implments"
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/om"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : DemandHeadFromDBDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : DemandHeadFromDB的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-13 16:05:11
 *
 ******************************************************************************/
type DemandHeadFromDBDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条DemandHeadFromDB
	 *
	 * @Function Parameters      : 需要插入的DemandHeadFromDB
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-13 16:05:11
	 *
	 ******************************************************************************/
	InsertOne(*model.DemandHeadFromDB) (*model.DemandHeadFromDB, error)
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的DemandHeadFromDB
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-13 16:05:11
	 *
	 ******************************************************************************/
	DeleteOne(int) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的DemandHeadFromDB
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的DemandHeadFromDB
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-13 16:05:11
	 *
	 ******************************************************************************/
	SelectOne(int) (*model.DemandHeadFromDB, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改DemandHeadFromDB
	 *
	 * @Function Parameters      : 需要修改的DemandHeadFromDB
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-13 16:05:11
	 *
	 ******************************************************************************/
	UpdateOne(*model.DemandHeadFromDB) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条DemandHeadFromDB
	 *
	 * @Function Parameters      : 需要插入的DemandHeadFromDB列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-13 16:05:11
	 *
	 ******************************************************************************/
	Insert(*[]model.DemandHeadFromDB) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条DemandHeadFromDB
	 *
	 * @Function Parameters      : 需要删除的DemandHeadFromDB列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-13 16:05:11
	 *
	 ******************************************************************************/
	Delete(*[]model.DemandHeadFromDB) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除DemandHeadFromDB
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-13 16:05:11
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询DemandHeadFromDB
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-13 16:05:11
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.DemandHeadFromDB, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询DemandHeadFromDB并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-13 16:05:11
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条DemandHeadFromDB
	 *
	 * @Function Parameters      : 需要修改的DemandHeadFromDB列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-13 16:05:11
	 *
	 ******************************************************************************/
	Update(*[]model.DemandHeadFromDB) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改DemandHeadFromDB
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-13 16:05:11
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.DemandHeadFromDB, ...string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectUnparsedTask
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 获取为解析的file header
	*
	 * @Return Value             : []model.DemandHeadFromDB
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-05-13
	 *
	 ******************************************************************************/
	SelectUnparsedTask() ([]model.DemandHeadFromDB, error)
}

/******************************************************************************
 *
 * @Function Name            : NewDemandHeadFromDBDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个DemandHeadFromDBDAO实例
 *
 * @Function Parameters      : xorm会话
 *
 * @Function Parameters      : 基本主键
 *
 * @Return Value             : DemandHeadFromDBDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-13 16:05:11
 *
 ******************************************************************************/
func NewDemandHeadFromDBDAO(session *xorm.Session, plantNr int, userid string) DemandHeadFromDBDAO {
	return implments.NewDemandHeadFromDBDAOImplement(session, plantNr, userid)
}
