// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/dao/om/implments"
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/om"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : DemandLstDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : DemandLst的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-27 17:06:45
 *
 ******************************************************************************/
type DemandLstDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条DemandLst
	 *
	 * @Function Parameters      : 需要插入的DemandLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-27 17:06:45
	 *
	 ******************************************************************************/
	InsertOne(*model.DemandLst) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的DemandLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-27 17:06:45
	 *
	 ******************************************************************************/
	DeleteOne(int, int, int) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的DemandLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的DemandLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-27 17:06:45
	 *
	 ******************************************************************************/
	SelectOne(int, int, int) (*model.DemandLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改DemandLst
	 *
	 * @Function Parameters      : 需要修改的DemandLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-27 17:06:45
	 *
	 ******************************************************************************/
	UpdateOne(*model.DemandLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条DemandLst
	 *
	 * @Function Parameters      : 需要插入的DemandLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-27 17:06:45
	 *
	 ******************************************************************************/
	Insert(*[]model.DemandLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条DemandLst
	 *
	 * @Function Parameters      : 需要删除的DemandLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-27 17:06:45
	 *
	 ******************************************************************************/
	Delete(*[]model.DemandLst) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除DemandLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-27 17:06:45
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询DemandLst
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-27 17:06:45
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.DemandLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询DemandLst并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-27 17:06:45
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条DemandLst
	 *
	 * @Function Parameters      : 需要修改的DemandLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-27 17:06:45
	 *
	 ******************************************************************************/
	Update(*[]model.DemandLst) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改DemandLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-27 17:06:45
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.DemandLst, ...string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndOrderBy
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询依赖关系下的工单
	 *
	 * @Return Value             : 工单切片
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-06-07
	 *
	 ******************************************************************************/
	SelectAndOrderBy(int, string) ([]model.DemandLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectDistinctConfigKey
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询依赖关系下的不重复的configKey
	 *
	 * @Return Value             : configKey 切片
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-06-07
	 *
	 ******************************************************************************/
	SelectDistinctConfigKey(int, string) ([]string, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectDistinctPlanEndDate
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询依赖关系下的不重复的plan end date
	 *
	 * @Return Value             : plan end date 切片
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-06-09
	 *
	 ******************************************************************************/
	SelectDistinctPlanEndDate(int, string) ([]grmi.Date, error)
}

/******************************************************************************
 *
 * @Function Name            : NewDemandLstDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个DemandLstDAO实例
 *
 * @Function Parameters      : xorm会话
 *
 * @Function Parameters      : 基本主键
 *
 * @Return Value             : DemandLstDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-27 17:06:45
 *
 ******************************************************************************/
func NewDemandLstDAO(session *xorm.Session, plantNr int, userid string) DemandLstDAO {
	return implments.NewDemandLstDAOImplement(session, plantNr, userid)
}
