// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/dao/om/implments"
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/om"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : SerialOrderOPDetailStatusRecLstDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : SerialOrderOPDetailStatusRecLst的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-11 10:00:53
 *
 ******************************************************************************/
type SerialOrderOPDetailStatusRecLstDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条SerialOrderOPDetailStatusRecLst
	 *
	 * @Function Parameters      : 需要插入的SerialOrderOPDetailStatusRecLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-11 10:00:53
	 *
	 ******************************************************************************/
	InsertOne(*model.SerialOrderOPDetailStatusRecLst) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的SerialOrderOPDetailStatusRecLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-11 10:00:53
	 *
	 ******************************************************************************/
	DeleteOne(int, int) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的SerialOrderOPDetailStatusRecLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的SerialOrderOPDetailStatusRecLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-11 10:00:53
	 *
	 ******************************************************************************/
	SelectOne(int, int) (*model.SerialOrderOPDetailStatusRecLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改SerialOrderOPDetailStatusRecLst
	 *
	 * @Function Parameters      : 需要修改的SerialOrderOPDetailStatusRecLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-11 10:00:53
	 *
	 ******************************************************************************/
	UpdateOne(*model.SerialOrderOPDetailStatusRecLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条SerialOrderOPDetailStatusRecLst
	 *
	 * @Function Parameters      : 需要插入的SerialOrderOPDetailStatusRecLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-11 10:00:53
	 *
	 ******************************************************************************/
	Insert(*[]model.SerialOrderOPDetailStatusRecLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条SerialOrderOPDetailStatusRecLst
	 *
	 * @Function Parameters      : 需要删除的SerialOrderOPDetailStatusRecLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-11 10:00:53
	 *
	 ******************************************************************************/
	Delete(*[]model.SerialOrderOPDetailStatusRecLst) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除SerialOrderOPDetailStatusRecLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-11 10:00:53
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询SerialOrderOPDetailStatusRecLst
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-11 10:00:53
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.SerialOrderOPDetailStatusRecLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询SerialOrderOPDetailStatusRecLst并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-11 10:00:53
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条SerialOrderOPDetailStatusRecLst
	 *
	 * @Function Parameters      : 需要修改的SerialOrderOPDetailStatusRecLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-11 10:00:53
	 *
	 ******************************************************************************/
	Update(*[]model.SerialOrderOPDetailStatusRecLst) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改SerialOrderOPDetailStatusRecLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-11 10:00:53
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.SerialOrderOPDetailStatusRecLst, ...string) error
}

/******************************************************************************
 *
 * @Function Name            : NewSerialOrderOPDetailStatusRecLstDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个SerialOrderOPDetailStatusRecLstDAO实例
 *
 * @Function Parameters      : xorm会话
 *
 * @Function Parameters      : 基本主键
 *
 * @Return Value             : SerialOrderOPDetailStatusRecLstDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-11 10:00:53
 *
 ******************************************************************************/
func NewSerialOrderOPDetailStatusRecLstDAO(session *xorm.Session, plantNr int, userid string) SerialOrderOPDetailStatusRecLstDAO {
	return implments.NewSerialOrderOPDetailStatusRecLstDAOImplement(session, plantNr, userid)
}
