// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package report

import (
	"LAPP_LF_MOM_BACKEND/dao/report/implments"
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/report"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : ArcDisplayInfoDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : ArcDisplayInfo的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-21 11:39:48
 *
 ******************************************************************************/
type ArcDisplayInfoDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ArcDisplayInfo
	 *
	 * @Function Parameters      : 需要插入的ArcDisplayInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-21 11:39:48
	 *
	 ******************************************************************************/
	InsertOne(*model.ArcDisplayInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ArcDisplayInfo
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-21 11:39:48
	 *
	 ******************************************************************************/
	DeleteOne(int, string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ArcDisplayInfo
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ArcDisplayInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-21 11:39:48
	 *
	 ******************************************************************************/
	SelectOne(int, string) (*model.ArcDisplayInfo, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改ArcDisplayInfo
	 *
	 * @Function Parameters      : 需要修改的ArcDisplayInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-21 11:39:48
	 *
	 ******************************************************************************/
	UpdateOne(*model.ArcDisplayInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ArcDisplayInfo
	 *
	 * @Function Parameters      : 需要插入的ArcDisplayInfo列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-21 11:39:48
	 *
	 ******************************************************************************/
	Insert(*[]model.ArcDisplayInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ArcDisplayInfo
	 *
	 * @Function Parameters      : 需要删除的ArcDisplayInfo列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-21 11:39:48
	 *
	 ******************************************************************************/
	Delete(*[]model.ArcDisplayInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除ArcDisplayInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-21 11:39:48
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ArcDisplayInfo
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-21 11:39:48
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.ArcDisplayInfo, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ArcDisplayInfo并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-21 11:39:48
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ArcDisplayInfo
	 *
	 * @Function Parameters      : 需要修改的ArcDisplayInfo列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-21 11:39:48
	 *
	 ******************************************************************************/
	Update(*[]model.ArcDisplayInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改ArcDisplayInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-21 11:39:48
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.ArcDisplayInfo, ...string) error
}

/******************************************************************************
 *
 * @Function Name            : NewArcDisplayInfoDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ArcDisplayInfoDAO实例
 *
 * @Function Parameters      : xorm会话
 *

 * @Return Value             : ArcDisplayInfoDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-21 11:39:48
 *
 ******************************************************************************/
func NewArcDisplayInfoDAO(session *xorm.Session) ArcDisplayInfoDAO {
	return implments.NewArcDisplayInfoDAOImplement(session)
}
