// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package report

import (
	"LAPP_LF_MOM_BACKEND/dao/report/implments"
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/report"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
*
* @Interface Name           : FilterDataInfoDAO
*-----------------------------------------------------------------------------
*
* @Description              : FilterDataInfo的数据访问对象接口
*
* @Author                   : 代码生成器创建
*
* @Date                     : 2021-06-21 09:55:32
*
******************************************************************************/
type FilterDataInfoDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条FilterDataInfo
	 *
	 * @Function Parameters      : 需要插入的FilterDataInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-21 09:55:32
	 *
	 ******************************************************************************/
	InsertOne(*model.FilterDataInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的FilterDataInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-21 09:55:32
	 *
	 ******************************************************************************/
	DeleteOne() error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的FilterDataInfo
	 *
	 * @Return Value             : 查找到的FilterDataInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-21 09:55:32
	 *
	 ******************************************************************************/
	SelectOne() (*model.FilterDataInfo, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改FilterDataInfo
	 *
	 * @Function Parameters      : 需要修改的FilterDataInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-21 09:55:32
	 *
	 ******************************************************************************/
	UpdateOne(*model.FilterDataInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条FilterDataInfo
	 *
	 * @Function Parameters      : 需要插入的FilterDataInfo列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-21 09:55:32
	 *
	 ******************************************************************************/
	Insert(*[]model.FilterDataInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条FilterDataInfo
	 *
	 * @Function Parameters      : 需要删除的FilterDataInfo列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-21 09:55:32
	 *
	 ******************************************************************************/
	Delete(*[]model.FilterDataInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除FilterDataInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-21 09:55:32
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询FilterDataInfo
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-21 09:55:32
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.FilterDataInfo, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询FilterDataInfo并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-21 09:55:32
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条FilterDataInfo
	 *
	 * @Function Parameters      : 需要修改的FilterDataInfo列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-21 09:55:32
	 *
	 ******************************************************************************/
	Update(*[]model.FilterDataInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改FilterDataInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-21 09:55:32
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.FilterDataInfo, ...string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectDisplayData
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询FilterDataInfo
	 *
	 * @Function Parameters      : 设备desc cn
	 *
	 * @Function Parameters      : 开始时间
	 *
	 * @Function Parameters      : 结束时间
	 *
	 * @Return Value             : []model.FilterDataInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-21 09:55:32
	 *
	 ******************************************************************************/
	SelectDisplayData(string, string, string) ([]model.FilterDataInfo, error)
}

/******************************************************************************
*
* @Function Name            : NewFilterDataInfoDAO
*-----------------------------------------------------------------------------
*
* @Description              : 创建一个FilterDataInfoDAO实例
*
* @Function Parameters      : xorm会话
*

* @Return Value             : FilterDataInfoDAO实例
*
* @Author                   : 代码生成器创建
*
* @Date                     : 2021-06-21 09:55:32
*
******************************************************************************/
func NewFilterDataInfoDAO(session *xorm.Session) FilterDataInfoDAO {
	return implments.NewFilterDataInfoDAOImplement(session)
}
