// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/dao/wm/implments"
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/wm"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : ReplenishOrderDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : ReplenishOrder的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 16:17:08
 *
 ******************************************************************************/
type ReplenishOrderDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ReplenishOrder
	 *
	 * @Function Parameters      : 需要插入的ReplenishOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-08 16:17:08
	 *
	 ******************************************************************************/
	InsertOne(*model.ReplenishOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ReplenishOrder
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-08 16:17:08
	 *
	 ******************************************************************************/
	DeleteOne(string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ReplenishOrder
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ReplenishOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-08 16:17:08
	 *
	 ******************************************************************************/
	SelectOne(string) (*model.ReplenishOrder, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改ReplenishOrder
	 *
	 * @Function Parameters      : 需要修改的ReplenishOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-08 16:17:08
	 *
	 ******************************************************************************/
	UpdateOne(*model.ReplenishOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ReplenishOrder
	 *
	 * @Function Parameters      : 需要插入的ReplenishOrder列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-08 16:17:08
	 *
	 ******************************************************************************/
	Insert(*[]model.ReplenishOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ReplenishOrder
	 *
	 * @Function Parameters      : 需要删除的ReplenishOrder列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-08 16:17:08
	 *
	 ******************************************************************************/
	Delete(*[]model.ReplenishOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除ReplenishOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-08 16:17:08
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ReplenishOrder
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-08 16:17:08
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.ReplenishOrder, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ReplenishOrder并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-08 16:17:08
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ReplenishOrder
	 *
	 * @Function Parameters      : 需要修改的ReplenishOrder列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-08 16:17:08
	 *
	 ******************************************************************************/
	Update(*[]model.ReplenishOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改ReplenishOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-08 16:17:08
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.ReplenishOrder, ...string) error
}

/******************************************************************************
 *
 * @Function Name            : NewReplenishOrderDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ReplenishOrderDAO实例
 *
 * @Function Parameters      : xorm会话
 *

 * @Return Value             : ReplenishOrderDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 16:17:08
 *
 ******************************************************************************/
func NewReplenishOrderDAO(session *xorm.Session, userid string) ReplenishOrderDAO {
	return implments.NewReplenishOrderDAOImplement(session, userid)
}
