// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/dao/wm/implments"
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/wm"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : StockTransferHeadDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : StockTransferHead的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
type StockTransferHeadDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条StockTransferHead
	 *
	 * @Function Parameters      : 需要插入的StockTransferHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-29 10:57:04
	 *
	 ******************************************************************************/
	InsertOne(*model.StockTransferHead) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的StockTransferHead
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-29 10:57:04
	 *
	 ******************************************************************************/
	DeleteOne(string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的StockTransferHead
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的StockTransferHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-29 10:57:04
	 *
	 ******************************************************************************/
	SelectOne(string) (*model.StockTransferHead, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改StockTransferHead
	 *
	 * @Function Parameters      : 需要修改的StockTransferHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-29 10:57:04
	 *
	 ******************************************************************************/
	UpdateOne(*model.StockTransferHead) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条StockTransferHead
	 *
	 * @Function Parameters      : 需要插入的StockTransferHead列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-29 10:57:04
	 *
	 ******************************************************************************/
	Insert(*[]model.StockTransferHead) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条StockTransferHead
	 *
	 * @Function Parameters      : 需要删除的StockTransferHead列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-29 10:57:04
	 *
	 ******************************************************************************/
	Delete(*[]model.StockTransferHead) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除StockTransferHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-29 10:57:04
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询StockTransferHead
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-29 10:57:04
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.StockTransferHead, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询StockTransferHead并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-29 10:57:04
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条StockTransferHead
	 *
	 * @Function Parameters      : 需要修改的StockTransferHead列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-29 10:57:04
	 *
	 ******************************************************************************/
	Update(*[]model.StockTransferHead) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改StockTransferHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-29 10:57:04
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.StockTransferHead, ...string) error
}

/******************************************************************************
 *
 * @Function Name            : NewStockTransferHeadDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个StockTransferHeadDAO实例
 *
 * @Function Parameters      : xorm会话
 *

 * @Return Value             : StockTransferHeadDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
func NewStockTransferHeadDAO(session *xorm.Session, userid string) StockTransferHeadDAO {
	return implments.NewStockTransferHeadDAOImplement(session, userid)
}
