// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/dao/wm/implments"
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/wm"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : StorageBinDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : StorageBin的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 11:25:15
 *
 ******************************************************************************/
type StorageBinDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条StorageBin
	 *
	 * @Function Parameters      : 需要插入的StorageBin
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-08 11:25:15
	 *
	 ******************************************************************************/
	InsertOne(*model.StorageBin) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的StorageBin
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-08 11:25:15
	 *
	 ******************************************************************************/
	DeleteOne(string, string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的StorageBin
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的StorageBin
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-08 11:25:15
	 *
	 ******************************************************************************/
	SelectOne(string, string) (*model.StorageBin, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改StorageBin
	 *
	 * @Function Parameters      : 需要修改的StorageBin
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-08 11:25:15
	 *
	 ******************************************************************************/
	UpdateOne(*model.StorageBin) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条StorageBin
	 *
	 * @Function Parameters      : 需要插入的StorageBin列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-08 11:25:15
	 *
	 ******************************************************************************/
	Insert(*[]model.StorageBin) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条StorageBin
	 *
	 * @Function Parameters      : 需要删除的StorageBin列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-08 11:25:15
	 *
	 ******************************************************************************/
	Delete(*[]model.StorageBin) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除StorageBin
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-08 11:25:15
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询StorageBin
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-08 11:25:15
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.StorageBin, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询StorageBin并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-08 11:25:15
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条StorageBin
	 *
	 * @Function Parameters      : 需要修改的StorageBin列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-08 11:25:15
	 *
	 ******************************************************************************/
	Update(*[]model.StorageBin) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改StorageBin
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-08 11:25:15
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.StorageBin, ...string) error
}

/******************************************************************************
 *
 * @Function Name            : NewStorageBinDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个StorageBinDAO实例
 *
 * @Function Parameters      : xorm会话
 *

 * @Return Value             : StorageBinDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 11:25:15
 *
 ******************************************************************************/
func NewStorageBinDAO(session *xorm.Session, userid string) StorageBinDAO {
	return implments.NewStorageBinDAOImplement(session, userid)
}
