// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : CostCenter的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var CostCenter_PlantNr = grmi.NewField("PlantNr", "CostCenter.PlantNr", "plantnr", grmi.TypeInt)
var CostCenter_CostCenterId = grmi.NewField("CostCenterId", "CostCenter.CostCenterId", "costcenterid", grmi.TypeString)
var CostCenter_Descr = grmi.NewField("Descr", "CostCenter.Descr", "descr", grmi.TypeString)
var CostCenter_HourRate = grmi.NewField("HourRate", "CostCenter.HourRate", "hourrate", grmi.TypeFloat64)
var CostCenter_CCCVal1 = grmi.NewField("CCCVal1", "CostCenter.CC_cVal1", "cccval1", grmi.TypeString)
var CostCenter_CCCVal2 = grmi.NewField("CCCVal2", "CostCenter.CC_cVal2", "cccval2", grmi.TypeString)
var CostCenter_CCIVal1 = grmi.NewField("CCIVal1", "CostCenter.CC_iVal1", "ccival1", grmi.TypeInt)
var CostCenter_CCIVal2 = grmi.NewField("CCIVal2", "CostCenter.CC_iVal2", "ccival2", grmi.TypeInt)
var CostCenter_CCFVal1 = grmi.NewField("CCFVal1", "CostCenter.CC_fVal1", "ccfval1", grmi.TypeFloat64)
var CostCenter_CCFVal2 = grmi.NewField("CCFVal2", "CostCenter.CC_fVal2", "ccfval2", grmi.TypeFloat64)
var CostCenter_LastModify = grmi.NewField("LastModify", "CostCenter.LastModify", "lastmodify", grmi.TypeDateTime)
var CostCenter_LastUser = grmi.NewField("LastUser", "CostCenter.LastUser", "lastuser", grmi.TypeString)
var CostCenter_CreateTime = grmi.NewField("CreateTime", "CostCenter.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : CostCenter的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var CostCenter = grmi.NewEntity(
	"CostCenter",
	func() interface{} { return &model.CostCenter{} },
	map[string]grmi.Field{
		CostCenter_PlantNr.Name:      CostCenter_PlantNr,
		CostCenter_CostCenterId.Name: CostCenter_CostCenterId,
		CostCenter_Descr.Name:        CostCenter_Descr,
		CostCenter_HourRate.Name:     CostCenter_HourRate,
		CostCenter_CCCVal1.Name:      CostCenter_CCCVal1,
		CostCenter_CCCVal2.Name:      CostCenter_CCCVal2,
		CostCenter_CCIVal1.Name:      CostCenter_CCIVal1,
		CostCenter_CCIVal2.Name:      CostCenter_CCIVal2,
		CostCenter_CCFVal1.Name:      CostCenter_CCFVal1,
		CostCenter_CCFVal2.Name:      CostCenter_CCFVal2,
		CostCenter_LastModify.Name:   CostCenter_LastModify,
		CostCenter_LastUser.Name:     CostCenter_LastUser,
		CostCenter_CreateTime.Name:   CostCenter_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "HourRate", "CC_cVal1", "CC_cVal2", "CC_iVal1", "CC_iVal2", "CC_fVal1", "CC_fVal2", "LastUser"})
