// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : Operation的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-11 10:00:53
 *
 ******************************************************************************/
var Operation_PlantNr = grmi.NewField("PlantNr", "Operation.PlantNr", "plantnr", grmi.TypeInt)
var Operation_OperationId = grmi.NewField("OperationId", "Operation.OperationId", "operationid", grmi.TypeInt)
var Operation_PO = grmi.NewField("PO", "Operation.PO", "po", grmi.TypeInt)
var Operation_StepNo = grmi.NewField("StepNo", "Operation.StepNo", "stepno", grmi.TypeInt)
var Operation_StepDesc = grmi.NewField("StepDesc", "Operation.StepDesc", "stepdesc", grmi.TypeString)
var Operation_ProjectId = grmi.NewField("ProjectId", "Operation.ProjectId", "projectid", grmi.TypeString)
var Operation_WorkLineId = grmi.NewField("WorkLineId", "Operation.WorkLineId", "worklineid", grmi.TypeString)
var Operation_ActivateInStation = grmi.NewField("ActivateInStation", "Operation.ActivateInStation", "activateinstation", grmi.TypeBool)
var Operation_ActivateWhenRepair = grmi.NewField("ActivateWhenRepair", "Operation.ActivateWhenRepair", "activatewhenrepair", grmi.TypeBool)
var Operation_AttrCode = grmi.NewField("AttrCode", "Operation.AttrCode", "attrcode", grmi.TypeInt)
var Operation_AttrValue = grmi.NewField("AttrValue", "Operation.AttrValue", "attrvalue", grmi.TypeString)
var Operation_StepType = grmi.NewField("StepType", "Operation.StepType", "steptype", grmi.TypeString)
var Operation_OPCtrlPara1 = grmi.NewField("OPCtrlPara1", "Operation.OPCtrlPara1", "opctrlpara1", grmi.TypeString)
var Operation_OPCtrlPara2 = grmi.NewField("OPCtrlPara2", "Operation.OPCtrlPara2", "opctrlpara2", grmi.TypeString)
var Operation_OPCtrlPara3 = grmi.NewField("OPCtrlPara3", "Operation.OPCtrlPara3", "opctrlpara3", grmi.TypeInt)
var Operation_OPCtrlPara4 = grmi.NewField("OPCtrlPara4", "Operation.OPCtrlPara4", "opctrlpara4", grmi.TypeInt)
var Operation_OPCtrlPara5 = grmi.NewField("OPCtrlPara5", "Operation.OPCtrlPara5", "opctrlpara5", grmi.TypeFloat64)
var Operation_OPCtrlPara6 = grmi.NewField("OPCtrlPara6", "Operation.OPCtrlPara6", "opctrlpara6", grmi.TypeFloat64)
var Operation_LastModify = grmi.NewField("LastModify", "Operation.LastModify", "lastmodify", grmi.TypeDateTime)
var Operation_LastUser = grmi.NewField("LastUser", "Operation.LastUser", "lastuser", grmi.TypeString)
var Operation_CreateTime = grmi.NewField("CreateTime", "Operation.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Operation的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-11 10:00:53
 *
 ******************************************************************************/
var Operation = grmi.NewEntity(
	"Operation",
	func() interface{} { return &model.Operation{} },
	map[string]grmi.Field{
		Operation_PlantNr.Name:            Operation_PlantNr,
		Operation_OperationId.Name:        Operation_OperationId,
		Operation_PO.Name:                 Operation_PO,
		Operation_StepNo.Name:             Operation_StepNo,
		Operation_StepDesc.Name:           Operation_StepDesc,
		Operation_ProjectId.Name:          Operation_ProjectId,
		Operation_WorkLineId.Name: Operation_StepNo,
		Operation_ActivateInStation.Name:  Operation_ActivateInStation,
		Operation_ActivateWhenRepair.Name: Operation_ActivateWhenRepair,
		Operation_AttrCode.Name:           Operation_AttrCode,
		Operation_AttrValue.Name:          Operation_AttrValue,
		Operation_StepType.Name:           Operation_StepType,
		Operation_OPCtrlPara1.Name:        Operation_OPCtrlPara1,
		Operation_OPCtrlPara2.Name:        Operation_OPCtrlPara2,
		Operation_OPCtrlPara3.Name:        Operation_OPCtrlPara3,
		Operation_OPCtrlPara4.Name:        Operation_OPCtrlPara4,
		Operation_OPCtrlPara5.Name:        Operation_OPCtrlPara5,
		Operation_OPCtrlPara6.Name:        Operation_OPCtrlPara6,
		Operation_LastModify.Name:         Operation_LastModify,
		Operation_LastUser.Name:           Operation_LastUser,
		Operation_CreateTime.Name:         Operation_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PO", "StepNo", "StepDesc", "ProjectId", "WorkLineId", "ActivateInStation", "ActivateWhenRepair", "AttrCode", "AttrValue", "StepType", "OPCtrlPara1", "OPCtrlPara2", "OPCtrlPara3", "OPCtrlPara4", "OPCtrlPara5", "OPCtrlPara6", "LastUser"})
