// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : WorkPlace的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-21 10:27:00
 *
 ******************************************************************************/
var WorkPlace_PlantNr = grmi.NewField("PlantNr", "WorkPlace.PlantNr", "plantnr", grmi.TypeInt)
var WorkPlace_WorkPlaceNr = grmi.NewField("WorkPlaceNr", "WorkPlace.WorkPlaceNr", "workplacenr", grmi.TypeInt)
var WorkPlace_WorkPlaceId = grmi.NewField("WorkPlaceId", "WorkPlace.WorkPlaceId", "workplaceid", grmi.TypeString)
var WorkPlace_Descr = grmi.NewField("Descr", "WorkPlace.Descr", "descr", grmi.TypeString)
var WorkPlace_WorkPlaceGrpNr = grmi.NewField("WorkPlaceGrpNr", "WorkPlace.WorkPlaceGrpNr", "workplacegrpnr", grmi.TypeInt)
var WorkPlace_WorkPlaceType = grmi.NewField("WorkPlaceType", "WorkPlace.WorkPlaceType", "workplacetype", grmi.TypeString)
var WorkPlace_CapacityType = grmi.NewField("CapacityType", "WorkPlace.CapacityType", "capacitytype", grmi.TypeString)
var WorkPlace_CapacityFactor = grmi.NewField("CapacityFactor", "WorkPlace.CapacityFactor", "capacityfactor", grmi.TypeFloat64)
var WorkPlace_PlanEfficiency = grmi.NewField("PlanEfficiency", "WorkPlace.PlanEfficiency", "planefficiency", grmi.TypeFloat64)
var WorkPlace_CostRate = grmi.NewField("CostRate", "WorkPlace.CostRate", "costrate", grmi.TypeFloat64)
var WorkPlace_WeekModelNr = grmi.NewField("WeekModelNr", "WorkPlace.WeekModelNr", "weekmodelnr", grmi.TypeInt)
var WorkPlace_WorkCalendarNr = grmi.NewField("WorkCalendarNr", "WorkPlace.WorkCalendarNr", "workcalendarnr", grmi.TypeInt)
var WorkPlace_CostCenterId = grmi.NewField("CostCenterId", "WorkPlace.CostCenterId", "costcenterid", grmi.TypeString)
var WorkPlace_LocationId = grmi.NewField("LocationId", "WorkPlace.LocationId", "locationid", grmi.TypeString)
var WorkPlace_RequireSkillRank1 = grmi.NewField("RequireSkillRank1", "WorkPlace.RequireSkillRank1", "requireskillrank1", grmi.TypeInt)
var WorkPlace_RequireSkillRank2 = grmi.NewField("RequireSkillRank2", "WorkPlace.RequireSkillRank2", "requireskillrank2", grmi.TypeInt)
var WorkPlace_RequireSkillRank3 = grmi.NewField("RequireSkillRank3", "WorkPlace.RequireSkillRank3", "requireskillrank3", grmi.TypeFloat64)
var WorkPlace_RequireSkillRank4 = grmi.NewField("RequireSkillRank4", "WorkPlace.RequireSkillRank4", "requireskillrank4", grmi.TypeFloat64)
var WorkPlace_TriggerFrom = grmi.NewField("TriggerFrom", "WorkPlace.TriggerFrom", "triggerfrom", grmi.TypeString)
var WorkPlace_TriggerDependOn = grmi.NewField("TriggerDependOn", "WorkPlace.TriggerDependOn", "triggerdependon", grmi.TypeString)
var WorkPlace_MonitorPalletInPlace = grmi.NewField("MonitorPalletInPlace", "WorkPlace.MonitorPalletInPlace", "monitorpalletinplace", grmi.TypeInt)
var WorkPlace_MonitorManualRelease = grmi.NewField("MonitorManualRelease", "WorkPlace.MonitorManualRelease", "monitormanualrelease", grmi.TypeInt)
var WorkPlace_MonitorProblemPieceRelease = grmi.NewField("MonitorProblemPieceRelease", "WorkPlace.MonitorProblemPieceRelease", "monitorproblempiecerelease", grmi.TypeInt)
var WorkPlace_LastModify = grmi.NewField("LastModify", "WorkPlace.LastModify", "lastmodify", grmi.TypeDateTime)
var WorkPlace_LastUser = grmi.NewField("LastUser", "WorkPlace.LastUser", "lastuser", grmi.TypeString)
var WorkPlace_CreateTime = grmi.NewField("CreateTime", "WorkPlace.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkPlace的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-21 10:27:00
 *
 ******************************************************************************/
var WorkPlace = grmi.NewEntity(
	"WorkPlace",
	func() interface{} { return &model.WorkPlace{} },
	map[string]grmi.Field{
		WorkPlace_PlantNr.Name:                    WorkPlace_PlantNr,
		WorkPlace_WorkPlaceNr.Name:                WorkPlace_WorkPlaceNr,
		WorkPlace_WorkPlaceId.Name:                WorkPlace_WorkPlaceId,
		WorkPlace_Descr.Name:                      WorkPlace_Descr,
		WorkPlace_WorkPlaceGrpNr.Name:             WorkPlace_WorkPlaceGrpNr,
		WorkPlace_WorkPlaceType.Name:              WorkPlace_WorkPlaceType,
		WorkPlace_CapacityType.Name:               WorkPlace_CapacityType,
		WorkPlace_CapacityFactor.Name:             WorkPlace_CapacityFactor,
		WorkPlace_PlanEfficiency.Name:             WorkPlace_PlanEfficiency,
		WorkPlace_CostRate.Name:                   WorkPlace_CostRate,
		WorkPlace_WeekModelNr.Name:                WorkPlace_WeekModelNr,
		WorkPlace_WorkCalendarNr.Name:             WorkPlace_WorkCalendarNr,
		WorkPlace_CostCenterId.Name:               WorkPlace_CostCenterId,
		WorkPlace_LocationId.Name:                 WorkPlace_LocationId,
		WorkPlace_RequireSkillRank1.Name:          WorkPlace_RequireSkillRank1,
		WorkPlace_RequireSkillRank2.Name:          WorkPlace_RequireSkillRank2,
		WorkPlace_RequireSkillRank3.Name:          WorkPlace_RequireSkillRank3,
		WorkPlace_RequireSkillRank4.Name:          WorkPlace_RequireSkillRank4,
		WorkPlace_TriggerFrom.Name:                WorkPlace_TriggerFrom,
		WorkPlace_TriggerDependOn.Name:            WorkPlace_TriggerDependOn,
		WorkPlace_MonitorPalletInPlace.Name:       WorkPlace_MonitorPalletInPlace,
		WorkPlace_MonitorManualRelease.Name:       WorkPlace_MonitorManualRelease,
		WorkPlace_MonitorProblemPieceRelease.Name: WorkPlace_MonitorProblemPieceRelease,
		WorkPlace_LastModify.Name:                 WorkPlace_LastModify,
		WorkPlace_LastUser.Name:                   WorkPlace_LastUser,
		WorkPlace_CreateTime.Name:                 WorkPlace_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"WorkPlaceId", "Descr", "WorkPlaceGrpNr", "WorkPlaceType", "CapacityType", "CapacityFactor", "PlanEfficiency", "CostRate", "WeekModelNr", "WorkCalendarNr", "CostCenterId", "LocationId", "RequireSkillRank1", "RequireSkillRank2", "RequireSkillRank3", "RequireSkillRank4", "TriggerFrom", "TriggerDependOn", "MonitorPalletInPlace", "MonitorManualRelease", "MonitorProblemPieceRelease", "LastUser"})
