// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package log

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/log"
)

/******************************************************************************
 *
 * @Description              : PackTemplate的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-16 10:30:42
 *
 ******************************************************************************/
var PackTemplate_PlantNr = grmi.NewField("PlantNr", "LOG_PackTemplate.PlantNr", "plantnr", grmi.TypeInt)
var PackTemplate_PackTemplateId = grmi.NewField("PackTemplateId", "LOG_PackTemplate.PackTemplateId", "packtemplateid", grmi.TypeString)
var PackTemplate_Descr = grmi.NewField("Descr", "LOG_PackTemplate.Descr", "descr", grmi.TypeString)
var PackTemplate_ActiveToggle = grmi.NewField("ActiveToggle", "LOG_PackTemplate.ActiveToggle", "activetoggle", grmi.TypeBool)
var PackTemplate_PackTypeId = grmi.NewField("PackTypeId", "LOG_PackTemplate.PackTypeId", "packtypeid", grmi.TypeString)
var PackTemplate_PrinterId = grmi.NewField("PrinterId", "LOG_PackTemplate.PrinterId", "printerid", grmi.TypeString)
var PackTemplate_TemplateFile = grmi.NewField("TemplateFile", "LOG_PackTemplate.TemplateFile", "templatefile", grmi.TypeString)
var PackTemplate_PrintQty = grmi.NewField("PrintQty", "LOG_PackTemplate.PrintQty", "printqty", grmi.TypeInt)
var PackTemplate_PackOrderSn = grmi.NewField("PackOrderSn", "LOG_PackTemplate.PackOrderSn", "packordersn", grmi.TypeString)
var PackTemplate_BoxSn = grmi.NewField("BoxSn", "LOG_PackTemplate.BoxSn", "boxsn", grmi.TypeString)
var PackTemplate_SyncToggle = grmi.NewField("SyncToggle", "LOG_PackTemplate.SyncToggle", "synctoggle", grmi.TypeBool)
var PackTemplate_SyncSn = grmi.NewField("SyncSn", "LOG_PackTemplate.SyncSn", "syncsn", grmi.TypeString)
var PackTemplate_TwoDSheet = grmi.NewField("TwoDSheet", "LOG_PackTemplate.TwoDSheet", "twodsheet", grmi.TypeInt)
var PackTemplate_FullFillToggle = grmi.NewField("FullFillToggle", "LOG_PackTemplate.FullFillToggle", "fullfilltoggle", grmi.TypeBool)
var PackTemplate_MaterialId = grmi.NewField("MaterialId", "LOG_PackTemplate.MaterialId", "materialid", grmi.TypeString)
var PackTemplate_PlanQty = grmi.NewField("PlanQty", "LOG_PackTemplate.PlanQty", "planqty", grmi.TypeInt)
var PackTemplate_PKTMPCustC1 = grmi.NewField("PKTMPCustC1", "LOG_PackTemplate.PKTMP_CustC1", "pktmpcustc1", grmi.TypeString)
var PackTemplate_PKTMPCustC2 = grmi.NewField("PKTMPCustC2", "LOG_PackTemplate.PKTMP_CustC2", "pktmpcustc2", grmi.TypeString)
var PackTemplate_PKTMPCustI1 = grmi.NewField("PKTMPCustI1", "LOG_PackTemplate.PKTMP_CustI1", "pktmpcusti1", grmi.TypeInt)
var PackTemplate_PKTMPCustI2 = grmi.NewField("PKTMPCustI2", "LOG_PackTemplate.PKTMP_CustI2", "pktmpcusti2", grmi.TypeInt)
var PackTemplate_ShipTo = grmi.NewField("ShipTo", "LOG_PackTemplate.ShipTo", "shipto", grmi.TypeString)
var PackTemplate_CustArtId = grmi.NewField("CustArtId", "LOG_PackTemplate.CustArtId", "custartid", grmi.TypeString)
var PackTemplate_Descr2 = grmi.NewField("Descr2", "LOG_PackTemplate.Descr2", "descr2", grmi.TypeString)
var PackTemplate_SiteCode = grmi.NewField("SiteCode", "LOG_PackTemplate.SiteCode", "sitecode", grmi.TypeString)
var PackTemplate_LastModify = grmi.NewField("LastModify", "LOG_PackTemplate.LastModify", "lastmodify", grmi.TypeDateTime)
var PackTemplate_LastUser = grmi.NewField("LastUser", "LOG_PackTemplate.LastUser", "lastuser", grmi.TypeString)
var PackTemplate_CreateTime = grmi.NewField("CreateTime", "LOG_PackTemplate.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : PackTemplate的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-16 10:30:42
 *
 ******************************************************************************/
var PackTemplate = grmi.NewEntity(
	"LOG_PackTemplate",
	func() interface{} { return &model.PackTemplate{} },
	map[string]grmi.Field{
		PackTemplate_PlantNr.Name:        PackTemplate_PlantNr,
		PackTemplate_PackTemplateId.Name: PackTemplate_PackTemplateId,
		PackTemplate_Descr.Name:          PackTemplate_Descr,
		PackTemplate_ActiveToggle.Name:   PackTemplate_ActiveToggle,
		PackTemplate_PackTypeId.Name:     PackTemplate_PackTypeId,
		PackTemplate_PrinterId.Name:      PackTemplate_PrinterId,
		PackTemplate_TemplateFile.Name:   PackTemplate_TemplateFile,
		PackTemplate_PrintQty.Name:       PackTemplate_PrintQty,
		PackTemplate_PackOrderSn.Name:    PackTemplate_PackOrderSn,
		PackTemplate_BoxSn.Name:          PackTemplate_BoxSn,
		PackTemplate_SyncToggle.Name:     PackTemplate_SyncToggle,
		PackTemplate_SyncSn.Name:         PackTemplate_SyncSn,
		PackTemplate_TwoDSheet.Name:      PackTemplate_TwoDSheet,
		PackTemplate_FullFillToggle.Name: PackTemplate_FullFillToggle,
		PackTemplate_MaterialId.Name:     PackTemplate_MaterialId,
		PackTemplate_PlanQty.Name:        PackTemplate_PlanQty,
		PackTemplate_PKTMPCustC1.Name:    PackTemplate_PKTMPCustC1,
		PackTemplate_PKTMPCustC2.Name:    PackTemplate_PKTMPCustC2,
		PackTemplate_PKTMPCustI1.Name:    PackTemplate_PKTMPCustI1,
		PackTemplate_PKTMPCustI2.Name:    PackTemplate_PKTMPCustI2,
		PackTemplate_ShipTo.Name:         PackTemplate_ShipTo,
		PackTemplate_CustArtId.Name:      PackTemplate_CustArtId,
		PackTemplate_Descr2.Name:         PackTemplate_Descr2,
		PackTemplate_SiteCode.Name:		  PackTemplate_SiteCode,
		PackTemplate_LastModify.Name:     PackTemplate_LastModify,
		PackTemplate_LastUser.Name:       PackTemplate_LastUser,
		PackTemplate_CreateTime.Name:     PackTemplate_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "ActiveToggle", "PackTypeId", "PrinterId", "TemplateFile", "PrintQty", "PackOrderSn", "BoxSn", "SyncToggle", "SyncSn", "TwoDSheet", "FullFillToggle", "MaterialId", "PlanQty", "PKTMP_CustC1", "PKTMP_CustC2", "PKTMP_CustI1", "PKTMP_CustI2", "ShipTo", "CustArtId", "Descr2","SiteCode", "LastUser"})
