// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/om"
)

/******************************************************************************
 *
 * @Description              : SerialOrder的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 13:07:32
 *
 ******************************************************************************/
var SerialOrder_PlantNr = grmi.NewField("PlantNr", "OM_SerialOrder.PlantNr", "plantnr", grmi.TypeInt)
var SerialOrder_WorkOrderId = grmi.NewField("WorkOrderId", "OM_SerialOrder.WorkOrderId", "workorderid", grmi.TypeString)
var SerialOrder_SerialOrderId = grmi.NewField("SerialOrderId", "OM_SerialOrder.SerialOrderId", "serialorderid", grmi.TypeString)
var SerialOrder_ArtId = grmi.NewField("ArtId", "OM_SerialOrder.ArtId", "artid", grmi.TypeString)
var SerialOrder_OrderType = grmi.NewField("OrderType", "OM_SerialOrder.OrderType", "ordertype", grmi.TypeString)
var SerialOrder_OrderType1 = grmi.NewField("OrderType1", "OM_SerialOrder.OrderType1", "ordertype1", grmi.TypeString)
var SerialOrder_OrderType2 = grmi.NewField("OrderType2", "OM_SerialOrder.OrderType2", "ordertype2", grmi.TypeString)
var SerialOrder_PlanResourceId = grmi.NewField("PlanResourceId", "OM_SerialOrder.PlanResourceId", "planresourceid", grmi.TypeString)
var SerialOrder_UsedResourceId = grmi.NewField("UsedResourceId", "OM_SerialOrder.UsedResourceId", "usedresourceid", grmi.TypeString)
var SerialOrder_PlanQty = grmi.NewField("PlanQty", "OM_SerialOrder.PlanQty", "planqty", grmi.TypeFloat64)
var SerialOrder_QtyUomId = grmi.NewField("QtyUomId", "OM_SerialOrder.QtyUomId", "qtyuomid", grmi.TypeString)
var SerialOrder_OpTimePerItem = grmi.NewField("OpTimePerItem", "OM_SerialOrder.OpTimePerItem", "optimeperitem", grmi.TypeFloat64)
var SerialOrder_TimeUomId = grmi.NewField("TimeUomId", "OM_SerialOrder.TimeUomId", "timeuomid", grmi.TypeString)
var SerialOrder_PlanStartDate = grmi.NewField("PlanStartDate", "OM_SerialOrder.PlanStartDate", "planstartdate", grmi.TypeDate)
var SerialOrder_PlanEndDate = grmi.NewField("PlanEndDate", "OM_SerialOrder.PlanEndDate", "planenddate", grmi.TypeDate)
var SerialOrder_SetupStartTime = grmi.NewField("SetupStartTime", "OM_SerialOrder.SetupStartTime", "setupstarttime", grmi.TypeDateTime)
var SerialOrder_SetupEndTime = grmi.NewField("SetupEndTime", "OM_SerialOrder.SetupEndTime", "setupendtime", grmi.TypeDateTime)
var SerialOrder_PlanStartTime = grmi.NewField("PlanStartTime", "OM_SerialOrder.PlanStartTime", "planstarttime", grmi.TypeDateTime)
var SerialOrder_PlanEndTime = grmi.NewField("PlanEndTime", "OM_SerialOrder.PlanEndTime", "planendtime", grmi.TypeDateTime)
var SerialOrder_ActStartTime = grmi.NewField("ActStartTime", "OM_SerialOrder.ActStartTime", "actstarttime", grmi.TypeDateTime)
var SerialOrder_ActEndTime = grmi.NewField("ActEndTime", "OM_SerialOrder.ActEndTime", "actendtime", grmi.TypeDateTime)
var SerialOrder_ProjectId = grmi.NewField("ProjectId", "OM_SerialOrder.ProjectId", "projectid", grmi.TypeString)
var SerialOrder_LastModify = grmi.NewField("LastModify", "OM_SerialOrder.LastModify", "lastmodify", grmi.TypeDateTime)
var SerialOrder_LastUser = grmi.NewField("LastUser", "OM_SerialOrder.LastUser", "lastuser", grmi.TypeString)
var SerialOrder_CreateTime = grmi.NewField("CreateTime", "OM_SerialOrder.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : SerialOrder的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 13:07:32
 *
 ******************************************************************************/
var SerialOrder = grmi.NewEntity(
	"OM_SerialOrder",
	func() interface{} { return &model.SerialOrder{} },
	map[string]grmi.Field{
		SerialOrder_PlantNr.Name:        SerialOrder_PlantNr,
		SerialOrder_WorkOrderId.Name:    SerialOrder_WorkOrderId,
		SerialOrder_SerialOrderId.Name:  SerialOrder_SerialOrderId,
		SerialOrder_ArtId.Name:          SerialOrder_ArtId,
		SerialOrder_OrderType.Name:      SerialOrder_OrderType,
		SerialOrder_OrderType1.Name:     SerialOrder_OrderType1,
		SerialOrder_OrderType2.Name:     SerialOrder_OrderType2,
		SerialOrder_PlanResourceId.Name: SerialOrder_PlanResourceId,
		SerialOrder_UsedResourceId.Name: SerialOrder_UsedResourceId,
		SerialOrder_PlanQty.Name:        SerialOrder_PlanQty,
		SerialOrder_QtyUomId.Name:       SerialOrder_QtyUomId,
		SerialOrder_OpTimePerItem.Name:  SerialOrder_OpTimePerItem,
		SerialOrder_TimeUomId.Name:      SerialOrder_TimeUomId,
		SerialOrder_PlanStartDate.Name:  SerialOrder_PlanStartDate,
		SerialOrder_PlanEndDate.Name:    SerialOrder_PlanEndDate,
		SerialOrder_SetupStartTime.Name: SerialOrder_SetupStartTime,
		SerialOrder_SetupEndTime.Name:   SerialOrder_SetupEndTime,
		SerialOrder_PlanStartTime.Name:  SerialOrder_PlanStartTime,
		SerialOrder_PlanEndTime.Name:    SerialOrder_PlanEndTime,
		SerialOrder_ActStartTime.Name:   SerialOrder_ActStartTime,
		SerialOrder_ActEndTime.Name:     SerialOrder_ActEndTime,
		SerialOrder_ProjectId.Name:      SerialOrder_ProjectId,
		SerialOrder_LastModify.Name:     SerialOrder_LastModify,
		SerialOrder_LastUser.Name:       SerialOrder_LastUser,
		SerialOrder_CreateTime.Name:     SerialOrder_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"ArtId", "OrderType", "OrderType1", "OrderType2", "PlanResourceId", "UsedResourceId", "PlanQty", "QtyUomId", "OpTimePerItem", "TimeUomId", "PlanStartDate", "PlanEndDate", "SetupStartTime", "SetupEndTime", "PlanStartTime", "PlanEndTime", "ActStartTime", "ActEndTime", "ProjectId", "LastUser"})
