// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/pm"
)

/******************************************************************************
 *
 * @Description              : Service的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var Service_PlantNr = grmi.NewField("PlantNr", "PM_Service_New.PlantNr", "plantnr", grmi.TypeInt)
var Service_MainServiceNr = grmi.NewField("MainServiceNr", "PM_Service_New.MainServiceNr", "mainservicenr", grmi.TypeInt)
var Service_Descr = grmi.NewField("Descr", "PM_Service_New.Descr", "descr", grmi.TypeString)
var Service_MaintType = grmi.NewField("MaintType", "PM_Service_New.MaintType", "mainttype", grmi.TypeString)
var Service_Priority = grmi.NewField("Priority", "PM_Service_New.Priority", "priority", grmi.TypeInt)
var Service_EnabledToggle = grmi.NewField("EnabledToggle", "PM_Service_New.EnabledToggle", "enabledtoggle", grmi.TypeBool)
var Service_MaintByDateToggle = grmi.NewField("MaintByDateToggle", "PM_Service_New.MaintByDateToggle", "maintbydatetoggle", grmi.TypeBool)
var Service_DueDateInterval = grmi.NewField("DueDateInterval", "PM_Service_New.DueDateInterval", "duedateinterval", grmi.TypeInt)
var Service_NodifyDays = grmi.NewField("NodifyDays", "PM_Service_New.NodifyDays", "nodifydays", grmi.TypeInt)
var Service_DueDateOn = grmi.NewField("DueDateOn", "PM_Service_New.DueDateOn", "duedateon", grmi.TypeDate)
var Service_MaintByHourToggle = grmi.NewField("MaintByHourToggle", "PM_Service_New.MaintByHourToggle", "maintbyhourtoggle", grmi.TypeBool)
var Service_DueHourInterval = grmi.NewField("DueHourInterval", "PM_Service_New.DueHourInterval", "duehourinterval", grmi.TypeInt)
var Service_NodifyHours = grmi.NewField("NodifyHours", "PM_Service_New.NodifyHours", "nodifyhours", grmi.TypeInt)
var Service_DueHourOn = grmi.NewField("DueHourOn", "PM_Service_New.DueHourOn", "duehouron", grmi.TypeDate)
var Service_MaintByMileageToggle = grmi.NewField("MaintByMileageToggle", "PM_Service_New.MaintByMileageToggle", "maintbymileagetoggle", grmi.TypeBool)
var Service_DueMileageInterval = grmi.NewField("DueMileageInterval", "PM_Service_New.DueMileageInterval", "duemileageinterval", grmi.TypeInt)
var Service_NodifyMileages = grmi.NewField("NodifyMileages", "PM_Service_New.NodifyMileages", "nodifymileages", grmi.TypeInt)
var Service_DueMileageAt = grmi.NewField("DueMileageAt", "PM_Service_New.DueMileageAt", "duemileageat", grmi.TypeInt)
var Service_NeedSchedule = grmi.NewField("NeedSchedule", "PM_Service_New.NeedSchedule", "needschedule", grmi.TypeInt)
var Service_MainTimeLen = grmi.NewField("MainTimeLen", "PM_Service_New.MainTimeLen", "maintimelen", grmi.TypeFloat64)
var Service_TimeUnit = grmi.NewField("TimeUnit", "PM_Service_New.TimeUnit", "timeunit", grmi.TypeString)
var Service_SchedType = grmi.NewField("SchedType", "PM_Service_New.SchedType", "schedtype", grmi.TypeString)
var Service_Department = grmi.NewField("Department", "PM_Service_New.Department", "department", grmi.TypeString)
var Service_LastModify = grmi.NewField("LastModify", "PM_Service_New.LastModify", "lastmodify", grmi.TypeDateTime)
var Service_LastUser = grmi.NewField("LastUser", "PM_Service_New.LastUser", "lastuser", grmi.TypeString)
var Service_CreateTime = grmi.NewField("CreateTime", "PM_Service_New.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Service的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var Service = grmi.NewEntity(
	"PM_Service_New",
	func() interface{} { return &model.Service{} },
	map[string]grmi.Field{
		Service_PlantNr.Name:              Service_PlantNr,
		Service_MainServiceNr.Name:        Service_MainServiceNr,
		Service_Descr.Name:                Service_Descr,
		Service_MaintType.Name:            Service_MaintType,
		Service_Priority.Name:             Service_Priority,
		Service_EnabledToggle.Name:        Service_EnabledToggle,
		Service_MaintByDateToggle.Name:    Service_MaintByDateToggle,
		Service_DueDateInterval.Name:      Service_DueDateInterval,
		Service_NodifyDays.Name:           Service_NodifyDays,
		Service_DueDateOn.Name:            Service_DueDateOn,
		Service_MaintByHourToggle.Name:    Service_MaintByHourToggle,
		Service_DueHourInterval.Name:      Service_DueHourInterval,
		Service_NodifyHours.Name:          Service_NodifyHours,
		Service_DueHourOn.Name:            Service_DueHourOn,
		Service_MaintByMileageToggle.Name: Service_MaintByMileageToggle,
		Service_DueMileageInterval.Name:   Service_DueMileageInterval,
		Service_NodifyMileages.Name:       Service_NodifyMileages,
		Service_DueMileageAt.Name:         Service_DueMileageAt,
		Service_NeedSchedule.Name:         Service_NeedSchedule,
		Service_MainTimeLen.Name:          Service_MainTimeLen,
		Service_TimeUnit.Name:             Service_TimeUnit,
		Service_SchedType.Name:            Service_SchedType,
		Service_Department.Name:           Service_Department,
		Service_LastModify.Name:           Service_LastModify,
		Service_LastUser.Name:             Service_LastUser,
		Service_CreateTime.Name:           Service_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "MaintType", "Priority", "EnabledToggle", "MaintByDateToggle", "DueDateInterval", "NodifyDays", "DueDateOn", "MaintByHourToggle", "DueHourInterval", "NodifyHours", "DueHourOn", "MaintByMileageToggle", "DueMileageInterval", "NodifyMileages", "DueMileageAt", "NeedSchedule", "MainTimeLen", "TimeUnit", "SchedType", "Department", "LastUser"})
