// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/wm"
)

/******************************************************************************
 *
 * @Description              : InventoryBook的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var InventoryBook_StorageBinId = grmi.NewField("StorageBinId", "WM_InventoryBook.StorageBinId", "storagebinid", grmi.TypeString)
var InventoryBook_WarehouseId = grmi.NewField("WarehouseId", "WM_InventoryBook.WarehouseId", "warehouseid", grmi.TypeString)
var InventoryBook_ArtId = grmi.NewField("ArtId", "WM_InventoryBook.ArtId", "artid", grmi.TypeString)
var InventoryBook_StorageAreaId = grmi.NewField("StorageAreaId", "WM_InventoryBook.StorageAreaId", "storageareaid", grmi.TypeString)
var InventoryBook_SKU = grmi.NewField("SKU", "WM_InventoryBook.SKU", "sku", grmi.TypeString)
var InventoryBook_ArtName = grmi.NewField("ArtName", "WM_InventoryBook.ArtName", "artname", grmi.TypeString)
var InventoryBook_ArtType = grmi.NewField("ArtType", "WM_InventoryBook.ArtType", "arttype", grmi.TypeString)
var InventoryBook_QtyUom = grmi.NewField("QtyUom", "WM_InventoryBook.QtyUom", "qtyuom", grmi.TypeString)
var InventoryBook_Qty = grmi.NewField("Qty", "WM_InventoryBook.Qty", "qty", grmi.TypeFloat64)
var InventoryBook_IBCtrlPara1 = grmi.NewField("IBCtrlPara1", "WM_InventoryBook.IBCtrlPara1", "ibctrlpara1", grmi.TypeInt)
var InventoryBook_IBCtrlPara2 = grmi.NewField("IBCtrlPara2", "WM_InventoryBook.IBCtrlPara2", "ibctrlpara2", grmi.TypeInt)
var InventoryBook_IBCtrlPara3 = grmi.NewField("IBCtrlPara3", "WM_InventoryBook.IBCtrlPara3", "ibctrlpara3", grmi.TypeString)
var InventoryBook_IBCtrlPara4 = grmi.NewField("IBCtrlPara4", "WM_InventoryBook.IBCtrlPara4", "ibctrlpara4", grmi.TypeString)
var InventoryBook_IBCtrlPara5 = grmi.NewField("IBCtrlPara5", "WM_InventoryBook.IBCtrlPara5", "ibctrlpara5", grmi.TypeFloat64)
var InventoryBook_IBCtrlPara6 = grmi.NewField("IBCtrlPara6", "WM_InventoryBook.IBCtrlPara6", "ibctrlpara6", grmi.TypeFloat64)
var InventoryBook_LastCheckDate = grmi.NewField("LastCheckDate", "WM_InventoryBook.LastCheckDate", "lastcheckdate", grmi.TypeDateTime)
var InventoryBook_LastCheckPerson = grmi.NewField("LastCheckPerson", "WM_InventoryBook.LastCheckPerson", "lastcheckperson", grmi.TypeString)
var InventoryBook_LastModify = grmi.NewField("LastModify", "WM_InventoryBook.LastModify", "lastmodify", grmi.TypeDateTime)
var InventoryBook_LastUser = grmi.NewField("LastUser", "WM_InventoryBook.LastUser", "lastuser", grmi.TypeString)
var InventoryBook_CreateTime = grmi.NewField("CreateTime", "WM_InventoryBook.CreateTime", "createtime", grmi.TypeDateTime)
var InventoryBook_StorageRackId = grmi.NewField("StorageRackId", "WM_InventoryBook.StorageRackId", "storagerackid", grmi.TypeString)
/******************************************************************************
 *
 * @Description              : InventoryBook的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var InventoryBook = grmi.NewEntity(
	"WM_InventoryBook",
	func() interface{} { return &model.InventoryBook{} },
	map[string]grmi.Field{
		InventoryBook_StorageBinId.Name:    InventoryBook_StorageBinId,
		InventoryBook_WarehouseId.Name:     InventoryBook_WarehouseId,
		InventoryBook_ArtId.Name:           InventoryBook_ArtId,
		InventoryBook_StorageAreaId.Name:   InventoryBook_StorageAreaId,
		InventoryBook_SKU.Name:             InventoryBook_SKU,
		InventoryBook_ArtName.Name:         InventoryBook_ArtName,
		InventoryBook_ArtType.Name:         InventoryBook_ArtType,
		InventoryBook_QtyUom.Name:          InventoryBook_QtyUom,
		InventoryBook_Qty.Name:             InventoryBook_Qty,
		InventoryBook_IBCtrlPara1.Name:     InventoryBook_IBCtrlPara1,
		InventoryBook_IBCtrlPara2.Name:     InventoryBook_IBCtrlPara2,
		InventoryBook_IBCtrlPara3.Name:     InventoryBook_IBCtrlPara3,
		InventoryBook_IBCtrlPara4.Name:     InventoryBook_IBCtrlPara4,
		InventoryBook_IBCtrlPara5.Name:     InventoryBook_IBCtrlPara5,
		InventoryBook_IBCtrlPara6.Name:     InventoryBook_IBCtrlPara6,
		InventoryBook_LastCheckDate.Name:   InventoryBook_LastCheckDate,
		InventoryBook_LastCheckPerson.Name: InventoryBook_LastCheckPerson,
		InventoryBook_LastModify.Name:      InventoryBook_LastModify,
		InventoryBook_LastUser.Name:        InventoryBook_LastUser,
		InventoryBook_CreateTime.Name:      InventoryBook_CreateTime,
		InventoryBook_StorageRackId.Name:   InventoryBook_StorageRackId,
	},
	[]string{},
	[]string{"StorageAreaId", "SKU", "ArtName", "ArtType", "QtyUom", "Qty", "IBCtrlPara1", "IBCtrlPara2", "IBCtrlPara3", "IBCtrlPara4", "IBCtrlPara5", "IBCtrlPara6", "LastCheckDate", "LastCheckPerson", "LastUser","StorageRackId"})
