// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/wm"
)

/******************************************************************************
 *
 * @Description              : Warehouse的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var Warehouse_WarehouseId = grmi.NewField("WarehouseId", "WM_Warehouse.WarehouseId", "warehouseid", grmi.TypeString)
var Warehouse_Descr = grmi.NewField("Descr", "WM_Warehouse.Descr", "descr", grmi.TypeString)
var Warehouse_Status = grmi.NewField("Status", "WM_Warehouse.Status", "status", grmi.TypeString)
var Warehouse_WarehouseType = grmi.NewField("WarehouseType", "WM_Warehouse.WarehouseType", "warehousetype", grmi.TypeString)
var Warehouse_StorageMethod = grmi.NewField("StorageMethod", "WM_Warehouse.StorageMethod", "storagemethod", grmi.TypeString)
var Warehouse_Comment = grmi.NewField("Comment", "WM_Warehouse.Comment", "comment", grmi.TypeString)
var Warehouse_AllocationStrategy = grmi.NewField("AllocationStrategy", "WM_Warehouse.AllocationStrategy", "allocationstrategy", grmi.TypeString)
var Warehouse_RuleSetId = grmi.NewField("RuleSetId", "WM_Warehouse.RuleSetId", "rulesetid", grmi.TypeString)
var Warehouse_CompleteStockRemoval = grmi.NewField("CompleteStockRemoval", "WM_Warehouse.CompleteStockRemoval", "completestockremoval", grmi.TypeString)
var Warehouse_TransportSystemNr = grmi.NewField("TransportSystemNr", "WM_Warehouse.TransportSystemNr", "transportsystemnr", grmi.TypeInt)
var Warehouse_TransportPoint = grmi.NewField("TransportPoint", "WM_Warehouse.TransportPoint", "transportpoint", grmi.TypeInt)
var Warehouse_WarehouseCtrlPara1 = grmi.NewField("WarehouseCtrlPara1", "WM_Warehouse.WarehouseCtrlPara1", "warehousectrlpara1", grmi.TypeInt)
var Warehouse_WarehouseCtrlPara2 = grmi.NewField("WarehouseCtrlPara2", "WM_Warehouse.WarehouseCtrlPara2", "warehousectrlpara2", grmi.TypeInt)
var Warehouse_WarehouseCtrlPara3 = grmi.NewField("WarehouseCtrlPara3", "WM_Warehouse.WarehouseCtrlPara3", "warehousectrlpara3", grmi.TypeInt)
var Warehouse_WarehouseCtrlPara4 = grmi.NewField("WarehouseCtrlPara4", "WM_Warehouse.WarehouseCtrlPara4", "warehousectrlpara4", grmi.TypeInt)
var Warehouse_WarehouseCtrlPara5 = grmi.NewField("WarehouseCtrlPara5", "WM_Warehouse.WarehouseCtrlPara5", "warehousectrlpara5", grmi.TypeString)
var Warehouse_WarehouseCtrlPara6 = grmi.NewField("WarehouseCtrlPara6", "WM_Warehouse.WarehouseCtrlPara6", "warehousectrlpara6", grmi.TypeString)
var Warehouse_WarehouseCtrlPara7 = grmi.NewField("WarehouseCtrlPara7", "WM_Warehouse.WarehouseCtrlPara7", "warehousectrlpara7", grmi.TypeString)
var Warehouse_WarehouseCtrlPara8 = grmi.NewField("WarehouseCtrlPara8", "WM_Warehouse.WarehouseCtrlPara8", "warehousectrlpara8", grmi.TypeString)
var Warehouse_WarehouseCtrlPara9 = grmi.NewField("WarehouseCtrlPara9", "WM_Warehouse.WarehouseCtrlPara9", "warehousectrlpara9", grmi.TypeFloat64)
var Warehouse_WarehouseCtrlPara10 = grmi.NewField("WarehouseCtrlPara10", "WM_Warehouse.WarehouseCtrlPara10", "warehousectrlpara10", grmi.TypeFloat64)
var Warehouse_WarehouseCtrlPara11 = grmi.NewField("WarehouseCtrlPara11", "WM_Warehouse.WarehouseCtrlPara11", "warehousectrlpara11", grmi.TypeFloat64)
var Warehouse_WarehouseCtrlPara12 = grmi.NewField("WarehouseCtrlPara12", "WM_Warehouse.WarehouseCtrlPara12", "warehousectrlpara12", grmi.TypeFloat64)
var Warehouse_WarehouseCtrlPara13 = grmi.NewField("WarehouseCtrlPara13", "WM_Warehouse.WarehouseCtrlPara13", "warehousectrlpara13", grmi.TypeDateTime)
var Warehouse_WarehouseCtrlPara14 = grmi.NewField("WarehouseCtrlPara14", "WM_Warehouse.WarehouseCtrlPara14", "warehousectrlpara14", grmi.TypeDateTime)
var Warehouse_WarehouseCtrlPara15 = grmi.NewField("WarehouseCtrlPara15", "WM_Warehouse.WarehouseCtrlPara15", "warehousectrlpara15", grmi.TypeDateTime)
var Warehouse_WarehouseCtrlPara16 = grmi.NewField("WarehouseCtrlPara16", "WM_Warehouse.WarehouseCtrlPara16", "warehousectrlpara16", grmi.TypeDateTime)
var Warehouse_LastModify = grmi.NewField("LastModify", "WM_Warehouse.LastModify", "lastmodify", grmi.TypeDateTime)
var Warehouse_LastUser = grmi.NewField("LastUser", "WM_Warehouse.LastUser", "lastuser", grmi.TypeString)
var Warehouse_CreateTime = grmi.NewField("CreateTime", "WM_Warehouse.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Warehouse的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
var Warehouse = grmi.NewEntity(
	"WM_Warehouse",
	func() interface{} { return &model.Warehouse{} },
	map[string]grmi.Field{
		Warehouse_WarehouseId.Name:          Warehouse_WarehouseId,
		Warehouse_Descr.Name:                Warehouse_Descr,
		Warehouse_Status.Name:               Warehouse_Status,
		Warehouse_WarehouseType.Name:        Warehouse_WarehouseType,
		Warehouse_StorageMethod.Name:        Warehouse_StorageMethod,
		Warehouse_Comment.Name:              Warehouse_Comment,
		Warehouse_AllocationStrategy.Name:   Warehouse_AllocationStrategy,
		Warehouse_RuleSetId.Name:            Warehouse_RuleSetId,
		Warehouse_CompleteStockRemoval.Name: Warehouse_CompleteStockRemoval,
		Warehouse_TransportSystemNr.Name:    Warehouse_TransportSystemNr,
		Warehouse_TransportPoint.Name:       Warehouse_TransportPoint,
		Warehouse_WarehouseCtrlPara1.Name:   Warehouse_WarehouseCtrlPara1,
		Warehouse_WarehouseCtrlPara2.Name:   Warehouse_WarehouseCtrlPara2,
		Warehouse_WarehouseCtrlPara3.Name:   Warehouse_WarehouseCtrlPara3,
		Warehouse_WarehouseCtrlPara4.Name:   Warehouse_WarehouseCtrlPara4,
		Warehouse_WarehouseCtrlPara5.Name:   Warehouse_WarehouseCtrlPara5,
		Warehouse_WarehouseCtrlPara6.Name:   Warehouse_WarehouseCtrlPara6,
		Warehouse_WarehouseCtrlPara7.Name:   Warehouse_WarehouseCtrlPara7,
		Warehouse_WarehouseCtrlPara8.Name:   Warehouse_WarehouseCtrlPara8,
		Warehouse_WarehouseCtrlPara9.Name:   Warehouse_WarehouseCtrlPara9,
		Warehouse_WarehouseCtrlPara10.Name:  Warehouse_WarehouseCtrlPara10,
		Warehouse_WarehouseCtrlPara11.Name:  Warehouse_WarehouseCtrlPara11,
		Warehouse_WarehouseCtrlPara12.Name:  Warehouse_WarehouseCtrlPara12,
		Warehouse_WarehouseCtrlPara13.Name:  Warehouse_WarehouseCtrlPara13,
		Warehouse_WarehouseCtrlPara14.Name:  Warehouse_WarehouseCtrlPara14,
		Warehouse_WarehouseCtrlPara15.Name:  Warehouse_WarehouseCtrlPara15,
		Warehouse_WarehouseCtrlPara16.Name:  Warehouse_WarehouseCtrlPara16,
		Warehouse_LastModify.Name:           Warehouse_LastModify,
		Warehouse_LastUser.Name:             Warehouse_LastUser,
		Warehouse_CreateTime.Name:           Warehouse_CreateTime,
	},
	[]string{},
	[]string{"Descr", "Status", "WarehouseType", "StorageMethod", "Comment", "AllocationStrategy", "RuleSetId", "CompleteStockRemoval", "TransportSystemNr", "TransportPoint", "WarehouseCtrlPara1", "WarehouseCtrlPara2", "WarehouseCtrlPara3", "WarehouseCtrlPara4", "WarehouseCtrlPara5", "WarehouseCtrlPara6", "WarehouseCtrlPara7", "WarehouseCtrlPara8", "WarehouseCtrlPara9", "WarehouseCtrlPara10", "WarehouseCtrlPara11", "WarehouseCtrlPara12", "WarehouseCtrlPara13", "WarehouseCtrlPara14", "WarehouseCtrlPara15", "WarehouseCtrlPara16", "LastUser"})
