// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package api

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ACCWOWORKORDERHEADER
 *-----------------------------------------------------------------------------
 *
 * @Description              : ACCWOWORKORDERHEADER的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-12 14:17:07
 *
 ******************************************************************************/
type ACCWOWORKORDERHEADER struct {
	WONO                        string        `xorm:"pk nvarchar(100) 'WONO'" json:"ACC_WO_WORKORDER_HEADER-WONO"`
	PONO                        string        `xorm:"nvarchar(100) 'PONO'" json:"ACC_WO_WORKORDER_HEADER-PONO"`
	LINE                        string        `xorm:"nvarchar(100) 'LINE'" json:"ACC_WO_WORKORDER_HEADER-LINE"`
	PARTNO                      string        `xorm:"nvarchar(100) 'PARTNO'" json:"ACC_WO_WORKORDER_HEADER-PARTNO"`
	REV                         string        `xorm:"nvarchar(20) 'REV'" json:"ACC_WO_WORKORDER_HEADER-REV"`
	PLANSTARTTIME               grmi.DateTime `xorm:"datetime 'PLANSTARTTIME'" json:"ACC_WO_WORKORDER_HEADER-PLANSTARTTIME"`
	PLANFINISHTIME              grmi.DateTime `xorm:"datetime 'PLANFINISHTIME'" json:"ACC_WO_WORKORDER_HEADER-PLANFINISHTIME"`
	PLANQUANTITY                int           `xorm:"int 'PLANQUANTITY'" json:"ACC_WO_WORKORDER_HEADER-PLANQUANTITY"`
	STARTTIME                   grmi.DateTime `xorm:"datetime 'STARTTIME'" json:"ACC_WO_WORKORDER_HEADER-STARTTIME"`
	FINISHTIME                  grmi.DateTime `xorm:"datetime 'FINISHTIME'" json:"ACC_WO_WORKORDER_HEADER-FINISHTIME"`
	QUANTITY                    int           `xorm:"int 'QUANTITY'" json:"ACC_WO_WORKORDER_HEADER-QUANTITY"`
	STATUS                      int           `xorm:"int 'STATUS'" json:"ACC_WO_WORKORDER_HEADER-STATUS"`
	SORT                        int           `xorm:"int 'SORT'" json:"ACC_WO_WORKORDER_HEADER-SORT"`
	NEEDBOM                     int           `xorm:"int 'NEEDBOM'" json:"ACC_WO_WORKORDER_HEADER-NEEDBOM"`
	BOMRELEASECODE              string        `xorm:"nvarchar(100) 'BOMRELEASECODE'" json:"ACC_WO_WORKORDER_HEADER-BOMRELEASECODE"`
	NEEDPRODUCTPARAMETER        int           `xorm:"int 'NEEDPRODUCTPARAMETER'" json:"ACC_WO_WORKORDER_HEADER-NEEDPRODUCTPARAMETER"`
	PRODUCTPARAMETERRELEASECODE string        `xorm:"nvarchar(100) 'PRODUCTPARAMETERRELEASECODE'" json:"ACC_WO_WORKORDER_HEADER-PRODUCTPARAMETERRELEASECODE"`
	SYNCSTATUS                  int           `xorm:"int 'SYNCSTATUS'" json:"ACC_WO_WORKORDER_HEADER-SYNCSTATUS"`
	SYNCTIME                    grmi.DateTime `xorm:"datetime 'SYNCTIME'" json:"ACC_WO_WORKORDER_HEADER-SYNCTIME"`
	SEGMENTCODE                 string        `xorm:"nvarchar(5) 'SEGMENT_CODE'" json:"ACC_WO_WORKORDER_HEADER-SEGMENT_CODE"`
	RETRY                       int           `xorm:"int 'RETRY'" json:"ACC_WO_WORKORDER_HEADER-RETRY"`
	MTIME                       grmi.DateTime `xorm:"datetime 'MTIME'" json:"ACC_WO_WORKORDER_HEADER-MTIME"`
	REMARK                      string        `xorm:"nvarchar(100) 'REMARK'" json:"ACC_WO_WORKORDER_HEADER-REMARK"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-12 14:17:07
 *
 ******************************************************************************/
func (self *ACCWOWORKORDERHEADER) GetKey() core.PK {
	return core.PK{self.WONO}
}
