// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package api

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : VwPlanInfo
 *-----------------------------------------------------------------------------
 *
 * @Description              : VwPlanInfo的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-18 10:52:46
 *
 ******************************************************************************/
type VwPlanInfo struct {
	Barcode     string        `xorm:"pk varchar(100) 'barcode'" json:"vw_plan_info-barcode"`
	StationCode string        `xorm:"nvarchar(100) 'station_code' not null" json:"vw_plan_info-station_code"`
	StationDesc string        `xorm:"nvarchar(200) 'station_desc'" json:"vw_plan_info-station_desc"`
	ConfigDesc  string        `xorm:"varchar(50) 'config_desc'" json:"vw_plan_info-config_desc"`
	LogTime     grmi.DateTime `xorm:"datetime 'log_time' not null" json:"vw_plan_info-log_time"`
	AutoId      int64         `xorm:"bigint 'auto_id' not null autoincr" json:"vw_plan_info-auto_id"`
	BarcodeDesc string        `xorm:"varchar(100) 'barcode_desc'" json:"vw_plan_info-barcode_desc"`
	PartCode    string        `xorm:"varchar(50) 'part_code' not null" json:"vw_plan_info-part_code"`
	PlanDttm    grmi.DateTime `xorm:"datetime 'plan_dttm' not null" json:"vw_plan_info-plan_dttm"`
	Class1      int           `xorm:"smallint 'class1' not null" json:"vw_plan_info-class1"`
	ConfigKey   string        `xorm:"varchar(10) 'config_key'" json:"vw_plan_info-config_key"`
	Seq         int64         `xorm:"bigint 'seq'" json:"vw_plan_info-seq"`
	Serial      string        `xorm:"varchar(50) 'serial'" json:"vw_plan_info-serial"`
	State       int           `xorm:"int 'state'" json:"vw_plan_info-state"`
	Station     int           `xorm:"smallint 'station'" json:"vw_plan_info-station"`
	Memo        string        `xorm:"varchar(200) 'memo'" json:"vw_plan_info-memo"`
	CustomId    string        `xorm:"nvarchar(50) 'custom_id'" json:"vw_plan_info-custom_id"`
	Codebar     string        `xorm:"nvarchar(50) 'codebar'" json:"vw_plan_info-codebar"`
	IsRefresh   bool          `xorm:"bit 'is_refresh'" json:"vw_plan_info-is_refresh"`
	StateName   string        `xorm:"nvarchar(20) 'state_name'" json:"vw_plan_info-state_name"`
	CreateTime  grmi.DateTime `xorm:"datetime 'create_time' not null created" json:"Portal_WorkOrder-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-18 10:52:46
 *
 ******************************************************************************/
func (self *VwPlanInfo) GetKey() core.PK {
	return core.PK{self.Barcode}
}
