// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ArtQtyAllocate
 *-----------------------------------------------------------------------------
 *
 * @Description              : ArtQtyAllocate的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-27 13:55:54
 *
 ******************************************************************************/
type ArtQtyAllocate struct {
	PlantNr       int           `xorm:"pk int 'PlantNr'" json:"ArtQtyAllocate-PlantNr"`
	AttriCode     int           `xorm:"pk int 'AttriCode'" json:"ArtQtyAllocate-AttriCode"`
	WorkLineId    string        `xorm:"pk nvarchar(40) 'WorkLineId'" json:"ArtQtyAllocate-WorkLineId"`
	SubObject     string        `xorm:"pk nvarchar(40) 'SubObject'" json:"ArtQtyAllocate-SubObject"`
	AttriCodeDesc string        `xorm:"nvarchar(100) 'AttriCodeDesc' not null" json:"ArtQtyAllocate-AttriCodeDesc"`
	TotalPlanty   int           `xorm:"int 'TotalPlanty' not null" json:"ArtQtyAllocate-TotalPlanty"`
	PO            int           `xorm:"int 'PO' not null" json:"ArtQtyAllocate-PO"`
	AssignPlanty  int           `xorm:"int 'AssignPlanty' not null" json:"ArtQtyAllocate-AssignPlanty"`
	AQCtrlPara1   int           `xorm:"int 'AQCtrlPara1' not null" json:"ArtQtyAllocate-AQCtrlPara1"`
	AQCtrlPara2   int           `xorm:"int 'AQCtrlPara2' not null" json:"ArtQtyAllocate-AQCtrlPara2"`
	AQCtrlPara3   string        `xorm:"nvarchar(40) 'AQCtrlPara3' not null" json:"ArtQtyAllocate-AQCtrlPara3"`
	AQCtrlPara4   string        `xorm:"nvarchar(40) 'AQCtrlPara4' not null" json:"ArtQtyAllocate-AQCtrlPara4"`
	AQCtrlPara5   float64       `xorm:"float 'AQCtrlPara5' not null" json:"ArtQtyAllocate-AQCtrlPara5"`
	AQCtrlPara6   float64       `xorm:"float 'AQCtrlPara6' not null" json:"ArtQtyAllocate-AQCtrlPara6"`
	LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"ArtQtyAllocate-LastModify"`
	LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"ArtQtyAllocate-LastUser"`
	CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"ArtQtyAllocate-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-27 13:55:54
 *
 ******************************************************************************/
func (self *ArtQtyAllocate) GetKey() core.PK {
	return core.PK{self.PlantNr, self.AttriCode, self.WorkLineId, self.SubObject}
}
