// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : AttributeGroup
 *-----------------------------------------------------------------------------
 *
 * @Description              : AttributeGroup的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
type AttributeGroup struct {
	PlantNr     int                   `xorm:"pk int 'PlantNr'" json:"AttributeGroup-PlantNr"`
	AttrGrpCode int                   `xorm:"pk int 'AttrGrpCode'" json:"AttributeGroup-AttrGrpCode"`
	Descr       string                `xorm:"nvarchar(100) 'Descr' not null" json:"AttributeGroup-Descr"`
	Color       string                `xorm:"nvarchar(20) 'Color' not null" json:"AttributeGroup-Color"`
	AgiPara1    int                   `xorm:"int 'AgiPara1' not null" json:"AttributeGroup-AgiPara1"`
	AgiPara2    int                   `xorm:"int 'AgiPara2' not null" json:"AttributeGroup-AgiPara2"`
	AgcPara1    string                `xorm:"nvarchar(20) 'AgcPara1' not null" json:"AttributeGroup-AgcPara1"`
	AgcPara2    string                `xorm:"nvarchar(20) 'AgcPara2' not null" json:"AttributeGroup-AgcPara2"`
	LastModify  grmi.DateTime         `xorm:"datetime 'LastModify' not null updated" json:"AttributeGroup-LastModify"`
	LastUser    string                `xorm:"nvarchar(20) 'LastUser' not null" json:"AttributeGroup-LastUser"`
	CreateTime  grmi.DateTime         `xorm:"datetime 'CreateTime' not null created" json:"AttributeGroup-CreateTime"`
	Valst       []Attribute           `json:"Valst" xorm:"-"`
	UnValst     []Attribute           `json:"Unvalst" xorm:"-"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
func (self *AttributeGroup) GetKey() core.PK {
	return core.PK{self.PlantNr, self.AttrGrpCode}
}
