// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : CodeParser
 *-----------------------------------------------------------------------------
 *
 * @Description              : CodeParser的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
type CodeParser struct {
	PlantNr    int           `xorm:"pk int 'PlantNr'" json:"CodeParser-PlantNr"`
	ParserId   string        `xorm:"pk nvarchar(20) 'ParserId'" json:"CodeParser-ParserId"`
	StartPos   int           `xorm:"int 'StartPos' not null" json:"CodeParser-StartPos"`
	Length     int           `xorm:"int 'Length' not null" json:"CodeParser-Length"`
	ParserType string        `xorm:"nvarchar(20) 'ParserType' not null" json:"CodeParser-ParserType"`
	Descr      string        `xorm:"nvarchar(100) 'Descr' not null" json:"CodeParser-Descr"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"CodeParser-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"CodeParser-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"CodeParser-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
func (self *CodeParser) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ParserId}
}
