// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : CostCenter
 *-----------------------------------------------------------------------------
 *
 * @Description              : CostCenter的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
type CostCenter struct {
	PlantNr      int           `xorm:"pk int 'PlantNr'" json:"CostCenter-PlantNr"`
	CostCenterId string        `xorm:"pk nvarchar(40) 'CostCenterId'" json:"CostCenter-CostCenterId"`
	Descr        string        `xorm:"nvarchar(100) 'Descr' not null" json:"CostCenter-Descr"`
	HourRate     float64       `xorm:"float 'HourRate' not null" json:"CostCenter-HourRate"`
	CCCVal1      string        `xorm:"nvarchar(100) 'CC_cVal1' not null" json:"CostCenter-CC_cVal1"`
	CCCVal2      string        `xorm:"nvarchar(100) 'CC_cVal2' not null" json:"CostCenter-CC_cVal2"`
	CCIVal1      int           `xorm:"int 'CC_iVal1' not null" json:"CostCenter-CC_iVal1"`
	CCIVal2      int           `xorm:"int 'CC_iVal2' not null" json:"CostCenter-CC_iVal2"`
	CCFVal1      float64       `xorm:"float 'CC_fVal1' not null" json:"CostCenter-CC_fVal1"`
	CCFVal2      float64       `xorm:"float 'CC_fVal2' not null" json:"CostCenter-CC_fVal2"`
	LastModify   grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"CostCenter-LastModify"`
	LastUser     string        `xorm:"nvarchar(20) 'LastUser' not null" json:"CostCenter-LastUser"`
	CreateTime   grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"CostCenter-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
func (self *CostCenter) GetKey() core.PK {
	return core.PK{self.PlantNr, self.CostCenterId}
}
