// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : Etcd
 *-----------------------------------------------------------------------------
 *
 * @Description              : Etcd的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 15:04:54
 *
 ******************************************************************************/
type Etcd struct {
	EtcdId     int           `xorm:"pk int 'EtcdId' autoincr" json:"Etcd-EtcdId"`
	EtcdName   string        `xorm:"varchar(32) 'EtcdName'" json:"Etcd-EtcdName"`
	Descr      string        `xorm:"varchar(100) 'Descr'" json:"Etcd-Descr"`
	Health     string        `xorm:"varchar(255) 'Health'" json:"Etcd-Health"`
	State      int           `xorm:"int 'State'" json:"Etcd-State"`
	Path       string        `xorm:"varchar(255) 'Path'" json:"Etcd-Path"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"Etcd-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"Etcd-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"Etcd-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 15:04:54
 *
 ******************************************************************************/
func (self *Etcd) GetKey() core.PK {
	return core.PK{self.EtcdId}
}
