// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : GuideRuleInfo
 *-----------------------------------------------------------------------------
 *
 * @Description              : GuideRuleInfo的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-12 10:43:48
 *
 ******************************************************************************/
type GuideRuleInfo struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"GuideRuleInfo-PlantNr"`
	OperationId int           `xorm:"pk int 'OperationId'" json:"GuideRuleInfo-OperationId"`
	PO          int           `xorm:"int 'PO' not null" json:"GuideRuleInfo-PO"`
	StepNo      int           `xorm:"int 'StepNo' not null" json:"GuideRuleInfo-StepNo"`
	StepDesc    string        `xorm:"nvarchar(200) 'StepDesc' not null" json:"GuideRuleInfo-StepDesc"`
	ProjectId   string        `xorm:"nvarchar(40) 'ProjectId' not null" json:"GuideRuleInfo-ProjectId"`
	DisplayTime int           `xorm:"int 'DisplayTime' not null" json:"GuideRuleInfo-DisplayTime"`
	GRCtrlPara1 string        `xorm:"nvarchar(40) 'GRCtrlPara1' not null" json:"GuideRuleInfo-GRCtrlPara1"`
	GRCtrlPara2 string        `xorm:"nvarchar(40) 'GRCtrlPara2' not null" json:"GuideRuleInfo-GRCtrlPara2"`
	GRCtrlPara3 string        `xorm:"nvarchar(40) 'GRCtrlPara3' not null" json:"GuideRuleInfo-GRCtrlPara3"`
	GRCtrlPara4 string        `xorm:"nvarchar(40) 'GRCtrlPara4' not null" json:"GuideRuleInfo-GRCtrlPara4"`
	GRCtrlPara5 string        `xorm:"nvarchar(40) 'GRCtrlPara5' not null" json:"GuideRuleInfo-GRCtrlPara5"`
	GRCtrlPara6 int           `xorm:"int 'GRCtrlPara6' not null" json:"GuideRuleInfo-GRCtrlPara6"`
	GRCtrlPara7 int           `xorm:"int 'GRCtrlPara7' not null" json:"GuideRuleInfo-GRCtrlPara7"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"GuideRuleInfo-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"GuideRuleInfo-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"GuideRuleInfo-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-12 10:43:48
 *
 ******************************************************************************/
func (self *GuideRuleInfo) GetKey() core.PK {
	return core.PK{self.PlantNr, self.OperationId}
}
