// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : LabelParserDetailLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : LabelParserDetailLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-02 09:38:09
 *
 ******************************************************************************/
type LabelParserDetailLst struct {
	PlantNr        int           `xorm:"pk int 'PlantNr'" json:"LabelParserDetailLst-PlantNr"`
	ParserId       string        `xorm:"pk nvarchar(40) 'ParserId'" json:"LabelParserDetailLst-ParserId"`
	Pos            int           `xorm:"pk int 'Pos'" json:"LabelParserDetailLst-Pos"`
	Abrev          string        `xorm:"nvarchar(40) 'Abrev' not null" json:"LabelParserDetailLst-Abrev"`
	Descr          string        `xorm:"nvarchar(40) 'Descr' not null" json:"LabelParserDetailLst-Descr"`
	StartPos       int           `xorm:"int 'StartPos' not null" json:"LabelParserDetailLst-StartPos"`
	EndPos         int           `xorm:"int 'EndPos' not null" json:"LabelParserDetailLst-EndPos"`
	DisplayToggle  bool          `xorm:"bit 'DisplayToggle' not null" json:"LabelParserDetailLst-DisplayToggle"`
	ValidateToggle bool          `xorm:"bit 'ValidateToggle' not null" json:"LabelParserDetailLst-ValidateToggle"`
	StoreToggle    bool          `xorm:"bit 'StoreToggle' not null" json:"LabelParserDetailLst-StoreToggle"`
	ParserMap      string        `xorm:"nvarchar(40) 'ParserMap' not null" json:"LabelParserDetailLst-ParserMap"`
	ValidateRule   string        `xorm:"nvarchar(100) 'ValidateRule' not null" json:"LabelParserDetailLst-ValidateRule"`
	ValidatePara   string        `xorm:"nvarchar(100) 'ValidatePara' not null" json:"LabelParserDetailLst-ValidatePara"`
	StoreField     string        `xorm:"nvarchar(40) 'StoreField' not null" json:"LabelParserDetailLst-StoreField"`
	LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"LabelParserDetailLst-LastModify"`
	LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"LabelParserDetailLst-LastUser"`
	CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"LabelParserDetailLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-02 09:38:09
 *
 ******************************************************************************/
func (self *LabelParserDetailLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ParserId, self.Pos}
}
