// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : OPCBasicComInfo
 *-----------------------------------------------------------------------------
 *
 * @Description              : OPCBasicComInfo的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-13 16:59:07
 *
 ******************************************************************************/
type OPCBasicComInfo struct {
	PlantNr      int           `xorm:"pk int 'PlantNr'" json:"OPCBasicComInfo-PlantNr"`
	OperationId  int           `xorm:"pk int 'OperationId'" json:"OPCBasicComInfo-OperationId"`
	WorkPlaceNr  int           `xorm:"pk int 'WorkPlaceNr'" json:"OPCBasicComInfo-WorkPlaceNr"`
	PO           int           `xorm:"int 'PO' not null" json:"OPCBasicComInfo-PO"`
	StepNo       int           `xorm:"int 'StepNo' not null" json:"OPCBasicComInfo-StepNo"`
	StepDesc     string        `xorm:"nvarchar(100) 'StepDesc' not null" json:"OPCBasicComInfo-StepDesc"`
	ProjectId    string        `xorm:"nvarchar(40) 'ProjectId' not null" json:"OPCBasicComInfo-ProjectId"`
	BrandName    string        `xorm:"nvarchar(40) 'BrandName' not null" json:"OPCBasicComInfo-BrandName"`
	MachineType  string        `xorm:"nvarchar(40) 'MachineType' not null" json:"OPCBasicComInfo-MachineType"`
	IpAddress    string        `xorm:"nvarchar(40) 'IpAddress' not null" json:"OPCBasicComInfo-IpAddress"`
	LastModify   grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OPCBasicComInfo-LastModify"`
	LastUser     string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OPCBasicComInfo-LastUser"`
	CreateTime   grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OPCBasicComInfo-CreateTime"`
	OPCComRuleLi []OPCComRule  `xorm:"-" json:"OPCBasicComInfo-OPCComRuleLi"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-13 16:59:07
 *
 ******************************************************************************/
func (self *OPCBasicComInfo) GetKey() core.PK {
	return core.PK{self.PlantNr, self.OperationId, self.WorkPlaceNr}
}
