// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : OPCComDetailRule
 *-----------------------------------------------------------------------------
 *
 * @Description              : OPCComDetailRule的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-13 16:59:07
 *
 ******************************************************************************/
type OPCComDetailRule struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"OPCComDetailRule-PlantNr"`
	OperationId int           `xorm:"pk int 'OperationId'" json:"OPCComDetailRule-OperationId"`
	RuleId      int           `xorm:"pk int 'RuleId'" json:"OPCComDetailRule-RuleId"`
	DetailId    int           `xorm:"pk int 'DetailId'" json:"OPCComDetailRule-DetailId"`
	WorkPlaceNr int           `xorm:"pk int 'WorkPlaceNr'" json:"OPCComDetailRule-WorkPlaceNr"`
	PO          int           `xorm:"int 'PO' not null" json:"OPCComDetailRule-PO"`
	StepNo      int           `xorm:"int 'StepNo' not null" json:"OPCComDetailRule-StepNo"`
	StepDesc    string        `xorm:"nvarchar(100) 'StepDesc' not null" json:"OPCComDetailRule-StepDesc"`
	ProjectId   string        `xorm:"nvarchar(40) 'ProjectId' not null" json:"OPCComDetailRule-ProjectId"`
	BaseOnType  string        `xorm:"nvarchar(40) 'BaseOnType' not null" json:"OPCComDetailRule-BaseOnType"`
	BaseOnValue string        `xorm:"nvarchar(40) 'BaseOnValue' not null" json:"OPCComDetailRule-BaseOnValue"`
	DataType    string        `xorm:"nvarchar(40) 'DataType' not null" json:"OPCComDetailRule-DataType"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OPCComDetailRule-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OPCComDetailRule-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OPCComDetailRule-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-13 16:59:07
 *
 ******************************************************************************/
func (self *OPCComDetailRule) GetKey() core.PK {
	return core.PK{self.PlantNr, self.OperationId, self.RuleId, self.DetailId, self.WorkPlaceNr}
}
