// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : OPCMonitorBasicComInfo
 *-----------------------------------------------------------------------------
 *
 * @Description              : OPCMonitorBasicComInfo的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-22 15:49:36
 *
 ******************************************************************************/
type OPCMonitorBasicComInfo struct {
	PlantNr                    int                 `xorm:"pk int 'PlantNr'" json:"OPCMonitorBasicComInfo-PlantNr"`
	WorkPlaceNr                int                 `xorm:"pk int 'WorkPlaceNr'" json:"OPCMonitorBasicComInfo-WorkPlaceNr"`
	MonitorPalletInPlace       int                 `xorm:"pk int 'MonitorPalletInPlace'" json:"OPCMonitorBasicComInfo-MonitorPalletInPlace"`
	MonitorManualRelease       int                 `xorm:"pk int 'MonitorManualRelease'" json:"OPCMonitorBasicComInfo-MonitorManualRelease"`
	MonitorProblemPieceRelease int                 `xorm:"pk int 'MonitorProblemPieceRelease'" json:"OPCMonitorBasicComInfo-MonitorProblemPieceRelease"`
	BrandName                  string              `xorm:"nvarchar(40) 'BrandName' not null" json:"OPCMonitorBasicComInfo-BrandName"`
	MachineType                string              `xorm:"nvarchar(40) 'MachineType' not null" json:"OPCMonitorBasicComInfo-MachineType"`
	IpAddress                  string              `xorm:"nvarchar(40) 'IpAddress' not null" json:"OPCMonitorBasicComInfo-IpAddress"`
	LastModify                 grmi.DateTime       `xorm:"datetime 'LastModify' not null updated" json:"OPCMonitorBasicComInfo-LastModify"`
	LastUser                   string              `xorm:"nvarchar(20) 'LastUser' not null" json:"OPCMonitorBasicComInfo-LastUser"`
	CreateTime                 grmi.DateTime       `xorm:"datetime 'CreateTime' not null created" json:"OPCMonitorBasicComInfo-CreateTime"`
	OPCMonitorComRuleLi        []OPCMonitorComRule `xorm:"-" json:"OPCMonitorBasicComInfo-OPCMonitorComRuleLi"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-22 15:49:36
 *
 ******************************************************************************/
func (self *OPCMonitorBasicComInfo) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkPlaceNr, self.MonitorPalletInPlace, self.MonitorManualRelease, self.MonitorProblemPieceRelease}
}
