// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : Person
 *-----------------------------------------------------------------------------
 *
 * @Description              : Person的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-25 14:20:56
 *
 ******************************************************************************/
type Person struct {
	PlantNr          int           `xorm:"pk int 'PlantNr'" json:"Person-PlantNr"`
	PersonNr         int           `xorm:"pk int 'PersonNr' autoincr" json:"Person-PersonNr"`
	PersonId         string        `xorm:"nvarchar(40) 'PersonId' not null" json:"Person-PersonId"`
	Name             string        `xorm:"nvarchar(40) 'Name' not null" json:"Person-Name"`
	Status           int           `xorm:"int 'Status' not null" json:"Person-Status"`
	CostCenterId     string        `xorm:"nvarchar(40) 'CostCenterId' not null" json:"Person-CostCenterId"`
	DepartmentId     string        `xorm:"nvarchar(40) 'DepartmentId' not null" json:"Person-DepartmentId"`
	SalaryGrpId      string        `xorm:"nvarchar(40) 'SalaryGrpId' not null" json:"Person-SalaryGrpId"`
	BonusGrpId       string        `xorm:"nvarchar(40) 'BonusGrpId' not null" json:"Person-BonusGrpId"`
	EntryDate        grmi.Date     `xorm:"date 'EntryDate'" json:"Person-EntryDate"`
	BirthDate        grmi.Date     `xorm:"date 'BirthDate'" json:"Person-BirthDate"`
	PersonIPara1     int           `xorm:"int 'PersonIPara1' not null" json:"Person-PersonIPara1"`
	PersonIPara2     int           `xorm:"int 'PersonIPara2' not null" json:"Person-PersonIPara2"`
	PersonDPara1     float64       `xorm:"float 'PersonDPara1' not null" json:"Person-PersonDPara1"`
	PersonDPara2     float64       `xorm:"float 'PersonDPara2' not null" json:"Person-PersonDPara2"`
	Avatar           string        `xorm:"nvarchar(100) 'Avatar' not null" json:"Person-Avatar"`
	LastModify       grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"Person-LastModify"`
	LastUser         string        `xorm:"nvarchar(20) 'LastUser' not null" json:"Person-LastUser"`
	CreateTime       grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"Person-CreateTime"`
	WorkPlaceValst   []WorkPlace   `json:"WorkPlaceValst" xorm:"-"`
	WorkPlaceUnValst []WorkPlace   `json:"WorkPlaceUnvalst" xorm:"-"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-25 14:20:56
 *
 ******************************************************************************/
func (self *Person) GetKey() core.PK {
	return core.PK{self.PlantNr, self.PersonNr}
}
