// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : PersonLoginHistory
 *-----------------------------------------------------------------------------
 *
 * @Description              : PersonLoginHistory的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-25 14:20:56
 *
 ******************************************************************************/
type PersonLoginHistory struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"PersonLoginHistory-PlantNr"`
	RecNr       int           `xorm:"pk int 'RecNr' autoincr" json:"PersonLoginHistory-RecNr"`
	PersonNr    int           `xorm:"int 'PersonNr' not null" json:"PersonLoginHistory-PersonNr"`
	WorkPlaceNr int           `xorm:"int 'WorkPlaceNr' not null" json:"PersonLoginHistory-WorkPlaceNr"`
	LoginTime   grmi.DateTime `xorm:"datetime 'LoginTime'" json:"PersonLoginHistory-LoginTime"`
	LogoutTime  grmi.DateTime `xorm:"datetime 'LogoutTime'" json:"PersonLoginHistory-LogoutTime"`
	Status      int           `xorm:"int 'Status' not null" json:"PersonLoginHistory-Status"`
	TerminalId  string        `xorm:"nvarchar(100) 'TerminalId' not null" json:"PersonLoginHistory-TerminalId"`
	FunctionId  string        `xorm:"nvarchar(100) 'FunctionId' not null" json:"PersonLoginHistory-FunctionId"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PersonLoginHistory-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PersonLoginHistory-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PersonLoginHistory-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-25 14:20:56
 *
 ******************************************************************************/
func (self *PersonLoginHistory) GetKey() core.PK {
	return core.PK{self.PlantNr, self.RecNr}
}
