// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : PrintDetail
 *-----------------------------------------------------------------------------
 *
 * @Description              : PrintDetail的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 13:08:46
 *
 ******************************************************************************/
type PrintDetail struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"PrintDetail-PlantNr"`
	PrintHeadId string        `xorm:"pk varchar(40) 'PrintHeadId'" json:"PrintDetail-PrintHeadId"`
	Pos         int           `xorm:"pk smallint 'Pos'" json:"PrintDetail-Pos"`
	VarName     string        `xorm:"varchar(18) 'VarName' not null" json:"PrintDetail-VarName"`
	VarValue    string        `xorm:"varchar(40) 'VarValue' not null" json:"PrintDetail-VarValue"`
	VarType     string        `xorm:"varchar(10) 'VarType' not null" json:"PrintDetail-VarType"`
	VarPos      string        `xorm:"varchar(10) 'VarPos' not null" json:"PrintDetail-VarPos"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PrintDetail-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PrintDetail-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PrintDetail-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 13:08:46
 *
 ******************************************************************************/
func (self *PrintDetail) GetKey() core.PK {
	return core.PK{self.PlantNr, self.PrintHeadId, self.Pos}
}
