// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : PrintHead
 *-----------------------------------------------------------------------------
 *
 * @Description              : PrintHead的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 13:08:46
 *
 ******************************************************************************/
type PrintHead struct {
	PlantNr        int           `xorm:"pk int 'PlantNr'" json:"PrintHead-PlantNr"`
	PrintHeadId    string        `xorm:"pk varchar(40) 'PrintHeadId'" json:"PrintHead-PrintHeadId"`
	PrinterId      string        `xorm:"varchar(18) 'PrinterId' not null" json:"PrintHead-PrinterId"`
	PrintFileType  string        `xorm:"varchar(10) 'PrintFileType' not null" json:"PrintHead-PrintFileType"`
	PrintEventType string        `xorm:"varchar(10) 'PrintEventType' not null" json:"PrintHead-PrintEventType"`
	PrintObjId     string        `xorm:"varchar(40) 'PrintObjId' not null" json:"PrintHead-PrintObjId"`
	PrintObjType   string        `xorm:"varchar(12) 'PrintObjType' not null" json:"PrintHead-PrintObjType"`
	Status         string        `xorm:"varchar(1) 'Status' not null" json:"PrintHead-Status"`
	TemplateFile   string        `xorm:"varchar(40) 'TemplateFile' not null" json:"PrintHead-TemplateFile"`
	TermId         string        `xorm:"varchar(30) 'TermId' not null" json:"PrintHead-TermId"`
	WebAddress     string        `xorm:"varchar(40) 'WebAddress' not null" json:"PrintHead-WebAddress"`
	PrintCopies    int           `xorm:"smallint 'PrintCopies' not null" json:"PrintHead-PrintCopies"`
	PrintedTime    string        `xorm:"varchar(14) 'PrintedTime' not null" json:"PrintHead-PrintedTime"`
	PrintedCopies  int           `xorm:"smallint 'PrintedCopies' not null" json:"PrintHead-PrintedCopies"`
	Ival1          int           `xorm:"int 'ival1' not null" json:"PrintHead-ival1"`
	Ival2          int           `xorm:"int 'ival2' not null" json:"PrintHead-ival2"`
	Cval1          string        `xorm:"varchar(60) 'cval1' not null" json:"PrintHead-cval1"`
	Cval2          string        `xorm:"varchar(60) 'cval2' not null" json:"PrintHead-cval2"`
	LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PrintHead-LastModify"`
	LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PrintHead-LastUser"`
	CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PrintHead-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 13:08:46
 *
 ******************************************************************************/
func (self *PrintHead) GetKey() core.PK {
	return core.PK{self.PlantNr, self.PrintHeadId}
}
