// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : PrintRuleInfo
 *-----------------------------------------------------------------------------
 *
 * @Description              : PrintRuleInfo的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-16 15:09:09
 *
 ******************************************************************************/
type PrintRuleInfo struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"PrintRuleInfo-PlantNr"`
	OperationId int           `xorm:"pk int 'OperationId'" json:"PrintRuleInfo-OperationId"`
	PO          int           `xorm:"int 'PO' not null" json:"PrintRuleInfo-PO"`
	StepNo      int           `xorm:"int 'StepNo' not null" json:"PrintRuleInfo-StepNo"`
	StepDesc    string        `xorm:"nvarchar(200) 'StepDesc' not null" json:"PrintRuleInfo-StepDesc"`
	ProjectId   string        `xorm:"nvarchar(40) 'ProjectId' not null" json:"PrintRuleInfo-ProjectId"`
	DisplayTime int        `xorm:"int 'DisplayTime' not null" json:"PrintRuleInfo-DisplayTime"`
	PRCtrlPara1 string        `xorm:"nvarchar(40) 'PRCtrlPara1' not null" json:"PrintRuleInfo-PRCtrlPara1"`
	PRCtrlPara2 string        `xorm:"nvarchar(40) 'PRCtrlPara2' not null" json:"PrintRuleInfo-PRCtrlPara2"`
	PRCtrlPara3 string        `xorm:"nvarchar(40) 'PRCtrlPara3' not null" json:"PrintRuleInfo-PRCtrlPara3"`
	PRCtrlPara4 string        `xorm:"nvarchar(40) 'PRCtrlPara4' not null" json:"PrintRuleInfo-PRCtrlPara4"`
	PRCtrlPara5 string        `xorm:"nvarchar(40) 'PRCtrlPara5' not null" json:"PrintRuleInfo-PRCtrlPara5"`
	PRCtrlPara6 int           `xorm:"int 'PRCtrlPara6' not null" json:"PrintRuleInfo-PRCtrlPara6"`
	PRCtrlPara7 int           `xorm:"int 'PRCtrlPara7' not null" json:"PrintRuleInfo-PRCtrlPara7"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PrintRuleInfo-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PrintRuleInfo-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PrintRuleInfo-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-16 15:09:09
 *
 ******************************************************************************/
func (self *PrintRuleInfo) GetKey() core.PK {
	return core.PK{self.PlantNr, self.OperationId}
}
