// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : Printer
 *-----------------------------------------------------------------------------
 *
 * @Description              : Printer的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 13:08:46
 *
 ******************************************************************************/
type Printer struct {
	PlantNr       int           `xorm:"pk int 'PlantNr'" json:"Printer-PlantNr"`
	PrinterId     string        `xorm:"pk varchar(18) 'PrinterId'" json:"Printer-PrinterId"`
	Descr         string        `xorm:"varchar(30) 'Descr' not null" json:"Printer-Descr"`
	PrinterType   string        `xorm:"varchar(1) 'PrinterType' not null" json:"Printer-PrinterType"`
	PrinterName   string        `xorm:"varchar(100) 'PrinterName' not null" json:"Printer-PrinterName"`
	IpAddress     string        `xorm:"varchar(15) 'IpAddress' not null" json:"Printer-IpAddress"`
	Active        int           `xorm:"smallint 'Active' not null" json:"Printer-Active"`
	PrinterSpec   string        `xorm:"varchar(30) 'PrinterSpec' not null" json:"Printer-PrinterSpec"`
	PageSize      string        `xorm:"varchar(18) 'PageSize' not null" json:"Printer-PageSize"`
	Port          int           `xorm:"int 'Port' not null" json:"Printer-Port"`
	PrintInterval int           `xorm:"int 'PrintInterval' not null" json:"Printer-PrintInterval"`
	LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"Printer-LastModify"`
	LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"Printer-LastUser"`
	CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"Printer-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 13:08:46
 *
 ******************************************************************************/
func (self *Printer) GetKey() core.PK {
	return core.PK{self.PlantNr, self.PrinterId}
}
