// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : PrinterTemplate
 *-----------------------------------------------------------------------------
 *
 * @Description              : PrinterTemplate的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-20 16:59:51
 *
 ******************************************************************************/
type PrinterTemplate struct {
	PlantNr            int                  `xorm:"pk int 'PlantNr'" json:"PrinterTemplate-PlantNr"`
	TemplateId         string               `xorm:"pk nvarchar(64) 'TemplateId'" json:"PrinterTemplate-TemplateId"`
	TemplateTye        string               `xorm:"nvarchar(16) 'TemplateTye'" json:"PrinterTemplate-TemplateTye"`
	Descr              string               `xorm:"nvarchar(128) 'Descr'" json:"PrinterTemplate-Descr"`
	Active             int                  `xorm:"int 'Active'" json:"PrinterTemplate-Active"`
	PrintQty           int                  `xorm:"int 'PrintQty'" json:"PrinterTemplate-PrintQty"`
	PlanQty            int                  `xorm:"int 'PlanQty'" json:"PrinterTemplate-PlanQty"`
	PrinterId          string               `xorm:"nvarchar(32) 'PrinterId'" json:"PrinterTemplate-PrinterId"`
	TemplateFile       string               `xorm:"nvarchar(128) 'TemplateFile'" json:"PrinterTemplate-TemplateFile"`
	Address            string               `xorm:"nvarchar(128) 'Address'" json:"PrinterTemplate-Address"`
	Cpara1             string               `xorm:"nvarchar(16) 'Cpara1'" json:"PrinterTemplate-Cpara1"`
	Cpara2             string               `xorm:"nvarchar(16) 'Cpara2'" json:"PrinterTemplate-Cpara2"`
	Cpara3             string               `xorm:"nvarchar(16) 'Cpara3'" json:"PrinterTemplate-Cpara3"`
	Cpara4             string               `xorm:"nvarchar(16) 'Cpara4'" json:"PrinterTemplate-Cpara4"`
	Cpara5             string               `xorm:"nvarchar(16) 'Cpara5'" json:"PrinterTemplate-Cpara5"`
	Ipara1             int                  `xorm:"int 'Ipara1'" json:"PrinterTemplate-Ipara1"`
	Ipara2             int                  `xorm:"int 'Ipara2'" json:"PrinterTemplate-Ipara2"`
	Ipara3             int                  `xorm:"int 'Ipara3'" json:"PrinterTemplate-Ipara3"`
	Ipara4             int                  `xorm:"int 'Ipara4'" json:"PrinterTemplate-Ipara4"`
	Ipara5             int                  `xorm:"int 'Ipara5'" json:"PrinterTemplate-Ipara5"`
	LastModify         grmi.DateTime        `xorm:"datetime 'LastModify' not null updated" json:"PrinterTemplate-LastModify"`
	LastUser           string               `xorm:"nvarchar(20) 'LastUser' not null" json:"PrinterTemplate-LastUser"`
	CreateTime         grmi.DateTime        `xorm:"datetime 'CreateTime' not null created" json:"PrinterTemplate-CreateTime"`
	PrinterTemplateLst []PrinterTemplateLst `xorm:"-" json:"PrinterTemplate-PrinterTemplateLst"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-20 16:59:51
 *
 ******************************************************************************/
func (self *PrinterTemplate) GetKey() core.PK {
	return core.PK{self.PlantNr, self.TemplateId}
}
