// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : Process
 *-----------------------------------------------------------------------------
 *
 * @Description              : Process的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-11 10:00:53
 *
 ******************************************************************************/
type Process struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"Process-PlantNr"`
	PO          int           `xorm:"pk int 'PO'" json:"Process-PO"`
	WorkLineId  string        `xorm:"pk nvarchar(40) 'WorkLineId'" json:"Process-WorkLineId"`
	Name        string        `xorm:"nvarchar(40) 'Name' not null" json:"Process-Name"`
	Descr       string        `xorm:"nvarchar(100) 'Descr' not null" json:"Process-Descr"`
	PrePO       string           `xorm:"nvarchar(40) 'PrePO' not null" json:"Process-PrePO"`
	NextPO      string           `xorm:"nvarchar(40) 'NextPO' not null" json:"Process-NextPO"`
	IsFirstPO   bool          `xorm:"bit 'IsFirstPO' not null" json:"Process-IsFirstPO"`
	IsLastPO    bool          `xorm:"bit 'IsLastPO' not null" json:"Process-IsLastPO"`
	HasDependOn bool          `xorm:"bit 'HasDependOn' not null" json:"Process-HasDependOn"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"Process-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"Process-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"Process-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-11 10:00:53
 *
 ******************************************************************************/
func (self *Process) GetKey() core.PK {
	return core.PK{self.PlantNr, self.PO, self.WorkLineId}
}
