// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ProcessDependOn
 *-----------------------------------------------------------------------------
 *
 * @Description              : ProcessDependOn的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-11 13:29:43
 *
 ******************************************************************************/
type ProcessDependOn struct {
	PlantNr        int           `xorm:"pk int 'PlantNr'" json:"ProcessDependOn-PlantNr"`
	PO             int           `xorm:"pk int 'PO'" json:"ProcessDependOn-PO"`
	WorkLineId     string        `xorm:"pk nvarchar(40) 'WorkLineId'" json:"ProcessDependOn-WorkLineId"`
	Pos            int           `xorm:"pk int 'Pos'" json:"ProcessDependOn-Pos"`
	DependPO       int           `xorm:"int 'DependPO' not null" json:"ProcessDependOn-DependPO"`
	DependStepNo   int           `xorm:"int 'DependStepNo' not null" json:"ProcessDependOn-DependStepNo"`
	DependRuleId  int        `xorm:"int 'DependRuleId' not null" json:"ProcessDependOn-DependRuleId"`
	DependValue1 int           `xorm:"int 'DependValue1' not null" json:"ProcessDependOn-DependValue1"`
	DependValue2 string        `xorm:"nvarchar(40) 'DependValue2' not null" json:"ProcessDependOn-DependValue2"`
	CtrlPara1      string        `xorm:"nvarchar(40) 'CtrlPara1' not null" json:"ProcessDependOn-CtrlPara1"`
	CtrlPara2      string        `xorm:"nvarchar(40) 'CtrlPara2' not null" json:"ProcessDependOn-CtrlPara2"`
	CtrlPara3      string        `xorm:"nvarchar(40) 'CtrlPara3' not null" json:"ProcessDependOn-CtrlPara3"`
	CtrlPara4      string        `xorm:"nvarchar(40) 'CtrlPara4' not null" json:"ProcessDependOn-CtrlPara4"`
	CtrlPara5      int           `xorm:"int 'CtrlPara5' not null" json:"ProcessDependOn-CtrlPara5"`
	CtrlPara6      int           `xorm:"int 'CtrlPara6' not null" json:"ProcessDependOn-CtrlPara6"`
	LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"ProcessDependOn-LastModify"`
	LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"ProcessDependOn-LastUser"`
	CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"ProcessDependOn-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-11 13:29:43
 *
 ******************************************************************************/
func (self *ProcessDependOn) GetKey() core.PK {
	return core.PK{self.PlantNr, self.PO, self.WorkLineId, self.Pos}
}
