// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : Role
 *-----------------------------------------------------------------------------
 *
 * @Description              : Role的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 15:04:54
 *
 ******************************************************************************/
type Role struct {
	RoleId     int           `xorm:"pk int 'RoleId' autoincr" json:"Role-RoleId"`
	RoleName   string        `xorm:"varchar(40) 'RoleName'" json:"Role-RoleName"`
	RoleSort   int           `xorm:"int 'RoleSort'" json:"Role-RoleSort"`
	Status     string        `xorm:"varchar(1) 'Status'" json:"Role-Status"`
	Remark     string        `xorm:"varchar(100) 'Remark'" json:"Role-Remark"`
	RoleKey    string        `xorm:"varchar(40) 'RoleKey'" json:"Role-RoleKey"`
	DataScope  string        `xorm:"varchar(100) 'DataScope'" json:"Role-DataScope"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"Role-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"Role-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"Role-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 15:04:54
 *
 ******************************************************************************/
func (self *Role) GetKey() core.PK {
	return core.PK{self.RoleId}
}
