// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ScanRuleInfo
 *-----------------------------------------------------------------------------
 *
 * @Description              : ScanRuleInfo的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-11 10:00:53
 *
 ******************************************************************************/
type ScanRuleInfo struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"ScanRuleInfo-PlantNr"`
	OperationId int           `xorm:"pk int 'OperationId'" json:"ScanRuleInfo-OperationId"`
	PO          int           `xorm:"int 'PO' not null" json:"ScanRuleInfo-PO"`
	StepNo      int           `xorm:"int 'StepNo' not null" json:"ScanRuleInfo-StepNo"`
	StepDesc    string        `xorm:"nvarchar(200) 'StepDesc' not null" json:"ScanRuleInfo-StepDesc"`
	ProjectId   string        `xorm:"nvarchar(40) 'ProjectId' not null" json:"ScanRuleInfo-ProjectId"`
	RuleType    string        `xorm:"nvarchar(20) 'RuleType' not null" json:"ScanRuleInfo-RuleType"`
	SRCtrlPara1 string        `xorm:"nvarchar(40) 'SRCtrlPara1' not null" json:"ScanRuleInfo-SRCtrlPara1"`
	SRCtrlPara2 string        `xorm:"nvarchar(40) 'SRCtrlPara2' not null" json:"ScanRuleInfo-SRCtrlPara2"`
	SRCtrlPara3 string        `xorm:"nvarchar(40) 'SRCtrlPara3' not null" json:"ScanRuleInfo-SRCtrlPara3"`
	SRCtrlPara4 string        `xorm:"nvarchar(40) 'SRCtrlPara4' not null" json:"ScanRuleInfo-SRCtrlPara4"`
	SRCtrlPara5 string        `xorm:"nvarchar(40) 'SRCtrlPara5' not null" json:"ScanRuleInfo-SRCtrlPara5"`
	SRCtrlPara6 int           `xorm:"int 'SRCtrlPara6' not null" json:"ScanRuleInfo-SRCtrlPara6"`
	SRCtrlPara7 int           `xorm:"int 'SRCtrlPara7' not null" json:"ScanRuleInfo-SRCtrlPara7"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"ScanRuleInfo-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"ScanRuleInfo-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"ScanRuleInfo-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-11 10:00:53
 *
 ******************************************************************************/
func (self *ScanRuleInfo) GetKey() core.PK {
	return core.PK{self.PlantNr, self.OperationId}
}
