// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : Script
 *-----------------------------------------------------------------------------
 *
 * @Description              : Script的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 13:08:46
 *
 ******************************************************************************/
type Script struct {
	PlantNr         int           `xorm:"pk int 'PlantNr'" json:"Script-PlantNr"`
	Script          string        `xorm:"pk varchar(50) 'Script'" json:"Script-Script"`
	Bez             string        `xorm:"varchar(50) 'Bez' not null" json:"Script-Bez"`
	ScriptTable     string        `xorm:"varchar(40) 'ScriptTable' not null" json:"Script-ScriptTable"`
	ScriptType      string        `xorm:"varchar(20) 'ScriptType' not null" json:"Script-ScriptType"`
	FilePath        string        `xorm:"varchar(50) 'FilePath' not null" json:"Script-FilePath"`
	Separator       string        `xorm:"varchar(20) 'Separator' not null" json:"Script-Separator"`
	UseHead         int           `xorm:"int 'UseHead' not null" json:"Script-UseHead"`
	ClearTable      int           `xorm:"int 'ClearTable' not null" json:"Script-ClearTable"`
	StartRow        int           `xorm:"int 'StartRow' not null" json:"Script-StartRow"`
	StartCol        int           `xorm:"int 'StartCol' not null" json:"Script-StartCol"`
	AppendNewRecord int           `xorm:"int 'AppendNewRecord' not null" json:"Script-AppendNewRecord"`
	UpdateRecord    int           `xorm:"int 'UpdateRecord' not null" json:"Script-UpdateRecord"`
	CallSpecFunc    int           `xorm:"int 'CallSpecFunc' not null" json:"Script-CallSpecFunc"`
	CallFunction    string        `xorm:"varchar(100) 'CallFunction' not null" json:"Script-CallFunction"`
	InputPara1      string        `xorm:"varchar(255) 'InputPara1' not null" json:"Script-InputPara1"`
	Para1Type       int           `xorm:"int 'Para1Type' not null" json:"Script-Para1Type"`
	Para1Descr      string        `xorm:"varchar(40) 'Para1Descr' not null" json:"Script-Para1Descr"`
	InputPara2      string        `xorm:"varchar(255) 'InputPara2' not null" json:"Script-InputPara2"`
	Para2Type       int           `xorm:"int 'Para2Type' not null" json:"Script-Para2Type"`
	Para2Descr      string        `xorm:"varchar(40) 'Para2Descr' not null" json:"Script-Para2Descr"`
	InputPara3      string        `xorm:"varchar(255) 'InputPara3' not null" json:"Script-InputPara3"`
	Para3Type       int           `xorm:"int 'Para3Type' not null" json:"Script-Para3Type"`
	Para3Descr      string        `xorm:"varchar(40) 'Para3Descr' not null" json:"Script-Para3Descr"`
	InputPara4      string        `xorm:"varchar(255) 'InputPara4' not null" json:"Script-InputPara4"`
	Para4Type       int           `xorm:"int 'Para4Type' not null" json:"Script-Para4Type"`
	Para4Descr      string        `xorm:"varchar(40) 'Para4Descr' not null" json:"Script-Para4Descr"`
	LastModify      grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"Script-LastModify"`
	LastUser        string        `xorm:"nvarchar(20) 'LastUser' not null" json:"Script-LastUser"`
	CreateTime      grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"Script-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 13:08:46
 *
 ******************************************************************************/
func (self *Script) GetKey() core.PK {
	return core.PK{self.PlantNr, self.Script}
}
