// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ScriptItem
 *-----------------------------------------------------------------------------
 *
 * @Description              : ScriptItem的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 13:08:46
 *
 ******************************************************************************/
type ScriptItem struct {
	PlantNr      int           `xorm:"pk int 'PlantNr'" json:"ScriptItem-PlantNr"`
	Script       string        `xorm:"pk varchar(50) 'Script'" json:"ScriptItem-Script"`
	TabMapCol    string        `xorm:"pk varchar(50) 'TabMapCol'" json:"ScriptItem-TabMapCol"`
	ColNo        int           `xorm:"int 'ColNo' not null" json:"ScriptItem-ColNo"`
	ColName      string        `xorm:"varchar(50) 'ColName' not null" json:"ScriptItem-ColName"`
	RowNo        int           `xorm:"int 'RowNo' not null" json:"ScriptItem-RowNo"`
	RowName      string        `xorm:"varchar(50) 'RowName' not null" json:"ScriptItem-RowName"`
	ColFieldType int           `xorm:"int 'ColFieldType' not null" json:"ScriptItem-ColFieldType"`
	ColFormat    string        `xorm:"varchar(50) 'ColFormat' not null" json:"ScriptItem-ColFormat"`
	DefaultValue string        `xorm:"varchar(50) 'DefaultValue' not null" json:"ScriptItem-DefaultValue"`
	LastModify   grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"ScriptItem-LastModify"`
	LastUser     string        `xorm:"nvarchar(20) 'LastUser' not null" json:"ScriptItem-LastUser"`
	CreateTime   grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"ScriptItem-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 13:08:46
 *
 ******************************************************************************/
func (self *ScriptItem) GetKey() core.PK {
	return core.PK{self.PlantNr, self.Script, self.TabMapCol}
}
