// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : StatusColor
 *-----------------------------------------------------------------------------
 *
 * @Description              : StatusColor的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
type StatusColor struct {
	PlantNr        int           `xorm:"pk int 'PlantNr'" json:"StatusColor-PlantNr"`
	StatusObj      string        `xorm:"pk nvarchar(40) 'StatusObj'" json:"StatusColor-StatusObj"`
	StatusVal      string        `xorm:"pk nvarchar(20) 'StatusVal'" json:"StatusColor-StatusVal"`
	Descr          string        `xorm:"nvarchar(100) 'Descr' not null" json:"StatusColor-Descr"`
	StatusRgb      string        `xorm:"nvarchar(20) 'StatusRgb' not null" json:"StatusColor-StatusRgb"`
	StatusHexColor string        `xorm:"nvarchar(10) 'StatusHexColor' not null" json:"StatusColor-StatusHexColor"`
	StatusBitmap   string        `xorm:"nvarchar(100) 'StatusBitmap' not null" json:"StatusColor-StatusBitmap"`
	LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"StatusColor-LastModify"`
	LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"StatusColor-LastUser"`
	CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"StatusColor-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
func (self *StatusColor) GetKey() core.PK {
	return core.PK{self.PlantNr, self.StatusObj, self.StatusVal}
}
