// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : StepType
 *-----------------------------------------------------------------------------
 *
 * @Description              : StepType的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
type StepType struct {
	PlantNr      int           `xorm:"pk int 'PlantNr'" json:"StepType-PlantNr"`
	StepTypeName string        `xorm:"pk nvarchar(40) 'StepTypeName'" json:"StepType-StepTypeName"`
	StepTypeDesc string        `xorm:"text 'StepTypeDesc' not null" json:"StepType-StepTypeDesc"`
	STCtrlPara1  string        `xorm:"nvarchar(40) 'STCtrlPara1' not null" json:"StepType-STCtrlPara1"`
	STCtrlPara2  string        `xorm:"nvarchar(40) 'STCtrlPara2' not null" json:"StepType-STCtrlPara2"`
	STCtrlPara3  int           `xorm:"int 'STCtrlPara3' not null" json:"StepType-STCtrlPara3"`
	STCtrlPara4  int           `xorm:"int 'STCtrlPara4' not null" json:"StepType-STCtrlPara4"`
	STCtrlPara5  float64       `xorm:"float 'STCtrlPara5' not null" json:"StepType-STCtrlPara5"`
	STCtrlPara6  float64       `xorm:"float 'STCtrlPara6' not null" json:"StepType-STCtrlPara6"`
	LastModify   grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"StepType-LastModify"`
	LastUser     string        `xorm:"nvarchar(20) 'LastUser' not null" json:"StepType-LastUser"`
	CreateTime   grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"StepType-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
func (self *StepType) GetKey() core.PK {
	return core.PK{self.PlantNr, self.StepTypeName}
}
