// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : TightenWrenchInfo
 *-----------------------------------------------------------------------------
 *
 * @Description              : TightenWrenchInfo的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-13 16:59:07
 *
 ******************************************************************************/
type TightenWrenchInfo struct {
	PlantNr                 int                     `xorm:"pk int 'PlantNr'" json:"TightenWrenchInfo-PlantNr"`
	OperationId             int                     `xorm:"pk int 'OperationId'" json:"TightenWrenchInfo-OperationId"`
	WorkPlaceNr             int                     `xorm:"pk int 'WorkPlaceNr'" json:"TightenWrenchInfo-WorkPlaceNr"`
	PO                      int                     `xorm:"int 'PO' not null" json:"TightenWrenchInfo-PO"`
	StepNo                  int                     `xorm:"int 'StepNo' not null" json:"TightenWrenchInfo-StepNo"`
	StepDesc                string                  `xorm:"nvarchar(100) 'StepDesc' not null" json:"TightenWrenchInfo-StepDesc"`
	ProjectId               string                  `xorm:"nvarchar(40) 'ProjectId' not null" json:"TightenWrenchInfo-ProjectId"`
	BrandName               string                  `xorm:"nvarchar(40) 'BrandName' not null" json:"TightenWrenchInfo-BrandName"`
	MachineType             string                  `xorm:"nvarchar(40) 'MachineType' not null" json:"TightenWrenchInfo-MachineType"`
	IpAddress               string                  `xorm:"nvarchar(40) 'IpAddress' not null" json:"TightenWrenchInfo-IpAddress"`
	LastModify              grmi.DateTime           `xorm:"datetime 'LastModify' not null updated" json:"TightenWrenchInfo-LastModify"`
	LastUser                string                  `xorm:"nvarchar(20) 'LastUser' not null" json:"TightenWrenchInfo-LastUser"`
	CreateTime              grmi.DateTime           `xorm:"datetime 'CreateTime' not null created" json:"TightenWrenchInfo-CreateTime"`
	TightenWrenchRuleInfoLi []TightenWrenchRuleInfo `xorm:"-" json:"TightenWrenchInfo-TightenWrenchRuleInfoLi"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-13 16:59:07
 *
 ******************************************************************************/
func (self *TightenWrenchInfo) GetKey() core.PK {
	return core.PK{self.PlantNr, self.OperationId, self.WorkPlaceNr}
}
