// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WorkCalendar
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkCalendar的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
type WorkCalendar struct {
	PlantNr           int                     `xorm:"pk int 'PlantNr'" json:"WorkCalendar-PlantNr"`
	WorkCalendarNr    int                     `xorm:"pk int 'WorkCalendarNr' autoincr" json:"WorkCalendar-WorkCalendarNr"`
	Descr             string                  `xorm:"nvarchar(100) 'Descr' not null" json:"WorkCalendar-Descr"`
	LastModify        grmi.DateTime           `xorm:"datetime 'LastModify' not null updated" json:"WorkCalendar-LastModify"`
	LastUser          string                  `xorm:"nvarchar(20) 'LastUser' not null" json:"WorkCalendar-LastUser"`
	CreateTime        grmi.DateTime           `xorm:"datetime 'CreateTime' not null created" json:"WorkCalendar-CreateTime"`
	WorkCalendarLst   []WorkCalendarLstAndDay `xorm:"-" json:"WorkCalendar-WorkCalendarLst"`
	WorkCalendarLstLi []WorkCalendarLst       `xorm:"-" json:"WorkCalendar-WorkCalendarLstLi"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
func (self *WorkCalendar) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkCalendarNr}
}
