// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WorkPlace
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkPlace的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-21 10:27:00
 *
 ******************************************************************************/
type WorkPlace struct {
	PlantNr                    int           `xorm:"pk int 'PlantNr'" json:"WorkPlace-PlantNr"`
	WorkPlaceNr                int           `xorm:"pk int 'WorkPlaceNr' autoincr" json:"WorkPlace-WorkPlaceNr"`
	WorkPlaceId                string        `xorm:"nvarchar(40) 'WorkPlaceId' not null" json:"WorkPlace-WorkPlaceId"`
	Descr                      string        `xorm:"nvarchar(100) 'Descr' not null" json:"WorkPlace-Descr"`
	WorkPlaceGrpNr             int           `xorm:"int 'WorkPlaceGrpNr' not null" json:"WorkPlace-WorkPlaceGrpNr"`
	WorkPlaceType              string        `xorm:"nvarchar(40) 'WorkPlaceType' not null" json:"WorkPlace-WorkPlaceType"`
	CapacityType               string        `xorm:"nvarchar(40) 'CapacityType' not null" json:"WorkPlace-CapacityType"`
	CapacityFactor             float64       `xorm:"float 'CapacityFactor' not null" json:"WorkPlace-CapacityFactor"`
	PlanEfficiency             float64       `xorm:"float 'PlanEfficiency' not null" json:"WorkPlace-PlanEfficiency"`
	CostRate                   float64       `xorm:"float 'CostRate' not null" json:"WorkPlace-CostRate"`
	WeekModelNr                int           `xorm:"int 'WeekModelNr' not null" json:"WorkPlace-WeekModelNr"`
	WorkCalendarNr             int           `xorm:"int 'WorkCalendarNr' not null" json:"WorkPlace-WorkCalendarNr"`
	CostCenterId               string        `xorm:"nvarchar(40) 'CostCenterId' not null" json:"WorkPlace-CostCenterId"`
	LocationId                 string        `xorm:"nvarchar(40) 'LocationId' not null" json:"WorkPlace-LocationId"`
	RequireSkillRank1          int           `xorm:"int 'RequireSkillRank1' not null" json:"WorkPlace-RequireSkillRank1"`
	RequireSkillRank2          int           `xorm:"int 'RequireSkillRank2' not null" json:"WorkPlace-RequireSkillRank2"`
	RequireSkillRank3          float64       `xorm:"float 'RequireSkillRank3' not null" json:"WorkPlace-RequireSkillRank3"`
	RequireSkillRank4          float64       `xorm:"float 'RequireSkillRank4' not null" json:"WorkPlace-RequireSkillRank4"`
	TriggerFrom                string        `xorm:"nvarchar(40) 'TriggerFrom' not null" json:"WorkPlace-TriggerFrom"`
	TriggerDependOn            string        `xorm:"nvarchar(40) 'TriggerDependOn' not null" json:"WorkPlace-TriggerDependOn"`
	MonitorPalletInPlace       int           `xorm:"int 'MonitorPalletInPlace' not null" json:"WorkPlace-MonitorPalletInPlace"`
	MonitorManualRelease       int           `xorm:"int 'MonitorManualRelease' not null" json:"WorkPlace-MonitorManualRelease"`
	MonitorProblemPieceRelease int           `xorm:"int 'MonitorProblemPieceRelease' not null" json:"WorkPlace-MonitorProblemPieceRelease"`
	LastModify                 grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WorkPlace-LastModify"`
	LastUser                   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WorkPlace-LastUser"`
	CreateTime                 grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WorkPlace-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-21 10:27:00
 *
 ******************************************************************************/
func (self *WorkPlace) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkPlaceNr}
}
