// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WorkPlaceStatusRecLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkPlaceStatusRecLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-21 10:27:00
 *
 ******************************************************************************/
type WorkPlaceStatusRecLst struct {
	PlantNr              int           `xorm:"pk int 'PlantNr'" json:"WorkPlaceStatusRecLst-PlantNr"`
	WorkPlaceNr          int           `xorm:"pk int 'WorkPlaceNr'" json:"WorkPlaceStatusRecLst-WorkPlaceNr"`
	Pos                  int           `xorm:"pk int 'Pos'" json:"WorkPlaceStatusRecLst-Pos"`
	PrevStatus           int           `xorm:"int 'PrevStatus' not null" json:"WorkPlaceStatusRecLst-PrevStatus"`
	Status               int           `xorm:"int 'Status' not null" json:"WorkPlaceStatusRecLst-Status"`
	StartTime            grmi.DateTime `xorm:"datetime 'StartTime'" json:"WorkPlaceStatusRecLst-StartTime"`
	EndTime              grmi.DateTime `xorm:"datetime 'EndTime'" json:"WorkPlaceStatusRecLst-EndTime"`
	TriggerEvent         string        `xorm:"nvarchar(40) 'TriggerEvent' not null" json:"WorkPlaceStatusRecLst-TriggerEvent"`
	TriggerObjectId      string        `xorm:"nvarchar(40) 'TriggerObjectId' not null" json:"WorkPlaceStatusRecLst-TriggerObjectId"`
	TriggerSubObjectId   string        `xorm:"nvarchar(40) 'TriggerSubObjectId' not null" json:"WorkPlaceStatusRecLst-TriggerSubObjectId"`
	OutputStatus         int           `xorm:"int 'OutputStatus' not null" json:"WorkPlaceStatusRecLst-OutputStatus"`
	OutputEvent          string        `xorm:"nvarchar(40) 'OutputEvent' not null" json:"WorkPlaceStatusRecLst-OutputEvent"`
	OutputEventMessageId string        `xorm:"nvarchar(40) 'OutputEventMessageId' not null" json:"WorkPlaceStatusRecLst-OutputEventMessageId"`
	OutputObjectId       string        `xorm:"nvarchar(40) 'OutputObjectId' not null" json:"WorkPlaceStatusRecLst-OutputObjectId"`
	OutputSubObjectId    string        `xorm:"nvarchar(40) 'OutputSubObjectId' not null" json:"WorkPlaceStatusRecLst-OutputSubObjectId"`
	Remark1              string        `xorm:"nvarchar(100) 'Remark1' not null" json:"WorkPlaceStatusRecLst-Remark1"`
	Remark2              string        `xorm:"nvarchar(100) 'Remark2' not null" json:"WorkPlaceStatusRecLst-Remark2"`
	LastModify           grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WorkPlaceStatusRecLst-LastModify"`
	LastUser             string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WorkPlaceStatusRecLst-LastUser"`
	CreateTime           grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WorkPlaceStatusRecLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-21 10:27:00
 *
 ******************************************************************************/
func (self *WorkPlaceStatusRecLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkPlaceNr, self.Pos}
}
