package base

/******************************************************************************
 *
 * @Struct Name              : WeekModelLstInsertReq
 *-----------------------------------------------------------------------------
 *
 * @Description              : WeekModelLstInsertReq weekModelLst 批量插入请求体映射
 *
 * @Author                   : 张鑫
 *
 * @Date                     : 2021-04-15
 *
 ******************************************************************************/
type WeekModelLstInsertReq struct {
	WeekModelNr int            `json:"weekModelNr"`
	Records     []WeekModelLst `json:"records"`
}

/******************************************************************************
 *
 * @Struct Name              : WorkCalendarLstInsertReq
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkCalendarLstInsertReq workCalendarLst 批量插入请求体映射
 *
 * @Author                   : 张鑫
 *
 * @Date                     : 2021-04-15
 *
 ******************************************************************************/
type WorkCalendarLstInsertReq struct {
	WorkCalendarNr int               `json:"workCalendarNr"`
	Records        []WorkCalendarLst `json:"records"`
}

/******************************************************************************
 *
 * @Struct Name              : WorkLineArr
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkCalendarLstInsertReq workCalendarLst 批量插入请求体映射
 *
 * @Author                   : 娄文智
 *
 * @Date                     : 2021-04-15
 *
 ******************************************************************************/
type WorkLineArr struct {
	PlantNr    int        `json:"WorkLine-PlantNr"`
	WorkLineid string     `json:"WorkLine-WorkLineid"`
	Descr      string     `json:"WorkLine-Descr"`
	LineType   string     `json:"WorkLine-LineType"`
	Disabled   bool       `json:"disabled"`
	Childrens  []WorkLine `json:"childrens"`
}

/******************************************************************************
 *
 * @Struct Name              : WorkLineArr
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkCalendarLstInsertReq workCalendarLst 批量插入请求体映射
 *
 * @Author                   : 娄文智
 *
 * @Date                     : 2021-04-15
 *
 ******************************************************************************/
type WorkLineData struct {
	StartDate  string `json:"startDate"`
	EndDate    string `json:"endDate"`
	WorkLineid string `json:"workLineId"`
}

/******************************************************************************
 *
 * @Struct Name              : ArtData
 *-----------------------------------------------------------------------------
 *
 * @Description              : 物料分配属性
 *
 * @Author                   : 娄文智
 *
 * @Date                     : 2021-05-26
 *
 ******************************************************************************/
type ArtData struct {
	Attribute       `xorm:"extends"`
	ArticleAtcodLst `xorm:"extends"`
}

/******************************************************************************
 *
 * @Struct Name              : ArtData
 *-----------------------------------------------------------------------------
 *
 * @Description              : 物料分配属性
 *
 * @Author                   : 娄文智
 *
 * @Date                     : 2021-05-26
 *
 ******************************************************************************/
type OperationRelData struct {
	Operation       `xorm:"extends"`
	Process         `xorm:"extends"`
	ArticleAtcodLst `xorm:"extends"`
	//StepType        `xorm:"extends"`
}

/******************************************************************************
 *
 * @Struct Name              : ArtData
 *-----------------------------------------------------------------------------
 *
 * @Description              : 物料分配属性
 *
 * @Author                   : 娄文智
 *
 * @Date                     : 2021-05-26
 *
 ******************************************************************************/
type OPCCommunicateData struct {
	OPCBasicComInfo `xorm:"extends"`
	OPCComRule      `xorm:"extends"`
}

/******************************************************************************
 *
 * @Struct Name              : ArtData
 *-----------------------------------------------------------------------------
 *
 * @Description              : 物料分配属性
 *
 * @Author                   : 娄文智
 *
 * @Date                     : 2021-05-26
 *
 ******************************************************************************/
type ProcessWPInsert struct {
	PO                    int                   `json:"po"`
	WorkLineId            string                `json:"workLineId"`
	ProcessWorkPlaceLstLi []ProcessWorkPlaceLst `json:"processWorkPlaceLstLi"`
}

/******************************************************************************
 *
 * @Struct Name              : ArtWithAttriValue
 *-----------------------------------------------------------------------------
 *
 * @Description              : ArticleAtcodLst和AttributeValst连表查询
 *
 * @Author                   : zhangxin
 *
 * @Date                     : 2021-08-02
 *
 ******************************************************************************/
type ArtWithAttriValue struct {
	AttributeValst  `xorm:"extends"`
	ArticleAtcodLst `xorm:"extends"`
}

var AccomplishWorkLineMap = map[string]interface{}{
	"G-Frame Assy": nil,
}

// 角色关联产线的前端传入绑定结构体
type RoleRelInsert struct {
	RoleId    int       `json:"roleId"`
	RoleRelLi []RoleRel `json:"roleRelLi"`
}

// ProcessDependOn结构体
type ProcessDependOnData struct {
	PO                int               `json:"po"`
	WorkLineId        string            `json:"workLineId"`
	ProcessDependOnLi []ProcessDependOn `json:"processDependOnLi"`
}

// 扫码校验插入前端绑定结构体
type ScanRuleInfoData struct {
	OperationId    int            `json:"operationId"`
	ScanRuleInfoLi []ScanRuleInfo `json:"scanRuleInfoLi"`
}

// 指导操作插入前端绑定结构体
type GuideRuleInfoData struct {
	OperationId     int             `json:"operationId"`
	GuideRuleInfoLi []GuideRuleInfo `json:"guideRuleInfoLi"`
}

// 指导操作插入前端绑定结构体
type PrintRuleInfoData struct {
	OperationId     int             `json:"operationId"`
	PrintRuleInfoLi []PrintRuleInfo `json:"printRuleInfoLi"`
}

type ArticleWithAttrValue struct {
	ArticleAtcodLst `xorm:"extends"`
	AttributeValst  `xorm:"extends"`
}

// 物料和产线绑定关系前端传入结构体
type ArtWorkLineData struct {
	ArtID            string           `json:"artId"`
	ArtWorkLineLstLi []ArtWorkLineLst `json:"artWorkLineLstLi"`
}
