// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package log

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : PackOrder
 *-----------------------------------------------------------------------------
 *
 * @Description              : PackOrder的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-22 16:01:03
 *
 ******************************************************************************/
type PackOrder struct {
	PlantNr         int           `xorm:"pk int 'PlantNr'" json:"LOG_PackOrder-PlantNr"`
	PackOrderId     string        `xorm:"pk nvarchar(40) 'PackOrderId'" json:"LOG_PackOrder-PackOrderId"`
	OrderInfo       string        `xorm:"nvarchar(100) 'OrderInfo' not null" json:"LOG_PackOrder-OrderInfo"`
	PackTemplateId  string        `xorm:"nvarchar(40) 'PackTemplateId' not null" json:"LOG_PackOrder-PackTemplateId"`
	PackTypeId      string        `xorm:"nvarchar(40) 'PackTypeId' not null" json:"LOG_PackOrder-PackTypeId"`
	TerminalId      string        `xorm:"nvarchar(40) 'TerminalId' not null" json:"LOG_PackOrder-TerminalId"`
	PersonNr        int           `xorm:"int 'PersonNr' not null" json:"LOG_PackOrder-PersonNr"`
	ShiftId         string        `xorm:"nvarchar(12) 'ShiftId' not null" json:"LOG_PackOrder-ShiftId"`
	MaterialId      string        `xorm:"nvarchar(40) 'MaterialId' not null" json:"LOG_PackOrder-MaterialId"`
	Status          int           `xorm:"int 'Status' not null" json:"LOG_PackOrder-Status"`
	ShortPack       int           `xorm:"int 'ShortPack' not null" json:"LOG_PackOrder-ShortPack"`
	ShortBy         string        `xorm:"nvarchar(20) 'ShortBy' not null" json:"LOG_PackOrder-ShortBy"`
	ShortTime       grmi.DateTime `xorm:"datetime 'ShortTime'" json:"LOG_PackOrder-ShortTime"`
	ShipStatus      int           `xorm:"int 'ShipStatus' not null" json:"LOG_PackOrder-ShipStatus"`
	PlanQty         float64       `xorm:"float 'PlanQty' not null" json:"LOG_PackOrder-PlanQty"`
	ActQty          float64       `xorm:"float 'ActQty' not null" json:"LOG_PackOrder-ActQty"`
	OpenTime        grmi.DateTime `xorm:"datetime 'OpenTime'" json:"LOG_PackOrder-OpenTime"`
	CloseTime       grmi.DateTime `xorm:"datetime 'CloseTime'" json:"LOG_PackOrder-CloseTime"`
	BackFlushStatus int           `xorm:"int 'BackFlushStatus' not null" json:"LOG_PackOrder-BackFlushStatus"`
	BackFlushTime   grmi.DateTime `xorm:"datetime 'BackFlushTime'" json:"LOG_PackOrder-BackFlushTime"`
	BoxSid          string        `xorm:"nvarchar(40) 'BoxSid' not null" json:"LOG_PackOrder-BoxSid"`
	SyncSid         string        `xorm:"nvarchar(40) 'SyncSid' not null" json:"LOG_PackOrder-SyncSid"`
	PKOCustC1       string        `xorm:"nvarchar(40) 'PKO_CustC1' not null" json:"LOG_PackOrder-PKO_CustC1"`
	PKOCustC2       string        `xorm:"nvarchar(40) 'PKO_CustC2' not null" json:"LOG_PackOrder-PKO_CustC2"`
	SiteCode        string        `xorm:"nvarchar(40) 'SiteCode' not null" json:"LOG_PackOrder-SiteCode"`
	WorkLine        string        `xorm:"nvarchar(40) 'WorkLine' not null" json:"LOG_PackOrder-WorkLine"`
	CreateDate      string        `xorm:"nvarchar(40) 'CreateDate' not null" json:"LOG_PackOrder-CreateDate"`
	Lot             string        `xorm:"nvarchar(40) 'Lot' not null" json:"LOG_PackOrder-Lot"`
	PKOCustI1       int           `xorm:"int 'PKO_CustI1' not null" json:"LOG_PackOrder-PKO_CustI1"`
	PKOCustI2       int           `xorm:"int 'PKO_CustI2' not null" json:"LOG_PackOrder-PKO_CustI2"`
	WorkPlaceNr     int           `xorm:"int 'WorkPlaceNr' not null" json:"LOG_PackOrder-WorkPlaceNr"`
	LastModify      grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"LOG_PackOrder-LastModify"`
	LastUser        string        `xorm:"nvarchar(20) 'LastUser' not null" json:"LOG_PackOrder-LastUser"`
	CreateTime      grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"LOG_PackOrder-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
func (self *PackOrder) GetKey() core.PK {
	return core.PK{self.PlantNr, self.PackOrderId}
}
