// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package log

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : PackOrderItemlst
 *-----------------------------------------------------------------------------
 *
 * @Description              : PackOrderItemlst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
type PackOrderItemlst struct {
	PlantNr       int           `xorm:"pk int 'PlantNr'" json:"LOG_PackOrderItemlst-PlantNr"`
	PackOrderId   string        `xorm:"pk nvarchar(40) 'PackOrderId'" json:"LOG_PackOrderItemlst-PackOrderId"`
	Pos           int           `xorm:"pk int 'Pos'" json:"LOG_PackOrderItemlst-Pos"`
	PosCode       string        `xorm:"nvarchar(40) 'PosCode' not null" json:"LOG_PackOrderItemlst-PosCode"`
	MaterialId    string        `xorm:"nvarchar(40) 'MaterialId' not null" json:"LOG_PackOrderItemlst-MaterialId"`
	SerialOrderId string        `xorm:"nvarchar(40) 'SerialOrderId' not null" json:"LOG_PackOrderItemlst-SerialOrderId"`
	PlanQty       float64       `xorm:"float 'PlanQty' not null" json:"LOG_PackOrderItemlst-PlanQty"`
	ActQty        float64       `xorm:"float 'ActQty' not null" json:"LOG_PackOrderItemlst-ActQty"`
	Status        int           `xorm:"int 'Status' not null" json:"LOG_PackOrderItemlst-Status"`
	Seq           int           `xorm:"int 'Seq' not null" json:"LOG_PackOrderItemlst-Seq"`
	PKOICustC1    string        `xorm:"nvarchar(40) 'PKOI_CustC1' not null" json:"LOG_PackOrderItemlst-PKOI_CustC1"`
	PKOICustC2    string        `xorm:"nvarchar(40) 'PKOI_CustC2' not null" json:"LOG_PackOrderItemlst-PKOI_CustC2"`
	PKOICustI1    int           `xorm:"int 'PKOI_CustI1' not null" json:"LOG_PackOrderItemlst-PKOI_CustI1"`
	PKOICustI2    int           `xorm:"int 'PKOI_CustI2' not null" json:"LOG_PackOrderItemlst-PKOI_CustI2"`
	LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"LOG_PackOrderItemlst-LastModify"`
	LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"LOG_PackOrderItemlst-LastUser"`
	CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"LOG_PackOrderItemlst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
func (self *PackOrderItemlst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.PackOrderId, self.Pos}
}
