// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package log

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : PackTemplate
 *-----------------------------------------------------------------------------
 *
 * @Description              : PackTemplate的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-16 10:30:42
 *
 ******************************************************************************/
type PackTemplate struct {
	PlantNr        int           `xorm:"pk int 'PlantNr'" json:"LOG_PackTemplate-PlantNr"`
	PackTemplateId string        `xorm:"pk nvarchar(40) 'PackTemplateId'" json:"LOG_PackTemplate-PackTemplateId"`
	Descr          string        `xorm:"nvarchar(100) 'Descr' not null" json:"LOG_PackTemplate-Descr"`
	ActiveToggle   bool          `xorm:"bit 'ActiveToggle' not null" json:"LOG_PackTemplate-ActiveToggle"`
	PackTypeId     string        `xorm:"nvarchar(40) 'PackTypeId' not null" json:"LOG_PackTemplate-PackTypeId"`
	PrinterId      string        `xorm:"nvarchar(40) 'PrinterId' not null" json:"LOG_PackTemplate-PrinterId"`
	TemplateFile   string        `xorm:"nvarchar(40) 'TemplateFile' not null" json:"LOG_PackTemplate-TemplateFile"`
	PrintQty       int           `xorm:"int 'PrintQty' not null" json:"LOG_PackTemplate-PrintQty"`
	PackOrderSn    string        `xorm:"nvarchar(40) 'PackOrderSn' not null" json:"LOG_PackTemplate-PackOrderSn"`
	BoxSn          string        `xorm:"nvarchar(40) 'BoxSn' not null" json:"LOG_PackTemplate-BoxSn"`
	SyncToggle     bool          `xorm:"bit 'SyncToggle' not null" json:"LOG_PackTemplate-SyncToggle"`
	SyncSn         string        `xorm:"nvarchar(40) 'SyncSn' not null" json:"LOG_PackTemplate-SyncSn"`
	TwoDSheet      int           `xorm:"int 'TwoDSheet' not null" json:"LOG_PackTemplate-TwoDSheet"`
	FullFillToggle bool          `xorm:"bit 'FullFillToggle' not null" json:"LOG_PackTemplate-FullFillToggle"`
	MaterialId     string        `xorm:"nvarchar(40) 'MaterialId' not null" json:"LOG_PackTemplate-MaterialId"`
	PlanQty        int           `xorm:"int 'PlanQty' not null" json:"LOG_PackTemplate-PlanQty"`
	PKTMPCustC1    string        `xorm:"nvarchar(40) 'PKTMP_CustC1' not null" json:"LOG_PackTemplate-PKTMP_CustC1"`
	PKTMPCustC2    string        `xorm:"nvarchar(40) 'PKTMP_CustC2' not null" json:"LOG_PackTemplate-PKTMP_CustC2"`
	PKTMPCustI1    int           `xorm:"int 'PKTMP_CustI1' not null" json:"LOG_PackTemplate-PKTMP_CustI1"`
	PKTMPCustI2    int           `xorm:"int 'PKTMP_CustI2' not null" json:"LOG_PackTemplate-PKTMP_CustI2"`
	ShipTo         string        `xorm:"nvarchar(40) 'ShipTo'" json:"LOG_PackTemplate-ShipTo"`
	CustArtId      string        `xorm:"nvarchar(40) 'CustArtId'" json:"LOG_PackTemplate-CustArtId"`
	Descr2         string        `xorm:"nvarchar(40) 'Descr2'" json:"LOG_PackTemplate-Descr2"`
	SiteCode       string        `xorm:"nvarchar(40) 'SiteCode'" json:"LOG_PackTemplate-SiteCode"`
	LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"LOG_PackTemplate-LastModify"`
	LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"LOG_PackTemplate-LastUser"`
	CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"LOG_PackTemplate-CreateTime"`
	Items          []PackTemplateItemlst `xorm:"-" json:"LOG_PackTemplate-Items"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-16 10:30:42
 *
 ******************************************************************************/
func (self *PackTemplate) GetKey() core.PK {
	return core.PK{self.PlantNr, self.PackTemplateId}
}
