// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package me

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : BomHead
 *-----------------------------------------------------------------------------
 *
 * @Description              : BomHead的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-09 14:13:50
 *
 ******************************************************************************/
type BomHead struct {
	PlantNr      int           `xorm:"pk int 'PlantNr'" json:"ME_BomHead-PlantNr"`
	BomId        string        `xorm:"pk nvarchar(20) 'BomId'" json:"ME_BomHead-BomId"`
	MatNr        string        `xorm:"nvarchar(20) 'MatNr' not null" json:"ME_BomHead-MatNr"`
	Descr        string        `xorm:"nvarchar(40) 'Descr' not null" json:"ME_BomHead-Descr"`
	BomheadCval1 string        `xorm:"nvarchar(40) 'BomheadCval1' not null" json:"ME_BomHead-BomheadCval1"`
	BomheadCval2 string        `xorm:"nvarchar(40) 'BomheadCval2' not null" json:"ME_BomHead-BomheadCval2"`
	BomheadIval1 int           `xorm:"int 'BomheadIval1' not null" json:"ME_BomHead-BomheadIval1"`
	BomheadIval2 int           `xorm:"int 'BomheadIval2' not null" json:"ME_BomHead-BomheadIval2"`
	BomheadDval1 float64       `xorm:"decimal 'BomheadDval1' not null" json:"ME_BomHead-BomheadDval1"`
	BomheadDval2 float64       `xorm:"decimal 'BomheadDval2' not null" json:"ME_BomHead-BomheadDval2"`
	LastModify   grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"ME_BomHead-LastModify"`
	LastUser     string        `xorm:"nvarchar(20) 'LastUser' not null" json:"ME_BomHead-LastUser"`
	CreateTime   grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"ME_BomHead-CreateTime"`
	BomLstLi     []BomLst      `xorm:"-" json:"ME_BomHead-BomLstLi"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-09 14:13:50
 *
 ******************************************************************************/
func (self *BomHead) GetKey() core.PK {
	return core.PK{self.PlantNr, self.BomId}
}
