// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package me

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : SetupMatrix
 *-----------------------------------------------------------------------------
 *
 * @Description              : SetupMatrix的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-14 08:56:34
 *
 ******************************************************************************/
type SetupMatrix struct {
	PlantNr    int           `xorm:"pk int 'PlantNr'" json:"ME_SetupMatrix-PlantNr"`
	FromArtId  string        `xorm:"pk nvarchar(40) 'FromArtId'" json:"ME_SetupMatrix-FromArtId"`
	ToArtId    string        `xorm:"pk nvarchar(40) 'ToArtId'" json:"ME_SetupMatrix-ToArtId"`
	WorkLineId string        `xorm:"pk nvarchar(40) 'WorkLineId'" json:"ME_SetupMatrix-WorkLineId"`
	Descr1     string        `xorm:"nvarchar(100) 'Descr1' not null" json:"ME_SetupMatrix-Descr1"`
	Descr2     string        `xorm:"nvarchar(100) 'Descr2' not null" json:"ME_SetupMatrix-Descr2"`
	ProjectId  string        `xorm:"nvarchar(40) 'ProjectId' not null" json:"ME_SetupMatrix-ProjectId"`
	SetupTime  float64       `xorm:"float 'SetupTime'" json:"ME_SetupMatrix-SetupTime"`
	TimeUomId  string        `xorm:"nvarchar(40) 'TimeUomId' not null" json:"ME_SetupMatrix-TimeUomId"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"ME_SetupMatrix-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"ME_SetupMatrix-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"ME_SetupMatrix-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-14 08:56:34
 *
 ******************************************************************************/
func (self *SetupMatrix) GetKey() core.PK {
	return core.PK{self.PlantNr, self.FromArtId, self.ToArtId, self.WorkLineId}
}
