// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package ods

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : OdsHead
 *-----------------------------------------------------------------------------
 *
 * @Description              : OdsHead的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
type OdsHead struct {
	PlantNr       int           `xorm:"pk int 'PlantNr'" json:"ODS_OdsHead-PlantNr"`
	OdsId         string        `xorm:"pk nvarchar(40) 'OdsId'" json:"ODS_OdsHead-OdsId"`
	Descr         string        `xorm:"nvarchar(100) 'Descr' not null" json:"ODS_OdsHead-Descr"`
	OdsTypeId     string        `xorm:"nvarchar(40) 'OdsTypeId' not null" json:"ODS_OdsHead-OdsTypeId"`
	OdsContentIdx string        `xorm:"nvarchar(255) 'OdsContentIdx' not null" json:"ODS_OdsHead-OdsContentIdx"`
	CtrlPara1     int           `xorm:"int 'CtrlPara1' not null" json:"ODS_OdsHead-CtrlPara1"`
	CtrlPara2     int           `xorm:"int 'CtrlPara2' not null" json:"ODS_OdsHead-CtrlPara2"`
	CtrlPara3     string        `xorm:"nvarchar(100) 'CtrlPara3' not null" json:"ODS_OdsHead-CtrlPara3"`
	CtrlPara4     string        `xorm:"nvarchar(100) 'CtrlPara4' not null" json:"ODS_OdsHead-CtrlPara4"`
	LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"ODS_OdsHead-LastModify"`
	LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"ODS_OdsHead-LastUser"`
	CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"ODS_OdsHead-CreateTime"`
	Valst         []OdsStepLst  `json:"valst" xorm:"-"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
func (self *OdsHead) GetKey() core.PK {
	return core.PK{self.PlantNr, self.OdsId}
}
