// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package ods

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : StationOrder
 *-----------------------------------------------------------------------------
 *
 * @Description              : StationOrder的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-18 11:12:43
 *
 ******************************************************************************/
type StationOrder struct {
	PlantNr       int           `xorm:"pk int 'PlantNr'" json:"ODS_StationOrder-PlantNr"`
	Station       string        `xorm:"pk nvarchar(40) 'Station'" json:"ODS_StationOrder-Station"`
	ArtId         string        `xorm:"nvarchar(40) 'ArtId' not null" json:"ODS_StationOrder-ArtId"`
	SerialOrderId string        `xorm:"nvarchar(100) 'SerialOrderId' not null" json:"ODS_StationOrder-SerialOrderId"`
	ODSCtrlPara1  string        `xorm:"nvarchar(100) 'ODSCtrlPara1' not null" json:"ODS_StationOrder-ODSCtrlPara1"`
	ODSCtrlPara2  string        `xorm:"nvarchar(100) 'ODSCtrlPara2' not null" json:"ODS_StationOrder-ODSCtrlPara2"`
	ODSCtrlPara3  int           `xorm:"int 'ODSCtrlPara3' not null" json:"ODS_StationOrder-ODSCtrlPara3"`
	ODSCtrlPara4  int           `xorm:"int 'ODSCtrlPara4' not null" json:"ODS_StationOrder-ODSCtrlPara4"`
	LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"ODS_StationOrder-LastModify"`
	LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"ODS_StationOrder-LastUser"`
	CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"ODS_StationOrder-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-18 11:12:43
 *
 ******************************************************************************/
func (self *StationOrder) GetKey() core.PK {
	return core.PK{self.PlantNr, self.Station}
}
