// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : CustOrder
 *-----------------------------------------------------------------------------
 *
 * @Description              : CustOrder的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-20 14:37:20
 *
 ******************************************************************************/
type CustOrder struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"OM_CustOrder-PlantNr"`
	CustOrderId string        `xorm:"pk nvarchar(40) 'CustOrderId'" json:"OM_CustOrder-CustOrderId"`
	OemOrderId  string        `xorm:"nvarchar(40) 'OemOrderId' not null" json:"OM_CustOrder-OemOrderId"`
	OrderInfo   string        `xorm:"nvarchar(100) 'OrderInfo' not null" json:"OM_CustOrder-OrderInfo"`
	ArtId       string        `xorm:"nvarchar(40) 'ArtId' not null" json:"OM_CustOrder-ArtId"`
	ArtDesc     string        `xorm:"nvarchar(100) 'ArtDesc' not null" json:"OM_CustOrder-ArtDesc"`
	OrderTime   grmi.DateTime `xorm:"datetime 'OrderTime'" json:"OM_CustOrder-OrderTime"`
	DDT         grmi.DateTime `xorm:"datetime 'DDT'" json:"OM_CustOrder-DDT"`
	ProjectId   string        `xorm:"nvarchar(40) 'ProjectId' not null" json:"OM_CustOrder-ProjectId"`
	ArtTypeId   string        `xorm:"nvarchar(40) 'ArtTypeId' not null" json:"OM_CustOrder-ArtTypeId"`
	ArtTypeDesc string        `xorm:"nvarchar(100) 'ArtTypeDesc' not null" json:"OM_CustOrder-ArtTypeDesc"`
	SEQ         int           `xorm:"int 'SEQ' not null" json:"OM_CustOrder-SEQ"`
	Status      int           `xorm:"int 'Status' not null" json:"OM_CustOrder-Status"`
	ParseStatus int           `xorm:"int 'ParseStatus' not null" json:"OM_CustOrder-ParseStatus"`
	ErrNum      int           `xorm:"int 'ErrNum' not null" json:"OM_CustOrder-ErrNum"`
	ErrInfo     string        `xorm:"nvarchar(255) 'ErrInfo'" json:"OM_CustOrder-ErrInfo"`
	TaskNr      int           `xorm:"int 'TaskNr' " json:"OM_CustOrder-TaskNr"`
	CustomerId  string        `xorm:"nvarchar(40) 'CustomerId' not null" json:"OM_CustOrder-CustomerId"`
	VIN         string        `xorm:"nvarchar(100) 'VIN' not null" json:"OM_CustOrder-VIN"`
	CalloffNr   int           `xorm:"int 'CalloffNr' not null" json:"OM_CustOrder-CalloffNr"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OM_CustOrder-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OM_CustOrder-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OM_CustOrder-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-20 14:37:20
 *
 ******************************************************************************/
func (self *CustOrder) GetKey() core.PK {
	return core.PK{self.PlantNr, self.CustOrderId}
}
