// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : DemandHead
 *-----------------------------------------------------------------------------
 *
 * @Description              : DemandHead的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-20 14:31:33
 *
 ******************************************************************************/
type DemandHead struct {
	PlantNr    int           `xorm:"pk int 'PlantNr'" json:"OM_DemandHead-PlantNr"`
	FileNr     int           `xorm:"pk int 'FileNr' autoincr" json:"OM_DemandHead-FileNr"`
	FileName   string        `xorm:"nvarchar(40) 'FileName'" json:"OM_DemandHead-FileName"`
	Status     int           `xorm:"int 'Status'" json:"OM_DemandHead-Status"`
	ErrorInfo  string        `xorm:"nvarchar(255) 'ErrorInfo'" json:"OM_DemandHead-ErrorInfo"`
	ErrNum     int           `xorm:"int 'ErrNum'" json:"OM_DemandHead-ErrNum"`
	Source     string        `xorm:"nvarchar(40) 'Source' not null" json:"OM_DemandHead-Source"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OM_DemandHead-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OM_DemandHead-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OM_DemandHead-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-21 16:22:25
 *
 ******************************************************************************/
func (self *DemandHead) GetKey() core.PK {
	return core.PK{self.PlantNr, self.FileNr}
}
