// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : DemandHeadFromDB
 *-----------------------------------------------------------------------------
 *
 * @Description              : DemandHeadFromDB的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-14 10:42:17
 *
 ******************************************************************************/
type DemandHeadFromDB struct {
	PlantNr    int           `xorm:"pk int 'PlantNr'" json:"OM_DemandHeadFromDB-PlantNr"`
	TaskNr     int           `xorm:"pk int 'TaskNr' autoincr" json:"OM_DemandHeadFromDB-TaskNr"`
	TaskDate   grmi.Date     `xorm:"date 'TaskDate' not null" json:"OM_DemandHeadFromDB-TaskDate"`
	TaskType   string        `xorm:"nvarchar(40) 'TaskType' not null" json:"OM_DemandHeadFromDB-TaskType"`
	Status     int           `xorm:"int 'Status' not null" json:"OM_DemandHeadFromDB-Status"`
	ErrNum     int           `xorm:"int 'ErrNum' not null" json:"OM_DemandHeadFromDB-ErrNum"`
	ErrInfo    string        `xorm:"nvarchar(255) 'ErrInfo' not null" json:"OM_DemandHeadFromDB-ErrInfo"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OM_DemandHeadFromDB-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OM_DemandHeadFromDB-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OM_DemandHeadFromDB-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-13 16:05:11
 *
 ******************************************************************************/
func (self *DemandHeadFromDB) GetKey() core.PK {
	return core.PK{self.PlantNr, self.TaskNr}
}
