// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : DemandLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : DemandLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-27 17:06:45
 *
 ******************************************************************************/
type DemandLst struct {
	PlantNr          int           `xorm:"pk int 'PlantNr'" json:"OM_DemandGaasGFrame-PlantNr"`
	FileNr           int           `xorm:"pk int 'FileNr'" json:"OM_DemandGaasGFrame-FileNr"`
	Pos              int           `xorm:"pk int 'Pos'" json:"OM_DemandGaasGFrame-Pos"`
	TaskNr           int           `xorm:"pk int 'TaskNr'" json:"OM_DemandGaasGFrame-TaskNr"`
	DemandNr         int           `xorm:"int 'DemandNr' not null" json:"OM_DemandGaasGFrame-DemandNr"`
	BarCode          string        `xorm:"nvarchar(40) 'BarCode' not null" json:"OM_DemandGaasGFrame-BarCode"`
	BarCodeDesc      string        `xorm:"nvarchar(40) 'BarCodeDesc' not null" json:"OM_DemandGaasGFrame-BarCodeDesc"`
	PartCode         string        `xorm:"nvarchar(40) 'PartCode' not null" json:"OM_DemandGaasGFrame-PartCode"`
	PlanDttm         grmi.DateTime `xorm:"datetime 'PlanDttm' not null" json:"OM_DemandGaasGFrame-PlanDttm"`
	Class1           int           `xorm:"int 'Class1' not null" json:"OM_DemandGaasGFrame-Class1"`
	ConfigDesc       string        `xorm:"nvarchar(40) 'ConfigDesc' not null" json:"OM_DemandGaasGFrame-ConfigDesc"`
	ConfigKey        string        `xorm:"nvarchar(40) 'ConfigKey' not null" json:"OM_DemandGaasGFrame-ConfigKey"`
	Seq              int           `xorm:"int 'Seq' not null" json:"OM_DemandGaasGFrame-Seq"`
	State            int           `xorm:"int 'State' not null" json:"OM_DemandGaasGFrame-State"`
	StateName        string        `xorm:"nvarchar(40) 'StateName' not null" json:"OM_DemandGaasGFrame-StateName"`
	Station          int           `xorm:"int 'Station' not null" json:"OM_DemandGaasGFrame-Station"`
	StationCode      string        `xorm:"nvarchar(40) 'StationCode' not null" json:"OM_DemandGaasGFrame-StationCode"`
	StationDesc      string        `xorm:"nvarchar(40) 'StationDesc' not null" json:"OM_DemandGaasGFrame-StationDesc"`
	DemandCreateTime grmi.DateTime `xorm:"datetime 'DemandCreateTime'" json:"OM_DemandGaasGFrame-DemandCreateTime"`
	IsRefreshToggle  bool          `xorm:"bit 'IsRefreshToggle'" json:"OM_DemandGaasGFrame-IsRefreshToggle"`
	Serial           string        `xorm:"nvarchar(50) 'Serial' not null" json:"OM_DemandGaasGFrame-Serial"`
	CustomId         string        `xorm:"nvarchar(40) 'CustomId' not null" json:"OM_DemandGaasGFrame-CustomId"`
	LogTime          grmi.DateTime `xorm:"datetime 'LogTime'" json:"OM_DemandGaasGFrame-LogTime"`
	CodeBar          string        `xorm:"nvarchar(40) 'CodeBar'" json:"OM_DemandGaasGFrame-CodeBar"`
	Memo             string        `xorm:"nvarchar(40) 'Memo'" json:"OM_DemandGaasGFrame-Memo"`
	LastModify       grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OM_DemandGaasGFrame-LastModify"`
	LastUser         string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OM_DemandGaasGFrame-LastUser"`
	CreateTime       grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OM_DemandGaasGFrame-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-27 17:06:45
 *
 ******************************************************************************/
func (self *DemandLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.FileNr, self.Pos, self.TaskNr}
}
