// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ProdOrderQtyRecLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : ProdOrderQtyRecLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
type ProdOrderQtyRecLst struct {
	PlantNr              int           `xorm:"pk int 'PlantNr'" json:"OM_ProdOrderQtyRecLst-PlantNr"`
	ProdOrderId          string        `xorm:"pk nvarchar(40) 'ProdOrderId'" json:"OM_ProdOrderQtyRecLst-ProdOrderId"`
	Pos                  int           `xorm:"pk int 'Pos'" json:"OM_ProdOrderQtyRecLst-Pos"`
	ActQty               float64       `xorm:"float 'ActQty' not null" json:"OM_ProdOrderQtyRecLst-ActQty"`
	OrderQtyType         string        `xorm:"nvarchar(20) 'OrderQtyType' not null" json:"OM_ProdOrderQtyRecLst-OrderQtyType"`
	RecordTime           string        `xorm:"nvarchar(14) 'RecordTime' not null" json:"OM_ProdOrderQtyRecLst-RecordTime"`
	TriggerEvent         string        `xorm:"nvarchar(40) 'TriggerEvent' not null" json:"OM_ProdOrderQtyRecLst-TriggerEvent"`
	TriggerObjectId      string        `xorm:"nvarchar(40) 'TriggerObjectId' not null" json:"OM_ProdOrderQtyRecLst-TriggerObjectId"`
	TriggerSubObjectId   string        `xorm:"nvarchar(40) 'TriggerSubObjectId' not null" json:"OM_ProdOrderQtyRecLst-TriggerSubObjectId"`
	OutputEvent          string        `xorm:"nvarchar(40) 'OutputEvent' not null" json:"OM_ProdOrderQtyRecLst-OutputEvent"`
	OutputEventMessageId string        `xorm:"nvarchar(40) 'OutputEventMessageId' not null" json:"OM_ProdOrderQtyRecLst-OutputEventMessageId"`
	OutputObjectId       string        `xorm:"nvarchar(40) 'OutputObjectId' not null" json:"OM_ProdOrderQtyRecLst-OutputObjectId"`
	OutputSubObjectId    string        `xorm:"nvarchar(40) 'OutputSubObjectId' not null" json:"OM_ProdOrderQtyRecLst-OutputSubObjectId"`
	Remark1              string        `xorm:"nvarchar(100) 'Remark1' not null" json:"OM_ProdOrderQtyRecLst-Remark1"`
	Remark2              string        `xorm:"nvarchar(100) 'Remark2' not null" json:"OM_ProdOrderQtyRecLst-Remark2"`
	LastModify           grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OM_ProdOrderQtyRecLst-LastModify"`
	LastUser             string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OM_ProdOrderQtyRecLst-LastUser"`
	CreateTime           grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OM_ProdOrderQtyRecLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
func (self *ProdOrderQtyRecLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ProdOrderId, self.Pos}
}
