// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ProdOrderStatus
 *-----------------------------------------------------------------------------
 *
 * @Description              : ProdOrderStatus的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
type ProdOrderStatus struct {
	PlantNr            int           `xorm:"pk int 'PlantNr'" json:"OM_ProdOrderStatus-PlantNr"`
	ProdOrderId        string        `xorm:"pk nvarchar(40) 'ProdOrderId'" json:"OM_ProdOrderStatus-ProdOrderId"`
	Status             int           `xorm:"int 'Status' not null" json:"OM_ProdOrderStatus-Status"`
	TriggerEvent       string        `xorm:"nvarchar(40) 'TriggerEvent' not null" json:"OM_ProdOrderStatus-TriggerEvent"`
	TriggerObjectId    string        `xorm:"nvarchar(40) 'TriggerObjectId' not null" json:"OM_ProdOrderStatus-TriggerObjectId"`
	TriggerSubObjectId string        `xorm:"nvarchar(40) 'TriggerSubObjectId' not null" json:"OM_ProdOrderStatus-TriggerSubObjectId"`
	LastModify         grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OM_ProdOrderStatus-LastModify"`
	LastUser           string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OM_ProdOrderStatus-LastUser"`
	CreateTime         grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OM_ProdOrderStatus-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
func (self *ProdOrderStatus) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ProdOrderId}
}
