// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ProdOrderStatusRecLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : ProdOrderStatusRecLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
type ProdOrderStatusRecLst struct {
	PlantNr              int           `xorm:"pk int 'PlantNr'" json:"OM_ProdOrderStatusRecLst-PlantNr"`
	ProdOrderId          string        `xorm:"pk nvarchar(40) 'ProdOrderId'" json:"OM_ProdOrderStatusRecLst-ProdOrderId"`
	Pos                  int           `xorm:"pk int 'Pos'" json:"OM_ProdOrderStatusRecLst-Pos"`
	PrevStatus           int           `xorm:"int 'PrevStatus' not null" json:"OM_ProdOrderStatusRecLst-PrevStatus"`
	Status               int           `xorm:"int 'Status' not null" json:"OM_ProdOrderStatusRecLst-Status"`
	StartTime            string        `xorm:"nvarchar(14) 'StartTime' not null" json:"OM_ProdOrderStatusRecLst-StartTime"`
	EndTime              string        `xorm:"nvarchar(14) 'EndTime' not null" json:"OM_ProdOrderStatusRecLst-EndTime"`
	TriggerEvent         string        `xorm:"nvarchar(40) 'TriggerEvent' not null" json:"OM_ProdOrderStatusRecLst-TriggerEvent"`
	TriggerObjectId      string        `xorm:"nvarchar(40) 'TriggerObjectId' not null" json:"OM_ProdOrderStatusRecLst-TriggerObjectId"`
	TriggerSubObjectId   string        `xorm:"nvarchar(40) 'TriggerSubObjectId' not null" json:"OM_ProdOrderStatusRecLst-TriggerSubObjectId"`
	OutputEvent          string        `xorm:"nvarchar(40) 'OutputEvent' not null" json:"OM_ProdOrderStatusRecLst-OutputEvent"`
	OutputEventMessageId string        `xorm:"nvarchar(40) 'OutputEventMessageId' not null" json:"OM_ProdOrderStatusRecLst-OutputEventMessageId"`
	OutputObjectId       string        `xorm:"nvarchar(40) 'OutputObjectId' not null" json:"OM_ProdOrderStatusRecLst-OutputObjectId"`
	OutputSubObjectId    string        `xorm:"nvarchar(40) 'OutputSubObjectId' not null" json:"OM_ProdOrderStatusRecLst-OutputSubObjectId"`
	Remark1              string        `xorm:"nvarchar(100) 'Remark1' not null" json:"OM_ProdOrderStatusRecLst-Remark1"`
	Remark2              string        `xorm:"nvarchar(100) 'Remark2' not null" json:"OM_ProdOrderStatusRecLst-Remark2"`
	LastModify           grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OM_ProdOrderStatusRecLst-LastModify"`
	LastUser             string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OM_ProdOrderStatusRecLst-LastUser"`
	CreateTime           grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OM_ProdOrderStatusRecLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
func (self *ProdOrderStatusRecLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ProdOrderId, self.Pos}
}
