// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : SerialOrderOPDetail
 *-----------------------------------------------------------------------------
 *
 * @Description              : SerialOrderOPDetail的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-11 10:00:53
 *
 ******************************************************************************/
type SerialOrderOPDetail struct {
	PlantNr       int           `xorm:"pk int 'PlantNr'" json:"OM_SerialOrderOPDetail-PlantNr"`
	DetailId      int           `xorm:"pk int 'DetailId' autoincr" json:"OM_SerialOrderOPDetail-DetailId"`
	SerialOrderId string        `xorm:"nvarchar(100) 'SerialOrderId' not null" json:"OM_SerialOrderOPDetail-SerialOrderId"`
	OperationId   int           `xorm:"int 'OperationId' not null" json:"OM_SerialOrderOPDetail-OperationId"`
	PO            int           `xorm:"int 'PO' not null" json:"OM_SerialOrderOPDetail-PO"`
	SubArtId      string        `xorm:"nvarchar(40) 'SubArtId' not null" json:"OM_SerialOrderOPDetail-SubArtId"`
	StepNo        int           `xorm:"int 'StepNo' not null" json:"OM_SerialOrderOPDetail-StepNo"`
	Pos           int           `xorm:"int 'Pos' not null" json:"OM_SerialOrderOPDetail-Pos"`
	Status        int           `xorm:"int 'Status' not null" json:"OM_SerialOrderOPDetail-Status"`
	StepType      string        `xorm:"nvarchar(40) 'StepType' not null" json:"OM_SerialOrderOPDetail-StepType"`
	// TightenWrenchInfo BRAND NAME
	// OPC BRAND NAME
	// 扫码校验 AttriCodeDesc
	CharPara1     string        `xorm:"nvarchar(40) 'CharPara1' not null" json:"OM_SerialOrderOPDetail-CharPara1"`
	// TightenWrenchInfo 	MACHINE TYPE
	// OPC MACHINE TYPE
	// 扫码校验 SubObject
	CharPara2     string        `xorm:"nvarchar(40) 'CharPara2' not null" json:"OM_SerialOrderOPDetail-CharPara2"`
	// TightenWrenchInfo IP ADDRESS
	// OPC IP ADDRESS
	// 扫码校验 CodeLength
	CharPara3     string        `xorm:"nvarchar(40) 'CharPara3' not null" json:"OM_SerialOrderOPDetail-CharPara3"`
	// TightenWrenchInfo MainControlAction
	// OPC ACTION TYPE
	// 扫码校验 CheckObject
	CharPara4     string        `xorm:"nvarchar(40) 'CharPara4' not null" json:"OM_SerialOrderOPDetail-CharPara4"`
	// OPC DBLOCK ADDRESS
	CharPara5     string        `xorm:"nvarchar(40) 'CharPara5' not null" json:"OM_SerialOrderOPDetail-CharPara5"`
	// OPC DBLOCK VALUE TYPE
	CharPara6     string        `xorm:"nvarchar(40) 'CharPara6' not null" json:"OM_SerialOrderOPDetail-CharPara6"`
	// OPC DBLOCK VALUE
	CharPara7     string        `xorm:"nvarchar(40) 'CharPara7' not null" json:"OM_SerialOrderOPDetail-CharPara7"`
	CharPara8     string        `xorm:"nvarchar(40) 'CharPara8' not null" json:"OM_SerialOrderOPDetail-CharPara8"`
	CharPara9     string        `xorm:"nvarchar(40) 'CharPara9' not null" json:"OM_SerialOrderOPDetail-CharPara9"`
	CharPara10    string        `xorm:"nvarchar(40) 'CharPara10' not null" json:"OM_SerialOrderOPDetail-CharPara10"`
	// TightenWrenchInfo ControlTime
	// 扫码校验 CheckStartPos
	IntPara1      int           `xorm:"int 'IntPara1' not null" json:"OM_SerialOrderOPDetail-IntPara1"`
	// 扫码校验 CheckLength
	IntPara2      int           `xorm:"int 'IntPara2' not null" json:"OM_SerialOrderOPDetail-IntPara2"`
	IntPara3      int           `xorm:"int 'IntPara3' not null" json:"OM_SerialOrderOPDetail-IntPara3"`
	IntPara4      int           `xorm:"int 'IntPara4' not null" json:"OM_SerialOrderOPDetail-IntPara4"`
	IntPara5      int           `xorm:"int 'IntPara5' not null" json:"OM_SerialOrderOPDetail-IntPara5"`
	FloatPara1    float64       `xorm:"float 'FloatPara1' not null" json:"OM_SerialOrderOPDetail-FloatPara1"`
	FloatPara2    float64       `xorm:"float 'FloatPara2' not null" json:"OM_SerialOrderOPDetail-FloatPara2"`
	FloatPara3    float64       `xorm:"float 'FloatPara3' not null" json:"OM_SerialOrderOPDetail-FloatPara3"`
	FloatPara4    float64       `xorm:"float 'FloatPara4' not null" json:"OM_SerialOrderOPDetail-FloatPara4"`
	FloatPara5    float64       `xorm:"float 'FloatPara5' not null" json:"OM_SerialOrderOPDetail-FloatPara5"`
	// 扫码校验 OnlyBarCodeFlag
	FlagPara1     bool          `xorm:"bit 'FlagPara1' not null" json:"OM_SerialOrderOPDetail-FlagPara1"`
	FlagPara2     bool          `xorm:"bit 'FlagPara2' not null" json:"OM_SerialOrderOPDetail-FlagPara2"`
	FlagPara3     bool          `xorm:"bit 'FlagPara3' not null" json:"OM_SerialOrderOPDetail-FlagPara3"`
	LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OM_SerialOrderOPDetail-LastModify"`
	LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OM_SerialOrderOPDetail-LastUser"`
	CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OM_SerialOrderOPDetail-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-11 10:00:53
 *
 ******************************************************************************/
func (self *SerialOrderOPDetail) GetKey() core.PK {
	return core.PK{self.PlantNr, self.DetailId}
}
