// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : SerialOrderOPDetailStatusRecLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : SerialOrderOPDetailStatusRecLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-11 10:00:53
 *
 ******************************************************************************/
type SerialOrderOPDetailStatusRecLst struct {
	PlantNr              int           `xorm:"pk int 'PlantNr'" json:"OM_SerialOrderOPDetailStatusRecLst-PlantNr"`
	DetailId             int           `xorm:"pk int 'DetailId'" json:"OM_SerialOrderOPDetailStatusRecLst-DetailId"`
	Pos                  int           `xorm:"pk int 'Pos'" json:"OM_SerialOrderOPDetailStatusRecLst-Pos"`
	SerialOrderId        string        `xorm:"nvarchar(100) 'SerialOrderId' not null" json:"OM_SerialOrderOPDetailStatusRecLst-SerialOrderId"`
	PO                   int           `xorm:"int 'PO' not null" json:"OM_SerialOrderOPDetailStatusRecLst-PO"`
	SubArtId             string        `xorm:"nvarchar(40) 'SubArtId' not null" json:"OM_SerialOrderOPDetailStatusRecLst-SubArtId"`
	StepNo               int           `xorm:"int 'StepNo' not null" json:"OM_SerialOrderOPDetailStatusRecLst-StepNo"`
	OriginPos            int           `xorm:"int 'OriginPos' not null" json:"OM_SerialOrderOPDetailStatusRecLst-OriginPos"`
	StepType             string        `xorm:"nvarchar(40) 'StepType' not null" json:"OM_SerialOrderOPDetailStatusRecLst-StepType"`
	PrevStatus           int           `xorm:"int 'PrevStatus' not null" json:"OM_SerialOrderOPDetailStatusRecLst-PrevStatus"`
	Status               int           `xorm:"int 'Status' not null" json:"OM_SerialOrderOPDetailStatusRecLst-Status"`
	TriggerEvent         string        `xorm:"nvarchar(40) 'TriggerEvent' not null" json:"OM_SerialOrderOPDetailStatusRecLst-TriggerEvent"`
	TriggerObjectId      string        `xorm:"nvarchar(40) 'TriggerObjectId' not null" json:"OM_SerialOrderOPDetailStatusRecLst-TriggerObjectId"`
	TriggerSubObjectId   string        `xorm:"nvarchar(40) 'TriggerSubObjectId' not null" json:"OM_SerialOrderOPDetailStatusRecLst-TriggerSubObjectId"`
	OutputStatus         int           `xorm:"int 'OutputStatus' not null" json:"OM_SerialOrderOPDetailStatusRecLst-OutputStatus"`
	OutputEvent          string        `xorm:"nvarchar(40) 'OutputEvent' not null" json:"OM_SerialOrderOPDetailStatusRecLst-OutputEvent"`
	OutputEventMessageId string        `xorm:"nvarchar(40) 'OutputEventMessageId' not null" json:"OM_SerialOrderOPDetailStatusRecLst-OutputEventMessageId"`
	OutputObjectId       string        `xorm:"nvarchar(40) 'OutputObjectId' not null" json:"OM_SerialOrderOPDetailStatusRecLst-OutputObjectId"`
	OutputSubObjectId    string        `xorm:"nvarchar(40) 'OutputSubObjectId' not null" json:"OM_SerialOrderOPDetailStatusRecLst-OutputSubObjectId"`
	OutputErrNum         int           `xorm:"int 'OutputErrNum' not null" json:"OM_SerialOrderOPDetailStatusRecLst-OutputErrNum"`
	Remark1              string        `xorm:"nvarchar(100) 'Remark1' not null" json:"OM_SerialOrderOPDetailStatusRecLst-Remark1"`
	Remark2              string        `xorm:"nvarchar(100) 'Remark2' not null" json:"OM_SerialOrderOPDetailStatusRecLst-Remark2"`
	LastModify           grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OM_SerialOrderOPDetailStatusRecLst-LastModify"`
	LastUser             string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OM_SerialOrderOPDetailStatusRecLst-LastUser"`
	CreateTime           grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OM_SerialOrderOPDetailStatusRecLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-11 10:00:53
 *
 ******************************************************************************/
func (self *SerialOrderOPDetailStatusRecLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.DetailId, self.Pos}
}
