// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : SerialOrderPOLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : SerialOrderPOLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-29 17:19:37
 *
 ******************************************************************************/
type SerialOrderPOLst struct {
	PlantNr       int           `xorm:"pk int 'PlantNr'" json:"OM_SerialOrderPOLst-PlantNr"`
	SerialOrderId string        `xorm:"pk nvarchar(100) 'SerialOrderId'" json:"OM_SerialOrderPOLst-SerialOrderId"`
	PO            int           `xorm:"pk int 'PO'" json:"OM_SerialOrderPOLst-PO"`
	Status        int           `xorm:"int 'Status' not null" json:"OM_SerialOrderPOLst-Status"`
	HasDependOn   bool          `xorm:"bit 'HasDependOn' not null" json:"OM_SerialOrderPOLst-HasDependOn"`
	SWCtrlPara1   string        `xorm:"nvarchar(40) 'SWCtrlPara1' not null" json:"OM_SerialOrderPOLst-SWCtrlPara1"`
	SWCtrlPara2   string        `xorm:"nvarchar(40) 'SWCtrlPara2' not null" json:"OM_SerialOrderPOLst-SWCtrlPara2"`
	SWCtrlPara3   int           `xorm:"int 'SWCtrlPara3' not null" json:"OM_SerialOrderPOLst-SWCtrlPara3"`
	SWCtrlPara4   int           `xorm:"int 'SWCtrlPara4' not null" json:"OM_SerialOrderPOLst-SWCtrlPara4"`
	SWCtrlPara5   float64       `xorm:"float 'SWCtrlPara5' not null" json:"OM_SerialOrderPOLst-SWCtrlPara5"`
	SWCtrlPara6   float64       `xorm:"float 'SWCtrlPara6' not null" json:"OM_SerialOrderPOLst-SWCtrlPara6"`
	LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OM_SerialOrderPOLst-LastModify"`
	LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OM_SerialOrderPOLst-LastUser"`
	CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OM_SerialOrderPOLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-29 17:19:37
 *
 ******************************************************************************/
func (self *SerialOrderPOLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.SerialOrderId, self.PO}
}
