// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : SerialOrderPOStatusRecLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : SerialOrderPOStatusRecLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-29 17:19:37
 *
 ******************************************************************************/
type SerialOrderPOStatusRecLst struct {
	PlantNr              int           `xorm:"pk int 'PlantNr'" json:"OM_SerialOrderPOStatusRecLst-PlantNr"`
	SerialOrderId        string        `xorm:"pk nvarchar(100) 'SerialOrderId'" json:"OM_SerialOrderPOStatusRecLst-SerialOrderId"`
	PO                   int           `xorm:"pk int 'PO'" json:"OM_SerialOrderPOStatusRecLst-PO"`
	Pos                  int           `xorm:"pk int 'Pos'" json:"OM_SerialOrderPOStatusRecLst-Pos"`
	WorkPlaceNr          int           `xorm:"int 'WorkPlaceNr' not null" json:"OM_SerialOrderPOStatusRecLst-WorkPlaceNr"`
	PrevStatus           int           `xorm:"int 'PrevStatus' not null" json:"OM_SerialOrderPOStatusRecLst-PrevStatus"`
	Status               int           `xorm:"int 'Status' not null" json:"OM_SerialOrderPOStatusRecLst-Status"`
	TriggerEvent         string        `xorm:"nvarchar(40) 'TriggerEvent' not null" json:"OM_SerialOrderPOStatusRecLst-TriggerEvent"`
	TriggerObjectId      string        `xorm:"nvarchar(40) 'TriggerObjectId' not null" json:"OM_SerialOrderPOStatusRecLst-TriggerObjectId"`
	TriggerSubObjectId   string        `xorm:"nvarchar(40) 'TriggerSubObjectId' not null" json:"OM_SerialOrderPOStatusRecLst-TriggerSubObjectId"`
	OutputStatus         int           `xorm:"int 'OutputStatus' not null" json:"OM_SerialOrderPOStatusRecLst-OutputStatus"`
	OutputEvent          string        `xorm:"nvarchar(40) 'OutputEvent' not null" json:"OM_SerialOrderPOStatusRecLst-OutputEvent"`
	OutputEventMessageId string        `xorm:"nvarchar(40) 'OutputEventMessageId' not null" json:"OM_SerialOrderPOStatusRecLst-OutputEventMessageId"`
	OutputObjectId       string        `xorm:"nvarchar(40) 'OutputObjectId' not null" json:"OM_SerialOrderPOStatusRecLst-OutputObjectId"`
	OutputSubObjectId    string        `xorm:"nvarchar(40) 'OutputSubObjectId' not null" json:"OM_SerialOrderPOStatusRecLst-OutputSubObjectId"`
	OutputErrNum         int           `xorm:"int 'OutputErrNum' not null" json:"OM_SerialOrderPOStatusRecLst-OutputErrNum"`
	Remark1              string        `xorm:"nvarchar(100) 'Remark1' not null" json:"OM_SerialOrderPOStatusRecLst-Remark1"`
	Remark2              string        `xorm:"nvarchar(100) 'Remark2' not null" json:"OM_SerialOrderPOStatusRecLst-Remark2"`
	LastModify           grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OM_SerialOrderPOStatusRecLst-LastModify"`
	LastUser             string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OM_SerialOrderPOStatusRecLst-LastUser"`
	CreateTime           grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OM_SerialOrderPOStatusRecLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-29 17:19:37
 *
 ******************************************************************************/
func (self *SerialOrderPOStatusRecLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.SerialOrderId, self.PO, self.Pos}
}
