// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : SerialOrderStatus
 *-----------------------------------------------------------------------------
 *
 * @Description              : SerialOrderStatus的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
type SerialOrderStatus struct {
	PlantNr            int           `xorm:"pk int 'PlantNr'" json:"OM_SerialOrderStatus-PlantNr"`
	SerialOrderId      string        `xorm:"pk nvarchar(100) 'SerialOrderId'" json:"OM_SerialOrderStatus-SerialOrderId"`
	Status             int           `xorm:"int 'Status' not null" json:"OM_SerialOrderStatus-Status"`
	TriggerEvent       string        `xorm:"nvarchar(40) 'TriggerEvent' not null" json:"OM_SerialOrderStatus-TriggerEvent"`
	TriggerObjectId    string        `xorm:"nvarchar(40) 'TriggerObjectId' not null" json:"OM_SerialOrderStatus-TriggerObjectId"`
	TriggerSubObjectId string        `xorm:"nvarchar(40) 'TriggerSubObjectId' not null" json:"OM_SerialOrderStatus-TriggerSubObjectId"`
	LastModify         grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OM_SerialOrderStatus-LastModify"`
	LastUser           string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OM_SerialOrderStatus-LastUser"`
	CreateTime         grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OM_SerialOrderStatus-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
func (self *SerialOrderStatus) GetKey() core.PK {
	return core.PK{self.PlantNr, self.SerialOrderId}
}
