// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : SerialOrderStepStatusRecLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : SerialOrderStepStatusRecLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-11 10:00:53
 *
 ******************************************************************************/
type SerialOrderStepStatusRecLst struct {
	PlantNr              int           `xorm:"pk int 'PlantNr'" json:"OM_SerialOrderStepStatusRecLst-PlantNr"`
	SerialOrderId        string        `xorm:"pk nvarchar(100) 'SerialOrderId'" json:"OM_SerialOrderStepStatusRecLst-SerialOrderId"`
	OperationId          int           `xorm:"pk int 'OperationId'" json:"OM_SerialOrderStepStatusRecLst-OperationId"`
	Pos                  int           `xorm:"pk int 'Pos'" json:"OM_SerialOrderStepStatusRecLst-Pos"`
	PO                   int           `xorm:"int 'PO' not null" json:"OM_SerialOrderStepStatusRecLst-PO"`
	StepNo               int           `xorm:"int 'StepNo' not null" json:"OM_SerialOrderStepStatusRecLst-StepNo"`
	PrevStatus           int           `xorm:"int 'PrevStatus' not null" json:"OM_SerialOrderStepStatusRecLst-PrevStatus"`
	Status               int           `xorm:"int 'Status' not null" json:"OM_SerialOrderStepStatusRecLst-Status"`
	TriggerEvent         string        `xorm:"nvarchar(40) 'TriggerEvent' not null" json:"OM_SerialOrderStepStatusRecLst-TriggerEvent"`
	TriggerObjectId      string        `xorm:"nvarchar(40) 'TriggerObjectId' not null" json:"OM_SerialOrderStepStatusRecLst-TriggerObjectId"`
	TriggerSubObjectId   string        `xorm:"nvarchar(40) 'TriggerSubObjectId' not null" json:"OM_SerialOrderStepStatusRecLst-TriggerSubObjectId"`
	OutputStatus         int           `xorm:"int 'OutputStatus' not null" json:"OM_SerialOrderStepStatusRecLst-OutputStatus"`
	OutputEvent          string        `xorm:"nvarchar(40) 'OutputEvent' not null" json:"OM_SerialOrderStepStatusRecLst-OutputEvent"`
	OutputEventMessageId string        `xorm:"nvarchar(40) 'OutputEventMessageId' not null" json:"OM_SerialOrderStepStatusRecLst-OutputEventMessageId"`
	OutputObjectId       string        `xorm:"nvarchar(40) 'OutputObjectId' not null" json:"OM_SerialOrderStepStatusRecLst-OutputObjectId"`
	OutputSubObjectId    string        `xorm:"nvarchar(40) 'OutputSubObjectId' not null" json:"OM_SerialOrderStepStatusRecLst-OutputSubObjectId"`
	OutputErrNum         int           `xorm:"int 'OutputErrNum' not null" json:"OM_SerialOrderStepStatusRecLst-OutputErrNum"`
	Remark1              string        `xorm:"nvarchar(100) 'Remark1' not null" json:"OM_SerialOrderStepStatusRecLst-Remark1"`
	Remark2              string        `xorm:"nvarchar(100) 'Remark2' not null" json:"OM_SerialOrderStepStatusRecLst-Remark2"`
	LastModify           grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OM_SerialOrderStepStatusRecLst-LastModify"`
	LastUser             string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OM_SerialOrderStepStatusRecLst-LastUser"`
	CreateTime           grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OM_SerialOrderStepStatusRecLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-11 10:00:53
 *
 ******************************************************************************/
func (self *SerialOrderStepStatusRecLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.SerialOrderId, self.OperationId, self.Pos}
}
