// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WorkOrderQty
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkOrderQty的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-19 14:04:47
 *
 ******************************************************************************/
type WorkOrderQty struct {
	PlantNr      int           `xorm:"pk int 'PlantNr'" json:"OM_WorkOrderQty-PlantNr"`
	WorkOrderId  string        `xorm:"pk nvarchar(40) 'WorkOrderId'" json:"OM_WorkOrderQty-WorkOrderId"`
	PlanQty      float64       `xorm:"float 'PlanQty' not null" json:"OM_WorkOrderQty-PlanQty"`
	ReleasedQty  float64       `xorm:"float 'ReleasedQty' not null" json:"OM_WorkOrderQty-ReleasedQty"`
	ActQty       float64       `xorm:"float 'ActQty' not null" json:"OM_WorkOrderQty-ActQty"` // 完成数量
	ActGoodQty   float64       `xorm:"float 'ActGoodQty' not null" json:"OM_WorkOrderQty-ActGoodQty"`
	ActScrapQty  float64       `xorm:"float 'ActScrapQty' not null" json:"OM_WorkOrderQty-ActScrapQty"`
	ActReworkQty float64       `xorm:"float 'ActReworkQty' not null" json:"OM_WorkOrderQty-ActReworkQty"`
	ActQty1      float64       `xorm:"float 'ActQty1' not null" json:"OM_WorkOrderQty-ActQty1"`
	ActQty2      float64       `xorm:"float 'ActQty2' not null" json:"OM_WorkOrderQty-ActQty2"`
	ActQty3      float64       `xorm:"float 'ActQty3' not null" json:"OM_WorkOrderQty-ActQty3"` // 取消数量
	ActQty4      float64       `xorm:"float 'ActQty4' not null" json:"OM_WorkOrderQty-ActQty4"`
	LastModify   grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OM_WorkOrderQty-LastModify"`
	LastUser     string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OM_WorkOrderQty-LastUser"`
	CreateTime   grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OM_WorkOrderQty-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-19 14:04:47
 *
 ******************************************************************************/
func (self *WorkOrderQty) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkOrderId}
}
