// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WorkOrderQtyRecLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkOrderQtyRecLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-19 14:04:47
 *
 ******************************************************************************/
type WorkOrderQtyRecLst struct {
	PlantNr              int           `xorm:"pk int 'PlantNr'" json:"OM_WorkOrderQtyRecLst-PlantNr"`
	WorkOrderId          string        `xorm:"pk nvarchar(40) 'WorkOrderId'" json:"OM_WorkOrderQtyRecLst-WorkOrderId"`
	Pos                  int           `xorm:"pk int 'Pos'" json:"OM_WorkOrderQtyRecLst-Pos"`
	ActQty               float64       `xorm:"float 'ActQty' not null" json:"OM_WorkOrderQtyRecLst-ActQty"`
	OrderQtyType         string        `xorm:"nvarchar(20) 'OrderQtyType' not null" json:"OM_WorkOrderQtyRecLst-OrderQtyType"`
	RecordTime           grmi.DateTime `xorm:"datetime 'RecordTime'" json:"OM_WorkOrderQtyRecLst-RecordTime"`
	TriggerEvent         string        `xorm:"nvarchar(40) 'TriggerEvent' not null" json:"OM_WorkOrderQtyRecLst-TriggerEvent"`
	TriggerObjectId      string        `xorm:"nvarchar(40) 'TriggerObjectId' not null" json:"OM_WorkOrderQtyRecLst-TriggerObjectId"`
	TriggerSubObjectId   string        `xorm:"nvarchar(40) 'TriggerSubObjectId' not null" json:"OM_WorkOrderQtyRecLst-TriggerSubObjectId"`
	OutputStatus         int           `xorm:"int 'OutputStatus' not null" json:"OM_WorkOrderQtyRecLst-OutputStatus"`
	OutputEvent          string        `xorm:"nvarchar(40) 'OutputEvent' not null" json:"OM_WorkOrderQtyRecLst-OutputEvent"`
	OutputEventMessageId string        `xorm:"nvarchar(40) 'OutputEventMessageId' not null" json:"OM_WorkOrderQtyRecLst-OutputEventMessageId"`
	OutputObjectId       string        `xorm:"nvarchar(40) 'OutputObjectId' not null" json:"OM_WorkOrderQtyRecLst-OutputObjectId"`
	OutputSubObjectId    string        `xorm:"nvarchar(40) 'OutputSubObjectId' not null" json:"OM_WorkOrderQtyRecLst-OutputSubObjectId"`
	Remark1              string        `xorm:"nvarchar(100) 'Remark1' not null" json:"OM_WorkOrderQtyRecLst-Remark1"`
	Remark2              string        `xorm:"nvarchar(100) 'Remark2' not null" json:"OM_WorkOrderQtyRecLst-Remark2"`
	LastModify           grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OM_WorkOrderQtyRecLst-LastModify"`
	LastUser             string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OM_WorkOrderQtyRecLst-LastUser"`
	CreateTime           grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OM_WorkOrderQtyRecLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-19 14:04:47
 *
 ******************************************************************************/
func (self *WorkOrderQtyRecLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkOrderId, self.Pos}
}
