// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WorkOrderStatus
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkOrderStatus的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-19 14:04:47
 *
 ******************************************************************************/
type WorkOrderStatus struct {
	PlantNr               int                     `xorm:"pk int 'PlantNr'" json:"OM_WorkOrderStatus-PlantNr"`
	WorkOrderId           string                  `xorm:"pk nvarchar(40) 'WorkOrderId'" json:"OM_WorkOrderStatus-WorkOrderId"`
	Status                int                     `xorm:"int 'Status' not null" json:"OM_WorkOrderStatus-Status"`
	TriggerEvent          string                  `xorm:"nvarchar(40) 'TriggerEvent' not null" json:"OM_WorkOrderStatus-TriggerEvent"`
	TriggerObjectId       string                  `xorm:"nvarchar(40) 'TriggerObjectId' not null" json:"OM_WorkOrderStatus-TriggerObjectId"`
	TriggerSubObjectId    string                  `xorm:"nvarchar(40) 'TriggerSubObjectId' not null" json:"OM_WorkOrderStatus-TriggerSubObjectId"`
	LastModify            grmi.DateTime           `xorm:"datetime 'LastModify' not null updated" json:"OM_WorkOrderStatus-LastModify"`
	LastUser              string                  `xorm:"nvarchar(20) 'LastUser' not null" json:"OM_WorkOrderStatus-LastUser"`
	CreateTime            grmi.DateTime           `xorm:"datetime 'CreateTime' not null created" json:"OM_WorkOrderStatus-CreateTime"`
	WorkOrderStatusRecLst []WorkOrderStatusRecLst `json:"OM_WorkOrderStatus-WorkOrderStatusRecLst" xorm:"-"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-19 14:04:47
 *
 ******************************************************************************/
func (self *WorkOrderStatus) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkOrderId}
}
