// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pdc

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ScrewDown
 *-----------------------------------------------------------------------------
 *
 * @Description              : ScrewDown的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-27 11:35:42
 *
 ******************************************************************************/
type ScrewDown struct {
	PlantNr    int           `xorm:"pk int 'PlantNr'" json:"PDC_ScrewDown-PlantNr"`
	ArtId      string        `xorm:"pk nvarchar(40) 'ArtId'" json:"PDC_ScrewDown-ArtId"`
	ScrewPos   int           `xorm:"pk int 'ScrewPos'" json:"PDC_ScrewDown-ScrewPos"`
	Result     bool          `xorm:"pk bit 'Result'" json:"PDC_ScrewDown-Result"`
	PicPath    string        `xorm:"varchar(255) 'PicPath' not null" json:"PDC_ScrewDown-PicPath"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PDC_ScrewDown-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PDC_ScrewDown-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PDC_ScrewDown-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-24 10:49:50
 *
 ******************************************************************************/
func (self *ScrewDown) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ArtId, self.ScrewPos, self.Result}
}
