// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : AssetType
 *-----------------------------------------------------------------------------
 *
 * @Description              : AssetType的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
type AssetType struct {
	PlantNr    int           `xorm:"pk int 'PlantNr'" json:"PM_AssetType-PlantNr"`
	AssetType  string        `xorm:"pk varchar(20) 'AssetType'" json:"PM_AssetType-AssetType"`
	Descr      string        `xorm:"varchar(40) 'Descr' not null" json:"PM_AssetType-Descr"`
	Bitmap     string        `xorm:"varchar(128) 'Bitmap'" json:"PM_AssetType-Bitmap"`
	AstypPara1 string        `xorm:"varchar(100) 'AstypPara1' not null" json:"PM_AssetType-AstypPara1"`
	AstypPara2 string        `xorm:"varchar(100) 'AstypPara2' not null" json:"PM_AssetType-AstypPara2"`
	AstypPara3 string        `xorm:"varchar(100) 'AstypPara3' not null" json:"PM_AssetType-AstypPara3"`
	AstypPara4 string        `xorm:"varchar(100) 'AstypPara4' not null" json:"PM_AssetType-AstypPara4"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PM_AssetType-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PM_AssetType-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PM_AssetType-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
func (self *AssetType) GetKey() core.PK {
	return core.PK{self.PlantNr, self.AssetType}
}
