// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : Attribute
 *-----------------------------------------------------------------------------
 *
 * @Description              : Attribute的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
type Attribute struct {
	PlantNr         int           `xorm:"pk int 'PlantNr'" json:"PM_Attribute-PlantNr"`
	AttrNr          int           `xorm:"pk int 'AttrNr'" json:"PM_Attribute-AttrNr"`
	AttrName        string        `xorm:"varchar(30) 'AttrName' not null" json:"PM_Attribute-AttrName"`
	Descr           string        `xorm:"varchar(128) 'Descr'" json:"PM_Attribute-Descr"`
	ShortCode       string        `xorm:"varchar(16) 'ShortCode' not null" json:"PM_Attribute-ShortCode"`
	AttrDataType    string        `xorm:"varchar(1) 'AttrDataType' not null" json:"PM_Attribute-AttrDataType"`
	AttrValType     string        `xorm:"varchar(1) 'AttrValType' not null" json:"PM_Attribute-AttrValType"`
	ValidVal        string        `xorm:"varchar(40) 'ValidVal' not null" json:"PM_Attribute-ValidVal"`
	ValPicture      string        `xorm:"varchar(128) 'ValPicture'" json:"PM_Attribute-ValPicture"`
	Picture1        string        `xorm:"varchar(128) 'Picture1'" json:"PM_Attribute-Picture1"`
	Picture2        string        `xorm:"varchar(128) 'Picture2'" json:"PM_Attribute-Picture2"`
	IsAttrGrpToggle bool          `xorm:"bit 'IsAttrGrpToggle' not null" json:"PM_Attribute-IsAttrGrpToggle"`
	LastModify      grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PM_Attribute-LastModify"`
	LastUser        string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PM_Attribute-LastUser"`
	CreateTime      grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PM_Attribute-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
func (self *Attribute) GetKey() core.PK {
	return core.PK{self.PlantNr, self.AttrNr}
}
