// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : Location
 *-----------------------------------------------------------------------------
 *
 * @Description              : Location的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
type Location struct {
	PlantNr    int           `xorm:"pk int 'PlantNr'" json:"PM_Location-PlantNr"`
	LocaNr     int           `xorm:"pk int 'LocaNr'" json:"PM_Location-LocaNr"`
	LocaName   string        `xorm:"varchar(40) 'LocaName' not null" json:"PM_Location-LocaName"`
	LocaPara1  string        `xorm:"varchar(100) 'LocaPara1' not null" json:"PM_Location-LocaPara1"`
	LocaPara2  string        `xorm:"varchar(100) 'LocaPara2' not null" json:"PM_Location-LocaPara2"`
	LocaPara3  string        `xorm:"varchar(100) 'LocaPara3' not null" json:"PM_Location-LocaPara3"`
	LocaPara4  string        `xorm:"varchar(100) 'LocaPara4' not null" json:"PM_Location-LocaPara4"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PM_Location-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PM_Location-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PM_Location-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
func (self *Location) GetKey() core.PK {
	return core.PK{self.PlantNr, self.LocaNr}
}
