// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ServiceAttrLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : ServiceAttrLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
type ServiceAttrLst struct {
	PlantNr       int           `xorm:"pk int 'PlantNr'" json:"PM_ServiceAttrLst-PlantNr"`
	MainServiceNr int           `xorm:"pk int 'MainServiceNr'" json:"PM_ServiceAttrLst-MainServiceNr"`
	Pos           int           `xorm:"pk int 'Pos'" json:"PM_ServiceAttrLst-Pos"`
	Descr         string        `xorm:"varchar(40) 'Descr' not null" json:"PM_ServiceAttrLst-Descr"`
	AttrNr        int           `xorm:"int 'AttrNr' not null" json:"PM_ServiceAttrLst-AttrNr"`
	Parameter     string        `xorm:"varchar(40) 'Parameter' not null" json:"PM_ServiceAttrLst-Parameter"`
	ParaValue     string        `xorm:"varchar(100) 'ParaValue' not null" json:"PM_ServiceAttrLst-ParaValue"`
	LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PM_ServiceAttrLst-LastModify"`
	LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PM_ServiceAttrLst-LastUser"`
	CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PM_ServiceAttrLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
func (self *ServiceAttrLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.MainServiceNr, self.Pos}
}
