// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : Template
 *-----------------------------------------------------------------------------
 *
 * @Description              : Template的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
type Template struct {
	PlantNr               int           `xorm:"pk int 'PlantNr'" json:"PM_Template-PlantNr"`
	MainTemplateNr        int           `xorm:"pk int 'MainTemplateNr'" json:"PM_Template-MainTemplateNr"`
	Descr                 string        `xorm:"varchar(40) 'Descr' not null" json:"PM_Template-Descr"`
	TrackByDateToggle     bool          `xorm:"bit 'TrackByDateToggle' not null" json:"PM_Template-TrackByDateToggle"`
	TrackByPriMeterToggle bool          `xorm:"bit 'TrackByPriMeterToggle' not null" json:"PM_Template-TrackByPriMeterToggle"`
	PriMeterUom           string        `xorm:"varchar(20) 'PriMeterUom' not null" json:"PM_Template-PriMeterUom"`
	TrackBySecMeterToggle bool          `xorm:"bit 'TrackBySecMeterToggle' not null" json:"PM_Template-TrackBySecMeterToggle"`
	SecMeterUom           string        `xorm:"varchar(20) 'SecMeterUom' not null" json:"PM_Template-SecMeterUom"`
	LastModify            grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PM_Template-LastModify"`
	LastUser              string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PM_Template-LastUser"`
	CreateTime            grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PM_Template-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
func (self *Template) GetKey() core.PK {
	return core.PK{self.PlantNr, self.MainTemplateNr}
}
