// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WorkOrderAttrLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkOrderAttrLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
type WorkOrderAttrLst struct {
	PlantNr          int           `xorm:"pk int 'PlantNr'" json:"PM_WorkOrderAttrLst-PlantNr"`
	MaintWorkOrderId string        `xorm:"pk varchar(18) 'MaintWorkOrderId'" json:"PM_WorkOrderAttrLst-MaintWorkOrderId"`
	MainServiceNr    int           `xorm:"pk int 'MainServiceNr'" json:"PM_WorkOrderAttrLst-MainServiceNr"`
	AttrNr           int           `xorm:"pk int 'AttrNr'" json:"PM_WorkOrderAttrLst-AttrNr"`
	Pos              int           `xorm:"int 'Pos' not null" json:"PM_WorkOrderAttrLst-Pos"`
	Descr            string        `xorm:"varchar(40) 'Descr' not null" json:"PM_WorkOrderAttrLst-Descr"`
	Bitmap           string        `xorm:"varchar(128) 'Bitmap'" json:"PM_WorkOrderAttrLst-Bitmap"`
	Parameter        string        `xorm:"varchar(40) 'Parameter' not null" json:"PM_WorkOrderAttrLst-Parameter"`
	ParaValue        string        `xorm:"varchar(100) 'ParaValue' not null" json:"PM_WorkOrderAttrLst-ParaValue"`
	Operator         int           `xorm:"int 'Operator' not null" json:"PM_WorkOrderAttrLst-Operator"`
	ActValue         string        `xorm:"varchar(250) 'ActValue' not null" json:"PM_WorkOrderAttrLst-ActValue"`
	OperateTime      grmi.DateTime `xorm:"datetime 'OperateTime' not null" json:"PM_WorkOrderAttrLst-OperateTime"`
	LastModify       grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PM_WorkOrderAttrLst-LastModify"`
	LastUser         string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PM_WorkOrderAttrLst-LastUser"`
	CreateTime       grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PM_WorkOrderAttrLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
func (self *WorkOrderAttrLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.MaintWorkOrderId, self.MainServiceNr, self.AttrNr}
}
