// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WorkOrderNoteLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkOrderNoteLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
type WorkOrderNoteLst struct {
	PlantNr          int           `xorm:"pk int 'PlantNr'" json:"PM_WorkOrderNoteLst-PlantNr"`
	MaintWorkOrderId string        `xorm:"pk varchar(18) 'MaintWorkOrderId'" json:"PM_WorkOrderNoteLst-MaintWorkOrderId"`
	MainServiceNr    int           `xorm:"pk int 'MainServiceNr'" json:"PM_WorkOrderNoteLst-MainServiceNr"`
	Pos              int           `xorm:"pk int 'Pos'" json:"PM_WorkOrderNoteLst-Pos"`
	Note             string        `xorm:"varchar(250) 'Note' not null" json:"PM_WorkOrderNoteLst-Note"`
	LastModify       grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PM_WorkOrderNoteLst-LastModify"`
	LastUser         string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PM_WorkOrderNoteLst-LastUser"`
	CreateTime       grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PM_WorkOrderNoteLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
func (self *WorkOrderNoteLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.MaintWorkOrderId, self.MainServiceNr, self.Pos}
}
