// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WorkOrderStatus
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkOrderStatus的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
type WorkOrderStatus struct {
	PlantNr          int           `xorm:"pk int 'PlantNr'" json:"PM_WorkOrderStatus-PlantNr"`
	WorkOrderRecNr   int           `xorm:"pk int 'WorkOrderRecNr'" json:"PM_WorkOrderStatus-WorkOrderRecNr"`
	MaintWorkOrderId string        `xorm:"varchar(18) 'MaintWorkOrderId' not null" json:"PM_WorkOrderStatus-MaintWorkOrderId"`
	Operator         int           `xorm:"int 'Operator' not null" json:"PM_WorkOrderStatus-Operator"`
	WorkOrderBagType string        `xorm:"varchar(14) 'WorkOrderBagType' not null" json:"PM_WorkOrderStatus-WorkOrderBagType"`
	StatusFrom       int           `xorm:"int 'StatusFrom' not null" json:"PM_WorkOrderStatus-StatusFrom"`
	StatusTo         int           `xorm:"int 'StatusTo' not null" json:"PM_WorkOrderStatus-StatusTo"`
	OperateTime      grmi.DateTime `xorm:"datetime 'OperateTime' not null" json:"PM_WorkOrderStatus-OperateTime"`
	LastModify       grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PM_WorkOrderStatus-LastModify"`
	LastUser         string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PM_WorkOrderStatus-LastUser"`
	CreateTime       grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PM_WorkOrderStatus-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 11:00:13
 *
 ******************************************************************************/
func (self *WorkOrderStatus) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkOrderRecNr}
}
