// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package qm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ArtView
 *-----------------------------------------------------------------------------
 *
 * @Description              : ArtView的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
type ArtView struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"QM_ArtView-PlantNr"`
	ArtId       string        `xorm:"pk nvarchar(40) 'ArtId'" json:"QM_ArtView-ArtId"`
	ViewId      string        `xorm:"pk nvarchar(40) 'ViewId'" json:"QM_ArtView-ViewId"`
	Pos         int           `xorm:"int 'Pos' not null" json:"QM_ArtView-Pos"`
	Descr       string        `xorm:"nvarchar(100) 'Descr' not null" json:"QM_ArtView-Descr"`
	ViewPicture string        `xorm:"nvarchar(100) 'ViewPicture' not null" json:"QM_ArtView-ViewPicture"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"QM_ArtView-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"QM_ArtView-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"QM_ArtView-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
func (self *ArtView) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ArtId, self.ViewId}
}
