// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package qm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : DefectGrp
 *-----------------------------------------------------------------------------
 *
 * @Description              : DefectGrp的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
type DefectGrp struct {
	PlantNr     int            `xorm:"pk int 'PlantNr'" json:"QM_DefectGrp-PlantNr"`
	DefectGrpId string         `xorm:"pk nvarchar(20) 'DefectGrpId'" json:"QM_DefectGrp-DefectGrpId"`
	Descr       string         `xorm:"nvarchar(100) 'Descr' not null" json:"QM_DefectGrp-Descr"`
	LastModify  grmi.DateTime  `xorm:"datetime 'LastModify' not null updated" json:"QM_DefectGrp-LastModify"`
	LastUser    string         `xorm:"nvarchar(20) 'LastUser' not null" json:"QM_DefectGrp-LastUser"`
	CreateTime  grmi.DateTime  `xorm:"datetime 'CreateTime' not null created" json:"QM_DefectGrp-CreateTime"`
	Reasons     []DefectReason `xorm:"-" json:"QM_DefectGrp-Reasons"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
func (self *DefectGrp) GetKey() core.PK {
	return core.PK{self.PlantNr, self.DefectGrpId}
}
