// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package qm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : SerialOrderRuting
 *-----------------------------------------------------------------------------
 *
 * @Description              : SerialOrderRuting的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-25 11:18:25
 *
 ******************************************************************************/
type SerialOrderRuting struct {
	PlantNr       int            `xorm:"pk int 'PlantNr'" json:"QM_SerialOrderRuting-PlantNr"`
	SerialorderId string         `xorm:"pk nvarchar(32) 'SerialorderId'" json:"QM_SerialOrderRuting-SerialorderId"`
	ArtId         string         `xorm:"nvarchar(32) 'ArtId'" json:"QM_SerialOrderRuting-ArtId"`
	WorkPlaceNr   int            `xorm:"int 'WorkPlaceNr'" json:"QM_SerialOrderRuting-WorkPlaceNr"`
	Status        int            `xorm:"int 'Status'" json:"QM_SerialOrderRuting-Status"`
	IsPack        int            `xorm:"int 'IsPack'" json:"QM_SerialOrderRuting-IsPack"`
	Remark        string         `xorm:"nvarchar(255) 'Remark'" json:"QM_SerialOrderRuting-Remark"`
	LastModify    grmi.DateTime  `xorm:"datetime 'LastModify' not null updated" json:"QM_SerialOrderRuting-LastModify"`
	LastUser      string         `xorm:"nvarchar(20) 'LastUser' not null" json:"QM_SerialOrderRuting-LastUser"`
	CreateTime    grmi.DateTime  `xorm:"datetime 'CreateTime' not null created" json:"QM_SerialOrderRuting-CreateTime"`
	DefectRecord  []DefectRecord `xorm:"-" json:"QM_SerialOrderRuting-DefectRecord"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-25 11:18:25
 *
 ******************************************************************************/
func (self *SerialOrderRuting) GetKey() core.PK {
	return core.PK{self.PlantNr, self.SerialorderId}
}
