// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package qm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : View
 *-----------------------------------------------------------------------------
 *
 * @Description              : View的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
type View struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"QM_View-PlantNr"`
	ViewId      string        `xorm:"pk nvarchar(20) 'ViewId'" json:"QM_View-ViewId"`
	Descr       string        `xorm:"nvarchar(100) 'Descr' not null" json:"QM_View-Descr"`
	Picture     string        `xorm:"nvarchar(1000) 'Picture' not null" json:"QM_View-Picture"`
	Abrev       string        `xorm:"nvarchar(20) 'Abrev' not null" json:"QM_View-Abrev"`
	Width       int           `xorm:"int 'Width' not null" json:"QM_View-Width"`
	Height      int           `xorm:"int 'Height' not null" json:"QM_View-Height"`
	XLineColor  string        `xorm:"nvarchar(20) 'XLineColor' not null" json:"QM_View-XLineColor"`
	YLineColor  string        `xorm:"nvarchar(20) 'YLineColor' not null" json:"QM_View-YLineColor"`
	UseXYToggle bool          `xorm:"bit 'UseXYToggle' not null" json:"QM_View-UseXYToggle"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"QM_View-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"QM_View-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"QM_View-CreateTime"`
	Groups      []DefectGrp   `xorm:"-" json:"QM_View-Groups"`
	Areas       []ViewValst   `xorm:"-" json:"QM_View-Areas"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-23 17:06:57
 *
 ******************************************************************************/
func (self *View) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ViewId}
}
