// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package report

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : Display
 *-----------------------------------------------------------------------------
 *
 * @Description              : Display的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-24 15:31:29
 *
 ******************************************************************************/
type Display struct {
	DisplayId   int           `xorm:"pk int 'DisplayId'" json:"RP_Display-DisplayId"`
	DisplayName string        `xorm:"nvarchar(100) 'DisplayName' not null" json:"RP_Display-DisplayName"`
	Title       string        `xorm:"nvarchar(255) 'Title' not null" json:"RP_Display-Title"`
	Source      string        `xorm:"nvarchar(40) 'Source' not null" json:"RP_Display-Source"`
	DPCtrlPara1 int           `xorm:"int 'DPCtrlPara1' not null" json:"RP_Display-DPCtrlPara1"`
	DPCtrlPara2 int           `xorm:"int 'DPCtrlPara2' not null" json:"RP_Display-DPCtrlPara2"`
	DPCtrlPara3 string        `xorm:"nvarchar(100) 'DPCtrlPara3' not null" json:"RP_Display-DPCtrlPara3"`
	DPCtrlPara4 string        `xorm:"nvarchar(100) 'DPCtrlPara4' not null" json:"RP_Display-DPCtrlPara4"`
	DPCtrlPara5 float64       `xorm:"float 'DPCtrlPara5' not null" json:"RP_Display-DPCtrlPara5"`
	DPCtrlPara6 float64       `xorm:"float 'DPCtrlPara6' not null" json:"RP_Display-DPCtrlPara6"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"RP_Display-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"RP_Display-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"RP_Display-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-24 15:31:29
 *
 ******************************************************************************/
func (self *Display) GetKey() core.PK {
	return core.PK{self.DisplayId}
}
