// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package report

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : DisplayParam
 *-----------------------------------------------------------------------------
 *
 * @Description              : DisplayParam的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-24 15:31:29
 *
 ******************************************************************************/
type DisplayParam struct {
	DisplayId  int           `xorm:"pk int 'DisplayId'" json:"RP_DisplayParam-DisplayId"`
	Pos        int           `xorm:"pk int 'Pos'" json:"RP_DisplayParam-Pos"`
	ParamName  string        `xorm:"nvarchar(40) 'ParamName' not null" json:"RP_DisplayParam-ParamName"`
	CtrlPara1  int           `xorm:"int 'CtrlPara1' not null" json:"RP_DisplayParam-CtrlPara1"`
	CtrlPara2  int           `xorm:"int 'CtrlPara2' not null" json:"RP_DisplayParam-CtrlPara2"`
	CtrlPara3  float64       `xorm:"float 'CtrlPara3' not null" json:"RP_DisplayParam-CtrlPara3"`
	CtrlPara4  float64       `xorm:"float 'CtrlPara4' not null" json:"RP_DisplayParam-CtrlPara4"`
	CtrlPara5  string        `xorm:"nvarchar(100) 'CtrlPara5' not null" json:"RP_DisplayParam-CtrlPara5"`
	CtrlPara6  string        `xorm:"nvarchar(100) 'CtrlPara6' not null" json:"RP_DisplayParam-CtrlPara6"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"RP_DisplayParam-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"RP_DisplayParam-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"RP_DisplayParam-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-24 15:31:29
 *
 ******************************************************************************/
func (self *DisplayParam) GetKey() core.PK {
	return core.PK{self.DisplayId, self.Pos}
}
