// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : Article
 *-----------------------------------------------------------------------------
 *
 * @Description              : Article的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
type Article struct {
	ArtId              string             `xorm:"pk nvarchar(40) 'ArtId'" json:"WM_Article-ArtId"`
	Descr1             string             `xorm:"nvarchar(100) 'Descr1' not null" json:"WM_Article-Descr1"`
	Descr2             string             `xorm:"nvarchar(100) 'Descr2' not null" json:"WM_Article-Descr2"`
	ArtType            string             `xorm:"nvarchar(40) 'ArtType' not null" json:"WM_Article-ArtType"`
	ProjectId          string             `xorm:"nvarchar(40) 'ProjectId' not null" json:"WM_Article-ProjectId"`
	Uom                string             `xorm:"nvarchar(40) 'Uom' not null" json:"WM_Article-Uom"`
	Weight             float64            `xorm:"float 'Weight' not null" json:"WM_Article-Weight"`
	WeightUom          string             `xorm:"nvarchar(40) 'WeightUom' not null" json:"WM_Article-WeightUom"`
	Length             float64            `xorm:"float 'Length' not null" json:"WM_Article-Length"`
	Width              float64            `xorm:"float 'Width' not null" json:"WM_Article-Width"`
	Height             float64            `xorm:"float 'Height' not null" json:"WM_Article-Height"`
	SizeUom            string             `xorm:"nvarchar(40) 'SizeUom' not null" json:"WM_Article-SizeUom"`
	Fragile            bool               `xorm:"bit 'Fragile' not null" json:"WM_Article-Fragile"`
	Icon               string             `xorm:"nvarchar(100) 'Icon' not null" json:"WM_Article-Icon"`
	DisplayColor       string             `xorm:"nvarchar(20) 'DisplayColor' not null" json:"WM_Article-DisplayColor"`
	Document           string             `xorm:"nvarchar(100) 'Document' not null" json:"WM_Article-Document"`
	LotSize            float64            `xorm:"float 'LotSize'" json:"WM_Article-LotSize"`
	ABCClass           string             `xorm:"nvarchar(1) 'ABCClass' not null" json:"WM_Article-ABCClass"`
	ArtSize1           float64            `xorm:"float 'ArtSize1' not null" json:"WM_Article-ArtSize1"`
	ArtSize2           float64            `xorm:"float 'ArtSize2' not null" json:"WM_Article-ArtSize2"`
	ArtSize3           int                `xorm:"int 'ArtSize3' not null" json:"WM_Article-ArtSize3"`
	ArtSize4           int                `xorm:"int 'ArtSize4' not null" json:"WM_Article-ArtSize4"`
	ArtSize5           string             `xorm:"nvarchar(100) 'ArtSize5' not null" json:"WM_Article-ArtSize5"`
	ArtSpec1           string             `xorm:"nvarchar(100) 'ArtSpec1' not null" json:"WM_Article-ArtSpec1"`
	ArtSpec2           string             `xorm:"nvarchar(100) 'ArtSpec2' not null" json:"WM_Article-ArtSpec2"`
	ArtSpec3           string             `xorm:"nvarchar(100) 'ArtSpec3' not null" json:"WM_Article-ArtSpec3"`
	ArtSpec4           string             `xorm:"nvarchar(100) 'ArtSpec4' not null" json:"WM_Article-ArtSpec4"`
	ArtSpec5           string             `xorm:"nvarchar(100) 'ArtSpec5' not null" json:"WM_Article-ArtSpec5"`
	LastModify         grmi.DateTime      `xorm:"datetime 'LastModify' not null updated" json:"WM_Article-LastModify"`
	LastUser           string             `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_Article-LastUser"`
	CreateTime         grmi.DateTime      `xorm:"datetime 'CreateTime' not null created" json:"WM_Article-CreateTime"`
	Qty                float64            `xorm:"float 'Qty' not null" json:"WM_Article-Qty"`
	ArticlePickingRate ArticlePickingRate `xorm:"-" json:"WM_Article-ArticlePickingRate"`
	ArticleReplenish   ArticleReplenish   `xorm:"-" json:"WM_Article-ArticleReplenish"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
func (self *Article) GetKey() core.PK {
	return core.PK{self.ArtId}
}
