// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ArticlePickingRate
 *-----------------------------------------------------------------------------
 *
 * @Description              : ArticlePickingRate的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
type ArticlePickingRate struct {
	ArtId        string        `xorm:"pk nvarchar(1) 'ArtId'" json:"WM_ArticlePickingRate-ArtId"`
	Priority     int           `xorm:"int 'Priority' not null" json:"WM_ArticlePickingRate-Priority"`
	PickRateArea string        `xorm:"nvarchar(100) 'PickRateArea' not null" json:"WM_ArticlePickingRate-PickRateArea"`
	Force        string        `xorm:"nvarchar(100) 'Force' not null" json:"WM_ArticlePickingRate-Force"`
	Uom          string        `xorm:"nvarchar(40) 'Uom' not null" json:"WM_ArticlePickingRate-Uom"`
	Availiable   bool          `xorm:"bit 'Availiable' not null" json:"WM_ArticlePickingRate-Availiable"`
	OnStock      int           `xorm:"int 'OnStock' not null" json:"WM_ArticlePickingRate-OnStock"`
	APRCtrlPara1 string        `xorm:"nvarchar(100) 'APRCtrlPara1' not null" json:"WM_ArticlePickingRate-APRCtrlPara1"`
	APRCtrlPara2 string        `xorm:"nvarchar(100) 'APRCtrlPara2' not null" json:"WM_ArticlePickingRate-APRCtrlPara2"`
	APRCtrlPara3 int           `xorm:"int 'APRCtrlPara3' not null" json:"WM_ArticlePickingRate-APRCtrlPara3"`
	APRCtrlPara4 int           `xorm:"int 'APRCtrlPara4' not null" json:"WM_ArticlePickingRate-APRCtrlPara4"`
	APRCtrlPara5 float64       `xorm:"float 'APRCtrlPara5' not null" json:"WM_ArticlePickingRate-APRCtrlPara5"`
	APRCtrlPara6 float64       `xorm:"float 'APRCtrlPara6' not null" json:"WM_ArticlePickingRate-APRCtrlPara6"`
	LastModify   grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_ArticlePickingRate-LastModify"`
	LastUser     string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_ArticlePickingRate-LastUser"`
	CreateTime   grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_ArticlePickingRate-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
func (self *ArticlePickingRate) GetKey() core.PK {
	return core.PK{self.ArtId}
}
