// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ArticleReplenish
 *-----------------------------------------------------------------------------
 *
 * @Description              : ArticleReplenish的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
type ArticleReplenish struct {
	ArtId         string        `xorm:"pk nvarchar(40) 'ArtId'" json:"WM_ArticleReplenish-ArtId"`
	MinQty        float64       `xorm:"float 'MinQty' not null" json:"WM_ArticleReplenish-MinQty"`
	MaxQty        float64       `xorm:"float 'MaxQty' not null" json:"WM_ArticleReplenish-MaxQty"`
	ReplenishQty  float64       `xorm:"float 'ReplenishQty' not null" json:"WM_ArticleReplenish-ReplenishQty"`
	ReplenishFrom string        `xorm:"nvarchar(255) 'ReplenishFrom' not null" json:"WM_ArticleReplenish-ReplenishFrom"`
	ARCtrlPara1   string        `xorm:"nvarchar(100) 'ARCtrlPara1' not null" json:"WM_ArticleReplenish-ARCtrlPara1"`
	ARCtrlPara2   string        `xorm:"nvarchar(100) 'ARCtrlPara2' not null" json:"WM_ArticleReplenish-ARCtrlPara2"`
	ARCtrlPara3   int           `xorm:"int 'ARCtrlPara3' not null" json:"WM_ArticleReplenish-ARCtrlPara3"`
	ARCtrlPara4   int           `xorm:"int 'ARCtrlPara4' not null" json:"WM_ArticleReplenish-ARCtrlPara4"`
	ARCtrlPara5   float64       `xorm:"float 'ARCtrlPara5' not null" json:"WM_ArticleReplenish-ARCtrlPara5"`
	ARCtrlPara6   float64       `xorm:"float 'ARCtrlPara6' not null" json:"WM_ArticleReplenish-ARCtrlPara6"`
	LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_ArticleReplenish-LastModify"`
	LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_ArticleReplenish-LastUser"`
	CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_ArticleReplenish-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
func (self *ArticleReplenish) GetKey() core.PK {
	return core.PK{self.ArtId}
}
