// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : GoodsIssueHead
 *-----------------------------------------------------------------------------
 *
 * @Description              : GoodsIssueHead的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
type GoodsIssueHead struct {
	GoodsIssueId string        `xorm:"pk nvarchar(40) 'GoodsIssueId'" json:"WM_GoodsIssueHead-GoodsIssueId"`
	RefOrderId   string        `xorm:"nvarchar(100) 'RefOrderId' not null" json:"WM_GoodsIssueHead-RefOrderId"`
	CustOrderId  string        `xorm:"nvarchar(100) 'CustOrderId' not null" json:"WM_GoodsIssueHead-CustOrderId"`
	Destination  string        `xorm:"nvarchar(40) 'Destination' not null" json:"WM_GoodsIssueHead-Destination"`
	Remark       string        `xorm:"nvarchar(255) 'Remark' not null" json:"WM_GoodsIssueHead-Remark"`
	DeliveryDate grmi.Date     `xorm:"date 'DeliveryDate' not null" json:"WM_GoodsIssueHead-DeliveryDate"`
	Status       string        `xorm:"nvarchar(3) 'Status' not null" json:"WM_GoodsIssueHead-Status"`
	GIType       string        `xorm:"nvarchar(40) 'GIType' not null" json:"WM_GoodsIssueHead-GIType"`
	GIType1      string        `xorm:"nvarchar(40) 'GIType1' not null" json:"WM_GoodsIssueHead-GIType1"`
	GIType2      string        `xorm:"nvarchar(40) 'GIType2' not null" json:"WM_GoodsIssueHead-GIType2"`
	GIReason     string        `xorm:"nvarchar(255) 'GIReason' not null" json:"WM_GoodsIssueHead-GIReason"`
	Priority     int           `xorm:"int 'Priority' not null" json:"WM_GoodsIssueHead-Priority"`
	CostCenterId string        `xorm:"nvarchar(40) 'CostCenterId' not null" json:"WM_GoodsIssueHead-CostCenterId"`
	BookingKey   string        `xorm:"nvarchar(100) 'BookingKey' not null" json:"WM_GoodsIssueHead-BookingKey"`
	GICtrlPara1  int           `xorm:"int 'GICtrlPara1' not null" json:"WM_GoodsIssueHead-GICtrlPara1"`
	GICtrlPara2  int           `xorm:"int 'GICtrlPara2' not null" json:"WM_GoodsIssueHead-GICtrlPara2"`
	GICtrlPara3  int           `xorm:"int 'GICtrlPara3' not null" json:"WM_GoodsIssueHead-GICtrlPara3"`
	GICtrlPara4  int           `xorm:"int 'GICtrlPara4' not null" json:"WM_GoodsIssueHead-GICtrlPara4"`
	GICtrlPara5  string        `xorm:"nvarchar(255) 'GICtrlPara5'" json:"WM_GoodsIssueHead-GICtrlPara5"`
	GICtrlPara6  string        `xorm:"nvarchar(255) 'GICtrlPara6'" json:"WM_GoodsIssueHead-GICtrlPara6"`
	GICtrlPara7  string        `xorm:"nvarchar(255) 'GICtrlPara7'" json:"WM_GoodsIssueHead-GICtrlPara7"`
	GICtrlPara8  string        `xorm:"nvarchar(255) 'GICtrlPara8'" json:"WM_GoodsIssueHead-GICtrlPara8"`
	GICtrlPara9  float64       `xorm:"float 'GICtrlPara9'" json:"WM_GoodsIssueHead-GICtrlPara9"`
	GICtrlPara10 float64       `xorm:"float 'GICtrlPara10'" json:"WM_GoodsIssueHead-GICtrlPara10"`
	GICtrlPara11 float64       `xorm:"float 'GICtrlPara11'" json:"WM_GoodsIssueHead-GICtrlPara11"`
	GICtrlPara12 float64       `xorm:"float 'GICtrlPara12'" json:"WM_GoodsIssueHead-GICtrlPara12"`
	GICtrlPara13 grmi.DateTime `xorm:"datetime 'GICtrlPara13'" json:"WM_GoodsIssueHead-GICtrlPara13"`
	GICtrlPara14 grmi.DateTime `xorm:"datetime 'GICtrlPara14'" json:"WM_GoodsIssueHead-GICtrlPara14"`
	GICtrlPara15 grmi.DateTime `xorm:"datetime 'GICtrlPara15'" json:"WM_GoodsIssueHead-GICtrlPara15"`
	GICtrlPara16 grmi.DateTime `xorm:"datetime 'GICtrlPara16'" json:"WM_GoodsIssueHead-GICtrlPara16"`
	LastModify   grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_GoodsIssueHead-LastModify"`
	LastUser     string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_GoodsIssueHead-LastUser"`
	CreateTime   grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_GoodsIssueHead-CreateTime"`

	GoodsIssueDetail       []GoodsIssueDetail       `json:"goods-issue-detail" xorm:"-"`               //
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
func (self *GoodsIssueHead) GetKey() core.PK {
	return core.PK{self.GoodsIssueId}
}
