// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : GoodsReceiptHead
 *-----------------------------------------------------------------------------
 *
 * @Description              : GoodsReceiptHead的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
type GoodsReceiptHead struct {
	GoodsReceiptId string        `xorm:"pk nvarchar(40) 'GoodsReceiptId'" json:"WM_GoodsReceiptHead-GoodsReceiptId"`  //入库流水号
	RefOrderId     string        `xorm:"nvarchar(100) 'RefOrderId' not null" json:"WM_GoodsReceiptHead-RefOrderId"`   //入库单号
	GRWarehouseId  string        `xorm:"nvarchar(40) 'GRWarehouseId' not null" json:"WM_GoodsReceiptHead-GRWarehouseId"` //库房id
	Remark         string        `xorm:"nvarchar(255) 'Remark' not null" json:"WM_GoodsReceiptHead-Remark"`//备注
	DemandDate     grmi.Date     `xorm:"date 'DemandDate' not null" json:"WM_GoodsReceiptHead-DemandDate"`// 需求日期
	RegisterDate   grmi.Date     `xorm:"date 'RegisterDate' not null" json:"WM_GoodsReceiptHead-RegisterDate"`// 注册日期
	Status         string        `xorm:"nvarchar(3) 'Status' not null" json:"WM_GoodsReceiptHead-Status"`//状态
	SupplierId     string        `xorm:"nvarchar(40) 'SupplierId' not null" json:"WM_GoodsReceiptHead-SupplierId"`//供应商id
	SupplierName   string        `xorm:"nvarchar(100) 'SupplierName' not null" json:"WM_GoodsReceiptHead-SupplierName"`//供应商名称
	GRType         string        `xorm:"nvarchar(40) 'GRType' not null" json:"WM_GoodsReceiptHead-GRType"`//文本
	GRType1        string        `xorm:"nvarchar(40) 'GRType1' not null" json:"WM_GoodsReceiptHead-GRType1"`//文本1
	GRType2        string        `xorm:"nvarchar(40) 'GRType2' not null" json:"WM_GoodsReceiptHead-GRType2"`//文本2
	GRReason       string        `xorm:"nvarchar(255) 'GRReason' not null" json:"WM_GoodsReceiptHead-GRReason"`// 入库描述
	OrderedQty     float64       `xorm:"float 'OrderedQty' not null" json:"WM_GoodsReceiptHead-OrderedQty"`//订单数量
	DeliveredQty   float64       `xorm:"float 'DeliveredQty' not null" json:"WM_GoodsReceiptHead-DeliveredQty"`//发运数量
	Applicant      string        `xorm:"nvarchar(40) 'Applicant' not null" json:"WM_GoodsReceiptHead-Applicant"`//申请人
	Department     string        `xorm:"nvarchar(40) 'Department' not null" json:"WM_GoodsReceiptHead-Department"`//部门
	ApplyTime      grmi.DateTime `xorm:"datetime 'ApplyTime' not null" json:"WM_GoodsReceiptHead-ApplyTime"`//申请时间
	GRCtrlPara1    int           `xorm:"int 'GRCtrlPara1' not null" json:"WM_GoodsReceiptHead-GRCtrlPara1"`
	GRCtrlPara2    int           `xorm:"int 'GRCtrlPara2' not null" json:"WM_GoodsReceiptHead-GRCtrlPara2"`
	GRCtrlPara3    int           `xorm:"int 'GRCtrlPara3' not null" json:"WM_GoodsReceiptHead-GRCtrlPara3"`
	GRCtrlPara4    int           `xorm:"int 'GRCtrlPara4' not null" json:"WM_GoodsReceiptHead-GRCtrlPara4"`
	GRCtrlPara5    string        `xorm:"nvarchar(255) 'GRCtrlPara5'" json:"WM_GoodsReceiptHead-GRCtrlPara5"`
	GRCtrlPara6    string        `xorm:"nvarchar(255) 'GRCtrlPara6'" json:"WM_GoodsReceiptHead-GRCtrlPara6"`
	GRCtrlPara7    string        `xorm:"nvarchar(255) 'GRCtrlPara7'" json:"WM_GoodsReceiptHead-GRCtrlPara7"`
	GRCtrlPara8    string        `xorm:"nvarchar(255) 'GRCtrlPara8'" json:"WM_GoodsReceiptHead-GRCtrlPara8"`
	GRCtrlPara9    float64       `xorm:"float 'GRCtrlPara9'" json:"WM_GoodsReceiptHead-GRCtrlPara9"`
	GRCtrlPara10   float64       `xorm:"float 'GRCtrlPara10'" json:"WM_GoodsReceiptHead-GRCtrlPara10"`
	GRCtrlPara11   float64       `xorm:"float 'GRCtrlPara11'" json:"WM_GoodsReceiptHead-GRCtrlPara11"`
	GRCtrlPara12   float64       `xorm:"float 'GRCtrlPara12'" json:"WM_GoodsReceiptHead-GRCtrlPara12"`
	GRCtrlPara13   grmi.DateTime `xorm:"datetime 'GRCtrlPara13'" json:"WM_GoodsReceiptHead-GRCtrlPara13"`
	GRCtrlPara14   grmi.DateTime `xorm:"datetime 'GRCtrlPara14'" json:"WM_GoodsReceiptHead-GRCtrlPara14"`
	GRCtrlPara15   grmi.DateTime `xorm:"datetime 'GRCtrlPara15'" json:"WM_GoodsReceiptHead-GRCtrlPara15"`
	GRCtrlPara16   grmi.DateTime `xorm:"datetime 'GRCtrlPara16'" json:"WM_GoodsReceiptHead-GRCtrlPara16"`
	LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_GoodsReceiptHead-LastModify"`
	LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_GoodsReceiptHead-LastUser"`
	CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_GoodsReceiptHead-CreateTime"`

	GoodsReceiptDetail       []GoodsReceiptDetail       `json:"goods-receipt-detail" xorm:"-"`               // 详情列表
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
func (self *GoodsReceiptHead) GetKey() core.PK {
	return core.PK{self.GoodsReceiptId}
}
