// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : GoodsReceiptLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : GoodsReceiptLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
type GoodsReceiptLst struct {
	GoodsReceiptId string        `xorm:"pk nvarchar(40) 'GoodsReceiptId'" json:"WM_GoodsReceiptLst-GoodsReceiptId"`//入库流水号
	GRPos          int           `xorm:"pk int 'GRPos'" json:"WM_GoodsReceiptLst-GRPos"`//入库详情编号 1，2，3。。。
	GRLPos         int           `xorm:"pk int 'GRLPos'" json:"WM_GoodsReceiptLst-GRLPos"`//入库详情列表编号 1，2，3。。。
	WarehouseId    string        `xorm:"nvarchar(40) 'WarehouseId' not null" json:"WM_GoodsReceiptLst-WarehouseId"`//库房id
	StorageAreaId  string        `xorm:"nvarchar(40) 'StorageAreaId' not null" json:"WM_GoodsReceiptLst-StorageAreaId"`//库区id
	StorageBinId   string        `xorm:"nvarchar(40) 'StorageBinId' not null" json:"WM_GoodsReceiptLst-StorageBinId"`//库位id
	StorageRackId  string        `xorm:"nvarchar(40) 'StorageRackId' not null" json:"WM_GoodsReceiptLst-StorageRackId"`//库架id
	Qty            float64       `xorm:"float 'Qty' not null" json:"WM_GoodsReceiptLst-Qty"`//数量
	CtrlPara1      string        `xorm:"nvarchar(100) 'CtrlPara1' not null" json:"WM_GoodsReceiptLst-CtrlPara1"`
	CtrlPara2      string        `xorm:"nvarchar(100) 'CtrlPara2' not null" json:"WM_GoodsReceiptLst-CtrlPara2"`
	CtrlPara3      int           `xorm:"int 'CtrlPara3' not null" json:"WM_GoodsReceiptLst-CtrlPara3"`
	CtrlPara4      int           `xorm:"int 'CtrlPara4' not null" json:"WM_GoodsReceiptLst-CtrlPara4"`
	CtrlPara5      float64       `xorm:"float 'CtrlPara5' not null" json:"WM_GoodsReceiptLst-CtrlPara5"`
	CtrlPara6      float64       `xorm:"float 'CtrlPara6' not null" json:"WM_GoodsReceiptLst-CtrlPara6"`
	LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_GoodsReceiptLst-LastModify"`
	LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_GoodsReceiptLst-LastUser"`
	CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_GoodsReceiptLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
func (self *GoodsReceiptLst) GetKey() core.PK {
	return core.PK{self.GoodsReceiptId, self.GRPos, self.GRLPos}
}
