// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : InventoryBook
 *-----------------------------------------------------------------------------
 *
 * @Description              : InventoryBook的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
type InventoryBook struct {
	StorageBinId    string        `xorm:"pk nvarchar(40) 'StorageBinId'" json:"WM_InventoryBook-StorageBinId"`
	WarehouseId     string        `xorm:"pk nvarchar(40) 'WarehouseId'" json:"WM_InventoryBook-WarehouseId"`
	ArtId           string        `xorm:"pk nvarchar(40) 'ArtId'" json:"WM_InventoryBook-ArtId"`
	StorageAreaId   string        `xorm:"nvarchar(40) 'StorageAreaId' not null" json:"WM_InventoryBook-StorageAreaId"`
	SKU             string        `xorm:"nvarchar(100) 'SKU' not null" json:"WM_InventoryBook-SKU"`
	ArtName         string        `xorm:"nvarchar(100) 'ArtName' not null" json:"WM_InventoryBook-ArtName"`
	ArtType         string        `xorm:"nvarchar(40) 'ArtType' not null" json:"WM_InventoryBook-ArtType"`
	QtyUom          string        `xorm:"nvarchar(40) 'QtyUom' not null" json:"WM_InventoryBook-QtyUom"`
	Qty             float64       `xorm:"float 'Qty' not null" json:"WM_InventoryBook-Qty"`
	IBCtrlPara1     int           `xorm:"int 'IBCtrlPara1' not null" json:"WM_InventoryBook-IBCtrlPara1"`
	IBCtrlPara2     int           `xorm:"int 'IBCtrlPara2' not null" json:"WM_InventoryBook-IBCtrlPara2"`
	IBCtrlPara3     string        `xorm:"nvarchar(255) 'IBCtrlPara3'" json:"WM_InventoryBook-IBCtrlPara3"`
	IBCtrlPara4     string        `xorm:"nvarchar(255) 'IBCtrlPara4'" json:"WM_InventoryBook-IBCtrlPara4"`
	IBCtrlPara5     float64       `xorm:"float 'IBCtrlPara5'" json:"WM_InventoryBook-IBCtrlPara5"`
	IBCtrlPara6     float64       `xorm:"float 'IBCtrlPara6'" json:"WM_InventoryBook-IBCtrlPara6"`
	LastCheckDate   grmi.DateTime `xorm:"datetime 'LastCheckDate' not null" json:"WM_InventoryBook-LastCheckDate"`
	LastCheckPerson string        `xorm:"nvarchar(20) 'LastCheckPerson' not null" json:"WM_InventoryBook-LastCheckPerson"`
	LastModify      grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_InventoryBook-LastModify"`
	LastUser        string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_InventoryBook-LastUser"`
	CreateTime      grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_InventoryBook-CreateTime"`
	StorageRackId   string        `xorm:"nvarchar(40) 'StorageRackId'" json:"WM_InventoryBook-StorageRackId"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
func (self *InventoryBook) GetKey() core.PK {
	return core.PK{self.StorageBinId, self.WarehouseId, self.ArtId}
}
