// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : InventoryCheckDetail
 *-----------------------------------------------------------------------------
 *
 * @Description              : InventoryCheckDetail的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
type InventoryCheckDetail struct {
	InventoryCheckId    string              `xorm:"pk nvarchar(40) 'InventoryCheckId'" json:"WM_InventoryCheckDetail-InventoryCheckId"`
	ICDPos              int                 `xorm:"pk int 'ICDPos'" json:"WM_InventoryCheckDetail-ICDPos"`
	Descr               string              `xorm:"nvarchar(100) 'Descr' not null" json:"WM_InventoryCheckDetail-Descr"`
	StorageBinId        string              `xorm:"nvarchar(40) 'StorageBinId' not null" json:"WM_InventoryCheckDetail-StorageBinId"`
	WarehouseId         string              `xorm:"nvarchar(40) 'WarehouseId' not null" json:"WM_InventoryCheckDetail-WarehouseId"`
	ICCtrlPara1         int                 `xorm:"int 'ICCtrlPara1' not null" json:"WM_InventoryCheckDetail-ICCtrlPara1"`
	ICCtrlPara2         int                 `xorm:"int 'ICCtrlPara2' not null" json:"WM_InventoryCheckDetail-ICCtrlPara2"`
	ICCtrlPara3         string              `xorm:"nvarchar(255) 'ICCtrlPara3'" json:"WM_InventoryCheckDetail-ICCtrlPara3"`
	ICCtrlPara4         string              `xorm:"nvarchar(255) 'ICCtrlPara4'" json:"WM_InventoryCheckDetail-ICCtrlPara4"`
	ICCtrlPara5         float64             `xorm:"float 'ICCtrlPara5'" json:"WM_InventoryCheckDetail-ICCtrlPara5"`
	ICCtrlPara6         float64             `xorm:"float 'ICCtrlPara6'" json:"WM_InventoryCheckDetail-ICCtrlPara6"`
	LastModify          grmi.DateTime       `xorm:"datetime 'LastModify' not null updated" json:"WM_InventoryCheckDetail-LastModify"`
	LastUser            string              `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_InventoryCheckDetail-LastUser"`
	CreateTime          grmi.DateTime       `xorm:"datetime 'CreateTime' not null created" json:"WM_InventoryCheckDetail-CreateTime"`
	InventoryCheckLstLi []InventoryCheckLst `xorm:"-" json:"WM_InventoryCheckDetail-InventoryCheckLstLi"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
func (self *InventoryCheckDetail) GetKey() core.PK {
	return core.PK{self.InventoryCheckId, self.ICDPos}
}
