// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : InventoryCheckHead
 *-----------------------------------------------------------------------------
 *
 * @Description              : InventoryCheckHead的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
type InventoryCheckHead struct {
	InventoryCheckId       string                 `xorm:"pk nvarchar(40) 'InventoryCheckId'" json:"WM_InventoryCheckHead-InventoryCheckId"`
	Descr                  string                 `xorm:"nvarchar(100) 'Descr' not null" json:"WM_InventoryCheckHead-Descr"`
	CheckDate              grmi.Date              `xorm:"date 'CheckDate' not null" json:"WM_InventoryCheckHead-CheckDate"`
	CheckTime              grmi.DateTime          `xorm:"datetime 'CheckTime' not null" json:"WM_InventoryCheckHead-CheckTime"`
	CheckType              string                 `xorm:"nvarchar(40) 'CheckType' not null" json:"WM_InventoryCheckHead-CheckType"`
	CheckPerson            string                 `xorm:"nvarchar(40) 'CheckPerson' not null" json:"WM_InventoryCheckHead-CheckPerson"`
	ICCtrlPara1            int                    `xorm:"int 'ICCtrlPara1' not null" json:"WM_InventoryCheckHead-ICCtrlPara1"`
	ICCtrlPara2            int                    `xorm:"int 'ICCtrlPara2' not null" json:"WM_InventoryCheckHead-ICCtrlPara2"`
	ICCtrlPara3            string                 `xorm:"nvarchar(255) 'ICCtrlPara3' not null" json:"WM_InventoryCheckHead-ICCtrlPara3"`
	ICCtrlPara4            string                 `xorm:"nvarchar(255) 'ICCtrlPara4' not null" json:"WM_InventoryCheckHead-ICCtrlPara4"`
	ICCtrlPara5            float64                `xorm:"float 'ICCtrlPara5' not null" json:"WM_InventoryCheckHead-ICCtrlPara5"`
	ICCtrlPara6            float64                `xorm:"float 'ICCtrlPara6' not null" json:"WM_InventoryCheckHead-ICCtrlPara6"`
	Status                 int                    `xorm:"int 'Status' not null" json:"WM_InventoryCheckHead-Status"`
	WareHouseId            string                 `xorm:"nvarchar(40) 'WareHouseId' not null" json:"WM_InventoryCheckHead-WareHouseId"`
	StorageAreaId          string                 `xorm:"nvarchar(40) 'StorageAreaId' not null" json:"WM_InventoryCheckHead-StorageAreaId"`
	StorageRackId          string                 `xorm:"nvarchar(40) 'StorageRackId' not null" json:"WM_InventoryCheckHead-StorageRackId"`
	LastModify             grmi.DateTime          `xorm:"datetime 'LastModify' not null updated" json:"WM_InventoryCheckHead-LastModify"`
	LastUser               string                 `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_InventoryCheckHead-LastUser"`
	CreateTime             grmi.DateTime          `xorm:"datetime 'CreateTime' not null created" json:"WM_InventoryCheckHead-CreateTime"`
	InventoryCheckDetailLi []InventoryCheckDetail `xorm:"-" json:"WM_InventoryCheckHead-InventoryCheckDetailLi"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
func (self *InventoryCheckHead) GetKey() core.PK {
	return core.PK{self.InventoryCheckId}
}
