// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : InventoryCheckLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : InventoryCheckLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
type InventoryCheckLst struct {
	InventoryCheckId string        `xorm:"pk nvarchar(40) 'InventoryCheckId'" json:"WM_InventoryCheckLst-InventoryCheckId"`
	ICDPos           int           `xorm:"pk int 'ICDPos'" json:"WM_InventoryCheckLst-ICDPos"`
	ICLPos           int           `xorm:"pk int 'ICLPos'" json:"WM_InventoryCheckLst-ICLPos"`
	StorageBinId     string        `xorm:"nvarchar(40) 'StorageBinId' not null" json:"WM_InventoryCheckLst-StorageBinId"`
	WarehouseId      string        `xorm:"nvarchar(40) 'WarehouseId' not null" json:"WM_InventoryCheckLst-WarehouseId"`
	ArtId            string        `xorm:"nvarchar(40) 'ArtId' not null" json:"WM_InventoryCheckLst-ArtId"`
	ArtName          string        `xorm:"nvarchar(100) 'ArtName' not null" json:"WM_InventoryCheckLst-ArtName"`
	ArtType          string        `xorm:"nvarchar(40) 'ArtType' not null" json:"WM_InventoryCheckLst-ArtType"`
	OriginQty        float64       `xorm:"float 'OriginQty' not null" json:"WM_InventoryCheckLst-OriginQty"`
	ActQty           float64       `xorm:"float 'ActQty' not null" json:"WM_InventoryCheckLst-ActQty"`
	QtyUom           string        `xorm:"nvarchar(40) 'QtyUom' not null" json:"WM_InventoryCheckLst-QtyUom"`
	ICLCtrlPara1     int           `xorm:"int 'ICLCtrlPara1' not null" json:"WM_InventoryCheckLst-ICLCtrlPara1"`
	ICLCtrlPara2     int           `xorm:"int 'ICLCtrlPara2' not null" json:"WM_InventoryCheckLst-ICLCtrlPara2"`
	ICLCtrlPara3     string        `xorm:"nvarchar(255) 'ICLCtrlPara3'" json:"WM_InventoryCheckLst-ICLCtrlPara3"`
	ICLCtrlPara4     string        `xorm:"nvarchar(255) 'ICLCtrlPara4'" json:"WM_InventoryCheckLst-ICLCtrlPara4"`
	ICLCtrlPara5     float64       `xorm:"float 'ICLCtrlPara5'" json:"WM_InventoryCheckLst-ICLCtrlPara5"`
	ICLCtrlPara6     float64       `xorm:"float 'ICLCtrlPara6'" json:"WM_InventoryCheckLst-ICLCtrlPara6"`
	CheckResult      string        `xorm:"nvarchar(20) 'CheckResult' not null" json:"WM_InventoryCheckLst-CheckResult"`
	ResultExplain    string        `xorm:"nvarchar(255) 'ResultExplain' not null" json:"WM_InventoryCheckLst-ResultExplain"`
	LastModify       grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_InventoryCheckLst-LastModify"`
	LastUser         string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_InventoryCheckLst-LastUser"`
	CreateTime       grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_InventoryCheckLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
func (self *InventoryCheckLst) GetKey() core.PK {
	return core.PK{self.InventoryCheckId, self.ICDPos, self.ICLPos}
}
