// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ReplenishOrder
 *-----------------------------------------------------------------------------
 *
 * @Description              : ReplenishOrder的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 16:17:08
 *
 ******************************************************************************/
type ReplenishOrder struct {
	ReplenishId   string        `xorm:"pk nvarchar(40) 'ReplenishId'" json:"WM_ReplenishOrder-ReplenishId"`
	ArtId         string        `xorm:"nvarchar(40) 'ArtId' not null" json:"WM_ReplenishOrder-ArtId"`
	Qty           float64       `xorm:"float 'Qty' not null" json:"WM_ReplenishOrder-Qty"`
	Uom           string        `xorm:"nvarchar(40) 'Uom' not null" json:"WM_ReplenishOrder-Uom"`
	ReplenishTime grmi.DateTime `xorm:"datetime 'ReplenishTime' not null" json:"WM_ReplenishOrder-ReplenishTime"`
	ArtType       string        `xorm:"varchar(40) 'ArtType' not null" json:"WM_ReplenishOrder-ArtType"`
	ArtName       string        `xorm:"nvarchar(100) 'ArtName' not null" json:"WM_ReplenishOrder-ArtName"`
	Status        int           `xorm:"int 'Status' not null" json:"WM_ReplenishOrder-Status"`
	LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_ReplenishOrder-LastModify"`
	LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_ReplenishOrder-LastUser"`
	CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_ReplenishOrder-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 16:17:08
 *
 ******************************************************************************/
func (self *ReplenishOrder) GetKey() core.PK {
	return core.PK{self.ReplenishId}
}
