// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : StockTransferDetail
 *-----------------------------------------------------------------------------
 *
 * @Description              : StockTransferDetail的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
type StockTransferDetail struct {
	StockTransferId     string        `xorm:"pk nvarchar(40) 'StockTransferId'" json:"WM_StockTransferDetail-StockTransferId"`//移库id
	STPos               int           `xorm:"pk int 'STPos'" json:"WM_StockTransferDetail-STPos"`//移库序号 1，2，3.。。
	ArtId               string        `xorm:"nvarchar(40) 'ArtId' not null" json:"WM_StockTransferDetail-ArtId"`//物料id
	ArtName             string        `xorm:"nvarchar(100) 'ArtName' not null" json:"WM_StockTransferDetail-ArtName"`//物料名称
	ArtType             string        `xorm:"nvarchar(40) 'ArtType' not null" json:"WM_StockTransferDetail-ArtType"`//物料类型
	Remark              string        `xorm:"nvarchar(100) 'Remark' not null" json:"WM_StockTransferDetail-Remark"`//备注
	Auditor             string        `xorm:"nvarchar(40) 'Auditor' not null" json:"WM_StockTransferDetail-Auditor"`//审核人
	AuditTime           grmi.DateTime `xorm:"datetime 'AuditTime' not null" json:"WM_StockTransferDetail-AuditTime"`//审核时间
	AuditStatus         string        `xorm:"nvarchar(3) 'AuditStatus' not null" json:"WM_StockTransferDetail-AuditStatus"`//审核状态
	BatchId             string        `xorm:"nvarchar(255) 'BatchId' not null" json:"WM_StockTransferDetail-BatchId"`//批次id
	OrderedQty          float64       `xorm:"float 'OrderedQty' not null" json:"WM_StockTransferDetail-OrderedQty"`//订单数量
	OrderType           string        `xorm:"nvarchar(40) 'OrderType' not null" json:"WM_StockTransferDetail-OrderType"`//订单类型
	DeliveredQty        float64       `xorm:"float 'DeliveredQty' not null" json:"WM_StockTransferDetail-DeliveredQty"`//发送数量
	QtyUom              string        `xorm:"nvarchar(40) 'QtyUom' not null" json:"WM_StockTransferDetail-QtyUom"`//单位
	UnitPrice           float64       `xorm:"float 'UnitPrice'" json:"WM_StockTransferDetail-UnitPrice"`//单价
	TotalPrice          float64       `xorm:"float 'TotalPrice'" json:"WM_StockTransferDetail-TotalPrice"`//总价
	Currency            string        `xorm:"nvarchar(40) 'Currency' not null" json:"WM_StockTransferDetail-Currency"`//货币
	InspectToggle       bool          `xorm:"bit 'InspectToggle' not null" json:"WM_StockTransferDetail-InspectToggle"`
	InspectPlanId       string        `xorm:"nvarchar(40) 'InspectPlanId' not null" json:"WM_StockTransferDetail-InspectPlanId"`
	InspectStatus       string        `xorm:"nvarchar(3) 'InspectStatus' not null" json:"WM_StockTransferDetail-InspectStatus"`
	StorageBinId        string        `xorm:"nvarchar(40) 'StorageBinId' not null" json:"WM_StockTransferDetail-StorageBinId"`//库位
	StorageAreaId       string        `xorm:"nvarchar(40) 'StorageAreaId' not null" json:"WM_StockTransferDetail-StorageAreaId"`//库区
	WarehouseId         string        `xorm:"nvarchar(40) 'WarehouseId' not null" json:"WM_StockTransferDetail-WarehouseId"`//库房
	TargetStorageBinId  string        `xorm:"nvarchar(40) 'TargetStorageBinId' not null" json:"WM_StockTransferDetail-TargetStorageBinId"`//目标库位
	TargetStorageAreaId string        `xorm:"nvarchar(40) 'TargetStorageAreaId' not null" json:"WM_StockTransferDetail-TargetStorageAreaId"`//目标库区
	TargetWarehouseId   string        `xorm:"nvarchar(40) 'TargetWarehouseId' not null" json:"WM_StockTransferDetail-TargetWarehouseId"`//目标库房
	STICtrlPara1        int           `xorm:"int 'STICtrlPara1' not null" json:"WM_StockTransferDetail-STICtrlPara1"`
	STICtrlPara2        int           `xorm:"int 'STICtrlPara2' not null" json:"WM_StockTransferDetail-STICtrlPara2"`
	STICtrlPara3        int           `xorm:"int 'STICtrlPara3' not null" json:"WM_StockTransferDetail-STICtrlPara3"`
	STICtrlPara4        int           `xorm:"int 'STICtrlPara4' not null" json:"WM_StockTransferDetail-STICtrlPara4"`
	STICtrlPara5        string        `xorm:"nvarchar(255) 'STICtrlPara5'" json:"WM_StockTransferDetail-STICtrlPara5"`
	STICtrlPara6        string        `xorm:"nvarchar(255) 'STICtrlPara6'" json:"WM_StockTransferDetail-STICtrlPara6"`
	STICtrlPara7        string        `xorm:"nvarchar(255) 'STICtrlPara7'" json:"WM_StockTransferDetail-STICtrlPara7"`
	STICtrlPara8        string        `xorm:"nvarchar(255) 'STICtrlPara8'" json:"WM_StockTransferDetail-STICtrlPara8"`
	STICtrlPara9        float64       `xorm:"float 'STICtrlPara9'" json:"WM_StockTransferDetail-STICtrlPara9"`
	STICtrlPara10       float64       `xorm:"float 'STICtrlPara10'" json:"WM_StockTransferDetail-STICtrlPara10"`
	STICtrlPara11       float64       `xorm:"float 'STICtrlPara11'" json:"WM_StockTransferDetail-STICtrlPara11"`
	STICtrlPara12       float64       `xorm:"float 'STICtrlPara12'" json:"WM_StockTransferDetail-STICtrlPara12"`
	STICtrlPara13       grmi.DateTime `xorm:"datetime 'STICtrlPara13'" json:"WM_StockTransferDetail-STICtrlPara13"`
	STICtrlPara14       grmi.DateTime `xorm:"datetime 'STICtrlPara14'" json:"WM_StockTransferDetail-STICtrlPara14"`
	STICtrlPara15       grmi.DateTime `xorm:"datetime 'STICtrlPara15'" json:"WM_StockTransferDetail-STICtrlPara15"`
	STICtrlPara16       grmi.DateTime `xorm:"datetime 'STICtrlPara16'" json:"WM_StockTransferDetail-STICtrlPara16"`
	StorageRackId       string        `xorm:"nvarchar(40) 'StorageRackId' not null" json:"WM_StockTransferDetail-StorageRackId"`
	TargetStorageRackId string        `xorm:"nvarchar(40) 'TargetStorageRackId' not null" json:"WM_StockTransferDetail-TargetStorageRackId"`//目标库架
	LastModify          grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_StockTransferDetail-LastModify"`
	LastUser            string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_StockTransferDetail-LastUser"`
	CreateTime          grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_StockTransferDetail-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
func (self *StockTransferDetail) GetKey() core.PK {
	return core.PK{self.StockTransferId, self.STPos}
}
