// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : StockTransferHead
 *-----------------------------------------------------------------------------
 *
 * @Description              : StockTransferHead的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
type StockTransferHead struct {
	StockTransferId   string        `xorm:"pk nvarchar(40) 'StockTransferId'" json:"WM_StockTransferHead-StockTransferId"`//移库id
	RefOrderId        string        `xorm:"nvarchar(100) 'RefOrderId' not null" json:"WM_StockTransferHead-RefOrderId"`//关联订单id
	WarehouseId       string        `xorm:"nvarchar(40) 'WarehouseId' not null" json:"WM_StockTransferHead-WarehouseId"`//库房id
	TargetWarehouseId string        `xorm:"nvarchar(40) 'TargetWarehouseId' not null" json:"WM_StockTransferHead-TargetWarehouseId"`//目标库房id
	Remark            string        `xorm:"nvarchar(255) 'Remark' not null" json:"WM_StockTransferHead-Remark"`//备注
	DemandDate        grmi.Date     `xorm:"date 'DemandDate' not null" json:"WM_StockTransferHead-DemandDate"`//需求时间
	RegisterDate      grmi.Date     `xorm:"date 'RegisterDate' not null" json:"WM_StockTransferHead-RegisterDate"`//注册时间
	Status            string        `xorm:"nvarchar(3) 'Status' not null" json:"WM_StockTransferHead-Status"`//状态
	STType            string        `xorm:"nvarchar(40) 'STType' not null" json:"WM_StockTransferHead-STType"`//移库类型
	STType1           string        `xorm:"nvarchar(40) 'STType1' not null" json:"WM_StockTransferHead-STType1"`//移库类型1
	STType2           string        `xorm:"nvarchar(40) 'STType2' not null" json:"WM_StockTransferHead-STType2"`//移库类型2
	STReason          string        `xorm:"nvarchar(255) 'STReason' not null" json:"WM_StockTransferHead-STReason"`//移库原因
	OrderedQty        float64       `xorm:"float 'OrderedQty' not null" json:"WM_StockTransferHead-OrderedQty"`//订单数量
	DeliveredQty      float64       `xorm:"float 'DeliveredQty' not null" json:"WM_StockTransferHead-DeliveredQty"`//发送数量
	Applicant         string        `xorm:"nvarchar(40) 'Applicant' not null" json:"WM_StockTransferHead-Applicant"`//发起者
	Department        string        `xorm:"nvarchar(40) 'Department' not null" json:"WM_StockTransferHead-Department"`//部门
	ApplyTime         grmi.DateTime `xorm:"datetime 'ApplyTime' not null" json:"WM_StockTransferHead-ApplyTime"`//申请时间
	STCtrlPara1       int           `xorm:"int 'STCtrlPara1' not null" json:"WM_StockTransferHead-STCtrlPara1"`
	STCtrlPara2       int           `xorm:"int 'STCtrlPara2' not null" json:"WM_StockTransferHead-STCtrlPara2"`
	STCtrlPara3       int           `xorm:"int 'STCtrlPara3' not null" json:"WM_StockTransferHead-STCtrlPara3"`
	STCtrlPara4       int           `xorm:"int 'STCtrlPara4' not null" json:"WM_StockTransferHead-STCtrlPara4"`
	STCtrlPara5       string        `xorm:"nvarchar(255) 'STCtrlPara5'" json:"WM_StockTransferHead-STCtrlPara5"`
	STCtrlPara6       string        `xorm:"nvarchar(255) 'STCtrlPara6'" json:"WM_StockTransferHead-STCtrlPara6"`
	STCtrlPara7       string        `xorm:"nvarchar(255) 'STCtrlPara7'" json:"WM_StockTransferHead-STCtrlPara7"`
	STCtrlPara8       string        `xorm:"nvarchar(255) 'STCtrlPara8'" json:"WM_StockTransferHead-STCtrlPara8"`
	STCtrlPara9       float64       `xorm:"float 'STCtrlPara9'" json:"WM_StockTransferHead-STCtrlPara9"`
	STCtrlPara10      float64       `xorm:"float 'STCtrlPara10'" json:"WM_StockTransferHead-STCtrlPara10"`
	STCtrlPara11      float64       `xorm:"float 'STCtrlPara11'" json:"WM_StockTransferHead-STCtrlPara11"`
	STCtrlPara12      float64       `xorm:"float 'STCtrlPara12'" json:"WM_StockTransferHead-STCtrlPara12"`
	STCtrlPara13      grmi.DateTime `xorm:"datetime 'STCtrlPara13'" json:"WM_StockTransferHead-STCtrlPara13"`
	STCtrlPara14      grmi.DateTime `xorm:"datetime 'STCtrlPara14'" json:"WM_StockTransferHead-STCtrlPara14"`
	STCtrlPara15      grmi.DateTime `xorm:"datetime 'STCtrlPara15'" json:"WM_StockTransferHead-STCtrlPara15"`
	STCtrlPara16      grmi.DateTime `xorm:"datetime 'STCtrlPara16'" json:"WM_StockTransferHead-STCtrlPara16"`
	LastModify        grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_StockTransferHead-LastModify"`
	LastUser          string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_StockTransferHead-LastUser"`
	CreateTime        grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_StockTransferHead-CreateTime"`

	StockTransferDetail []StockTransferDetail `xorm:"-" json:"WM_StockTransferHead-StockTransferDetail"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
func (self *StockTransferHead) GetKey() core.PK {
	return core.PK{self.StockTransferId}
}
