// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : StorageArea
 *-----------------------------------------------------------------------------
 *
 * @Description              : StorageArea的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
type StorageArea struct {
	StorageAreaId  string        `xorm:"pk nvarchar(40) 'StorageAreaId'" json:"WM_StorageArea-StorageAreaId"`
	WarehouseId    string        `xorm:"pk nvarchar(40) 'WarehouseId'" json:"WM_StorageArea-WarehouseId"`
	Descr          string        `xorm:"nvarchar(100) 'Descr' not null" json:"WM_StorageArea-Descr"`
	Status         string        `xorm:"nvarchar(3) 'Status' not null" json:"WM_StorageArea-Status"`
	AreaCtrlPara1  int           `xorm:"int 'AreaCtrlPara1' not null" json:"WM_StorageArea-AreaCtrlPara1"`
	AreaCtrlPara2  int           `xorm:"int 'AreaCtrlPara2' not null" json:"WM_StorageArea-AreaCtrlPara2"`
	AreaCtrlPara3  int           `xorm:"int 'AreaCtrlPara3' not null" json:"WM_StorageArea-AreaCtrlPara3"`
	AreaCtrlPara4  int           `xorm:"int 'AreaCtrlPara4' not null" json:"WM_StorageArea-AreaCtrlPara4"`
	AreaCtrlPara5  string        `xorm:"nvarchar(255) 'AreaCtrlPara5'" json:"WM_StorageArea-AreaCtrlPara5"`
	AreaCtrlPara6  string        `xorm:"nvarchar(255) 'AreaCtrlPara6'" json:"WM_StorageArea-AreaCtrlPara6"`
	AreaCtrlPara7  string        `xorm:"nvarchar(255) 'AreaCtrlPara7'" json:"WM_StorageArea-AreaCtrlPara7"`
	AreaCtrlPara8  string        `xorm:"nvarchar(255) 'AreaCtrlPara8'" json:"WM_StorageArea-AreaCtrlPara8"`
	AreaCtrlPara9  float64       `xorm:"float 'AreaCtrlPara9'" json:"WM_StorageArea-AreaCtrlPara9"`
	AreaCtrlPara10 float64       `xorm:"float 'AreaCtrlPara10'" json:"WM_StorageArea-AreaCtrlPara10"`
	AreaCtrlPara11 float64       `xorm:"float 'AreaCtrlPara11'" json:"WM_StorageArea-AreaCtrlPara11"`
	AreaCtrlPara12 float64       `xorm:"float 'AreaCtrlPara12'" json:"WM_StorageArea-AreaCtrlPara12"`
	AreaCtrlPara13 grmi.DateTime `xorm:"datetime 'AreaCtrlPara13'" json:"WM_StorageArea-AreaCtrlPara13"`
	AreaCtrlPara14 grmi.DateTime `xorm:"datetime 'AreaCtrlPara14'" json:"WM_StorageArea-AreaCtrlPara14"`
	AreaCtrlPara15 grmi.DateTime `xorm:"datetime 'AreaCtrlPara15'" json:"WM_StorageArea-AreaCtrlPara15"`
	AreaCtrlPara16 grmi.DateTime `xorm:"datetime 'AreaCtrlPara16'" json:"WM_StorageArea-AreaCtrlPara16"`
	LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_StorageArea-LastModify"`
	LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_StorageArea-LastUser"`
	CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_StorageArea-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
func (self *StorageArea) GetKey() core.PK {
	return core.PK{self.StorageAreaId, self.WarehouseId}
}
