// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : StorageRack
 *-----------------------------------------------------------------------------
 *
 * @Description              : StorageRack的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-05 10:40:38
 *
 ******************************************************************************/
type StorageRack struct {
	StorageRackId string        `xorm:"pk nvarchar(40) 'StorageRackId'" json:"WM_StorageRack-StorageRackId"`
	WarehouseId   string        `xorm:"pk nvarchar(40) 'WarehouseId'" json:"WM_StorageRack-WarehouseId"`
	StorageAreaId string        `xorm:"nvarchar(40) 'StorageAreaId' not null" json:"WM_StorageRack-StorageAreaId"`
	Descr         string        `xorm:"nvarchar(100) 'Descr' not null" json:"WM_StorageRack-Descr"`
	Status        string        `xorm:"nvarchar(10) 'Status' not null" json:"WM_StorageRack-Status"`
	SRCtrlPara1   string        `xorm:"nvarchar(100) 'SRCtrlPara1' not null" json:"WM_StorageRack-SRCtrlPara1"`
	SRCtrlPara2   string        `xorm:"nvarchar(100) 'SRCtrlPara2' not null" json:"WM_StorageRack-SRCtrlPara2"`
	SRCtrlPara3   int           `xorm:"int 'SRCtrlPara3' not null" json:"WM_StorageRack-SRCtrlPara3"`
	SRCtrlPara4   int           `xorm:"int 'SRCtrlPara4' not null" json:"WM_StorageRack-SRCtrlPara4"`
	SRCtrlPara5   float64       `xorm:"float 'SRCtrlPara5' not null" json:"WM_StorageRack-SRCtrlPara5"`
	SRCtrlPara6   float64       `xorm:"float 'SRCtrlPara6' not null" json:"WM_StorageRack-SRCtrlPara6"`
	LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_StorageRack-LastModify"`
	LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_StorageRack-LastUser"`
	CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_StorageRack-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-05 10:40:38
 *
 ******************************************************************************/
func (self *StorageRack) GetKey() core.PK {
	return core.PK{self.StorageRackId, self.WarehouseId}
}
