// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : Warehouse
 *-----------------------------------------------------------------------------
 *
 * @Description              : Warehouse的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
type Warehouse struct {
	WarehouseId          string        `xorm:"pk nvarchar(40) 'WarehouseId'" json:"WM_Warehouse-WarehouseId"`
	Descr                string        `xorm:"nvarchar(100) 'Descr' not null" json:"WM_Warehouse-Descr"`
	Status               string        `xorm:"nvarchar(3) 'Status' not null" json:"WM_Warehouse-Status"`
	WarehouseType        string        `xorm:"nvarchar(40) 'WarehouseType' not null" json:"WM_Warehouse-WarehouseType"`
	StorageMethod        string        `xorm:"nvarchar(40) 'StorageMethod' not null" json:"WM_Warehouse-StorageMethod"`
	Comment              string        `xorm:"nvarchar(255) 'Comment' not null" json:"WM_Warehouse-Comment"`
	AllocationStrategy   string        `xorm:"nvarchar(40) 'AllocationStrategy' not null" json:"WM_Warehouse-AllocationStrategy"`
	RuleSetId            string        `xorm:"nvarchar(40) 'RuleSetId' not null" json:"WM_Warehouse-RuleSetId"`
	CompleteStockRemoval string        `xorm:"nvarchar(40) 'CompleteStockRemoval' not null" json:"WM_Warehouse-CompleteStockRemoval"`
	TransportSystemNr    int           `xorm:"int 'TransportSystemNr' not null" json:"WM_Warehouse-TransportSystemNr"`
	TransportPoint       int           `xorm:"int 'TransportPoint' not null" json:"WM_Warehouse-TransportPoint"`
	WarehouseCtrlPara1   int           `xorm:"int 'WarehouseCtrlPara1' not null" json:"WM_Warehouse-WarehouseCtrlPara1"`
	WarehouseCtrlPara2   int           `xorm:"int 'WarehouseCtrlPara2' not null" json:"WM_Warehouse-WarehouseCtrlPara2"`
	WarehouseCtrlPara3   int           `xorm:"int 'WarehouseCtrlPara3' not null" json:"WM_Warehouse-WarehouseCtrlPara3"`
	WarehouseCtrlPara4   int           `xorm:"int 'WarehouseCtrlPara4' not null" json:"WM_Warehouse-WarehouseCtrlPara4"`
	WarehouseCtrlPara5   string        `xorm:"nvarchar(255) 'WarehouseCtrlPara5'" json:"WM_Warehouse-WarehouseCtrlPara5"`
	WarehouseCtrlPara6   string        `xorm:"nvarchar(255) 'WarehouseCtrlPara6'" json:"WM_Warehouse-WarehouseCtrlPara6"`
	WarehouseCtrlPara7   string        `xorm:"nvarchar(255) 'WarehouseCtrlPara7'" json:"WM_Warehouse-WarehouseCtrlPara7"`
	WarehouseCtrlPara8   string        `xorm:"nvarchar(255) 'WarehouseCtrlPara8'" json:"WM_Warehouse-WarehouseCtrlPara8"`
	WarehouseCtrlPara9   float64       `xorm:"float 'WarehouseCtrlPara9'" json:"WM_Warehouse-WarehouseCtrlPara9"`
	WarehouseCtrlPara10  float64       `xorm:"float 'WarehouseCtrlPara10'" json:"WM_Warehouse-WarehouseCtrlPara10"`
	WarehouseCtrlPara11  float64       `xorm:"float 'WarehouseCtrlPara11'" json:"WM_Warehouse-WarehouseCtrlPara11"`
	WarehouseCtrlPara12  float64       `xorm:"float 'WarehouseCtrlPara12'" json:"WM_Warehouse-WarehouseCtrlPara12"`
	WarehouseCtrlPara13  grmi.DateTime `xorm:"datetime 'WarehouseCtrlPara13'" json:"WM_Warehouse-WarehouseCtrlPara13"`
	WarehouseCtrlPara14  grmi.DateTime `xorm:"datetime 'WarehouseCtrlPara14'" json:"WM_Warehouse-WarehouseCtrlPara14"`
	WarehouseCtrlPara15  grmi.DateTime `xorm:"datetime 'WarehouseCtrlPara15'" json:"WM_Warehouse-WarehouseCtrlPara15"`
	WarehouseCtrlPara16  grmi.DateTime `xorm:"datetime 'WarehouseCtrlPara16'" json:"WM_Warehouse-WarehouseCtrlPara16"`
	LastModify           grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_Warehouse-LastModify"`
	LastUser             string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_Warehouse-LastUser"`
	CreateTime           grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_Warehouse-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
func (self *Warehouse) GetKey() core.PK {
	return core.PK{self.WarehouseId}
}
