// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WorkArea
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkArea的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
type WorkArea struct {
	WorkAreaId   string        `xorm:"pk nvarchar(40) 'WorkAreaId'" json:"WM_WorkArea-WorkAreaId"`
	WorkAreaType string        `xorm:"nvarchar(20) 'WorkAreaType' not null" json:"WM_WorkArea-WorkAreaType"`
	RelevanceId  string        `xorm:"nvarchar(40) 'RelevanceId' not null" json:"WM_WorkArea-RelevanceId"`
	WACtrlPara1  int           `xorm:"int 'WACtrlPara1' not null" json:"WM_WorkArea-WACtrlPara1"`
	WACtrlPara2  int           `xorm:"int 'WACtrlPara2' not null" json:"WM_WorkArea-WACtrlPara2"`
	WACtrlPara3  string        `xorm:"nvarchar(40) 'WACtrlPara3' not null" json:"WM_WorkArea-WACtrlPara3"`
	WACtrlPara4  string        `xorm:"nvarchar(40) 'WACtrlPara4' not null" json:"WM_WorkArea-WACtrlPara4"`
	LastModify   grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_WorkArea-LastModify"`
	LastUser     string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_WorkArea-LastUser"`
	CreateTime   grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_WorkArea-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
func (self *WorkArea) GetKey() core.PK {
	return core.PK{self.WorkAreaId}
}
