// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package api

import (
	model "LAPP_LF_MOM_BACKEND/models/api"
	"LAPP_LF_MOM_BACKEND/services/api/implments"
	"LAPP_LF_MOM_BACKEND/web/models"
)

/******************************************************************************
 *
 * @Interface Name           : ACCUNITIDService
 *-----------------------------------------------------------------------------
 *
 * @Description              : ACCUNITID的服务接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-12 10:08:28
 *
 ******************************************************************************/
type ACCUNITIDService interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ACCUNITID
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ACCUNITID
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-12 10:08:28
	 *
	 ******************************************************************************/
	InsertOne(*models.Usertab, *model.ACCUNITID) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ACCUNITID
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-12 10:08:28
	 *
	 ******************************************************************************/
	DeleteOne(*models.Usertab, int64) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ACCUNITID
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ACCUNITID
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-12 10:08:28
	 *
	 ******************************************************************************/
	SelectOne(*models.Usertab, int64) (*model.ACCUNITID, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectInfo
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ACCUNITID
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ACCUNITID
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-12 10:08:28
	 *
	 ******************************************************************************/
	SelectInfo(*models.Usertab, string) (*model.ReclinerResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改一条ACCUNITID
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ACCUNITID
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-12 10:08:28
	 *
	 ******************************************************************************/
	UpdateOne(*models.Usertab, *model.ACCUNITID) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ACCUNITID
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ACCUNITID列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-12 10:08:28
	 *
	 ******************************************************************************/
	Insert(*models.Usertab, *[]model.ACCUNITID) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ACCUNITID
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要删除的ACCUNITID列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-12 10:08:28
	 *
	 ******************************************************************************/
	Delete(*models.Usertab, *[]model.ACCUNITID) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询ACCUNITID
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-12 10:08:28
	 *
	 ******************************************************************************/
	Select(*models.Usertab, map[string]string) (interface{}, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ACCUNITID
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ACCUNITID列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-07-12 10:08:28
	 *
	 ******************************************************************************/
	Update(*models.Usertab, *[]model.ACCUNITID) error
}

/******************************************************************************
 *
 * @Function Name            : NewACCUNITIDService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ACCUNITIDService
 *
 * @Return Value             : ACCUNITIDService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-12 10:08:28
 *
 ******************************************************************************/
func NewACCUNITIDService() ACCUNITIDService {
	return implments.NewACCUNITIDServiceImplement()
}
