// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package api

import (
model "LAPP_LF_MOM_BACKEND/models/api"
"LAPP_LF_MOM_BACKEND/services/api/implments"
"LAPP_LF_MOM_BACKEND/web/models"
)

/******************************************************************************
 *
 * @Interface Name           : AndonService
 *-----------------------------------------------------------------------------
 *
 * @Description              : andon接口
 *
 * @Author                   : zhangxin
 *
 * @Date                     : 2021-05-17
 *
 ******************************************************************************/
type AndonService interface {
	/******************************************************************************
	 *
	 * @Function Name            : TouchOff
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 调用mes接口
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Return Value             : mes的返回结果
	 *
	 * @Return Value             : 执行发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-05-17
	 *
	 ******************************************************************************/
	TouchOff(*models.Usertab) (response model.Andon, err error)
}

/******************************************************************************
 *
 * @Function Name            : NewAndonService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个NewAndonService
 *
 * @Return Value             : NewAndonService实例
 *
 * @Author                   : zhangxin
 *
 * @Date                     : 2021-05-17
 *
 ******************************************************************************/
func NewAndonService() AndonService {
	return implments.NewAndonServiceImplement()
}
