// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	model "LAPP_LF_MOM_BACKEND/models/base"
	"LAPP_LF_MOM_BACKEND/services/base/implments"
	"LAPP_LF_MOM_BACKEND/web/models"
)

/******************************************************************************
 *
 * @Interface Name           : GuideRuleInfoService
 *-----------------------------------------------------------------------------
 *
 * @Description              : GuideRuleInfo的服务接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-12 10:43:48
 *
 ******************************************************************************/
type GuideRuleInfoService interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条GuideRuleInfo
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的GuideRuleInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-12 10:43:48
	 *
	 ******************************************************************************/
	InsertOne(*models.Usertab, *model.GuideRuleInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的GuideRuleInfo
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-12 10:43:48
	 *
	 ******************************************************************************/
	DeleteOne(*models.Usertab, int) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的GuideRuleInfo
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的GuideRuleInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-12 10:43:48
	 *
	 ******************************************************************************/
	SelectOne(*models.Usertab, int) (*model.GuideRuleInfo, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改一条GuideRuleInfo
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的GuideRuleInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-12 10:43:48
	 *
	 ******************************************************************************/
	UpdateOne(*models.Usertab, *model.GuideRuleInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条GuideRuleInfo
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的GuideRuleInfo列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-12 10:43:48
	 *
	 ******************************************************************************/
	Insert(*models.Usertab, *model.GuideRuleInfoData) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条GuideRuleInfo
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要删除的GuideRuleInfo列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-12 10:43:48
	 *
	 ******************************************************************************/
	Delete(*models.Usertab, *[]model.GuideRuleInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询GuideRuleInfo
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-12 10:43:48
	 *
	 ******************************************************************************/
	Select(*models.Usertab, map[string]string) (interface{}, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条GuideRuleInfo
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的GuideRuleInfo列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-12 10:43:48
	 *
	 ******************************************************************************/
	Update(*models.Usertab, *[]model.GuideRuleInfo) error
}

/******************************************************************************
 *
 * @Function Name            : NewGuideRuleInfoService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个GuideRuleInfoService
 *
 * @Return Value             : GuideRuleInfoService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-12 10:43:48
 *
 ******************************************************************************/
func NewGuideRuleInfoService() GuideRuleInfoService {
	return implments.NewGuideRuleInfoServiceImplement()
}
