// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	model "LAPP_LF_MOM_BACKEND/models/base"
	"LAPP_LF_MOM_BACKEND/services/base/implments"
	"LAPP_LF_MOM_BACKEND/web/models"
)

/******************************************************************************
 *
 * @Interface Name           : ProcessDependOnService
 *-----------------------------------------------------------------------------
 *
 * @Description              : ProcessDependOn的服务接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-11 13:29:43
 *
 ******************************************************************************/
type ProcessDependOnService interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ProcessDependOn
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ProcessDependOn
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-11 13:29:43
	 *
	 ******************************************************************************/
	InsertOne(*models.Usertab, *model.ProcessDependOn) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ProcessDependOn
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-11 13:29:43
	 *
	 ******************************************************************************/
	DeleteOne(*models.Usertab, int, string, int) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ProcessDependOn
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ProcessDependOn
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-11 13:29:43
	 *
	 ******************************************************************************/
	SelectOne(*models.Usertab, int, string, int) (*model.ProcessDependOn, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改一条ProcessDependOn
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ProcessDependOn
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-11 13:29:43
	 *
	 ******************************************************************************/
	UpdateOne(*models.Usertab, *model.ProcessDependOn) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ProcessDependOn
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ProcessDependOn列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-11 13:29:43
	 *
	 ******************************************************************************/
	Insert(*models.Usertab, *model.ProcessDependOnData) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ProcessDependOn
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要删除的ProcessDependOn列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-11 13:29:43
	 *
	 ******************************************************************************/
	Delete(*models.Usertab, *[]model.ProcessDependOn) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询ProcessDependOn
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-11 13:29:43
	 *
	 ******************************************************************************/
	Select(*models.Usertab, map[string]string) (interface{}, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ProcessDependOn
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ProcessDependOn列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-11 13:29:43
	 *
	 ******************************************************************************/
	Update(*models.Usertab, *[]model.ProcessDependOn) error
}

/******************************************************************************
 *
 * @Function Name            : NewProcessDependOnService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ProcessDependOnService
 *
 * @Return Value             : ProcessDependOnService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-11 13:29:43
 *
 ******************************************************************************/
func NewProcessDependOnService() ProcessDependOnService {
	return implments.NewProcessDependOnServiceImplement()
}
