package base

import (
	"LAPP_LF_MOM_BACKEND/container"
	"LAPP_LF_MOM_BACKEND/services/base/implments"
)

/******************************************************************************
*
* @Interface Name           : SignService
*-----------------------------------------------------------------------------
*
* @Description              : 签到签退服务接口
*
* @Author                   : 代码生成器创建
*
* @Date                     : 2021-03-18 23:20:31
*
******************************************************************************/
type SignService interface {
	/******************************************************************************
	 *
	 * @Function Name            : SelectOneUser
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定人员的用户名
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 人员编号
	 *
	 * @Return Value             : 人员姓名
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : chenglei.wei@le-it.com.cn
	 *
	 * @Date                     : 2021-03-25
	 *
	 ******************************************************************************/
	SelectOneUser(*container.RequestContext, string) (string, error)
	/******************************************************************************
	 *
	 * @Function Name            : GetWorklines
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 获取全部产线
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Return Value             : 产线标识列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : chenglei.wei@le-it.com.cn
	 *
	 * @Date                     : 2021-03-25
	 *
	 ******************************************************************************/
	GetWorklines(*container.RequestContext) ([]string, error)
	/******************************************************************************
	 *
	 * @Function Name            : GetWorkplacesOfWorkline
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 返回产线工位信息
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 产线标识
	 *
	 * @Return Value             : 工位标识列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : chenglei.wei@le-it.com.cn
	 *
	 * @Date                     : 2021-03-25
	 *
	 ******************************************************************************/
	GetWorkplacesOfWorkline(*container.RequestContext, string) ([]string, error)
	/******************************************************************************
	 *
	 * @Function Name            : SignIn
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 签到
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 人员编号
	 *
	 * @Function Parameters      : 生产线标识
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : chenglei.wei@le-it.com.cn
	 *
	 * @Date                     : 2021-03-25
	 *
	 ******************************************************************************/
	SignIn(*container.RequestContext, string, string) error
}

/******************************************************************************
 *
 * @Function Name            : NewPlantService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个PlantService
 *
 * @Return Value             : PlantService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-18 23:20:31
 *
 ******************************************************************************/
func NewSignService() SignService {
	return implments.NewSignServiceImplement()
}
