// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package log

import (
	model "LAPP_LF_MOM_BACKEND/models/log"
	"LAPP_LF_MOM_BACKEND/services/log/implments"
	"LAPP_LF_MOM_BACKEND/web/models"
)

/******************************************************************************
 *
 * @Interface Name           : ArtDemandHeadService
 *-----------------------------------------------------------------------------
 *
 * @Description              : ArtDemandHead的服务接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-10 16:21:26
 *
 ******************************************************************************/
type ArtDemandHeadService interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ArtDemandHead
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ArtDemandHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-18 23:20:31
	 *
	 ******************************************************************************/
	InsertOne(*models.Usertab, *model.ArtDemandHead) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ArtDemandHead
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-18 23:20:31
	 *
	 ******************************************************************************/
	DeleteOne(*models.Usertab, string, string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ArtDemandHead
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ArtDemandHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-18 23:20:31
	 *
	 ******************************************************************************/
	SelectOne(*models.Usertab, string, string) (*model.ArtDemandHead, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改一条ArtDemandHead
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ArtDemandHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-18 23:20:31
	 *
	 ******************************************************************************/
	UpdateOne(*models.Usertab, *model.ArtDemandHead) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ArtDemandHead
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ArtDemandHead列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-18 23:20:31
	 *
	 ******************************************************************************/
	Insert(*models.Usertab, *[]model.ArtDemandHead) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ArtDemandHead
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要删除的ArtDemandHead列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-18 23:20:31
	 *
	 ******************************************************************************/
	Delete(*models.Usertab, *[]model.ArtDemandHead) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询ArtDemandHead
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-18 23:20:31
	 *
	 ******************************************************************************/
	Select(*models.Usertab, map[string]string) (interface{}, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ArtDemandHead
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ArtDemandHead列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-18 23:20:31
	 *
	 ******************************************************************************/
	Update(*models.Usertab, *[]model.ArtDemandHead) error
	/******************************************************************************
	 *
	 * @Function Name            : ExportExcel
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 将供应商需求批次列表导出excel
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Return Value             : 生成的excel文件地址
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 张鑫
	 *
	 * @Date                     : 2021-04-29
	 *
	 ******************************************************************************/
	ExportExcel(*models.Usertab, map[string]string) (interface{}, error)

	/******************************************************************************
	 *
	 * @Function Name            : ChangeArtDemandHeadStatus
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改供应商需求批次的状态
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 修改对象信息切片
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 张鑫
	 *
	 *@Date                     : 2021-04-29
	 *
	 ******************************************************************************/
	ChangeArtDemandHeadStatus(*models.Usertab, []model.ArtDemandHeadStatusChange, string) error
	/******************************************************************************
	 *
	 * @Function Name            : TransferDataToOrigin
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 传输供应商门户数据到云端
	 *
	 * @Function Parameters      : 获取最后修改时间的url
	 *
	 * @Function Parameters      : 上传文件的url
	 *
	 * @Function Parameters      : 工厂id
	 *
	 * @Author                   : 张鑫
	 *
	 *@Date                     : 2021-05-08
	 *
	 ******************************************************************************/
	TransferDataToOrigin(string, string, int)
	/******************************************************************************
	 *
	 * @Function Name            : SelectLastModify
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询最后一个ArtDemandLst订单
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 娄文智
	 *
	 * @Date                     : 2021-05-07
	 *
	 ******************************************************************************/
	SelectLastModify(plantNr int) (string, error)
}

/******************************************************************************
 *
 * @Function Name            : NewArtDemandHeadService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ArtDemandHeadService
 *
 * @Return Value             : ArtDemandHeadService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-18 23:20:31
 *
 ******************************************************************************/
func NewArtDemandHeadService() ArtDemandHeadService {
	return implments.NewArtDemandHeadServiceImplement()
}
