// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package log

import (
	model "LAPP_LF_MOM_BACKEND/models/log"
	"LAPP_LF_MOM_BACKEND/services/log/implments"
	"LAPP_LF_MOM_BACKEND/web/models"
)

/******************************************************************************
 *
 * @Interface Name           : ArtDemandHeadCacheService
 *-----------------------------------------------------------------------------
 *
 * @Description              : ArtDemandHeadCache的服务接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-09 14:00:44
 *
 ******************************************************************************/
type ArtDemandHeadCacheService interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ArtDemandHeadCache
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ArtDemandHeadCache
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-09 14:00:44
	 *
	 ******************************************************************************/
	InsertOne(*models.Usertab, *model.ArtDemandHeadCache) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ArtDemandHeadCache
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-09 14:00:44
	 *
	 ******************************************************************************/
	DeleteOne(*models.Usertab, string, string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ArtDemandHeadCache
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ArtDemandHeadCache
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-09 14:00:44
	 *
	 ******************************************************************************/
	SelectOne(*models.Usertab, string, string) (*model.ArtDemandHeadCache, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改一条ArtDemandHeadCache
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ArtDemandHeadCache
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-09 14:00:44
	 *
	 ******************************************************************************/
	UpdateOne(*models.Usertab, *model.ArtDemandHeadCache) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ArtDemandHeadCache
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ArtDemandHeadCache列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-09 14:00:44
	 *
	 ******************************************************************************/
	Insert(*models.Usertab, *[]model.ArtDemandHeadCache) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ArtDemandHeadCache
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要删除的ArtDemandHeadCache列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-09 14:00:44
	 *
	 ******************************************************************************/
	Delete(*models.Usertab, *[]model.ArtDemandHeadCache) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询ArtDemandHeadCache
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-09 14:00:44
	 *
	 ******************************************************************************/
	Select(*models.Usertab, map[string]string) (interface{}, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ArtDemandHeadCache
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ArtDemandHeadCache列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-09 14:00:44
	 *
	 ******************************************************************************/
	Update(*models.Usertab, *[]model.ArtDemandHeadCache) error
	/******************************************************************************
	 *
	 * @Function Name            : TransferDataToOrigin
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 传输供应商门户数据到云端
	 *
	 * @Function Parameters      : 工厂id
	 *
	 * @Function Parameters      : 上传文件的url
	 *
	 * @Author                   : 张鑫
	 *
	 *@Date                     : 2021-06-09
	 *
	 ******************************************************************************/
	TransferCacheDataToOrigin(int, string)
	/******************************************************************************
	 *
	 * @Function Name            : ExportExcel
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 导出供应商需求数据
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-07-06
	 *
	 ******************************************************************************/
	ExportExcel(*models.Usertab, map[string]string) (interface{}, error)
}

/******************************************************************************
 *
 * @Function Name            : NewArtDemandHeadCacheService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ArtDemandHeadCacheService
 *
 * @Return Value             : ArtDemandHeadCacheService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-09 14:00:44
 *
 ******************************************************************************/
func NewArtDemandHeadCacheService() ArtDemandHeadCacheService {
	return implments.NewArtDemandHeadCacheServiceImplement()
}
