// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package log

import (
	model "LAPP_LF_MOM_BACKEND/models/log"
	"LAPP_LF_MOM_BACKEND/services/log/implments"
	"LAPP_LF_MOM_BACKEND/web/models"
)

/******************************************************************************
 *
 * @Interface Name           : ArtDemandLstService
 *-----------------------------------------------------------------------------
 *
 * @Description              : ArtDemandLst的服务接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-22 11:27:55
 *
 ******************************************************************************/
type ArtDemandLstService interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ArtDemandLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ArtDemandLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 11:27:55
	 *
	 ******************************************************************************/
	InsertOne(*models.Usertab, *model.ArtDemandLst) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ArtDemandLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 11:27:55
	 *
	 ******************************************************************************/
	DeleteOne(*models.Usertab, string, int) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ArtDemandLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ArtDemandLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 11:27:55
	 *
	 ******************************************************************************/
	SelectOne(*models.Usertab, string, int) (*model.ArtDemandLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改一条ArtDemandLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ArtDemandLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 11:27:55
	 *
	 ******************************************************************************/
	UpdateOne(*models.Usertab, *model.ArtDemandLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ArtDemandLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ArtDemandLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 11:27:55
	 *
	 ******************************************************************************/
	Insert(*models.Usertab, *[]model.ArtDemandLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ArtDemandLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要删除的ArtDemandLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 11:27:55
	 *
	 ******************************************************************************/
	Delete(*models.Usertab, *[]model.ArtDemandLst) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询ArtDemandLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 11:27:55
	 *
	 ******************************************************************************/
	Select(*models.Usertab, map[string]string) (interface{}, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ArtDemandLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ArtDemandLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-22 11:27:55
	 *
	 ******************************************************************************/
	Update(*models.Usertab, *[]model.ArtDemandLst) error

	/******************************************************************************
	 *
	 * @Function Name            : ExportExcel
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 将供应商需求明细列表导出excel
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Return Value             : 生成的excel文件地址
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 张鑫
	 *
	 * @Date                     : 2021-03-19
	 *
	 ******************************************************************************/
	ExportExcel(*models.Usertab, map[string]string) (interface{}, error)

	/******************************************************************************
	 *
	 * @Function Name            : ChangeArtDemandLstStatus
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改供应商需求明细的状态
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 修改对象信息切片
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 张鑫
	 *
	 *@Date                     : 2021-03-19
	 *
	 ******************************************************************************/
	ChangeArtDemandLstStatus(*models.Usertab, []model.ArtDemandLstStatusChange, string) error
	/******************************************************************************
	 *
	 * @Function Name            : SyncHronousData
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询最后一个ArtDemandLst订单
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 娄文智
	 *
	 * @Date                     : 2021-05-07
	 *
	 ******************************************************************************/
	SyncHronousData(int,string) (error)
}

/******************************************************************************
 *
 * @Function Name            : NewArtDemandLstService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ArtDemandLstService
 *
 * @Return Value             : ArtDemandLstService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-22 11:27:55
 *
 ******************************************************************************/
func NewArtDemandLstService() ArtDemandLstService {
	return implments.NewArtDemandLstServiceImplement()
}
