// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package log

import (
	model "LAPP_LF_MOM_BACKEND/models/log"
	"LAPP_LF_MOM_BACKEND/services/log/implments"
	"LAPP_LF_MOM_BACKEND/web/models"
)

/******************************************************************************
 *
 * @Interface Name           : ArtDemandLstCacheService
 *-----------------------------------------------------------------------------
 *
 * @Description              : ArtDemandLstCache的服务接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-09 14:00:44
 *
 ******************************************************************************/
type ArtDemandLstCacheService interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ArtDemandLstCache
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ArtDemandLstCache
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-09 14:00:44
	 *
	 ******************************************************************************/
	InsertOne(*models.Usertab, *model.ArtDemandLstCache) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ArtDemandLstCache
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-09 14:00:44
	 *
	 ******************************************************************************/
	DeleteOne(*models.Usertab, string, int) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ArtDemandLstCache
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ArtDemandLstCache
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-09 14:00:44
	 *
	 ******************************************************************************/
	SelectOne(*models.Usertab, string, int) (*model.ArtDemandLstCache, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改一条ArtDemandLstCache
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ArtDemandLstCache
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-09 14:00:44
	 *
	 ******************************************************************************/
	UpdateOne(*models.Usertab, *model.ArtDemandLstCache) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ArtDemandLstCache
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ArtDemandLstCache列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-09 14:00:44
	 *
	 ******************************************************************************/
	Insert(*models.Usertab, *[]model.ArtDemandLstCache) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ArtDemandLstCache
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要删除的ArtDemandLstCache列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-09 14:00:44
	 *
	 ******************************************************************************/
	Delete(*models.Usertab, *[]model.ArtDemandLstCache) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询ArtDemandLstCache
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-09 14:00:44
	 *
	 ******************************************************************************/
	Select(*models.Usertab, map[string]string) (interface{}, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ArtDemandLstCache
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ArtDemandLstCache列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-09 14:00:44
	 *
	 ******************************************************************************/
	Update(*models.Usertab, *[]model.ArtDemandLstCache) error
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ArtDemandLstCache
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ArtDemandLstCache列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 娄文智
	 *
	 * @Date                     : 2021-06-09 14:00:44
	 *
	 ******************************************************************************/
	SyncHronousDataCache(plantNr int, filePath string) (err error)
	/******************************************************************************
	 *
	 * @Function Name            : ExportExcel
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 导出供应商需求数据
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-07-06
	 *
	 ******************************************************************************/
	ExportExcel(*models.Usertab, map[string]string) (interface{}, error)
}

/******************************************************************************
 *
 * @Function Name            : NewArtDemandLstCacheService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ArtDemandLstCacheService
 *
 * @Return Value             : ArtDemandLstCacheService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-09 14:00:44
 *
 ******************************************************************************/
func NewArtDemandLstCacheService() ArtDemandLstCacheService {
	return implments.NewArtDemandLstCacheServiceImplement()
}
