// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package log

import (
	"LAPP_LF_MOM_BACKEND/container"
	model "LAPP_LF_MOM_BACKEND/models/log"
	"LAPP_LF_MOM_BACKEND/services/log/implments"
	"LAPP_LF_MOM_BACKEND/web/models"
)

/******************************************************************************
*
* @Interface Name           : PackOrderService
*-----------------------------------------------------------------------------
*
* @Description              : PackOrder的服务接口
*
* @Author                   : 代码生成器创建
*
* @Date                     : 2021-03-18 23:20:31
*
******************************************************************************/
type PackOrderService interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条PackOrder
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的PackOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-18 23:20:31
	 *
	 ******************************************************************************/
	InsertOne(*models.Usertab, *model.PackOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的PackOrder
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-18 23:20:31
	 *
	 ******************************************************************************/
	DeleteOne(*models.Usertab, string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的PackOrder
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的PackOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-18 23:20:31
	 *
	 ******************************************************************************/
	SelectOne(*models.Usertab, string) (*model.PackOrder, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改一条PackOrder
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的PackOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-18 23:20:31
	 *
	 ******************************************************************************/
	UpdateOne(*models.Usertab, *model.PackOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条PackOrder
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的PackOrder列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-18 23:20:31
	 *
	 ******************************************************************************/
	Insert(*models.Usertab, *[]model.PackOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条PackOrder
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要删除的PackOrder列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-18 23:20:31
	 *
	 ******************************************************************************/
	Delete(*models.Usertab, *[]model.PackOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询PackOrder
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-18 23:20:31
	 *
	 ******************************************************************************/
	Select(*models.Usertab, map[string]string) (interface{}, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectList
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询PackOrder
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-18 23:20:31
	 *
	 ******************************************************************************/
	SelectList(*models.Usertab, map[string]string) (interface{}, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条PackOrder
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的PackOrder列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-03-18 23:20:31
	 *
	 ******************************************************************************/
	Update(*models.Usertab, *[]model.PackOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : ClosePackOrder
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 关闭包装单
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 包装单号
	 *
	 * @Function Parameters      : 短包时指定关闭的包装项,为[]或nil则表示不短包
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : chenglei.wei@le-it.com.cn
	 *
	 * @Date                     : 2021-03-18
	 *
	 ******************************************************************************/
	ClosePackOrder(*container.RequestContext, string, []int) error
	/******************************************************************************
	 *
	 * @Function Name            : OpenPackOrder
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 根据Article标识创建包装单
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : Article标识
	 *
	 * @Return Value             : 包装单模板,当只有一项返回时,根据返回的模板创建包装单,不会为空,如果未找到模板直接报错.
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : chenglei.wei@le-it.com.cn
	 *
	 * @Date                     : 2021-03-18
	 *
	 ******************************************************************************/
	OpenPackOrder(*container.RequestContext, string) ([]model.PackTemplate, error)
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 根据Article标识和模板标识创建包装单
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : Article标识
	 *
	 * @Function Parameters      : 包装模板标识
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : chenglei.wei@le-it.com.cn
	 *
	 * @Date                     : 2021-03-18
	 *
	 ******************************************************************************/
	OpenPackOrderWithTemplate(*container.RequestContext, string, string) error
	/******************************************************************************
	 *
	 * @Function Name            : IsCreatePackOrder
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 根据Article标识创建包装单
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : Article标识
	 *
	 * @Return Value             : 包装单模板,当只有一项返回时,根据返回的模板创建包装单,不会为空,如果未找到模板直接报错.
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 娄文智
	 *
	 * @Date                     : 2021-06-02
	 *
	 ******************************************************************************/
	IsCreatePackOrder(*models.Usertab,string) (*model.CreatePackOrderInfo, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectTemplates
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询可用模板
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : Article标识
	 *
	 * @Return Value             : 包装单模板,当只有一项返回时,根据返回的模板创建包装单,不会为空,如果未找到模板直接报错.
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 娄文智
	 *
	 * @Date                     : 2021-06-02
	 *
	 ******************************************************************************/
	SelectTemplates(user *models.Usertab, orderId string) (*model.CreatePackOrderInfo, error)
	/******************************************************************************
	 *
	 * @Function Name            : CreatePackOrderByTemplate
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 根据模板创建包装单
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : Article标识
	 *
	 * @Return Value             : 包装单模板,当只有一项返回时,根据返回的模板创建包装单,不会为空,如果未找到模板直接报错.
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 娄文智
	 *
	 * @Date                     : 2021-06-02
	 *
	 ******************************************************************************/
	CreatePackOrderByTemplate(user *models.Usertab, packTemplate *model.PackTemplate) error
	/******************************************************************************
	 *
	 * @Function Name            : CheckPackOrderItem
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 更新包装项及其包装单
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : Article标识
	 *
	 * @Return Value             : 包装单模板,当只有一项返回时,根据返回的模板创建包装单,不会为空,如果未找到模板直接报错.
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 娄文智
	 *
	 * @Date                     : 2021-06-02
	 *
	 ******************************************************************************/
	CheckPackOrderItem(user *models.Usertab, packOrderId string, orderId string)  (string,error)
	/******************************************************************************
	 *
	 * @Function Name            : ClosePackOrderItem
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 关闭包装单
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : Article标识
	 *
	 * @Return Value             : 包装单模板,当只有一项返回时,根据返回的模板创建包装单,不会为空,如果未找到模板直接报错.
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 娄文智
	 *
	 * @Date                     : 2021-06-02
	 *
	 ******************************************************************************/
	ClosePackOrderItem(user *models.Usertab, packOrderId string)  error
}

/******************************************************************************
 *
 * @Function Name            : NewPackOrderService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个PackOrderService
 *
 * @Return Value             : PackOrderService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-18 23:20:31
 *
 ******************************************************************************/
func NewPackOrderService() PackOrderService {
	return implments.NewPackOrderServiceImplement()
}
