package om

import "LAPP_LF_MOM_BACKEND/services/om/implments"


/******************************************************************************
 *
 * @Interface Name           : ToMesService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 的服务接口
 *
 * @Author                   : zhangxin
 *
 * @Date                     : 2021-05-12
 *
 ******************************************************************************/
type ToMesService interface {
	/******************************************************************************
	 *
	 * @Function Name            : TransferWorkOrderToMes
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 把aps系统中的订单数据传输到mes中
	 *
	 * @Function Parameters      : 工厂id
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-05-12
	 *
	 ******************************************************************************/
	TransferWorkOrderToMes(int)
	/******************************************************************************
	 *
	 * @Function Name            : TransferSerialOrderToMes
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 把aps系统中的序列订单数据传输到mes中
	 *
	 * @Function Parameters      : 工厂id
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-05-12
	 *
	 ******************************************************************************/
	TransferSerialOrderToMes(int)
	/******************************************************************************
	 *
	 * @Function Name            : FeedbackFromMes
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 把mes系统中的生产工单数据回写到aps系统
	 *
	 * @Function Parameters      : 工厂id
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-05-13
	 *
	 ******************************************************************************/
	FeedbackFromMes(int)
}

/******************************************************************************
 *
 * @Function Name            : NewDemandLstService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个DemandLstService
 *
 * @Return Value             : DemandLstService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-21 10:27:00
 *
 ******************************************************************************/
func NewOmToMesService() ToMesService {
	return implments.NewOmToMesServiceImplement()
}

