// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pdc

import (
	model "LAPP_LF_MOM_BACKEND/models/pdc"
	"LAPP_LF_MOM_BACKEND/services/pdc/implments"
	"LAPP_LF_MOM_BACKEND/web/models"
)

/******************************************************************************
 *
 * @Interface Name           : ScrewDownService
 *-----------------------------------------------------------------------------
 *
 * @Description              : ScrewDown的服务接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-27 11:38:34
 *
 ******************************************************************************/
type ScrewDownService interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ScrewDown
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ScrewDown
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-24 10:49:50
	 *
	 ******************************************************************************/
	InsertOne(*models.Usertab, *model.ScrewDown) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ScrewDown
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-27 11:38:34
	 *
	 ******************************************************************************/
	DeleteOne(*models.Usertab, string, int, bool) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ScrewDown
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ScrewDown
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-27 11:38:34
	 *
	 ******************************************************************************/
	SelectOne(*models.Usertab, string, int, bool) (*model.ScrewDown, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改一条ScrewDown
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ScrewDown
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-24 10:49:50
	 *
	 ******************************************************************************/
	UpdateOne(*models.Usertab, *model.ScrewDown) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ScrewDown
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ScrewDown列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-24 10:49:50
	 *
	 ******************************************************************************/
	Insert(*models.Usertab, *[]model.ScrewDown) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ScrewDown
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要删除的ScrewDown列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-24 10:49:50
	 *
	 ******************************************************************************/
	Delete(*models.Usertab, *[]model.ScrewDown) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询ScrewDown
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-24 10:49:50
	 *
	 ******************************************************************************/
	Select(*models.Usertab, map[string]string) (interface{}, error)
	/******************************************************************************
	 *
	 * @Function Name            : List
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 列表页展示screw
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-24 10:49:50
	 *
	 ******************************************************************************/
	List(*models.Usertab, map[string]string) (interface{}, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ScrewDown
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ScrewDown列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-24 10:49:50
	 *
	 ******************************************************************************/
	Update(*models.Usertab, *[]model.ScrewDown) error
	/******************************************************************************
	 *
	 * @Function Name            : Save
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 保存同一个artID多条ScrewDown
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要保存的screwData
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-05-28
	 *
	 ******************************************************************************/
	Save(*models.Usertab, model.ScrewDownSave) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteByArtId
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 通过artId删除多条ScrewDown
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要删除的ScrewDown列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-05-28
	 *
	 ******************************************************************************/
	DeleteByArtId(*models.Usertab, string) error
}

/******************************************************************************
 *
 * @Function Name            : NewScrewDownService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ScrewDownService
 *
 * @Return Value             : ScrewDownService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-24 10:49:50
 *
 ******************************************************************************/
func NewScrewDownService() ScrewDownService {
	return implments.NewScrewDownServiceImplement()
}
