// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package report

import (
	model "LAPP_LF_MOM_BACKEND/models/report"
	"LAPP_LF_MOM_BACKEND/services/report/implments"
)

/******************************************************************************
 *
 * @Interface Name           : ArcDisplayInfoService
 *-----------------------------------------------------------------------------
 *
 * @Description              : ArcDisplayInfo的服务接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-21 11:39:48
 *
 ******************************************************************************/
type ArcDisplayInfoService interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ArcDisplayInfo
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ArcDisplayInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-21 11:39:48
	 *
	 ******************************************************************************/
	InsertOne(*model.ArcDisplayInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ArcDisplayInfo
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-21 11:39:48
	 *
	 ******************************************************************************/
	DeleteOne(int, string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ArcDisplayInfo
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ArcDisplayInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-21 11:39:48
	 *
	 ******************************************************************************/
	SelectOne(int, string) (*model.ArcDisplayInfo, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改一条ArcDisplayInfo
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ArcDisplayInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-21 11:39:48
	 *
	 ******************************************************************************/
	UpdateOne(*model.ArcDisplayInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ArcDisplayInfo
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ArcDisplayInfo列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-21 11:39:48
	 *
	 ******************************************************************************/
	Insert(*[]model.ArcDisplayInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ArcDisplayInfo
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要删除的ArcDisplayInfo列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-21 11:39:48
	 *
	 ******************************************************************************/
	Delete(*[]model.ArcDisplayInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询ArcDisplayInfo
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-21 11:39:48
	 *
	 ******************************************************************************/
	Select(map[string]string) (interface{}, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ArcDisplayInfo
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ArcDisplayInfo列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-06-21 11:39:48
	 *
	 ******************************************************************************/
	Update(*[]model.ArcDisplayInfo) error
}

/******************************************************************************
 *
 * @Function Name            : NewArcDisplayInfoService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ArcDisplayInfoService
 *
 * @Return Value             : ArcDisplayInfoService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-21 11:39:48
 *
 ******************************************************************************/
func NewArcDisplayInfoService() ArcDisplayInfoService {
	return implments.NewArcDisplayInfoServiceImplement()
}
