// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	svr "LAPP_LF_MOM_BACKEND/services/base"
	"github.com/kataras/iris/v12/core/router"
)

/******************************************************************************
 *
 * @Interface Name           : RegisterRoutes
 *-----------------------------------------------------------------------------
 *
 * @Description              : 注册路由
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-23 15:03:00
 *
 ******************************************************************************/
func RegisterRoutes() {
	// 模块base路由分组
	grmi.RegisterRouteMapping("/base", func(party router.Party) {

		// Etcd的路由组
		etcd := party.Party("/etcd")
		// Etcd的服务实例
		var serviceOfEtcd = svr.NewEtcdService()
		// Etcd插入一条
		// RegisterInsertOneEtcd(etcd, "/insertone", serviceOfEtcd.InsertOne)
		// Etcd插入多条
		// RegisterInsertEtcd(etcd, "/insert", serviceOfEtcd.Insert)
		// Etcd删除一条
		// RegisterDeleteOneEtcd(etcd, "/deleteone", serviceOfEtcd.DeleteOne)
		// Etcd删除多条
		// RegisterDeleteEtcd(etcd, "/delete", serviceOfEtcd.Delete)
		// Etcd查询多条
		RegisterSelectEtcd(etcd, "/query", serviceOfEtcd.Select)
		// Etcd查询一条
		RegisterSelectOneEtcd(etcd, "/get", serviceOfEtcd.SelectOne)
		// Etcd修改一条
		// RegisterUpdateOneEtcd(etcd, "/updateone", serviceOfEtcd.UpdateOne)
		// Etcd修改多条
		// RegisterUpdateEtcd(etcd, "/update", serviceOfEtcd.Update)

		// Role的路由组
		role := party.Party("/role")
		// Role的服务实例
		var serviceOfRole = svr.NewRoleService()
		// Role插入一条
		// RegisterInsertOneRole(role, "/insertone", serviceOfRole.InsertOne)
		// Role插入多条
		// RegisterInsertRole(role, "/insert", serviceOfRole.Insert)
		// Role删除一条
		// RegisterDeleteOneRole(role, "/deleteone", serviceOfRole.DeleteOne)
		// Role删除多条
		// RegisterDeleteRole(role, "/delete", serviceOfRole.Delete)
		// Role查询多条
		RegisterSelectRole(role, "/query", serviceOfRole.Select)
		// Role查询一条
		RegisterSelectOneRole(role, "/get", serviceOfRole.SelectOne)
		// Role修改一条
		// RegisterUpdateOneRole(role, "/updateone", serviceOfRole.UpdateOne)
		// Role修改多条
		// RegisterUpdateRole(role, "/update", serviceOfRole.Update)

		// RoleMenu的路由组
		rolemenu := party.Party("/rolemenu")
		// RoleMenu的服务实例
		var serviceOfRoleMenu = svr.NewRoleMenuService()
		// RoleMenu插入一条
		// RegisterInsertOneRoleMenu(rolemenu, "/insertone", serviceOfRoleMenu.InsertOne)
		// RoleMenu插入多条
		// RegisterInsertRoleMenu(rolemenu, "/insert", serviceOfRoleMenu.Insert)
		// RoleMenu删除一条
		// RegisterDeleteOneRoleMenu(rolemenu, "/deleteone", serviceOfRoleMenu.DeleteOne)
		// RoleMenu删除多条
		// RegisterDeleteRoleMenu(rolemenu, "/delete", serviceOfRoleMenu.Delete)
		// RoleMenu查询多条
		RegisterSelectRoleMenu(rolemenu, "/query", serviceOfRoleMenu.Select)
		// RoleMenu查询一条
		RegisterSelectOneRoleMenu(rolemenu, "/get", serviceOfRoleMenu.SelectOne)
		// RoleMenu修改一条
		// RegisterUpdateOneRoleMenu(rolemenu, "/updateone", serviceOfRoleMenu.UpdateOne)
		// RoleMenu修改多条
		// RegisterUpdateRoleMenu(rolemenu, "/update", serviceOfRoleMenu.Update)

		// Stdef的路由组
		stdef := party.Party("/stdef")
		// Stdef的服务实例
		var serviceOfStdef = svr.NewStdefService()
		// Stdef插入一条
		// RegisterInsertOneStdef(stdef, "/insertone", serviceOfStdef.InsertOne)
		// Stdef插入多条
		// RegisterInsertStdef(stdef, "/insert", serviceOfStdef.Insert)
		// Stdef删除一条
		// RegisterDeleteOneStdef(stdef, "/deleteone", serviceOfStdef.DeleteOne)
		// Stdef删除多条
		// RegisterDeleteStdef(stdef, "/delete", serviceOfStdef.Delete)
		// Stdef查询多条
		RegisterSelectStdef(stdef, "/query", serviceOfStdef.Select)
		// Stdef查询一条
		RegisterSelectOneStdef(stdef, "/get", serviceOfStdef.SelectOne)
		// Stdef修改一条
		// RegisterUpdateOneStdef(stdef, "/updateone", serviceOfStdef.UpdateOne)
		// Stdef修改多条
		// RegisterUpdateStdef(stdef, "/update", serviceOfStdef.Update)

		// Menu的路由组
		menu := party.Party("/menu")
		// Menu的服务实例
		var serviceOfMenu = svr.NewMenuService()
		// Menu插入一条
		// RegisterInsertOneMenu(menu, "/insertone", serviceOfMenu.InsertOne)
		// Menu插入多条
		// RegisterInsertMenu(menu, "/insert", serviceOfMenu.Insert)
		// Menu删除一条
		// RegisterDeleteOneMenu(menu, "/deleteone", serviceOfMenu.DeleteOne)
		// Menu删除多条
		// RegisterDeleteMenu(menu, "/delete", serviceOfMenu.Delete)
		// Menu查询多条
		RegisterSelectMenu(menu, "/query", serviceOfMenu.Select)
		// Menu查询一条
		RegisterSelectOneMenu(menu, "/get", serviceOfMenu.SelectOne)
		// Menu修改一条
		// RegisterUpdateOneMenu(menu, "/updateone", serviceOfMenu.UpdateOne)
		// Menu修改多条
		// RegisterUpdateMenu(menu, "/update", serviceOfMenu.Update)

		// TabColName的路由组
		tabcolname := party.Party("/tabcolname")
		// TabColName的服务实例
		var serviceOfTabColName = svr.NewTabColNameService()
		// TabColName插入一条
		// RegisterInsertOneTabColName(tabcolname, "/insertone", serviceOfTabColName.InsertOne)
		// TabColName插入多条
		// RegisterInsertTabColName(tabcolname, "/insert", serviceOfTabColName.Insert)
		// TabColName删除一条
		// RegisterDeleteOneTabColName(tabcolname, "/deleteone", serviceOfTabColName.DeleteOne)
		// TabColName删除多条
		// RegisterDeleteTabColName(tabcolname, "/delete", serviceOfTabColName.Delete)
		// TabColName查询多条
		RegisterSelectTabColName(tabcolname, "/query", serviceOfTabColName.Select)
		// TabColName查询一条
		RegisterSelectOneTabColName(tabcolname, "/get", serviceOfTabColName.SelectOne)
		// TabColName修改一条
		// RegisterUpdateOneTabColName(tabcolname, "/updateone", serviceOfTabColName.UpdateOne)
		// TabColName修改多条
		// RegisterUpdateTabColName(tabcolname, "/update", serviceOfTabColName.Update)

		// CodeParser的路由组
		codeparser := party.Party("/codeparser")
		// CodeParser的服务实例
		var serviceOfCodeParser = svr.NewCodeParserService()
		// CodeParser插入一条
		// RegisterInsertOneCodeParser(codeparser, "/insertone", serviceOfCodeParser.InsertOne)
		// CodeParser插入多条
		// RegisterInsertCodeParser(codeparser, "/insert", serviceOfCodeParser.Insert)
		// CodeParser删除一条
		// RegisterDeleteOneCodeParser(codeparser, "/deleteone", serviceOfCodeParser.DeleteOne)
		// CodeParser删除多条
		// RegisterDeleteCodeParser(codeparser, "/delete", serviceOfCodeParser.Delete)
		// CodeParser查询多条
		RegisterSelectCodeParser(codeparser, "/query", serviceOfCodeParser.Select)
		// CodeParser查询一条
		RegisterSelectOneCodeParser(codeparser, "/get", serviceOfCodeParser.SelectOne)
		// CodeParser修改一条
		// RegisterUpdateOneCodeParser(codeparser, "/updateone", serviceOfCodeParser.UpdateOne)
		// CodeParser修改多条
		// RegisterUpdateCodeParser(codeparser, "/update", serviceOfCodeParser.Update)

		// Etl的路由组
		etl := party.Party("/etl")
		// Etl的服务实例
		var serviceOfEtl = svr.NewEtlService()
		// Etl插入一条
		// RegisterInsertOneEtl(etl, "/insertone", serviceOfEtl.InsertOne)
		// Etl插入多条
		// RegisterInsertEtl(etl, "/insert", serviceOfEtl.Insert)
		// Etl删除一条
		// RegisterDeleteOneEtl(etl, "/deleteone", serviceOfEtl.DeleteOne)
		// Etl删除多条
		// RegisterDeleteEtl(etl, "/delete", serviceOfEtl.Delete)
		// Etl查询多条
		RegisterSelectEtl(etl, "/query", serviceOfEtl.Select)
		// Etl查询一条
		RegisterSelectOneEtl(etl, "/get", serviceOfEtl.SelectOne)
		// Etl修改一条
		// RegisterUpdateOneEtl(etl, "/updateone", serviceOfEtl.UpdateOne)
		// Etl修改多条
		// RegisterUpdateEtl(etl, "/update", serviceOfEtl.Update)

		// EtlLst的路由组
		etllst := party.Party("/etllst")
		// EtlLst的服务实例
		var serviceOfEtlLst = svr.NewEtlLstService()
		// EtlLst插入一条
		// RegisterInsertOneEtlLst(etllst, "/insertone", serviceOfEtlLst.InsertOne)
		// EtlLst插入多条
		// RegisterInsertEtlLst(etllst, "/insert", serviceOfEtlLst.Insert)
		// EtlLst删除一条
		// RegisterDeleteOneEtlLst(etllst, "/deleteone", serviceOfEtlLst.DeleteOne)
		// EtlLst删除多条
		// RegisterDeleteEtlLst(etllst, "/delete", serviceOfEtlLst.Delete)
		// EtlLst查询多条
		RegisterSelectEtlLst(etllst, "/query", serviceOfEtlLst.Select)
		// EtlLst查询一条
		RegisterSelectOneEtlLst(etllst, "/get", serviceOfEtlLst.SelectOne)
		// EtlLst修改一条
		// RegisterUpdateOneEtlLst(etllst, "/updateone", serviceOfEtlLst.UpdateOne)
		// EtlLst修改多条
		// RegisterUpdateEtlLst(etllst, "/update", serviceOfEtlLst.Update)

		// PrintDetail的路由组
		printdetail := party.Party("/printdetail")
		// PrintDetail的服务实例
		var serviceOfPrintDetail = svr.NewPrintDetailService()
		// PrintDetail插入一条
		// RegisterInsertOnePrintDetail(printdetail, "/insertone", serviceOfPrintDetail.InsertOne)
		// PrintDetail插入多条
		// RegisterInsertPrintDetail(printdetail, "/insert", serviceOfPrintDetail.Insert)
		// PrintDetail删除一条
		// RegisterDeleteOnePrintDetail(printdetail, "/deleteone", serviceOfPrintDetail.DeleteOne)
		// PrintDetail删除多条
		// RegisterDeletePrintDetail(printdetail, "/delete", serviceOfPrintDetail.Delete)
		// PrintDetail查询多条
		RegisterSelectPrintDetail(printdetail, "/query", serviceOfPrintDetail.Select)
		// PrintDetail查询一条
		RegisterSelectOnePrintDetail(printdetail, "/get", serviceOfPrintDetail.SelectOne)
		// PrintDetail修改一条
		// RegisterUpdateOnePrintDetail(printdetail, "/updateone", serviceOfPrintDetail.UpdateOne)
		// PrintDetail修改多条
		// RegisterUpdatePrintDetail(printdetail, "/update", serviceOfPrintDetail.Update)
		// Printer的路由组
		printer := party.Party("/printer")
		// Printer的服务实例
		var serviceOfPrinter = svr.NewPrinterService()
		// Printer插入一条
		RegisterInsertOnePrinter(printer, "/insertone", serviceOfPrinter.InsertOne)
		// Printer插入多条
		// RegisterInsertPrinter(printer, "/insert", serviceOfPrinter.Insert)
		// Printer删除一条
		RegisterDeleteOnePrinter(printer, "/deleteone", serviceOfPrinter.DeleteOne)
		// Printer删除多条
		// RegisterDeletePrinter(printer, "/delete", serviceOfPrinter.Delete)
		// Printer查询多条
		RegisterSelectPrinter(printer, "/query", serviceOfPrinter.Select)
		// Printer查询一条
		RegisterSelectOnePrinter(printer, "/get", serviceOfPrinter.SelectOne)
		// Printer修改一条
		RegisterUpdateOnePrinter(printer, "/updateone", serviceOfPrinter.UpdateOne)
		// Printer修改多条
		// RegisterUpdatePrinter(printer, "/update", serviceOfPrinter.Update)

		// PrintHead的路由组
		printhead := party.Party("/printhead")
		// PrintHead的服务实例
		var serviceOfPrintHead = svr.NewPrintHeadService()
		// PrintHead插入一条
		// RegisterInsertOnePrintHead(printhead, "/insertone", serviceOfPrintHead.InsertOne)
		// PrintHead插入多条
		// RegisterInsertPrintHead(printhead, "/insert", serviceOfPrintHead.Insert)
		// PrintHead删除一条
		RegisterDeleteOnePrintHead(printhead, "/deleteone", serviceOfPrintHead.DeleteOne)
		// PrintHead删除多条
		// RegisterDeletePrintHead(printhead, "/delete", serviceOfPrintHead.Delete)
		// PrintHead查询多条
		RegisterSelectPrintHead(printhead, "/query", serviceOfPrintHead.Select)
		// PrintHead查询一条
		RegisterSelectOnePrintHead(printhead, "/get", serviceOfPrintHead.SelectOne)
		// PrintHead修改一条
		RegisterUpdateOnePrintHead(printhead, "/updateone", serviceOfPrintHead.UpdateOne)
		// PrintHead修改多条
		// RegisterUpdatePrintHead(printhead, "/update", serviceOfPrintHead.Update)

		// ScriptItem的路由组
		scriptitem := party.Party("/scriptitem")
		// ScriptItem的服务实例
		var serviceOfScriptItem = svr.NewScriptItemService()
		// ScriptItem插入一条
		// RegisterInsertOneScriptItem(scriptitem, "/insertone", serviceOfScriptItem.InsertOne)
		// ScriptItem插入多条
		// RegisterInsertScriptItem(scriptitem, "/insert", serviceOfScriptItem.Insert)
		// ScriptItem删除一条
		// RegisterDeleteOneScriptItem(scriptitem, "/deleteone", serviceOfScriptItem.DeleteOne)
		// ScriptItem删除多条
		// RegisterDeleteScriptItem(scriptitem, "/delete", serviceOfScriptItem.Delete)
		// ScriptItem查询多条
		RegisterSelectScriptItem(scriptitem, "/query", serviceOfScriptItem.Select)
		// ScriptItem查询一条
		RegisterSelectOneScriptItem(scriptitem, "/get", serviceOfScriptItem.SelectOne)
		// ScriptItem修改一条
		// RegisterUpdateOneScriptItem(scriptitem, "/updateone", serviceOfScriptItem.UpdateOne)
		// ScriptItem修改多条
		// RegisterUpdateScriptItem(scriptitem, "/update", serviceOfScriptItem.Update)

		// Script的路由组
		script := party.Party("/script")
		// Script的服务实例
		var serviceOfScript = svr.NewScriptService()
		// Script插入一条
		// RegisterInsertOneScript(script, "/insertone", serviceOfScript.InsertOne)
		// Script插入多条
		// RegisterInsertScript(script, "/insert", serviceOfScript.Insert)
		// Script删除一条
		// RegisterDeleteOneScript(script, "/deleteone", serviceOfScript.DeleteOne)
		// Script删除多条
		// RegisterDeleteScript(script, "/delete", serviceOfScript.Delete)
		// Script查询多条
		RegisterSelectScript(script, "/query", serviceOfScript.Select)
		// Script查询一条
		RegisterSelectOneScript(script, "/get", serviceOfScript.SelectOne)
		// Script修改一条
		// RegisterUpdateOneScript(script, "/updateone", serviceOfScript.UpdateOne)
		// Script修改多条
		// RegisterUpdateScript(script, "/update", serviceOfScript.Update)

		// Snr的路由组
		snr := party.Party("/snr")
		// Snr的服务实例
		var serviceOfSnr = svr.NewSnrService()
		// Snr插入一条
		// RegisterInsertOneSnr(snr, "/insertone", serviceOfSnr.InsertOne)
		// Snr插入多条
		// RegisterInsertSnr(snr, "/insert", serviceOfSnr.Insert)
		// Snr删除一条
		// RegisterDeleteOneSnr(snr, "/deleteone", serviceOfSnr.DeleteOne)
		// Snr删除多条
		// RegisterDeleteSnr(snr, "/delete", serviceOfSnr.Delete)
		// Snr查询多条
		RegisterSelectSnr(snr, "/query", serviceOfSnr.Select)
		// Snr查询一条
		RegisterSelectOneSnr(snr, "/get", serviceOfSnr.SelectOne)
		// Snr修改一条
		// RegisterUpdateOneSnr(snr, "/updateone", serviceOfSnr.UpdateOne)
		// Snr修改多条
		// RegisterUpdateSnr(snr, "/update", serviceOfSnr.Update)

		// User的路由组
		user := party.Party("/user")
		// User的服务实例
		var serviceOfUser = svr.NewUserService()
		// User插入一条
		// RegisterInsertOneUser(user, "/insertone", serviceOfUser.InsertOne)
		// User插入多条
		// RegisterInsertUser(user, "/insert", serviceOfUser.Insert)
		// User删除一条
		// RegisterDeleteOneUser(user, "/deleteone", serviceOfUser.DeleteOne)
		// User删除多条
		// RegisterDeleteUser(user, "/delete", serviceOfUser.Delete)
		// User查询多条
		RegisterSelectUser(user, "/query", serviceOfUser.Select)
		// User查询一条
		RegisterSelectOneUser(user, "/get", serviceOfUser.SelectOne)
		// User修改一条
		// RegisterUpdateOneUser(user, "/updateone", serviceOfUser.UpdateOne)
		// User修改多条
		// RegisterUpdateUser(user, "/update", serviceOfUser.Update)

		// Plant的路由组
		plant := party.Party("/plant")
		// Plant的服务实例
		var serviceOfPlant = svr.NewPlantService()
		// Plant插入一条
		// RegisterInsertOnePlant(plant, "/insertone", serviceOfPlant.InsertOne)
		// Plant插入多条
		// RegisterInsertPlant(plant, "/insert", serviceOfPlant.Insert)
		// Plant删除一条
		// RegisterDeleteOnePlant(plant, "/deleteone", serviceOfPlant.DeleteOne)
		// Plant删除多条
		// RegisterDeletePlant(plant, "/delete", serviceOfPlant.Delete)
		// Plant查询多条
		RegisterSelectPlant(plant, "/query", serviceOfPlant.Select)
		// Plant查询一条
		RegisterSelectOnePlant(plant, "/get", serviceOfPlant.SelectOne)
		// Plant修改一条
		// RegisterUpdateOnePlant(plant, "/updateone", serviceOfPlant.UpdateOne)
		// Plant修改多条
		// RegisterUpdatePlant(plant, "/update", serviceOfPlant.Update)

		// Uom的路由组
		uom := party.Party("/uom")
		// Uom的服务实例
		var serviceOfUom = svr.NewUomService()
		// Uom插入一条
		RegisterInsertOneUom(uom, "/insertone", serviceOfUom.InsertOne)
		// Uom插入多条
		// RegisterInsertUom(uom, "/insert", serviceOfUom.Insert)
		// Uom删除一条
		RegisterDeleteOneUom(uom, "/deleteone", serviceOfUom.DeleteOne)
		// Uom删除多条
		// RegisterDeleteUom(uom, "/delete", serviceOfUom.Delete)
		// Uom查询多条
		RegisterSelectUom(uom, "/query", serviceOfUom.Select)
		// Uom查询一条
		RegisterSelectOneUom(uom, "/get", serviceOfUom.SelectOne)
		// Uom修改一条
		RegisterUpdateOneUom(uom, "/updateone", serviceOfUom.UpdateOne)
		// Uom修改多条
		// RegisterUpdateUom(uom, "/update", serviceOfUom.Update)

		// CostCenter的路由组
		costcenter := party.Party("/costcenter")
		// CostCenter的服务实例
		var serviceOfCostCenter = svr.NewCostCenterService()
		// CostCenter插入一条
		RegisterInsertOneCostCenter(costcenter, "/insertone", serviceOfCostCenter.InsertOne)
		// CostCenter插入多条
		// RegisterInsertCostCenter(costcenter, "/insert", serviceOfCostCenter.Insert)
		// CostCenter删除一条
		RegisterDeleteOneCostCenter(costcenter, "/deleteone", serviceOfCostCenter.DeleteOne)
		// CostCenter删除多条
		// RegisterDeleteCostCenter(costcenter, "/delete", serviceOfCostCenter.Delete)
		// CostCenter查询多条
		RegisterSelectCostCenter(costcenter, "/query", serviceOfCostCenter.Select)
		// CostCenter查询一条
		RegisterSelectOneCostCenter(costcenter, "/get", serviceOfCostCenter.SelectOne)
		// CostCenter修改一条
		RegisterUpdateOneCostCenter(costcenter, "/updateone", serviceOfCostCenter.UpdateOne)
		// CostCenter修改多条
		// RegisterUpdateCostCenter(costcenter, "/update", serviceOfCostCenter.Update)

		// StatusColor的路由组
		statuscolor := party.Party("/statuscolor")
		// StatusColor的服务实例
		var serviceOfStatusColor = svr.NewStatusColorService()
		// StatusColor插入一条
		RegisterInsertOneStatusColor(statuscolor, "/insertone", serviceOfStatusColor.InsertOne)
		// StatusColor插入多条
		// RegisterInsertStatusColor(statuscolor, "/insert", serviceOfStatusColor.Insert)
		// StatusColor删除一条
		RegisterDeleteOneStatusColor(statuscolor, "/deleteone", serviceOfStatusColor.DeleteOne)
		// StatusColor删除多条
		// RegisterDeleteStatusColor(statuscolor, "/delete", serviceOfStatusColor.Delete)
		// StatusColor查询多条
		RegisterSelectStatusColor(statuscolor, "/query", serviceOfStatusColor.Select)
		// StatusColor查询一条
		RegisterSelectOneStatusColor(statuscolor, "/get", serviceOfStatusColor.SelectOne)
		// StatusColor修改一条
		RegisterUpdateOneStatusColor(statuscolor, "/updateone", serviceOfStatusColor.UpdateOne)
		// StatusColor修改多条
		// RegisterUpdateStatusColor(statuscolor, "/update", serviceOfStatusColor.Update)

		// Attribute的路由组
		attribute := party.Party("/attribute")
		// Attribute的服务实例
		var serviceOfAttribute = svr.NewAttributeService()
		// Attribute插入一条
		RegisterInsertOneAttribute(attribute, "/insertone", serviceOfAttribute.InsertOne)
		// Attribute插入多条
		// RegisterInsertAttribute(attribute, "/insert", serviceOfAttribute.Insert)
		// Attribute删除一条
		RegisterDeleteOneAttribute(attribute, "/deleteone", serviceOfAttribute.DeleteOne)
		// Attribute删除多条
		// RegisterDeleteAttribute(attribute, "/delete", serviceOfAttribute.Delete)
		// Attribute查询多条
		RegisterSelectAttribute(attribute, "/query", serviceOfAttribute.Select)
		// Attribute查询一条
		RegisterSelectOneAttribute(attribute, "/get", serviceOfAttribute.SelectOne)
		// Attribute修改一条
		RegisterUpdateOneAttribute(attribute, "/updateone", serviceOfAttribute.UpdateOne)
		// Attribute修改多条
		// RegisterUpdateAttribute(attribute, "/update", serviceOfAttribute.Update)

		// AttributeValst的路由组
		attributevalst := party.Party("/attributevalst")
		// AttributeValst的服务实例
		var serviceOfAttributeValst = svr.NewAttributeValstService()
		// AttributeValst插入一条
		// RegisterInsertOneAttributeValst(attributevalst, "/insertone", serviceOfAttributeValst.InsertOne)
		// AttributeValst插入多条
		// RegisterInsertAttributeValst(attributevalst, "/insert", serviceOfAttributeValst.Insert)
		// AttributeValst删除一条
		// RegisterDeleteOneAttributeValst(attributevalst, "/deleteone", serviceOfAttributeValst.DeleteOne)
		// AttributeValst删除多条
		// RegisterDeleteAttributeValst(attributevalst, "/delete", serviceOfAttributeValst.Delete)
		// AttributeValst查询多条
		RegisterSelectAttributeValst(attributevalst, "/query", serviceOfAttributeValst.Select)
		// AttributeValst查询一条
		RegisterSelectOneAttributeValst(attributevalst, "/get", serviceOfAttributeValst.SelectOne)
		// AttributeValst修改一条
		// RegisterUpdateOneAttributeValst(attributevalst, "/updateone", serviceOfAttributeValst.UpdateOne)
		// AttributeValst修改多条
		// RegisterUpdateAttributeValst(attributevalst, "/update", serviceOfAttributeValst.Update)

		// AttributeGroup的路由组
		attributegroup := party.Party("/attributegroup")
		// AttributeGroup的服务实例
		var serviceOfAttributeGroup = svr.NewAttributeGroupService()
		// AttributeGroup插入一条
		RegisterInsertOneAttributeGroup(attributegroup, "/insertone", serviceOfAttributeGroup.InsertOne)
		// AttributeGroup插入多条
		// RegisterInsertAttributeGroup(attributegroup, "/insert", serviceOfAttributeGroup.Insert)
		// AttributeGroup删除一条
		RegisterDeleteOneAttributeGroup(attributegroup, "/deleteone", serviceOfAttributeGroup.DeleteOne)
		// AttributeGroup删除多条
		// RegisterDeleteAttributeGroup(attributegroup, "/delete", serviceOfAttributeGroup.Delete)
		// AttributeGroup查询多条
		RegisterSelectAttributeGroup(attributegroup, "/query", serviceOfAttributeGroup.Select)
		// AttributeGroup查询一条
		RegisterSelectOneAttributeGroup(attributegroup, "/get", serviceOfAttributeGroup.SelectOne)
		// AttributeGroup修改一条
		RegisterUpdateOneAttributeGroup(attributegroup, "/updateone", serviceOfAttributeGroup.UpdateOne)
		// AttributeGroup修改多条
		// RegisterUpdateAttributeGroup(attributegroup, "/update", serviceOfAttributeGroup.Update)

		// AttributeGroupValst的路由组
		attributegroupvalst := party.Party("/attributegroupvalst")
		// AttributeGroupValst的服务实例
		var serviceOfAttributeGroupValst = svr.NewAttributeGroupValstService()
		// AttributeGroupValst插入一条
		// RegisterInsertOneAttributeGroupValst(attributegroupvalst, "/insertone", serviceOfAttributeGroupValst.InsertOne)
		// AttributeGroupValst插入多条
		// RegisterInsertAttributeGroupValst(attributegroupvalst, "/insert", serviceOfAttributeGroupValst.Insert)
		// AttributeGroupValst删除一条
		// RegisterDeleteOneAttributeGroupValst(attributegroupvalst, "/deleteone", serviceOfAttributeGroupValst.DeleteOne)
		// AttributeGroupValst删除多条
		// RegisterDeleteAttributeGroupValst(attributegroupvalst, "/delete", serviceOfAttributeGroupValst.Delete)
		// AttributeGroupValst查询多条
		RegisterSelectAttributeGroupValst(attributegroupvalst, "/query", serviceOfAttributeGroupValst.Select)
		// AttributeGroupValst查询一条
		RegisterSelectOneAttributeGroupValst(attributegroupvalst, "/get", serviceOfAttributeGroupValst.SelectOne)
		// AttributeGroupValst修改一条
		// RegisterUpdateOneAttributeGroupValst(attributegroupvalst, "/updateone", serviceOfAttributeGroupValst.UpdateOne)
		// AttributeGroupValst修改多条
		// RegisterUpdateAttributeGroupValst(attributegroupvalst, "/update", serviceOfAttributeGroupValst.Update)

		// WorkShift的路由组
		workshift := party.Party("/workshift")
		// WorkShift的服务实例
		var serviceOfWorkShift = svr.NewWorkShiftService()
		// WorkShift插入一条
		RegisterInsertOneWorkShift(workshift, "/insertone", serviceOfWorkShift.InsertOne)
		// WorkShift插入多条
		// RegisterInsertWorkShift(workshift, "/insert", serviceOfWorkShift.Insert)
		// WorkShift删除一条
		RegisterDeleteOneWorkShift(workshift, "/deleteone", serviceOfWorkShift.DeleteOne)
		// WorkShift删除多条
		// RegisterDeleteWorkShift(workshift, "/delete", serviceOfWorkShift.Delete)
		// WorkShift查询多条
		RegisterSelectWorkShift(workshift, "/query", serviceOfWorkShift.Select)
		// WorkShift查询一条
		RegisterSelectOneWorkShift(workshift, "/get", serviceOfWorkShift.SelectOne)
		// WorkShift修改一条
		RegisterUpdateOneWorkShift(workshift, "/updateone", serviceOfWorkShift.UpdateOne)
		// WorkShift修改多条
		// RegisterUpdateWorkShift(workshift, "/update", serviceOfWorkShift.Update)

		// WorkShiftEffLst的路由组
		workshiftefflst := party.Party("/workshiftefflst")
		// WorkShiftEffLst的服务实例
		var serviceOfWorkShiftEffLst = svr.NewWorkShiftEffLstService()
		// WorkShiftEffLst插入一条
		RegisterInsertOneWorkShiftEffLst(workshiftefflst, "/insertone", serviceOfWorkShiftEffLst.InsertOne)
		// WorkShiftEffLst插入多条
		// RegisterInsertWorkShiftEffLst(workshiftefflst, "/insert", serviceOfWorkShiftEffLst.Insert)
		// WorkShiftEffLst删除一条
		RegisterDeleteOneWorkShiftEffLst(workshiftefflst, "/deleteone", serviceOfWorkShiftEffLst.DeleteOne)
		// WorkShiftEffLst删除多条
		// RegisterDeleteWorkShiftEffLst(workshiftefflst, "/delete", serviceOfWorkShiftEffLst.Delete)
		// WorkShiftEffLst查询多条
		RegisterSelectWorkShiftEffLst(workshiftefflst, "/query", serviceOfWorkShiftEffLst.Select)
		// WorkShiftEffLst查询一条
		RegisterSelectOneWorkShiftEffLst(workshiftefflst, "/get", serviceOfWorkShiftEffLst.SelectOne)
		// WorkShiftEffLst修改一条
		RegisterUpdateOneWorkShiftEffLst(workshiftefflst, "/updateone", serviceOfWorkShiftEffLst.UpdateOne)
		// WorkShiftEffLst修改多条
		// RegisterUpdateWorkShiftEffLst(workshiftefflst, "/update", serviceOfWorkShiftEffLst.Update)

		// DayModel的路由组
		daymodel := party.Party("/daymodel")
		// DayModel的服务实例
		var serviceOfDayModel = svr.NewDayModelService()
		// DayModel插入一条
		RegisterInsertOneDayModel(daymodel, "/insertone", serviceOfDayModel.InsertOne)
		// DayModel插入多条
		// RegisterInsertDayModel(daymodel, "/insert", serviceOfDayModel.Insert)
		// DayModel删除一条
		RegisterDeleteOneDayModel(daymodel, "/deleteone", serviceOfDayModel.DeleteOne)
		// DayModel删除多条
		// RegisterDeleteDayModel(daymodel, "/delete", serviceOfDayModel.Delete)
		// DayModel查询多条
		RegisterSelectDayModel(daymodel, "/query", serviceOfDayModel.Select)
		// DayModel查询一条
		RegisterSelectOneDayModel(daymodel, "/get", serviceOfDayModel.SelectOne)
		// DayModel修改一条
		RegisterUpdateOneDayModel(daymodel, "/updateone", serviceOfDayModel.UpdateOne)
		// DayModel修改多条
		// RegisterUpdateDayModel(daymodel, "/update", serviceOfDayModel.Update)

		// WeekModel的路由组
		weekmodel := party.Party("/weekmodel")
		// WeekModel的服务实例
		var serviceOfWeekModel = svr.NewWeekModelService()
		// WeekModel插入一条
		RegisterInsertOneWeekModel(weekmodel, "/insertone", serviceOfWeekModel.InsertOne)
		// WeekModel插入多条
		// RegisterInsertWeekModel(weekmodel, "/insert", serviceOfWeekModel.Insert)
		// WeekModel删除一条
		RegisterDeleteOneWeekModel(weekmodel, "/deleteone", serviceOfWeekModel.DeleteOne)
		// WeekModel删除多条
		// RegisterDeleteWeekModel(weekmodel, "/delete", serviceOfWeekModel.Delete)
		// WeekModel查询多条
		RegisterSelectWeekModel(weekmodel, "/query", serviceOfWeekModel.Select)
		// WeekModel查询一条
		RegisterSelectOneWeekModel(weekmodel, "/get", serviceOfWeekModel.SelectOne)
		// WeekModel修改一条
		RegisterUpdateOneWeekModel(weekmodel, "/updateone", serviceOfWeekModel.UpdateOne)
		// WeekModel修改多条
		// RegisterUpdateWeekModel(weekmodel, "/update", serviceOfWeekModel.Update)

		// WeekModelLst的路由组
		weekmodellst := party.Party("/weekmodellst")
		// WeekModelLst的服务实例
		var serviceOfWeekModelLst = svr.NewWeekModelLstService()
		// WeekModelLst插入一条
		//RegisterInsertOneWeekModelLst(weekmodellst, "/insertone", serviceOfWeekModelLst.InsertOne)
		// WeekModelLst插入多条
		RegisterInsertWeekModelLst(weekmodellst, "/insert", serviceOfWeekModelLst.Insert)
		// WeekModelLst删除一条
		//RegisterDeleteOneWeekModelLst(weekmodellst, "/deleteone", serviceOfWeekModelLst.DeleteOne)
		// WeekModelLst删除多条
		// RegisterDeleteWeekModelLst(weekmodellst, "/delete", serviceOfWeekModelLst.Delete)
		// WeekModelLst查询多条
		//RegisterSelectWeekModelLst(weekmodellst, "/query", serviceOfWeekModelLst.Select)
		// WeekModelLst查询一条
		//RegisterSelectOneWeekModelLst(weekmodellst, "/get", serviceOfWeekModelLst.SelectOne)
		// WeekModelLst修改一条
		//RegisterUpdateOneWeekModelLst(weekmodellst, "/updateone", serviceOfWeekModelLst.UpdateOne)
		// WeekModelLst修改多条
		// RegisterUpdateWeekModelLst(weekmodellst, "/update", serviceOfWeekModelLst.Update)

		// WorkCalendar的路由组
		workcalendar := party.Party("/workcalendar")
		// WorkCalendar的服务实例
		var serviceOfWorkCalendar = svr.NewWorkCalendarService()
		// WorkCalendar插入一条
		RegisterInsertOneWorkCalendar(workcalendar, "/insertone", serviceOfWorkCalendar.InsertOne)
		// WorkCalendar插入多条
		// RegisterInsertWorkCalendar(workcalendar, "/insert", serviceOfWorkCalendar.Insert)
		// WorkCalendar删除一条
		RegisterDeleteOneWorkCalendar(workcalendar, "/deleteone", serviceOfWorkCalendar.DeleteOne)
		// WorkCalendar删除多条
		// RegisterDeleteWorkCalendar(workcalendar, "/delete", serviceOfWorkCalendar.Delete)
		// WorkCalendar查询多条
		RegisterSelectWorkCalendar(workcalendar, "/query", serviceOfWorkCalendar.Select)
		// WorkCalendar查询一条
		RegisterSelectOneWorkCalendar(workcalendar, "/get", serviceOfWorkCalendar.SelectOne)
		// WorkCalendar修改一条
		RegisterUpdateOneWorkCalendar(workcalendar, "/updateone", serviceOfWorkCalendar.UpdateOne)
		// WorkCalendar修改多条
		// RegisterUpdateWorkCalendar(workcalendar, "/update", serviceOfWorkCalendar.Update)

		// WorkCalendarLst的路由组
		workcalendarlst := party.Party("/workcalendarlst")
		// WorkCalendarLst的服务实例
		var serviceOfWorkCalendarLst = svr.NewWorkCalendarLstService()
		// WorkCalendarLst插入一条
		//RegisterInsertOneWorkCalendarLst(workcalendarlst, "/insertone", serviceOfWorkCalendarLst.InsertOne)
		// WorkCalendarLst插入多条
		RegisterInsertWorkCalendarLst(workcalendarlst, "/insert", serviceOfWorkCalendarLst.Insert)
		// WorkCalendarLst删除一条
		//RegisterDeleteOneWorkCalendarLst(workcalendarlst, "/deleteone", serviceOfWorkCalendarLst.DeleteOne)
		// WorkCalendarLst删除多条
		// RegisterDeleteWorkCalendarLst(workcalendarlst, "/delete", serviceOfWorkCalendarLst.Delete)
		// WorkCalendarLst查询多条
		//RegisterSelectWorkCalendarLst(workcalendarlst, "/query", serviceOfWorkCalendarLst.Select)
		// WorkCalendarLst查询一条
		//RegisterSelectOneWorkCalendarLst(workcalendarlst, "/get", serviceOfWorkCalendarLst.SelectOne)
		// WorkCalendarLst修改一条
		//RegisterUpdateOneWorkCalendarLst(workcalendarlst, "/updateone", serviceOfWorkCalendarLst.UpdateOne)
		// WorkCalendarLst修改多条
		// RegisterUpdateWorkCalendarLst(workcalendarlst, "/update", serviceOfWorkCalendarLst.Update)

		// WorkLine的路由组
		workline := party.Party("/workline")
		// WorkLine的服务实例
		var serviceOfWorkLine = svr.NewWorkLineService()
		// WorkLine插入一条
		RegisterInsertOneWorkLine(workline, "/insertone", serviceOfWorkLine.InsertOne)
		// WorkLine插入多条
		// RegisterInsertWorkLine(workline, "/insert", serviceOfWorkLine.Insert)
		// WorkLine删除一条
		RegisterDeleteOneWorkLine(workline, "/deleteone", serviceOfWorkLine.DeleteOne)
		// WorkLine删除多条
		// RegisterDeleteWorkLine(workline, "/delete", serviceOfWorkLine.Delete)
		// WorkLine查询多条
		RegisterSelectWorkLine(workline, "/query", serviceOfWorkLine.Select)
		// WorkLine查询一条
		RegisterSelectOneWorkLine(workline, "/get", serviceOfWorkLine.SelectOne)
		// WorkLine修改一条
		RegisterUpdateOneWorkLine(workline, "/updateone", serviceOfWorkLine.UpdateOne)
		// WorkLine修改多条
		// RegisterUpdateWorkLine(workline, "/update", serviceOfWorkLine.Update)
		// WorkLine查询所有
		RegisterSelectJoinWorkPlace(workline, "/selectall", serviceOfWorkLine.SelectJoinWorkPlace)
		// WorkLine查询树状图
		RegisterSelectWorkLineArr(workline, "/worklinetree", serviceOfWorkLine.WorkLineTree)
		// WorkLine产线调度自动排程
		RegisterSelectWorkLineScheduler(workline, "/worklinescheduler", serviceOfWorkLine.WorkLineScheduler)
		//修复产线
		RegisterWorkLineRepairSchedule(workline, "/repairschedule", serviceOfWorkLine.WorkLineRepairSchedule)
		// WorkLine产线人工调度排程
		RegisterSelectWorkLineSchedulerManPower(workline, "/manpowerscheduler", serviceOfWorkLine.WorkLineSchedulerManPower)
		//手动左右移动调度
		RegisterWorkLineSchedulerManualr(workline, "/manualrscheduler", serviceOfWorkLine.WorkLineSchedulerManualr)
		// 保存调度结果
		RegisterSaveWorkLineScheduler(workline, "/savescheduler", serviceOfWorkLine.SaveWorkLineScheduler)

		// WorkLineSpecialDay的路由组
		worklinespecialday := party.Party("/worklinespecialday")
		// WorkLineSpecialDay的服务实例
		var serviceOfWorkLineSpecialDay = svr.NewWorkLineSpecialDayService()
		// WorkLineSpecialDay插入一条
		RegisterInsertOneWorkLineSpecialDay(worklinespecialday, "/insertone", serviceOfWorkLineSpecialDay.InsertOne)
		// WorkLineSpecialDay插入多条
		// RegisterInsertWorkLineSpecialDay(worklinespecialday, "/insert", serviceOfWorkLineSpecialDay.Insert)
		// WorkLineSpecialDay删除一条
		RegisterDeleteOneWorkLineSpecialDay(worklinespecialday, "/deleteone", serviceOfWorkLineSpecialDay.DeleteOne)
		// WorkLineSpecialDay删除多条
		// RegisterDeleteWorkLineSpecialDay(worklinespecialday, "/delete", serviceOfWorkLineSpecialDay.Delete)
		// WorkLineSpecialDay查询多条
		RegisterSelectWorkLineSpecialDay(worklinespecialday, "/query", serviceOfWorkLineSpecialDay.Select)
		// WorkLineSpecialDay查询一条
		RegisterSelectOneWorkLineSpecialDay(worklinespecialday, "/get", serviceOfWorkLineSpecialDay.SelectOne)
		// WorkLineSpecialDay修改一条
		RegisterUpdateOneWorkLineSpecialDay(worklinespecialday, "/updateone", serviceOfWorkLineSpecialDay.UpdateOne)
		// WorkLineSpecialDay修改多条
		// RegisterUpdateWorkLineSpecialDay(worklinespecialday, "/update", serviceOfWorkLineSpecialDay.Update)

		// WorkLineSpecialTime的路由组
		worklinespecialtime := party.Party("/worklinespecialtime")
		// WorkLineSpecialTime的服务实例
		var serviceOfWorkLineSpecialTime = svr.NewWorkLineSpecialTimeService()
		// WorkLineSpecialTime插入一条
		// RegisterInsertOneWorkLineSpecialTime(worklinespecialtime, "/insertone", serviceOfWorkLineSpecialTime.InsertOne)
		// WorkLineSpecialTime插入多条
		// RegisterInsertWorkLineSpecialTime(worklinespecialtime, "/insert", serviceOfWorkLineSpecialTime.Insert)
		// WorkLineSpecialTime删除一条
		// RegisterDeleteOneWorkLineSpecialTime(worklinespecialtime, "/deleteone", serviceOfWorkLineSpecialTime.DeleteOne)
		// WorkLineSpecialTime删除多条
		// RegisterDeleteWorkLineSpecialTime(worklinespecialtime, "/delete", serviceOfWorkLineSpecialTime.Delete)
		// WorkLineSpecialTime查询多条
		RegisterSelectWorkLineSpecialTime(worklinespecialtime, "/query", serviceOfWorkLineSpecialTime.Select)
		// WorkLineSpecialTime查询一条
		RegisterSelectOneWorkLineSpecialTime(worklinespecialtime, "/get", serviceOfWorkLineSpecialTime.SelectOne)
		// WorkLineSpecialTime修改一条
		// RegisterUpdateOneWorkLineSpecialTime(worklinespecialtime, "/updateone", serviceOfWorkLineSpecialTime.UpdateOne)
		// WorkLineSpecialTime修改多条
		// RegisterUpdateWorkLineSpecialTime(worklinespecialtime, "/update", serviceOfWorkLineSpecialTime.Update)

		// Article的路由组
		article := party.Party("/article")
		// Article的服务实例
		var serviceOfArticle = svr.NewArticleService()
		// Article插入一条
		RegisterInsertOneArticle(article, "/insertone", serviceOfArticle.InsertOne)
		// Article插入多条
		// RegisterInsertArticle(article, "/insert", serviceOfArticle.Insert)
		// Article删除一条
		RegisterDeleteOneArticle(article, "/deleteone", serviceOfArticle.DeleteOne)
		// Article删除多条
		// RegisterDeleteArticle(article, "/delete", serviceOfArticle.Delete)
		// Article查询多条
		RegisterSelectArticle(article, "/query", serviceOfArticle.Select)
		// Article查询一条
		RegisterSelectOneArticle(article, "/get", serviceOfArticle.SelectOne)
		// Article修改一条
		RegisterUpdateOneArticle(article, "/updateone", serviceOfArticle.UpdateOne)
		// Article修改多条
		// RegisterUpdateArticle(article, "/update", serviceOfArticle.Update)

		// WorkLineWorkShiftLst的路由组
		worklineworkshiftlst := party.Party("/worklineworkshiftlst")
		// WorkLineWorkShiftLst的服务实例
		var serviceOfWorkLineWorkShiftLst = svr.NewWorkLineWorkShiftLstService()
		// WorkLineWorkShiftLst插入一条
		RegisterInsertOneWorkLineWorkShiftLst(worklineworkshiftlst, "/insertone", serviceOfWorkLineWorkShiftLst.InsertOne)
		// WorkLineWorkShiftLst插入多条
		// RegisterInsertWorkLineWorkShiftLst(worklineworkshiftlst, "/insert", serviceOfWorkLineWorkShiftLst.Insert)
		// WorkLineWorkShiftLst删除一条
		RegisterDeleteOneWorkLineWorkShiftLst(worklineworkshiftlst, "/deleteone", serviceOfWorkLineWorkShiftLst.DeleteOne)
		// WorkLineWorkShiftLst删除多条
		// RegisterDeleteWorkLineWorkShiftLst(worklineworkshiftlst, "/delete", serviceOfWorkLineWorkShiftLst.Delete)
		// WorkLineWorkShiftLst查询多条
		RegisterSelectWorkLineWorkShiftLst(worklineworkshiftlst, "/query", serviceOfWorkLineWorkShiftLst.Select)
		// WorkLineWorkShiftLst查询一条
		RegisterSelectOneWorkLineWorkShiftLst(worklineworkshiftlst, "/get", serviceOfWorkLineWorkShiftLst.SelectOne)
		// WorkLineWorkShiftLst修改一条
		RegisterUpdateOneWorkLineWorkShiftLst(worklineworkshiftlst, "/updateone", serviceOfWorkLineWorkShiftLst.UpdateOne)
		// WorkLineWorkShiftLst修改多条
		// RegisterUpdateWorkLineWorkShiftLst(worklineworkshiftlst, "/update", serviceOfWorkLineWorkShiftLst.Update)

		// WorkLineWorkShiftSpecialTime的路由组
		worklineworkshiftspecialtime := party.Party("/worklineworkshiftspecialtime")
		// WorkLineWorkShiftSpecialTime的服务实例
		var serviceOfWorkLineWorkShiftSpecialTime = svr.NewWorkLineWorkShiftSpecialTimeService()
		// WorkLineWorkShiftSpecialTime插入一条
		// RegisterInsertOneWorkLineWorkShiftSpecialTime(worklineworkshiftspecialtime, "/insertone", serviceOfWorkLineWorkShiftSpecialTime.InsertOne)
		// WorkLineWorkShiftSpecialTime插入多条
		// RegisterInsertWorkLineWorkShiftSpecialTime(worklineworkshiftspecialtime, "/insert", serviceOfWorkLineWorkShiftSpecialTime.Insert)
		// WorkLineWorkShiftSpecialTime删除一条
		// RegisterDeleteOneWorkLineWorkShiftSpecialTime(worklineworkshiftspecialtime, "/deleteone", serviceOfWorkLineWorkShiftSpecialTime.DeleteOne)
		// WorkLineWorkShiftSpecialTime删除多条
		// RegisterDeleteWorkLineWorkShiftSpecialTime(worklineworkshiftspecialtime, "/delete", serviceOfWorkLineWorkShiftSpecialTime.Delete)
		// WorkLineWorkShiftSpecialTime查询多条
		RegisterSelectWorkLineWorkShiftSpecialTime(worklineworkshiftspecialtime, "/query", serviceOfWorkLineWorkShiftSpecialTime.Select)
		// WorkLineWorkShiftSpecialTime查询一条
		RegisterSelectOneWorkLineWorkShiftSpecialTime(worklineworkshiftspecialtime, "/get", serviceOfWorkLineWorkShiftSpecialTime.SelectOne)
		// WorkLineWorkShiftSpecialTime修改一条
		// RegisterUpdateOneWorkLineWorkShiftSpecialTime(worklineworkshiftspecialtime, "/updateone", serviceOfWorkLineWorkShiftSpecialTime.UpdateOne)
		// WorkLineWorkShiftSpecialTime修改多条
		// RegisterUpdateWorkLineWorkShiftSpecialTime(worklineworkshiftspecialtime, "/update", serviceOfWorkLineWorkShiftSpecialTime.Update)

		// Person的路由组
		person := party.Party("/person")
		// Person的服务实例
		var serviceOfPerson = svr.NewPersonService()
		// Person插入一条
		RegisterInsertOnePerson(person, "/insertone", serviceOfPerson.InsertOne)
		// Person插入多条
		// RegisterInsertPerson(person, "/insert", serviceOfPerson.Insert)
		// Person删除一条
		RegisterDeleteOnePerson(person, "/deleteone", serviceOfPerson.DeleteOne)
		// Person删除多条
		// RegisterDeletePerson(person, "/delete", serviceOfPerson.Delete)
		// Person查询多条
		RegisterSelectPerson(person, "/query", serviceOfPerson.Select)
		// Person查询一条
		RegisterSelectOnePerson(person, "/get", serviceOfPerson.SelectOne)
		// Person修改一条
		RegisterUpdateOnePerson(person, "/updateone", serviceOfPerson.UpdateOne)
		// Person修改多条
		// RegisterUpdatePerson(person, "/update", serviceOfPerson.Update)
		// Person查询一条
		RegisterSelectCheckLogin(person, "/checklogin", serviceOfPerson.CheckLogin)
		//查询登录信息
		RegisterSelectByUserName(person, "/byusername", serviceOfPerson.SelectOneByUserName)

		// ArticleAtcodLst的路由组
		articleatcodlst := party.Party("/articleatcodlst")
		// ArticleAtcodLst的服务实例
		var serviceOfArticleAtcodLst = svr.NewArticleAtcodLstService()
		// ArticleAtcodLst插入一条
		// RegisterInsertOneArticleAtcodLst(articleatcodlst, "/insertone", serviceOfArticleAtcodLst.InsertOne)
		// ArticleAtcodLst插入多条
		// RegisterInsertArticleAtcodLst(articleatcodlst, "/insert", serviceOfArticleAtcodLst.Insert)
		// ArticleAtcodLst删除一条
		// RegisterDeleteOneArticleAtcodLst(articleatcodlst, "/deleteone", serviceOfArticleAtcodLst.DeleteOne)
		// ArticleAtcodLst删除多条
		// RegisterDeleteArticleAtcodLst(articleatcodlst, "/delete", serviceOfArticleAtcodLst.Delete)
		// ArticleAtcodLst查询多条
		RegisterSelectArticleAtcodLst(articleatcodlst, "/query", serviceOfArticleAtcodLst.Select)
		// ArticleAtcodLst查询一条
		RegisterSelectOneArticleAtcodLst(articleatcodlst, "/get", serviceOfArticleAtcodLst.SelectOne)
		// ArticleAtcodLst修改一条
		// RegisterUpdateOneArticleAtcodLst(articleatcodlst, "/updateone", serviceOfArticleAtcodLst.UpdateOne)
		// ArticleAtcodLst修改多条
		// RegisterUpdateArticleAtcodLst(articleatcodlst, "/update", serviceOfArticleAtcodLst.Update)

		// WorkLineWorkPlaceLst的路由组
		worklineworkplacelst := party.Party("/worklineworkplacelst")
		// WorkLineWorkPlaceLst的服务实例
		var serviceOfWorkLineWorkPlaceLst = svr.NewWorkLineWorkPlaceLstService()
		// WorkLineWorkPlaceLst插入一条
		// RegisterInsertOneWorkLineWorkPlaceLst(worklineworkplacelst, "/insertone", serviceOfWorkLineWorkPlaceLst.InsertOne)
		// WorkLineWorkPlaceLst插入多条
		// RegisterInsertWorkLineWorkPlaceLst(worklineworkplacelst, "/insert", serviceOfWorkLineWorkPlaceLst.Insert)
		// WorkLineWorkPlaceLst删除一条
		// RegisterDeleteOneWorkLineWorkPlaceLst(worklineworkplacelst, "/deleteone", serviceOfWorkLineWorkPlaceLst.DeleteOne)
		// WorkLineWorkPlaceLst删除多条
		// RegisterDeleteWorkLineWorkPlaceLst(worklineworkplacelst, "/delete", serviceOfWorkLineWorkPlaceLst.Delete)
		// WorkLineWorkPlaceLst查询多条
		RegisterSelectWorkLineWorkPlaceLst(worklineworkplacelst, "/query", serviceOfWorkLineWorkPlaceLst.Select)
		// WorkLineWorkPlaceLst查询一条
		RegisterSelectOneWorkLineWorkPlaceLst(worklineworkplacelst, "/get", serviceOfWorkLineWorkPlaceLst.SelectOne)
		// WorkLineWorkPlaceLst修改一条
		// RegisterUpdateOneWorkLineWorkPlaceLst(worklineworkplacelst, "/updateone", serviceOfWorkLineWorkPlaceLst.UpdateOne)
		// WorkLineWorkPlaceLst修改多条
		// RegisterUpdateWorkLineWorkPlaceLst(worklineworkplacelst, "/update", serviceOfWorkLineWorkPlaceLst.Update)

		// WorkPlace的路由组
		workplace := party.Party("/workplace")
		// WorkPlace的服务实例
		var serviceOfWorkPlace = svr.NewWorkPlaceService()
		// WorkPlace插入一条
		RegisterInsertOneWorkPlace(workplace, "/insertone", serviceOfWorkPlace.InsertOne)
		// WorkPlace插入多条
		// RegisterInsertWorkPlace(workplace, "/insert", serviceOfWorkPlace.Insert)
		// WorkPlace删除一条
		RegisterDeleteOneWorkPlace(workplace, "/deleteone", serviceOfWorkPlace.DeleteOne)
		// WorkPlace删除多条
		// RegisterDeleteWorkPlace(workplace, "/delete", serviceOfWorkPlace.Delete)
		// WorkPlace查询多条
		RegisterSelectWorkPlace(workplace, "/query", serviceOfWorkPlace.Select)
		// WorkPlace查询一条
		RegisterSelectOneWorkPlace(workplace, "/get", serviceOfWorkPlace.SelectOne)
		// WorkPlace修改一条
		RegisterUpdateOneWorkPlace(workplace, "/updateone", serviceOfWorkPlace.UpdateOne)
		// WorkPlace修改多条
		// RegisterUpdateWorkPlace(workplace, "/update", serviceOfWorkPlace.Update)

		// WorkPlaceStatus的路由组
		workplacestatus := party.Party("/workplacestatus")
		// WorkPlaceStatus的服务实例
		var serviceOfWorkPlaceStatus = svr.NewWorkPlaceStatusService()
		// WorkPlaceStatus插入一条
		// RegisterInsertOneWorkPlaceStatus(workplacestatus, "/insertone", serviceOfWorkPlaceStatus.InsertOne)
		// WorkPlaceStatus插入多条
		// RegisterInsertWorkPlaceStatus(workplacestatus, "/insert", serviceOfWorkPlaceStatus.Insert)
		// WorkPlaceStatus删除一条
		// RegisterDeleteOneWorkPlaceStatus(workplacestatus, "/deleteone", serviceOfWorkPlaceStatus.DeleteOne)
		// WorkPlaceStatus删除多条
		// RegisterDeleteWorkPlaceStatus(workplacestatus, "/delete", serviceOfWorkPlaceStatus.Delete)
		// WorkPlaceStatus查询多条
		RegisterSelectWorkPlaceStatus(workplacestatus, "/query", serviceOfWorkPlaceStatus.Select)
		// WorkPlaceStatus查询一条
		RegisterSelectOneWorkPlaceStatus(workplacestatus, "/get", serviceOfWorkPlaceStatus.SelectOne)
		// WorkPlaceStatus修改一条
		// RegisterUpdateOneWorkPlaceStatus(workplacestatus, "/updateone", serviceOfWorkPlaceStatus.UpdateOne)
		// WorkPlaceStatus修改多条
		// RegisterUpdateWorkPlaceStatus(workplacestatus, "/update", serviceOfWorkPlaceStatus.Update)

		// WorkPlaceStatusRecLst的路由组
		workplacestatusreclst := party.Party("/workplacestatusreclst")
		// WorkPlaceStatusRecLst的服务实例
		var serviceOfWorkPlaceStatusRecLst = svr.NewWorkPlaceStatusRecLstService()
		// WorkPlaceStatusRecLst插入一条
		// RegisterInsertOneWorkPlaceStatusRecLst(workplacestatusreclst, "/insertone", serviceOfWorkPlaceStatusRecLst.InsertOne)
		// WorkPlaceStatusRecLst插入多条
		// RegisterInsertWorkPlaceStatusRecLst(workplacestatusreclst, "/insert", serviceOfWorkPlaceStatusRecLst.Insert)
		// WorkPlaceStatusRecLst删除一条
		// RegisterDeleteOneWorkPlaceStatusRecLst(workplacestatusreclst, "/deleteone", serviceOfWorkPlaceStatusRecLst.DeleteOne)
		// WorkPlaceStatusRecLst删除多条
		// RegisterDeleteWorkPlaceStatusRecLst(workplacestatusreclst, "/delete", serviceOfWorkPlaceStatusRecLst.Delete)
		// WorkPlaceStatusRecLst查询多条
		RegisterSelectWorkPlaceStatusRecLst(workplacestatusreclst, "/query", serviceOfWorkPlaceStatusRecLst.Select)
		// WorkPlaceStatusRecLst查询一条
		RegisterSelectOneWorkPlaceStatusRecLst(workplacestatusreclst, "/get", serviceOfWorkPlaceStatusRecLst.SelectOne)
		// WorkPlaceStatusRecLst修改一条
		// RegisterUpdateOneWorkPlaceStatusRecLst(workplacestatusreclst, "/updateone", serviceOfWorkPlaceStatusRecLst.UpdateOne)
		// WorkPlaceStatusRecLst修改多条
		// RegisterUpdateWorkPlaceStatusRecLst(workplacestatusreclst, "/update", serviceOfWorkPlaceStatusRecLst.Update)

		// WorkPlacePersonLst的路由组
		workplacepersonlst := party.Party("/workplacepersonlst")
		// WorkPlacePersonLst的服务实例
		var serviceOfWorkPlacePersonLst = svr.NewWorkPlacePersonLstService()
		// WorkPlacePersonLst插入一条
		// RegisterInsertOneWorkPlacePersonLst(workplacepersonlst, "/insertone", serviceOfWorkPlacePersonLst.InsertOne)
		// WorkPlacePersonLst插入多条
		// RegisterInsertWorkPlacePersonLst(workplacepersonlst, "/insert", serviceOfWorkPlacePersonLst.Insert)
		// WorkPlacePersonLst删除一条
		// RegisterDeleteOneWorkPlacePersonLst(workplacepersonlst, "/deleteone", serviceOfWorkPlacePersonLst.DeleteOne)
		// WorkPlacePersonLst删除多条
		// RegisterDeleteWorkPlacePersonLst(workplacepersonlst, "/delete", serviceOfWorkPlacePersonLst.Delete)
		// WorkPlacePersonLst查询多条
		RegisterSelectWorkPlacePersonLst(workplacepersonlst, "/query", serviceOfWorkPlacePersonLst.Select)
		// WorkPlacePersonLst查询一条
		RegisterSelectOneWorkPlacePersonLst(workplacepersonlst, "/get", serviceOfWorkPlacePersonLst.SelectOne)
		// WorkPlacePersonLst修改一条
		// RegisterUpdateOneWorkPlacePersonLst(workplacepersonlst, "/updateone", serviceOfWorkPlacePersonLst.UpdateOne)
		// WorkPlacePersonLst修改多条
		// RegisterUpdateWorkPlacePersonLst(workplacepersonlst, "/update", serviceOfWorkPlacePersonLst.Update)

		// PersonLoginHistory的路由组
		personloginhistory := party.Party("/personloginhistory")
		// PersonLoginHistory的服务实例
		var serviceOfPersonLoginHistory = svr.NewPersonLoginHistoryService()
		// PersonLoginHistory插入一条
		// RegisterInsertOnePersonLoginHistory(personloginhistory, "/insertone", serviceOfPersonLoginHistory.InsertOne)
		// PersonLoginHistory插入多条
		// RegisterInsertPersonLoginHistory(personloginhistory, "/insert", serviceOfPersonLoginHistory.Insert)
		// PersonLoginHistory删除一条
		// RegisterDeleteOnePersonLoginHistory(personloginhistory, "/deleteone", serviceOfPersonLoginHistory.DeleteOne)
		// PersonLoginHistory删除多条
		// RegisterDeletePersonLoginHistory(personloginhistory, "/delete", serviceOfPersonLoginHistory.Delete)
		// PersonLoginHistory查询多条
		RegisterSelectPersonLoginHistory(personloginhistory, "/query", serviceOfPersonLoginHistory.Select)
		// PersonLoginHistory查询一条
		RegisterSelectOnePersonLoginHistory(personloginhistory, "/get", serviceOfPersonLoginHistory.SelectOne)
		// PersonLoginHistory修改一条
		// RegisterUpdateOnePersonLoginHistory(personloginhistory, "/updateone", serviceOfPersonLoginHistory.UpdateOne)
		// PersonLoginHistory修改多条
		// RegisterUpdatePersonLoginHistory(personloginhistory, "/update", serviceOfPersonLoginHistory.Update)

		// ArticleType的路由组
		articletype := party.Party("/articletype")
		// ArticleType的服务实例
		var serviceOfArticleType = svr.NewArticleTypeService()
		// ArticleType插入一条
		// RegisterInsertOneArticleType(articletype, "/insertone", serviceOfArticleType.InsertOne)
		// ArticleType插入多条
		// RegisterInsertArticleType(articletype, "/insert", serviceOfArticleType.Insert)
		// ArticleType删除一条
		// RegisterDeleteOneArticleType(articletype, "/deleteone", serviceOfArticleType.DeleteOne)
		// ArticleType删除多条
		// RegisterDeleteArticleType(articletype, "/delete", serviceOfArticleType.Delete)
		// ArticleType查询多条
		RegisterSelectArticleType(articletype, "/query", serviceOfArticleType.Select)
		// ArticleType查询一条
		RegisterSelectOneArticleType(articletype, "/get", serviceOfArticleType.SelectOne)
		// ArticleType修改一条
		// RegisterUpdateOneArticleType(articletype, "/updateone", serviceOfArticleType.UpdateOne)
		// ArticleType修改多条
		// RegisterUpdateArticleType(articletype, "/update", serviceOfArticleType.Update)

		// LabelParserHead的路由组
		labelparserhead := party.Party("/labelparserhead")
		// LabelParserHead的服务实例
		var serviceOfLabelParserHead = svr.NewLabelParserHeadService()
		// LabelParserHead插入一条
		RegisterInsertOneLabelParserHead(labelparserhead, "/insertone", serviceOfLabelParserHead.InsertOne)
		// LabelParserHead插入多条
		// RegisterInsertLabelParserHead(labelparserhead, "/insert", serviceOfLabelParserHead.Insert)
		// LabelParserHead删除一条
		RegisterDeleteOneLabelParserHead(labelparserhead, "/deleteone", serviceOfLabelParserHead.DeleteOne)
		// LabelParserHead删除多条
		// RegisterDeleteLabelParserHead(labelparserhead, "/delete", serviceOfLabelParserHead.Delete)
		// LabelParserHead查询多条
		RegisterSelectLabelParserHead(labelparserhead, "/query", serviceOfLabelParserHead.Select)
		// LabelParserHead查询一条
		RegisterSelectOneLabelParserHead(labelparserhead, "/get", serviceOfLabelParserHead.SelectOne)
		// LabelParserHead修改一条
		RegisterUpdateOneLabelParserHead(labelparserhead, "/updateone", serviceOfLabelParserHead.UpdateOne)
		// LabelParserHead修改多条
		// RegisterUpdateLabelParserHead(labelparserhead, "/update", serviceOfLabelParserHead.Update)

		// LabelParserDetailLst的路由组
		labelparserdetaillst := party.Party("/labelparserdetaillst")
		// LabelParserDetailLst的服务实例
		var serviceOfLabelParserDetailLst = svr.NewLabelParserDetailLstService()
		// LabelParserDetailLst插入一条
		// RegisterInsertOneLabelParserDetailLst(labelparserdetaillst, "/insertone", serviceOfLabelParserDetailLst.InsertOne)
		// LabelParserDetailLst插入多条
		// RegisterInsertLabelParserDetailLst(labelparserdetaillst, "/insert", serviceOfLabelParserDetailLst.Insert)
		// LabelParserDetailLst删除一条
		// RegisterDeleteOneLabelParserDetailLst(labelparserdetaillst, "/deleteone", serviceOfLabelParserDetailLst.DeleteOne)
		// LabelParserDetailLst删除多条
		// RegisterDeleteLabelParserDetailLst(labelparserdetaillst, "/delete", serviceOfLabelParserDetailLst.Delete)
		// LabelParserDetailLst查询多条
		RegisterSelectLabelParserDetailLst(labelparserdetaillst, "/query", serviceOfLabelParserDetailLst.Select)
		// LabelParserDetailLst查询一条
		RegisterSelectOneLabelParserDetailLst(labelparserdetaillst, "/get", serviceOfLabelParserDetailLst.SelectOne)
		// LabelParserDetailLst修改一条
		// RegisterUpdateOneLabelParserDetailLst(labelparserdetaillst, "/updateone", serviceOfLabelParserDetailLst.UpdateOne)
		// LabelParserDetailLst修改多条
		// RegisterUpdateLabelParserDetailLst(labelparserdetaillst, "/update", serviceOfLabelParserDetailLst.Update)


		// ArticleRelLst的路由组
		articlerellst := party.Party("/articlerellst")
		// ArticleRelLst的服务实例
		var serviceOfArticleRelLst = svr.NewArticleRelLstService()
		// ArticleRelLst插入一条
		RegisterInsertOneArticleRelLst(articlerellst, "/insertone", serviceOfArticleRelLst.InsertOne)
		// ArticleRelLst插入多条
		// RegisterInsertArticleRelLst(articlerellst, "/insert", serviceOfArticleRelLst.Insert)
		// ArticleRelLst删除一条
		RegisterDeleteOneArticleRelLst(articlerellst, "/deleteone", serviceOfArticleRelLst.DeleteOne)
		// ArticleRelLst删除多条
		// RegisterDeleteArticleRelLst(articlerellst, "/delete", serviceOfArticleRelLst.Delete)
		// ArticleRelLst查询多条
		RegisterSelectArticleRelLst(articlerellst, "/query", serviceOfArticleRelLst.Select)
		// ArticleRelLst查询一条
		RegisterSelectOneArticleRelLst(articlerellst, "/get", serviceOfArticleRelLst.SelectOne)
		// ArticleRelLst修改一条
		RegisterUpdateOneArticleRelLst(articlerellst, "/updateone", serviceOfArticleRelLst.UpdateOne)
		// ArticleRelLst修改多条
		// RegisterUpdateArticleRelLst(articlerellst, "/update", serviceOfArticleRelLst.Update)

		// Operation的路由组
		operation := party.Party("/operation")
		// Operation的服务实例
		var serviceOfOperation = svr.NewOperationService()
		// Operation插入一条
		RegisterInsertOneOperation(operation, "/insertone", serviceOfOperation.InsertOne)
		// Operation插入多条
		// RegisterInsertOperation(operation, "/insert", serviceOfOperation.Insert)
		// Operation删除一条
		RegisterDeleteOneOperation(operation, "/deleteone", serviceOfOperation.DeleteOne)
		// Operation删除多条
		// RegisterDeleteOperation(operation, "/delete", serviceOfOperation.Delete)
		// Operation查询多条
		RegisterSelectOperation(operation, "/query", serviceOfOperation.Select)
		// Operation查询一条
		RegisterSelectOneOperation(operation, "/get", serviceOfOperation.SelectOne)
		// Operation修改一条
		RegisterUpdateOneOperation(operation, "/updateone", serviceOfOperation.UpdateOne)
		// Operation修改多条
		// RegisterUpdateOperation(operation, "/update", serviceOfOperation.Update)

		// StepType的路由组
		steptype := party.Party("/steptype")
		// StepType的服务实例
		var serviceOfStepType = svr.NewStepTypeService()
		// StepType插入一条
		RegisterInsertOneStepType(steptype, "/insertone", serviceOfStepType.InsertOne)
		// StepType插入多条
		// RegisterInsertStepType(steptype, "/insert", serviceOfStepType.Insert)
		// StepType删除一条
		RegisterDeleteOneStepType(steptype, "/deleteone", serviceOfStepType.DeleteOne)
		// StepType删除多条
		// RegisterDeleteStepType(steptype, "/delete", serviceOfStepType.Delete)
		// StepType查询多条
		RegisterSelectStepType(steptype, "/query", serviceOfStepType.Select)
		// StepType查询一条
		RegisterSelectOneStepType(steptype, "/get", serviceOfStepType.SelectOne)
		// StepType修改一条
		RegisterUpdateOneStepType(steptype, "/updateone", serviceOfStepType.UpdateOne)
		// StepType修改多条
		// RegisterUpdateStepType(steptype, "/update", serviceOfStepType.Update)

		// StepTypeRelLst的路由组
		steptyperellst := party.Party("/steptyperellst")
		// StepTypeRelLst的服务实例
		var serviceOfStepTypeRelLst = svr.NewStepTypeRelLstService()
		// StepTypeRelLst插入一条
		// RegisterInsertOneStepTypeRelLst(steptyperellst, "/insertone", serviceOfStepTypeRelLst.InsertOne)
		// StepTypeRelLst插入多条
		// RegisterInsertStepTypeRelLst(steptyperellst, "/insert", serviceOfStepTypeRelLst.Insert)
		// StepTypeRelLst删除一条
		// RegisterDeleteOneStepTypeRelLst(steptyperellst, "/deleteone", serviceOfStepTypeRelLst.DeleteOne)
		// StepTypeRelLst删除多条
		// RegisterDeleteStepTypeRelLst(steptyperellst, "/delete", serviceOfStepTypeRelLst.Delete)
		// StepTypeRelLst查询多条
		RegisterSelectStepTypeRelLst(steptyperellst, "/query", serviceOfStepTypeRelLst.Select)
		// StepTypeRelLst查询一条
		RegisterSelectOneStepTypeRelLst(steptyperellst, "/get", serviceOfStepTypeRelLst.SelectOne)
		// StepTypeRelLst修改一条
		// RegisterUpdateOneStepTypeRelLst(steptyperellst, "/updateone", serviceOfStepTypeRelLst.UpdateOne)
		// StepTypeRelLst修改多条
		// RegisterUpdateStepTypeRelLst(steptyperellst, "/update", serviceOfStepTypeRelLst.Update)

		// ArtCheckRule的路由组
		artcheckrule := party.Party("/artcheckrule")
		// ArtCheckRule的服务实例
		var serviceOfArtCheckRule = svr.NewArtCheckRuleService()
		// ArtCheckRule插入一条
		RegisterInsertOneArtCheckRule(artcheckrule, "/insertone", serviceOfArtCheckRule.InsertOne)
		// ArtCheckRule插入多条
		// RegisterInsertArtCheckRule(artcheckrule, "/insert", serviceOfArtCheckRule.Insert)
		// ArtCheckRule删除一条
		RegisterDeleteOneArtCheckRule(artcheckrule, "/deleteone", serviceOfArtCheckRule.DeleteOne)
		// ArtCheckRule删除多条
		// RegisterDeleteArtCheckRule(artcheckrule, "/delete", serviceOfArtCheckRule.Delete)
		// ArtCheckRule查询多条
		RegisterSelectArtCheckRule(artcheckrule, "/query", serviceOfArtCheckRule.Select)
		// ArtCheckRule查询一条
		RegisterSelectOneArtCheckRule(artcheckrule, "/get", serviceOfArtCheckRule.SelectOne)
		// ArtCheckRule修改一条
		RegisterUpdateOneArtCheckRule(artcheckrule, "/updateone", serviceOfArtCheckRule.UpdateOne)
		// ArtCheckRule修改多条
		// RegisterUpdateArtCheckRule(artcheckrule, "/update", serviceOfArtCheckRule.Update)

		// ArtQtyAllocate的路由组
		artqtyallocate := party.Party("/artqtyallocate")
		// ArtQtyAllocate的服务实例
		var serviceOfArtQtyAllocate = svr.NewArtQtyAllocateService()
		// ArtQtyAllocate插入一条
		RegisterInsertOneArtQtyAllocate(artqtyallocate, "/insertone", serviceOfArtQtyAllocate.InsertOne)
		// ArtQtyAllocate插入多条
		// RegisterInsertArtQtyAllocate(artqtyallocate, "/insert", serviceOfArtQtyAllocate.Insert)
		// ArtQtyAllocate删除一条
		RegisterDeleteOneArtQtyAllocate(artqtyallocate, "/deleteone", serviceOfArtQtyAllocate.DeleteOne)
		// ArtQtyAllocate删除多条
		// RegisterDeleteArtQtyAllocate(artqtyallocate, "/delete", serviceOfArtQtyAllocate.Delete)
		// ArtQtyAllocate查询多条
		RegisterSelectArtQtyAllocate(artqtyallocate, "/query", serviceOfArtQtyAllocate.Select)
		// ArtQtyAllocate查询一条
		RegisterSelectOneArtQtyAllocate(artqtyallocate, "/get", serviceOfArtQtyAllocate.SelectOne)
		// ArtQtyAllocate修改一条
		RegisterUpdateOneArtQtyAllocate(artqtyallocate, "/updateone", serviceOfArtQtyAllocate.UpdateOne)
		// ArtQtyAllocate修改多条
		// RegisterUpdateArtQtyAllocate(artqtyallocate, "/update", serviceOfArtQtyAllocate.Update)

		// SpecArtShareAllocate的路由组
		specartshareallocate := party.Party("/specartshareallocate")
		// SpecArtShareAllocate的服务实例
		var serviceOfSpecArtShareAllocate = svr.NewSpecArtShareAllocateService()
		// SpecArtShareAllocate插入一条
		// RegisterInsertOneSpecArtShareAllocate(specartshareallocate, "/insertone", serviceOfSpecArtShareAllocate.InsertOne)
		// SpecArtShareAllocate插入多条
		// RegisterInsertSpecArtShareAllocate(specartshareallocate, "/insert", serviceOfSpecArtShareAllocate.Insert)
		// SpecArtShareAllocate删除一条
		// RegisterDeleteOneSpecArtShareAllocate(specartshareallocate, "/deleteone", serviceOfSpecArtShareAllocate.DeleteOne)
		// SpecArtShareAllocate删除多条
		// RegisterDeleteSpecArtShareAllocate(specartshareallocate, "/delete", serviceOfSpecArtShareAllocate.Delete)
		// SpecArtShareAllocate查询多条
		RegisterSelectSpecArtShareAllocate(specartshareallocate, "/query", serviceOfSpecArtShareAllocate.Select)
		// SpecArtShareAllocate查询一条
		RegisterSelectOneSpecArtShareAllocate(specartshareallocate, "/get", serviceOfSpecArtShareAllocate.SelectOne)
		// SpecArtShareAllocate修改一条
		// RegisterUpdateOneSpecArtShareAllocate(specartshareallocate, "/updateone", serviceOfSpecArtShareAllocate.UpdateOne)
		// SpecArtShareAllocate修改多条
		// RegisterUpdateSpecArtShareAllocate(specartshareallocate, "/update", serviceOfSpecArtShareAllocate.Update)

		// OPCBasicComInfo的路由组
		opcbasiccominfo := party.Party("/opcbasiccominfo")
		// OPCBasicComInfo的服务实例
		var serviceOfOPCBasicComInfo = svr.NewOPCBasicComInfoService()
		// OPCBasicComInfo插入一条
		RegisterInsertOneOPCBasicComInfo(opcbasiccominfo, "/insertone", serviceOfOPCBasicComInfo.InsertOne)
		// OPCBasicComInfo插入多条
		// RegisterInsertOPCBasicComInfo(opcbasiccominfo, "/insert", serviceOfOPCBasicComInfo.Insert)
		// OPCBasicComInfo删除一条
		RegisterDeleteOneOPCBasicComInfo(opcbasiccominfo, "/deleteone", serviceOfOPCBasicComInfo.DeleteOne)
		// OPCBasicComInfo删除多条
		// RegisterDeleteOPCBasicComInfo(opcbasiccominfo, "/delete", serviceOfOPCBasicComInfo.Delete)
		// OPCBasicComInfo查询多条
		RegisterSelectOPCBasicComInfo(opcbasiccominfo, "/query", serviceOfOPCBasicComInfo.Select)
		// OPCBasicComInfo查询一条
		RegisterSelectOneOPCBasicComInfo(opcbasiccominfo, "/get", serviceOfOPCBasicComInfo.SelectOne)
		// OPCBasicComInfo修改一条
		RegisterUpdateOneOPCBasicComInfo(opcbasiccominfo, "/updateone", serviceOfOPCBasicComInfo.UpdateOne)
		// OPCBasicComInfo修改多条
		// RegisterUpdateOPCBasicComInfo(opcbasiccominfo, "/update", serviceOfOPCBasicComInfo.Update)
		// OPCBasicComInfo保存
		RegisterSaveOneOPCBasicComInfo(opcbasiccominfo, "/save", serviceOfOPCBasicComInfo.Save)

		// OPCComDetailRule的路由组
		opccomdetailrule := party.Party("/opccomdetailrule")
		// OPCComDetailRule的服务实例
		var serviceOfOPCComDetailRule = svr.NewOPCComDetailRuleService()
		// OPCComDetailRule插入一条
		RegisterInsertOneOPCComDetailRule(opccomdetailrule, "/insertone", serviceOfOPCComDetailRule.InsertOne)
		// OPCComDetailRule插入多条
		// RegisterInsertOPCComDetailRule(opccomdetailrule, "/insert", serviceOfOPCComDetailRule.Insert)
		// OPCComDetailRule删除一条
		RegisterDeleteOneOPCComDetailRule(opccomdetailrule, "/deleteone", serviceOfOPCComDetailRule.DeleteOne)
		// OPCComDetailRule删除多条
		// RegisterDeleteOPCComDetailRule(opccomdetailrule, "/delete", serviceOfOPCComDetailRule.Delete)
		// OPCComDetailRule查询多条
		RegisterSelectOPCComDetailRule(opccomdetailrule, "/query", serviceOfOPCComDetailRule.Select)
		// OPCComDetailRule查询一条
		RegisterSelectOneOPCComDetailRule(opccomdetailrule, "/get", serviceOfOPCComDetailRule.SelectOne)
		// OPCComDetailRule修改一条
		RegisterUpdateOneOPCComDetailRule(opccomdetailrule, "/updateone", serviceOfOPCComDetailRule.UpdateOne)
		// OPCComDetailRule修改多条
		// RegisterUpdateOPCComDetailRule(opccomdetailrule, "/update", serviceOfOPCComDetailRule.Update)

		// OPCComRule的路由组
		opccomrule := party.Party("/opccomrule")
		// OPCComRule的服务实例
		var serviceOfOPCComRule = svr.NewOPCComRuleService()
		// OPCComRule插入一条
		RegisterInsertOneOPCComRule(opccomrule, "/insertone", serviceOfOPCComRule.InsertOne)
		// OPCComRule插入多条
		// RegisterInsertOPCComRule(opccomrule, "/insert", serviceOfOPCComRule.Insert)
		// OPCComRule删除一条
		RegisterDeleteOneOPCComRule(opccomrule, "/deleteone", serviceOfOPCComRule.DeleteOne)
		// OPCComRule删除多条
		// RegisterDeleteOPCComRule(opccomrule, "/delete", serviceOfOPCComRule.Delete)
		// OPCComRule查询多条
		RegisterSelectOPCComRule(opccomrule, "/query", serviceOfOPCComRule.Select)
		// OPCComRule查询一条
		RegisterSelectOneOPCComRule(opccomrule, "/get", serviceOfOPCComRule.SelectOne)
		// OPCComRule修改一条
		RegisterUpdateOneOPCComRule(opccomrule, "/updateone", serviceOfOPCComRule.UpdateOne)
		// OPCComRule修改多条
		// RegisterUpdateOPCComRule(opccomrule, "/update", serviceOfOPCComRule.Update)

		// Process的路由组
		process := party.Party("/process")
		// Process的服务实例
		var serviceOfProcess = svr.NewProcessService()
		// Process插入一条
		RegisterInsertOneProcess(process, "/insertone", serviceOfProcess.InsertOne)
		// Process插入多条
		// RegisterInsertProcess(process, "/insert", serviceOfProcess.Insert)
		// Process删除一条
		RegisterDeleteOneProcess(process, "/deleteone", serviceOfProcess.DeleteOne)
		// Process删除多条
		// RegisterDeleteProcess(process, "/delete", serviceOfProcess.Delete)
		// Process查询多条
		RegisterSelectProcess(process, "/query", serviceOfProcess.Select)
		// Process查询一条
		RegisterSelectOneProcess(process, "/get", serviceOfProcess.SelectOne)
		// Process修改一条
		RegisterUpdateOneProcess(process, "/updateone", serviceOfProcess.UpdateOne)
		// Process修改多条
		// RegisterUpdateProcess(process, "/update", serviceOfProcess.Update)

		// ProcessWorkPlaceLst的路由组
		processworkplacelst := party.Party("/processworkplacelst")
		// ProcessWorkPlaceLst的服务实例
		var serviceOfProcessWorkPlaceLst = svr.NewProcessWorkPlaceLstService()
		// ProcessWorkPlaceLst插入一条
		// RegisterInsertOneProcessWorkPlaceLst(processworkplacelst, "/insertone", serviceOfProcessWorkPlaceLst.InsertOne)
		// ProcessWorkPlaceLst插入多条
		RegisterInsertProcessWorkPlaceLst(processworkplacelst, "/insert", serviceOfProcessWorkPlaceLst.Insert)
		// ProcessWorkPlaceLst删除一条
		// RegisterDeleteOneProcessWorkPlaceLst(processworkplacelst, "/deleteone", serviceOfProcessWorkPlaceLst.DeleteOne)
		// ProcessWorkPlaceLst删除多条
		// RegisterDeleteProcessWorkPlaceLst(processworkplacelst, "/delete", serviceOfProcessWorkPlaceLst.Delete)
		// ProcessWorkPlaceLst查询多条
		RegisterSelectProcessWorkPlaceLst(processworkplacelst, "/query", serviceOfProcessWorkPlaceLst.Select)
		// ProcessWorkPlaceLst查询一条
		//RegisterSelectOneProcessWorkPlaceLst(processworkplacelst, "/get", serviceOfProcessWorkPlaceLst.SelectOne)
		// ProcessWorkPlaceLst修改一条
		// RegisterUpdateOneProcessWorkPlaceLst(processworkplacelst, "/updateone", serviceOfProcessWorkPlaceLst.UpdateOne)
		// ProcessWorkPlaceLst修改多条
		// RegisterUpdateProcessWorkPlaceLst(processworkplacelst, "/update", serviceOfProcessWorkPlaceLst.Update)

		// TightenWrenchInfo的路由组
		tightenwrenchinfo := party.Party("/tightenwrenchinfo")
		// TightenWrenchInfo的服务实例
		var serviceOfTightenWrenchInfo = svr.NewTightenWrenchInfoService()
		// TightenWrenchInfo插入一条
		RegisterInsertOneTightenWrenchInfo(tightenwrenchinfo, "/insertone", serviceOfTightenWrenchInfo.InsertOne)
		// TightenWrenchInfo插入多条
		// RegisterInsertTightenWrenchInfo(tightenwrenchinfo, "/insert", serviceOfTightenWrenchInfo.Insert)
		// TightenWrenchInfo删除一条
		RegisterDeleteOneTightenWrenchInfo(tightenwrenchinfo, "/deleteone", serviceOfTightenWrenchInfo.DeleteOne)
		// TightenWrenchInfo删除多条
		// RegisterDeleteTightenWrenchInfo(tightenwrenchinfo, "/delete", serviceOfTightenWrenchInfo.Delete)
		// TightenWrenchInfo查询多条
		RegisterSelectTightenWrenchInfo(tightenwrenchinfo, "/query", serviceOfTightenWrenchInfo.Select)
		// TightenWrenchInfo查询一条
		RegisterSelectOneTightenWrenchInfo(tightenwrenchinfo, "/get", serviceOfTightenWrenchInfo.SelectOne)
		// TightenWrenchInfo修改一条
		RegisterUpdateOneTightenWrenchInfo(tightenwrenchinfo, "/updateone", serviceOfTightenWrenchInfo.UpdateOne)
		// TightenWrenchInfo修改多条
		// RegisterUpdateTightenWrenchInfo(tightenwrenchinfo, "/update", serviceOfTightenWrenchInfo.Update)
		// TightenWrenchInfo保存一条
		RegisterSaveOneTightenWrenchInfo(tightenwrenchinfo, "/save", serviceOfTightenWrenchInfo.Save)

		// TightenWrenchRuleInfo的路由组
		tightenwrenchruleinfo := party.Party("/tightenwrenchruleinfo")
		// TightenWrenchRuleInfo的服务实例
		var serviceOfTightenWrenchRuleInfo = svr.NewTightenWrenchRuleInfoService()
		// TightenWrenchRuleInfo插入一条
		// RegisterInsertOneTightenWrenchRuleInfo(tightenwrenchruleinfo, "/insertone", serviceOfTightenWrenchRuleInfo.InsertOne)
		// TightenWrenchRuleInfo插入多条
		// RegisterInsertTightenWrenchRuleInfo(tightenwrenchruleinfo, "/insert", serviceOfTightenWrenchRuleInfo.Insert)
		// TightenWrenchRuleInfo删除一条
		// RegisterDeleteOneTightenWrenchRuleInfo(tightenwrenchruleinfo, "/deleteone", serviceOfTightenWrenchRuleInfo.DeleteOne)
		// TightenWrenchRuleInfo删除多条
		// RegisterDeleteTightenWrenchRuleInfo(tightenwrenchruleinfo, "/delete", serviceOfTightenWrenchRuleInfo.Delete)
		// TightenWrenchRuleInfo查询多条
		RegisterSelectTightenWrenchRuleInfo(tightenwrenchruleinfo, "/query", serviceOfTightenWrenchRuleInfo.Select)
		// TightenWrenchRuleInfo查询一条
		RegisterSelectOneTightenWrenchRuleInfo(tightenwrenchruleinfo, "/get", serviceOfTightenWrenchRuleInfo.SelectOne)
		// TightenWrenchRuleInfo修改一条
		// RegisterUpdateOneTightenWrenchRuleInfo(tightenwrenchruleinfo, "/updateone", serviceOfTightenWrenchRuleInfo.UpdateOne)
		// TightenWrenchRuleInfo修改多条
		// RegisterUpdateTightenWrenchRuleInfo(tightenwrenchruleinfo, "/update", serviceOfTightenWrenchRuleInfo.Update)

		// PrinterTemplate的路由组
		printertemplate := party.Party("/printertemplate")
		// PrinterTemplate的服务实例
		var serviceOfPrinterTemplate = svr.NewPrinterTemplateService()
		// PrinterTemplate插入一条
		RegisterInsertOnePrinterTemplate(printertemplate, "/insertone", serviceOfPrinterTemplate.InsertOne)
		// PrinterTemplate插入多条
		// RegisterInsertPrinterTemplate(printertemplate, "/insert", serviceOfPrinterTemplate.Insert)
		// PrinterTemplate删除一条
		RegisterDeleteOnePrinterTemplate(printertemplate, "/deleteone", serviceOfPrinterTemplate.DeleteOne)
		// PrinterTemplate删除多条
		// RegisterDeletePrinterTemplate(printertemplate, "/delete", serviceOfPrinterTemplate.Delete)
		// PrinterTemplate查询多条
		RegisterSelectPrinterTemplate(printertemplate, "/query", serviceOfPrinterTemplate.Select)
		// PrinterTemplate查询一条
		RegisterSelectOnePrinterTemplate(printertemplate, "/get", serviceOfPrinterTemplate.SelectOne)
		// PrinterTemplate修改一条
		RegisterUpdateOnePrinterTemplate(printertemplate, "/updateone", serviceOfPrinterTemplate.UpdateOne)
		// PrinterTemplate修改多条
		// RegisterUpdatePrinterTemplate(printertemplate, "/update", serviceOfPrinterTemplate.Update)

		// PrinterTemplateLst的路由组
		printertemplatelst := party.Party("/printertemplatelst")
		// PrinterTemplateLst的服务实例
		var serviceOfPrinterTemplateLst = svr.NewPrinterTemplateLstService()
		// PrinterTemplateLst插入一条
		// RegisterInsertOnePrinterTemplateLst(printertemplatelst, "/insertone", serviceOfPrinterTemplateLst.InsertOne)
		// PrinterTemplateLst插入多条
		// RegisterInsertPrinterTemplateLst(printertemplatelst, "/insert", serviceOfPrinterTemplateLst.Insert)
		// PrinterTemplateLst删除一条
		// RegisterDeleteOnePrinterTemplateLst(printertemplatelst, "/deleteone", serviceOfPrinterTemplateLst.DeleteOne)
		// PrinterTemplateLst删除多条
		// RegisterDeletePrinterTemplateLst(printertemplatelst, "/delete", serviceOfPrinterTemplateLst.Delete)
		// PrinterTemplateLst查询多条
		RegisterSelectPrinterTemplateLst(printertemplatelst, "/query", serviceOfPrinterTemplateLst.Select)
		// PrinterTemplateLst查询一条
		RegisterSelectOnePrinterTemplateLst(printertemplatelst, "/get", serviceOfPrinterTemplateLst.SelectOne)
		// PrinterTemplateLst修改一条
		// RegisterUpdateOnePrinterTemplateLst(printertemplatelst, "/updateone", serviceOfPrinterTemplateLst.UpdateOne)
		// PrinterTemplateLst修改多条
		// RegisterUpdatePrinterTemplateLst(printertemplatelst, "/update", serviceOfPrinterTemplateLst.Update)

		// RoleRel的路由组
		rolerel := party.Party("/rolerel")
		// RoleRel的服务实例
		var serviceOfRoleRel = svr.NewRoleRelService()
		// RoleRel插入一条
		// RegisterInsertOneRoleRel(rolerel, "/insertone", serviceOfRoleRel.InsertOne)
		// RoleRel插入多条
		RegisterInsertRoleRel(rolerel, "/insert", serviceOfRoleRel.Insert)
		// RoleRel删除一条
		// RegisterDeleteOneRoleRel(rolerel, "/deleteone", serviceOfRoleRel.DeleteOne)
		// RoleRel删除多条
		// RegisterDeleteRoleRel(rolerel, "/delete", serviceOfRoleRel.Delete)
		// RoleRel查询多条
		RegisterSelectRoleRel(rolerel, "/query", serviceOfRoleRel.Select)
		// RoleRel查询一条
		//RegisterSelectOneRoleRel(rolerel, "/get", serviceOfRoleRel.SelectOne)
		// RoleRel修改一条
		// RegisterUpdateOneRoleRel(rolerel, "/updateone", serviceOfRoleRel.UpdateOne)
		// RoleRel修改多条
		// RegisterUpdateRoleRel(rolerel, "/update", serviceOfRoleRel.Update)

		// ScanRuleInfo的路由组
		scanruleinfo := party.Party("/scanruleinfo")
		// ScanRuleInfo的服务实例
		var serviceOfScanRuleInfo = svr.NewScanRuleInfoService()
		// ScanRuleInfo插入一条
		// RegisterInsertOneScanRuleInfo(scanruleinfo, "/insertone", serviceOfScanRuleInfo.InsertOne)
		// ScanRuleInfo插入多条
		RegisterInsertScanRuleInfo(scanruleinfo, "/insert", serviceOfScanRuleInfo.Insert)
		// ScanRuleInfo删除一条
		// RegisterDeleteOneScanRuleInfo(scanruleinfo, "/deleteone", serviceOfScanRuleInfo.DeleteOne)
		// ScanRuleInfo删除多条
		// RegisterDeleteScanRuleInfo(scanruleinfo, "/delete", serviceOfScanRuleInfo.Delete)
		// ScanRuleInfo查询多条
		RegisterSelectScanRuleInfo(scanruleinfo, "/query", serviceOfScanRuleInfo.Select)
		// ScanRuleInfo查询一条
		//RegisterSelectOneScanRuleInfo(scanruleinfo, "/get", serviceOfScanRuleInfo.SelectOne)
		// ScanRuleInfo修改一条
		// RegisterUpdateOneScanRuleInfo(scanruleinfo, "/updateone", serviceOfScanRuleInfo.UpdateOne)
		// ScanRuleInfo修改多条
		// RegisterUpdateScanRuleInfo(scanruleinfo, "/update", serviceOfScanRuleInfo.Update)

		// ProcessDependOn的路由组
		processdependon := party.Party("/processdependon")
		// ProcessDependOn的服务实例
		var serviceOfProcessDependOn = svr.NewProcessDependOnService()
		// ProcessDependOn插入一条
		// RegisterInsertOneProcessDependOn(processdependon, "/insertone", serviceOfProcessDependOn.InsertOne)
		// ProcessDependOn插入多条
		RegisterInsertProcessDependOn(processdependon, "/insert", serviceOfProcessDependOn.Insert)
		// ProcessDependOn删除一条
		// RegisterDeleteOneProcessDependOn(processdependon, "/deleteone", serviceOfProcessDependOn.DeleteOne)
		// ProcessDependOn删除多条
		// RegisterDeleteProcessDependOn(processdependon, "/delete", serviceOfProcessDependOn.Delete)
		// ProcessDependOn查询多条
		RegisterSelectProcessDependOn(processdependon, "/query", serviceOfProcessDependOn.Select)
		// ProcessDependOn查询一条
		//RegisterSelectOneProcessDependOn(processdependon, "/get", serviceOfProcessDependOn.SelectOne)
		// ProcessDependOn修改一条
		// RegisterUpdateOneProcessDependOn(processdependon, "/updateone", serviceOfProcessDependOn.UpdateOne)
		// ProcessDependOn修改多条
		// RegisterUpdateProcessDependOn(processdependon, "/update", serviceOfProcessDependOn.Update)

		// GuideRuleInfo的路由组
		guideruleinfo := party.Party("/guideruleinfo")
		// GuideRuleInfo的服务实例
		var serviceOfGuideRuleInfo = svr.NewGuideRuleInfoService()
		// GuideRuleInfo插入一条
		// RegisterInsertOneGuideRuleInfo(guideruleinfo, "/insertone", serviceOfGuideRuleInfo.InsertOne)
		// GuideRuleInfo插入多条
		RegisterInsertGuideRuleInfo(guideruleinfo, "/insert", serviceOfGuideRuleInfo.Insert)
		// GuideRuleInfo删除一条
		// RegisterDeleteOneGuideRuleInfo(guideruleinfo, "/deleteone", serviceOfGuideRuleInfo.DeleteOne)
		// GuideRuleInfo删除多条
		// RegisterDeleteGuideRuleInfo(guideruleinfo, "/delete", serviceOfGuideRuleInfo.Delete)
		// GuideRuleInfo查询多条
		RegisterSelectGuideRuleInfo(guideruleinfo, "/query", serviceOfGuideRuleInfo.Select)
		// GuideRuleInfo查询一条
		//RegisterSelectOneGuideRuleInfo(guideruleinfo, "/get", serviceOfGuideRuleInfo.SelectOne)
		// GuideRuleInfo修改一条
		// RegisterUpdateOneGuideRuleInfo(guideruleinfo, "/updateone", serviceOfGuideRuleInfo.UpdateOne)
		// GuideRuleInfo修改多条
		// RegisterUpdateGuideRuleInfo(guideruleinfo, "/update", serviceOfGuideRuleInfo.Update)

		// PrintRuleInfo的路由组
		printruleinfo := party.Party("/printruleinfo")
		// PrintRuleInfo的服务实例
		var serviceOfPrintRuleInfo = svr.NewPrintRuleInfoService()
		// PrintRuleInfo插入一条
		// RegisterInsertOnePrintRuleInfo(printruleinfo, "/insertone", serviceOfPrintRuleInfo.InsertOne)
		// PrintRuleInfo插入多条
		// RegisterInsertPrintRuleInfo(printruleinfo, "/insert", serviceOfPrintRuleInfo.Insert)
		// PrintRuleInfo删除一条
		// RegisterDeleteOnePrintRuleInfo(printruleinfo, "/deleteone", serviceOfPrintRuleInfo.DeleteOne)
		// PrintRuleInfo删除多条
		// RegisterDeletePrintRuleInfo(printruleinfo, "/delete", serviceOfPrintRuleInfo.Delete)
		// PrintRuleInfo查询多条
		RegisterSelectPrintRuleInfo(printruleinfo, "/query", serviceOfPrintRuleInfo.Select)
		// PrintRuleInfo查询一条
		RegisterSelectOnePrintRuleInfo(printruleinfo, "/get", serviceOfPrintRuleInfo.SelectOne)
		// PrintRuleInfo修改一条
		// RegisterUpdateOnePrintRuleInfo(printruleinfo, "/updateone", serviceOfPrintRuleInfo.UpdateOne)
		// PrintRuleInfo修改多条
		// RegisterUpdatePrintRuleInfo(printruleinfo, "/update", serviceOfPrintRuleInfo.Update)

		// OPCMonitorBasicComInfo的路由组
		opcmonitorbasiccominfo := party.Party("/opcmonitorbasiccominfo")
		// OPCMonitorBasicComInfo的服务实例
		var serviceOfOPCMonitorBasicComInfo = svr.NewOPCMonitorBasicComInfoService()
		// OPCMonitorBasicComInfo插入一条
		// RegisterInsertOneOPCMonitorBasicComInfo(opcmonitorbasiccominfo, "/insertone", serviceOfOPCMonitorBasicComInfo.InsertOne)
		// OPCMonitorBasicComInfo插入多条
		// RegisterInsertOPCMonitorBasicComInfo(opcmonitorbasiccominfo, "/insert", serviceOfOPCMonitorBasicComInfo.Insert)
		// OPCMonitorBasicComInfo删除一条
		// RegisterDeleteOneOPCMonitorBasicComInfo(opcmonitorbasiccominfo, "/deleteone", serviceOfOPCMonitorBasicComInfo.DeleteOne)
		// OPCMonitorBasicComInfo删除多条
		// RegisterDeleteOPCMonitorBasicComInfo(opcmonitorbasiccominfo, "/delete", serviceOfOPCMonitorBasicComInfo.Delete)
		// OPCMonitorBasicComInfo查询多条
		RegisterSelectOPCMonitorBasicComInfo(opcmonitorbasiccominfo, "/query", serviceOfOPCMonitorBasicComInfo.Select)
		// OPCMonitorBasicComInfo查询一条
		RegisterSelectOneOPCMonitorBasicComInfo(opcmonitorbasiccominfo, "/get", serviceOfOPCMonitorBasicComInfo.SelectOne)
		// OPCMonitorBasicComInfo修改一条
		// RegisterUpdateOneOPCMonitorBasicComInfo(opcmonitorbasiccominfo, "/updateone", serviceOfOPCMonitorBasicComInfo.UpdateOne)
		// OPCMonitorBasicComInfo修改多条
		// RegisterUpdateOPCMonitorBasicComInfo(opcmonitorbasiccominfo, "/update", serviceOfOPCMonitorBasicComInfo.Update)
		// OPCMonitorBasicComInfo保存一条
		RegisterSaveOPCMonitorBasicComInfo(opcmonitorbasiccominfo, "/save", serviceOfOPCMonitorBasicComInfo.Save)
		// OPCMonitorBasicComInfo查询规则
		RegisterGetRuleOPCMonitorBasicComInfo(opcmonitorbasiccominfo, "/getrule", serviceOfOPCMonitorBasicComInfo.GetRule)

		// OPCMonitorComDetailRule的路由组
		opcmonitorcomdetailrule := party.Party("/opcmonitorcomdetailrule")
		// OPCMonitorComDetailRule的服务实例
		var serviceOfOPCMonitorComDetailRule = svr.NewOPCMonitorComDetailRuleService()
		// OPCMonitorComDetailRule插入一条
		// RegisterInsertOneOPCMonitorComDetailRule(opcmonitorcomdetailrule, "/insertone", serviceOfOPCMonitorComDetailRule.InsertOne)
		// OPCMonitorComDetailRule插入多条
		// RegisterInsertOPCMonitorComDetailRule(opcmonitorcomdetailrule, "/insert", serviceOfOPCMonitorComDetailRule.Insert)
		// OPCMonitorComDetailRule删除一条
		// RegisterDeleteOneOPCMonitorComDetailRule(opcmonitorcomdetailrule, "/deleteone", serviceOfOPCMonitorComDetailRule.DeleteOne)
		// OPCMonitorComDetailRule删除多条
		// RegisterDeleteOPCMonitorComDetailRule(opcmonitorcomdetailrule, "/delete", serviceOfOPCMonitorComDetailRule.Delete)
		// OPCMonitorComDetailRule查询多条
		RegisterSelectOPCMonitorComDetailRule(opcmonitorcomdetailrule, "/query", serviceOfOPCMonitorComDetailRule.Select)
		// OPCMonitorComDetailRule查询一条
		RegisterSelectOneOPCMonitorComDetailRule(opcmonitorcomdetailrule, "/get", serviceOfOPCMonitorComDetailRule.SelectOne)
		// OPCMonitorComDetailRule修改一条
		// RegisterUpdateOneOPCMonitorComDetailRule(opcmonitorcomdetailrule, "/updateone", serviceOfOPCMonitorComDetailRule.UpdateOne)
		// OPCMonitorComDetailRule修改多条
		// RegisterUpdateOPCMonitorComDetailRule(opcmonitorcomdetailrule, "/update", serviceOfOPCMonitorComDetailRule.Update)

		// OPCMonitorComRule的路由组
		opcmonitorcomrule := party.Party("/opcmonitorcomrule")
		// OPCMonitorComRule的服务实例
		var serviceOfOPCMonitorComRule = svr.NewOPCMonitorComRuleService()
		// OPCMonitorComRule插入一条
		// RegisterInsertOneOPCMonitorComRule(opcmonitorcomrule, "/insertone", serviceOfOPCMonitorComRule.InsertOne)
		// OPCMonitorComRule插入多条
		// RegisterInsertOPCMonitorComRule(opcmonitorcomrule, "/insert", serviceOfOPCMonitorComRule.Insert)
		// OPCMonitorComRule删除一条
		// RegisterDeleteOneOPCMonitorComRule(opcmonitorcomrule, "/deleteone", serviceOfOPCMonitorComRule.DeleteOne)
		// OPCMonitorComRule删除多条
		// RegisterDeleteOPCMonitorComRule(opcmonitorcomrule, "/delete", serviceOfOPCMonitorComRule.Delete)
		// OPCMonitorComRule查询多条
		RegisterSelectOPCMonitorComRule(opcmonitorcomrule, "/query", serviceOfOPCMonitorComRule.Select)
		// OPCMonitorComRule查询一条
		RegisterSelectOneOPCMonitorComRule(opcmonitorcomrule, "/get", serviceOfOPCMonitorComRule.SelectOne)
		// OPCMonitorComRule修改一条
		// RegisterUpdateOneOPCMonitorComRule(opcmonitorcomrule, "/updateone", serviceOfOPCMonitorComRule.UpdateOne)
		// OPCMonitorComRule修改多条
		// RegisterUpdateOPCMonitorComRule(opcmonitorcomrule, "/update", serviceOfOPCMonitorComRule.Update)

		// ArtWorkLineLst的路由组
		artworklinelst := party.Party("/artworklinelst")
		// ArtWorkLineLst的服务实例
		var serviceOfArtWorkLineLst = svr.NewArtWorkLineLstService()
		// ArtWorkLineLst插入一条
		// RegisterInsertOneArtWorkLineLst(artworklinelst, "/insertone", serviceOfArtWorkLineLst.InsertOne)
		// ArtWorkLineLst插入多条
		// RegisterInsertArtWorkLineLst(artworklinelst, "/insert", serviceOfArtWorkLineLst.Insert)
		// ArtWorkLineLst删除一条
		// RegisterDeleteOneArtWorkLineLst(artworklinelst, "/deleteone", serviceOfArtWorkLineLst.DeleteOne)
		// ArtWorkLineLst删除多条
		// RegisterDeleteArtWorkLineLst(artworklinelst, "/delete", serviceOfArtWorkLineLst.Delete)
		// ArtWorkLineLst查询多条
		RegisterSelectArtWorkLineLst(artworklinelst, "/query", serviceOfArtWorkLineLst.Select)
		// ArtWorkLineLst查询一条
		//RegisterSelectOneArtWorkLineLst(artworklinelst, "/get", serviceOfArtWorkLineLst.SelectOne)
		// ArtWorkLineLst修改一条
		// RegisterUpdateOneArtWorkLineLst(artworklinelst, "/updateone", serviceOfArtWorkLineLst.UpdateOne)
		// ArtWorkLineLst修改多条
		// RegisterUpdateArtWorkLineLst(artworklinelst, "/update", serviceOfArtWorkLineLst.Update)
		// ArtWorkLineLst修改多条
		RegisterSaveArtWorkLineLst(artworklinelst, "/save", serviceOfArtWorkLineLst.Save)
	})
}

/******************************************************************************
 *
 * @Interface Name           : init
 *-----------------------------------------------------------------------------
 *
 * @Description              : 包初始化方法
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-11 13:29:43
 *
 ******************************************************************************/
func init() {

	// 注册路由
	RegisterRoutes()
}
