// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	svr "LAPP_LF_MOM_BACKEND/services/om"
	"github.com/kataras/iris/v12/core/router"
)

/******************************************************************************
 *
 * @Interface Name           : RegisterRoutes
 *-----------------------------------------------------------------------------
 *
 * @Description              : 注册路由
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-27 13:55:54
 *
 ******************************************************************************/
func RegisterRoutes() {
	// 模块om路由分组
	grmi.RegisterRouteMapping("/om", func(party router.Party) {

		// ProdOrder的路由组
		prodorder := party.Party("/prodorder")
		// ProdOrder的服务实例
		var serviceOfProdOrder = svr.NewProdOrderService()
		// ProdOrder插入一条
		// RegisterInsertOneProdOrder(prodorder, "/insertone", serviceOfProdOrder.InsertOne)
		// ProdOrder插入多条
		// RegisterInsertProdOrder(prodorder, "/insert", serviceOfProdOrder.Insert)
		// ProdOrder删除一条
		// RegisterDeleteOneProdOrder(prodorder, "/deleteone", serviceOfProdOrder.DeleteOne)
		// ProdOrder删除多条
		// RegisterDeleteProdOrder(prodorder, "/delete", serviceOfProdOrder.Delete)
		// ProdOrder查询多条
		RegisterSelectProdOrder(prodorder, "/query", serviceOfProdOrder.Select)
		// ProdOrder查询一条
		RegisterSelectOneProdOrder(prodorder, "/get", serviceOfProdOrder.SelectOne)
		// ProdOrder修改一条
		// RegisterUpdateOneProdOrder(prodorder, "/updateone", serviceOfProdOrder.UpdateOne)
		// ProdOrder修改多条
		// RegisterUpdateProdOrder(prodorder, "/update", serviceOfProdOrder.Update)

		// ProdOrderStatus的路由组
		prodorderstatus := party.Party("/prodorderstatus")
		// ProdOrderStatus的服务实例
		var serviceOfProdOrderStatus = svr.NewProdOrderStatusService()
		// ProdOrderStatus插入一条
		// RegisterInsertOneProdOrderStatus(prodorderstatus, "/insertone", serviceOfProdOrderStatus.InsertOne)
		// ProdOrderStatus插入多条
		// RegisterInsertProdOrderStatus(prodorderstatus, "/insert", serviceOfProdOrderStatus.Insert)
		// ProdOrderStatus删除一条
		// RegisterDeleteOneProdOrderStatus(prodorderstatus, "/deleteone", serviceOfProdOrderStatus.DeleteOne)
		// ProdOrderStatus删除多条
		// RegisterDeleteProdOrderStatus(prodorderstatus, "/delete", serviceOfProdOrderStatus.Delete)
		// ProdOrderStatus查询多条
		RegisterSelectProdOrderStatus(prodorderstatus, "/query", serviceOfProdOrderStatus.Select)
		// ProdOrderStatus查询一条
		RegisterSelectOneProdOrderStatus(prodorderstatus, "/get", serviceOfProdOrderStatus.SelectOne)
		// ProdOrderStatus修改一条
		// RegisterUpdateOneProdOrderStatus(prodorderstatus, "/updateone", serviceOfProdOrderStatus.UpdateOne)
		// ProdOrderStatus修改多条
		// RegisterUpdateProdOrderStatus(prodorderstatus, "/update", serviceOfProdOrderStatus.Update)

		// ProdOrderStatusRecLst的路由组
		prodorderstatusreclst := party.Party("/prodorderstatusreclst")
		// ProdOrderStatusRecLst的服务实例
		var serviceOfProdOrderStatusRecLst = svr.NewProdOrderStatusRecLstService()
		// ProdOrderStatusRecLst插入一条
		// RegisterInsertOneProdOrderStatusRecLst(prodorderstatusreclst, "/insertone", serviceOfProdOrderStatusRecLst.InsertOne)
		// ProdOrderStatusRecLst插入多条
		// RegisterInsertProdOrderStatusRecLst(prodorderstatusreclst, "/insert", serviceOfProdOrderStatusRecLst.Insert)
		// ProdOrderStatusRecLst删除一条
		// RegisterDeleteOneProdOrderStatusRecLst(prodorderstatusreclst, "/deleteone", serviceOfProdOrderStatusRecLst.DeleteOne)
		// ProdOrderStatusRecLst删除多条
		// RegisterDeleteProdOrderStatusRecLst(prodorderstatusreclst, "/delete", serviceOfProdOrderStatusRecLst.Delete)
		// ProdOrderStatusRecLst查询多条
		RegisterSelectProdOrderStatusRecLst(prodorderstatusreclst, "/query", serviceOfProdOrderStatusRecLst.Select)
		// ProdOrderStatusRecLst查询一条
		RegisterSelectOneProdOrderStatusRecLst(prodorderstatusreclst, "/get", serviceOfProdOrderStatusRecLst.SelectOne)
		// ProdOrderStatusRecLst修改一条
		// RegisterUpdateOneProdOrderStatusRecLst(prodorderstatusreclst, "/updateone", serviceOfProdOrderStatusRecLst.UpdateOne)
		// ProdOrderStatusRecLst修改多条
		// RegisterUpdateProdOrderStatusRecLst(prodorderstatusreclst, "/update", serviceOfProdOrderStatusRecLst.Update)

		// ProdOrderQty的路由组
		prodorderqty := party.Party("/prodorderqty")
		// ProdOrderQty的服务实例
		var serviceOfProdOrderQty = svr.NewProdOrderQtyService()
		// ProdOrderQty插入一条
		// RegisterInsertOneProdOrderQty(prodorderqty, "/insertone", serviceOfProdOrderQty.InsertOne)
		// ProdOrderQty插入多条
		// RegisterInsertProdOrderQty(prodorderqty, "/insert", serviceOfProdOrderQty.Insert)
		// ProdOrderQty删除一条
		// RegisterDeleteOneProdOrderQty(prodorderqty, "/deleteone", serviceOfProdOrderQty.DeleteOne)
		// ProdOrderQty删除多条
		// RegisterDeleteProdOrderQty(prodorderqty, "/delete", serviceOfProdOrderQty.Delete)
		// ProdOrderQty查询多条
		RegisterSelectProdOrderQty(prodorderqty, "/query", serviceOfProdOrderQty.Select)
		// ProdOrderQty查询一条
		RegisterSelectOneProdOrderQty(prodorderqty, "/get", serviceOfProdOrderQty.SelectOne)
		// ProdOrderQty修改一条
		// RegisterUpdateOneProdOrderQty(prodorderqty, "/updateone", serviceOfProdOrderQty.UpdateOne)
		// ProdOrderQty修改多条
		// RegisterUpdateProdOrderQty(prodorderqty, "/update", serviceOfProdOrderQty.Update)

		// ProdOrderQtyRecLst的路由组
		prodorderqtyreclst := party.Party("/prodorderqtyreclst")
		// ProdOrderQtyRecLst的服务实例
		var serviceOfProdOrderQtyRecLst = svr.NewProdOrderQtyRecLstService()
		// ProdOrderQtyRecLst插入一条
		// RegisterInsertOneProdOrderQtyRecLst(prodorderqtyreclst, "/insertone", serviceOfProdOrderQtyRecLst.InsertOne)
		// ProdOrderQtyRecLst插入多条
		// RegisterInsertProdOrderQtyRecLst(prodorderqtyreclst, "/insert", serviceOfProdOrderQtyRecLst.Insert)
		// ProdOrderQtyRecLst删除一条
		// RegisterDeleteOneProdOrderQtyRecLst(prodorderqtyreclst, "/deleteone", serviceOfProdOrderQtyRecLst.DeleteOne)
		// ProdOrderQtyRecLst删除多条
		// RegisterDeleteProdOrderQtyRecLst(prodorderqtyreclst, "/delete", serviceOfProdOrderQtyRecLst.Delete)
		// ProdOrderQtyRecLst查询多条
		RegisterSelectProdOrderQtyRecLst(prodorderqtyreclst, "/query", serviceOfProdOrderQtyRecLst.Select)
		// ProdOrderQtyRecLst查询一条
		RegisterSelectOneProdOrderQtyRecLst(prodorderqtyreclst, "/get", serviceOfProdOrderQtyRecLst.SelectOne)
		// ProdOrderQtyRecLst修改一条
		// RegisterUpdateOneProdOrderQtyRecLst(prodorderqtyreclst, "/updateone", serviceOfProdOrderQtyRecLst.UpdateOne)
		// ProdOrderQtyRecLst修改多条
		// RegisterUpdateProdOrderQtyRecLst(prodorderqtyreclst, "/update", serviceOfProdOrderQtyRecLst.Update)

		// WorkOrder的路由组
		workorder := party.Party("/workorder")
		// WorkOrder的服务实例
		var serviceOfWorkOrder = svr.NewWorkOrderService()
		// WorkOrder插入一条
		RegisterInsertOneWorkOrder(workorder, "/insertone", serviceOfWorkOrder.InsertOne)
		// WorkOrder插入多条
		// RegisterInsertWorkOrder(workorder, "/insert", serviceOfWorkOrder.Insert)
		// WorkOrder删除一条
		RegisterDeleteOneWorkOrder(workorder, "/deleteone", serviceOfWorkOrder.DeleteOne)
		// WorkOrder删除多条
		// RegisterDeleteWorkOrder(workorder, "/delete", serviceOfWorkOrder.Delete)
		// WorkOrder查询多条
		RegisterSelectWorkOrder(workorder, "/query", serviceOfWorkOrder.Select)
		// WorkOrder查询一条
		RegisterSelectOneWorkOrder(workorder, "/get", serviceOfWorkOrder.SelectOne)
		// WorkOrder修改一条
		RegisterUpdateOneWorkOrder(workorder, "/updateone", serviceOfWorkOrder.UpdateOne)
		// WorkOrder修改多条
		// RegisterUpdateWorkOrder(workorder, "/update", serviceOfWorkOrder.Update)
		// 撤销多条WorkOrderStatus 为10
		RegisterRevocationWorkOrder(workorder, "/revocation", serviceOfWorkOrder.Revocation)
		// 取消workOrder中指定数量的serialOrder
		RegisterCancelWorkOrder(workorder, "/cancel", serviceOfWorkOrder.CancelWorkOrder)
		//
		RegisterCreateWorkOrder(workorder, "/create", serviceOfWorkOrder.CreateLockWorkOrder)

		// WorkOrderStatus的路由组
		workorderstatus := party.Party("/workorderstatus")
		// WorkOrderStatus的服务实例
		var serviceOfWorkOrderStatus = svr.NewWorkOrderStatusService()
		// WorkOrderStatus插入一条
		// RegisterInsertOneWorkOrderStatus(workorderstatus, "/insertone", serviceOfWorkOrderStatus.InsertOne)
		// WorkOrderStatus插入多条
		// RegisterInsertWorkOrderStatus(workorderstatus, "/insert", serviceOfWorkOrderStatus.Insert)
		// WorkOrderStatus删除一条
		// RegisterDeleteOneWorkOrderStatus(workorderstatus, "/deleteone", serviceOfWorkOrderStatus.DeleteOne)
		// WorkOrderStatus删除多条
		// RegisterDeleteWorkOrderStatus(workorderstatus, "/delete", serviceOfWorkOrderStatus.Delete)
		// WorkOrderStatus查询多条
		RegisterSelectWorkOrderStatus(workorderstatus, "/query", serviceOfWorkOrderStatus.Select)
		// WorkOrderStatus查询一条
		RegisterSelectOneWorkOrderStatus(workorderstatus, "/get", serviceOfWorkOrderStatus.SelectOne)
		// WorkOrderStatus修改一条
		// RegisterUpdateOneWorkOrderStatus(workorderstatus, "/updateone", serviceOfWorkOrderStatus.UpdateOne)
		// WorkOrderStatus修改多条
		// RegisterUpdateWorkOrderStatus(workorderstatus, "/update", serviceOfWorkOrderStatus.Update)

		// WorkOrderStatusRecLst的路由组
		workorderstatusreclst := party.Party("/workorderstatusreclst")
		// WorkOrderStatusRecLst的服务实例
		var serviceOfWorkOrderStatusRecLst = svr.NewWorkOrderStatusRecLstService()
		// WorkOrderStatusRecLst插入一条
		// RegisterInsertOneWorkOrderStatusRecLst(workorderstatusreclst, "/insertone", serviceOfWorkOrderStatusRecLst.InsertOne)
		// WorkOrderStatusRecLst插入多条
		// RegisterInsertWorkOrderStatusRecLst(workorderstatusreclst, "/insert", serviceOfWorkOrderStatusRecLst.Insert)
		// WorkOrderStatusRecLst删除一条
		// RegisterDeleteOneWorkOrderStatusRecLst(workorderstatusreclst, "/deleteone", serviceOfWorkOrderStatusRecLst.DeleteOne)
		// WorkOrderStatusRecLst删除多条
		// RegisterDeleteWorkOrderStatusRecLst(workorderstatusreclst, "/delete", serviceOfWorkOrderStatusRecLst.Delete)
		// WorkOrderStatusRecLst查询多条
		RegisterSelectWorkOrderStatusRecLst(workorderstatusreclst, "/query", serviceOfWorkOrderStatusRecLst.Select)
		// WorkOrderStatusRecLst查询一条
		RegisterSelectOneWorkOrderStatusRecLst(workorderstatusreclst, "/get", serviceOfWorkOrderStatusRecLst.SelectOne)
		// WorkOrderStatusRecLst修改一条
		// RegisterUpdateOneWorkOrderStatusRecLst(workorderstatusreclst, "/updateone", serviceOfWorkOrderStatusRecLst.UpdateOne)
		// WorkOrderStatusRecLst修改多条
		// RegisterUpdateWorkOrderStatusRecLst(workorderstatusreclst, "/update", serviceOfWorkOrderStatusRecLst.Update)

		// WorkOrderQty的路由组
		workorderqty := party.Party("/workorderqty")
		// WorkOrderQty的服务实例
		var serviceOfWorkOrderQty = svr.NewWorkOrderQtyService()
		// WorkOrderQty插入一条
		// RegisterInsertOneWorkOrderQty(workorderqty, "/insertone", serviceOfWorkOrderQty.InsertOne)
		// WorkOrderQty插入多条
		// RegisterInsertWorkOrderQty(workorderqty, "/insert", serviceOfWorkOrderQty.Insert)
		// WorkOrderQty删除一条
		// RegisterDeleteOneWorkOrderQty(workorderqty, "/deleteone", serviceOfWorkOrderQty.DeleteOne)
		// WorkOrderQty删除多条
		// RegisterDeleteWorkOrderQty(workorderqty, "/delete", serviceOfWorkOrderQty.Delete)
		// WorkOrderQty查询多条
		//RegisterSelectWorkOrderQty(workorderqty, "/query", serviceOfWorkOrderQty.Select)
		// WorkOrderQty查询一条
		//RegisterSelectOneWorkOrderQty(workorderqty, "/get", serviceOfWorkOrderQty.SelectOne)
		// WorkOrderQty修改一条
		// RegisterUpdateOneWorkOrderQty(workorderqty, "/updateone", serviceOfWorkOrderQty.UpdateOne)
		// WorkOrderQty修改多条
		// RegisterUpdateWorkOrderQty(workorderqty, "/update", serviceOfWorkOrderQty.Update)
		// WorkOrderQty修改多条
		RegisterChangeWorkOrderQty(workorderqty, "/change", serviceOfWorkOrderQty.ChangeQty)

		// WorkOrderQtyRecLst的路由组
		workorderqtyreclst := party.Party("/workorderqtyreclst")
		// WorkOrderQtyRecLst的服务实例
		var serviceOfWorkOrderQtyRecLst = svr.NewWorkOrderQtyRecLstService()
		// WorkOrderQtyRecLst插入一条
		// RegisterInsertOneWorkOrderQtyRecLst(workorderqtyreclst, "/insertone", serviceOfWorkOrderQtyRecLst.InsertOne)
		// WorkOrderQtyRecLst插入多条
		// RegisterInsertWorkOrderQtyRecLst(workorderqtyreclst, "/insert", serviceOfWorkOrderQtyRecLst.Insert)
		// WorkOrderQtyRecLst删除一条
		// RegisterDeleteOneWorkOrderQtyRecLst(workorderqtyreclst, "/deleteone", serviceOfWorkOrderQtyRecLst.DeleteOne)
		// WorkOrderQtyRecLst删除多条
		// RegisterDeleteWorkOrderQtyRecLst(workorderqtyreclst, "/delete", serviceOfWorkOrderQtyRecLst.Delete)
		// WorkOrderQtyRecLst查询多条
		RegisterSelectWorkOrderQtyRecLst(workorderqtyreclst, "/query", serviceOfWorkOrderQtyRecLst.Select)
		// WorkOrderQtyRecLst查询一条
		RegisterSelectOneWorkOrderQtyRecLst(workorderqtyreclst, "/get", serviceOfWorkOrderQtyRecLst.SelectOne)
		// WorkOrderQtyRecLst修改一条
		// RegisterUpdateOneWorkOrderQtyRecLst(workorderqtyreclst, "/updateone", serviceOfWorkOrderQtyRecLst.UpdateOne)
		// WorkOrderQtyRecLst修改多条
		// RegisterUpdateWorkOrderQtyRecLst(workorderqtyreclst, "/update", serviceOfWorkOrderQtyRecLst.Update)

		// DemandHead的路由组
		demandhead := party.Party("/demandhead")
		// DemandHead的服务实例
		var serviceOfDemandHead = svr.NewDemandHeadService()
		// 上传excel文件
		RegisterUploadDemandHeadExcel(demandhead, "/uploadexcel", serviceOfDemandHead.UploadExcel)
		// DemandHead插入一条
		// RegisterInsertOneDemandHead(demandhead, "/insertone", serviceOfDemandHead.InsertOne)
		// DemandHead插入多条
		// RegisterInsertDemandHead(demandhead, "/insert", serviceOfDemandHead.Insert)
		// DemandHead删除一条
		RegisterDeleteOneDemandHead(demandhead, "/deleteone", serviceOfDemandHead.DeleteOne)
		// DemandHead删除多条
		// RegisterDeleteDemandHead(demandhead, "/delete", serviceOfDemandHead.Delete)
		// DemandHead查询多条
		RegisterSelectDemandHead(demandhead, "/query", serviceOfDemandHead.Select)
		// DemandHead查询一条
		//RegisterSelectOneDemandHead(demandhead, "/get", serviceOfDemandHead.SelectOne)
		// DemandHead修改一条
		// RegisterUpdateOneDemandHead(demandhead, "/updateone", serviceOfDemandHead.UpdateOne)
		// DemandHead修改多条
		// RegisterUpdateDemandHead(demandhead, "/update", serviceOfDemandHead.Update)

		// DemandLst的路由组
		demandlst := party.Party("/demandlst")
		// DemandLst的服务实例
		var serviceOfDemandLst = svr.NewDemandLstService()
		// DemandLst插入一条
		// RegisterInsertOneDemandLst(demandlst, "/insertone", serviceOfDemandLst.InsertOne)
		// DemandLst插入多条
		// RegisterInsertDemandLst(demandlst, "/insert", serviceOfDemandLst.Insert)
		// DemandLst删除一条
		// RegisterDeleteOneDemandLst(demandlst, "/deleteone", serviceOfDemandLst.DeleteOne)
		// DemandLst删除多条
		// RegisterDeleteDemandLst(demandlst, "/delete", serviceOfDemandLst.Delete)
		// DemandLst查询多条
		RegisterSelectDemandLst(demandlst, "/query", serviceOfDemandLst.Select)
		// DemandLst查询一条
		RegisterSelectOneDemandLst(demandlst, "/get", serviceOfDemandLst.SelectOne)
		// DemandLst修改一条
		// RegisterUpdateOneDemandLst(demandlst, "/updateone", serviceOfDemandLst.UpdateOne)
		// DemandLst修改多条
		// RegisterUpdateDemandLst(demandlst, "/update", serviceOfDemandLst.Update)

		// SerialOrder的路由组
		serialorder := party.Party("/serialorder")
		// SerialOrder的服务实例
		var serviceOfSerialOrder = svr.NewSerialOrderService()
		// SerialOrder插入一条
		// RegisterInsertOneSerialOrder(serialorder, "/insertone", serviceOfSerialOrder.InsertOne)
		// SerialOrder插入多条
		// RegisterInsertSerialOrder(serialorder, "/insert", serviceOfSerialOrder.Insert)
		// SerialOrder删除一条
		// RegisterDeleteOneSerialOrder(serialorder, "/deleteone", serviceOfSerialOrder.DeleteOne)
		// SerialOrder删除多条
		// RegisterDeleteSerialOrder(serialorder, "/delete", serviceOfSerialOrder.Delete)
		// SerialOrder查询多条
		RegisterSelectSerialOrder(serialorder, "/query", serviceOfSerialOrder.Select)
		// SerialOrder查询一条
		RegisterSelectOneSerialOrder(serialorder, "/get", serviceOfSerialOrder.SelectOne)
		// SerialOrder修改一条
		// RegisterUpdateOneSerialOrder(serialorder, "/updateone", serviceOfSerialOrder.UpdateOne)
		// SerialOrder修改多条
		// RegisterUpdateSerialOrder(serialorder, "/update", serviceOfSerialOrder.Update)
		// 通过workOrderIds插入多条SerialOrder
		RegisterInsertSerialOrderFromWorkOrder(serialorder, "/insertfromwo", serviceOfWorkOrder.LockWorkOrder)

		// SerialOrderStatus的路由组
		serialorderstatus := party.Party("/serialorderstatus")
		// SerialOrderStatus的服务实例
		var serviceOfSerialOrderStatus = svr.NewSerialOrderStatusService()
		// SerialOrderStatus插入一条
		// RegisterInsertOneSerialOrderStatus(serialorderstatus, "/insertone", serviceOfSerialOrderStatus.InsertOne)
		// SerialOrderStatus插入多条
		// RegisterInsertSerialOrderStatus(serialorderstatus, "/insert", serviceOfSerialOrderStatus.Insert)
		// SerialOrderStatus删除一条
		// RegisterDeleteOneSerialOrderStatus(serialorderstatus, "/deleteone", serviceOfSerialOrderStatus.DeleteOne)
		// SerialOrderStatus删除多条
		// RegisterDeleteSerialOrderStatus(serialorderstatus, "/delete", serviceOfSerialOrderStatus.Delete)
		// SerialOrderStatus查询多条
		RegisterSelectSerialOrderStatus(serialorderstatus, "/query", serviceOfSerialOrderStatus.Select)
		// SerialOrderStatus查询一条
		RegisterSelectOneSerialOrderStatus(serialorderstatus, "/get", serviceOfSerialOrderStatus.SelectOne)
		// SerialOrderStatus修改一条
		// RegisterUpdateOneSerialOrderStatus(serialorderstatus, "/updateone", serviceOfSerialOrderStatus.UpdateOne)
		// SerialOrderStatus修改多条
		// RegisterUpdateSerialOrderStatus(serialorderstatus, "/update", serviceOfSerialOrderStatus.Update)

		// SerialOrderStatusRecLst的路由组
		serialorderstatusreclst := party.Party("/serialorderstatusreclst")
		// SerialOrderStatusRecLst的服务实例
		var serviceOfSerialOrderStatusRecLst = svr.NewSerialOrderStatusRecLstService()
		// SerialOrderStatusRecLst插入一条
		// RegisterInsertOneSerialOrderStatusRecLst(serialorderstatusreclst, "/insertone", serviceOfSerialOrderStatusRecLst.InsertOne)
		// SerialOrderStatusRecLst插入多条
		// RegisterInsertSerialOrderStatusRecLst(serialorderstatusreclst, "/insert", serviceOfSerialOrderStatusRecLst.Insert)
		// SerialOrderStatusRecLst删除一条
		// RegisterDeleteOneSerialOrderStatusRecLst(serialorderstatusreclst, "/deleteone", serviceOfSerialOrderStatusRecLst.DeleteOne)
		// SerialOrderStatusRecLst删除多条
		// RegisterDeleteSerialOrderStatusRecLst(serialorderstatusreclst, "/delete", serviceOfSerialOrderStatusRecLst.Delete)
		// SerialOrderStatusRecLst查询多条
		RegisterSelectSerialOrderStatusRecLst(serialorderstatusreclst, "/query", serviceOfSerialOrderStatusRecLst.Select)
		// SerialOrderStatusRecLst查询一条
		RegisterSelectOneSerialOrderStatusRecLst(serialorderstatusreclst, "/get", serviceOfSerialOrderStatusRecLst.SelectOne)
		// SerialOrderStatusRecLst修改一条
		// RegisterUpdateOneSerialOrderStatusRecLst(serialorderstatusreclst, "/updateone", serviceOfSerialOrderStatusRecLst.UpdateOne)
		// SerialOrderStatusRecLst修改多条
		// RegisterUpdateSerialOrderStatusRecLst(serialorderstatusreclst, "/update", serviceOfSerialOrderStatusRecLst.Update)

		// CustOrder的路由组
		custorder := party.Party("/custorder")
		// CustOrder的服务实例
		var serviceOfCustOrder = svr.NewCustOrderService()
		// CustOrder插入一条
		// RegisterInsertOneCustOrder(custorder, "/insertone", serviceOfCustOrder.InsertOne)
		// CustOrder插入多条
		// RegisterInsertCustOrder(custorder, "/insert", serviceOfCustOrder.Insert)
		// CustOrder删除一条
		// RegisterDeleteOneCustOrder(custorder, "/deleteone", serviceOfCustOrder.DeleteOne)
		// CustOrder删除多条
		// RegisterDeleteCustOrder(custorder, "/delete", serviceOfCustOrder.Delete)
		// CustOrder查询多条
		RegisterSelectCustOrder(custorder, "/query", serviceOfCustOrder.Select)
		// CustOrder查询一条
		RegisterSelectOneCustOrder(custorder, "/get", serviceOfCustOrder.SelectOne)
		// CustOrder修改一条
		// RegisterUpdateOneCustOrder(custorder, "/updateone", serviceOfCustOrder.UpdateOne)
		// CustOrder修改多条
		// RegisterUpdateCustOrder(custorder, "/update", serviceOfCustOrder.Update)

		// SerialOrderStepLst的路由组
		serialordersteplst := party.Party("/serialordersteplst")
		// SerialOrderStepLst的服务实例
		var serviceOfSerialOrderStepLst = svr.NewSerialOrderStepLstService()
		// SerialOrderStepLst插入一条
		// RegisterInsertOneSerialOrderStepLst(serialordersteplst, "/insertone", serviceOfSerialOrderStepLst.InsertOne)
		// SerialOrderStepLst插入多条
		// RegisterInsertSerialOrderStepLst(serialordersteplst, "/insert", serviceOfSerialOrderStepLst.Insert)
		// SerialOrderStepLst删除一条
		// RegisterDeleteOneSerialOrderStepLst(serialordersteplst, "/deleteone", serviceOfSerialOrderStepLst.DeleteOne)
		// SerialOrderStepLst删除多条
		// RegisterDeleteSerialOrderStepLst(serialordersteplst, "/delete", serviceOfSerialOrderStepLst.Delete)
		// SerialOrderStepLst查询多条
		RegisterSelectSerialOrderStepLst(serialordersteplst, "/query", serviceOfSerialOrderStepLst.Select)
		// SerialOrderStepLst查询一条
		RegisterSelectOneSerialOrderStepLst(serialordersteplst, "/get", serviceOfSerialOrderStepLst.SelectOne)
		// SerialOrderStepLst修改一条
		// RegisterUpdateOneSerialOrderStepLst(serialordersteplst, "/updateone", serviceOfSerialOrderStepLst.UpdateOne)
		// SerialOrderStepLst修改多条
		// RegisterUpdateSerialOrderStepLst(serialordersteplst, "/update", serviceOfSerialOrderStepLst.Update)

		// SerialOrderStepStatusRecLst的路由组
		serialorderstepstatusreclst := party.Party("/serialorderstepstatusreclst")
		// SerialOrderStepStatusRecLst的服务实例
		var serviceOfSerialOrderStepStatusRecLst = svr.NewSerialOrderStepStatusRecLstService()
		// SerialOrderStepStatusRecLst插入一条
		// RegisterInsertOneSerialOrderStepStatusRecLst(serialorderstepstatusreclst, "/insertone", serviceOfSerialOrderStepStatusRecLst.InsertOne)
		// SerialOrderStepStatusRecLst插入多条
		// RegisterInsertSerialOrderStepStatusRecLst(serialorderstepstatusreclst, "/insert", serviceOfSerialOrderStepStatusRecLst.Insert)
		// SerialOrderStepStatusRecLst删除一条
		// RegisterDeleteOneSerialOrderStepStatusRecLst(serialorderstepstatusreclst, "/deleteone", serviceOfSerialOrderStepStatusRecLst.DeleteOne)
		// SerialOrderStepStatusRecLst删除多条
		// RegisterDeleteSerialOrderStepStatusRecLst(serialorderstepstatusreclst, "/delete", serviceOfSerialOrderStepStatusRecLst.Delete)
		// SerialOrderStepStatusRecLst查询多条
		RegisterSelectSerialOrderStepStatusRecLst(serialorderstepstatusreclst, "/query", serviceOfSerialOrderStepStatusRecLst.Select)
		// SerialOrderStepStatusRecLst查询一条
		RegisterSelectOneSerialOrderStepStatusRecLst(serialorderstepstatusreclst, "/get", serviceOfSerialOrderStepStatusRecLst.SelectOne)
		// SerialOrderStepStatusRecLst修改一条
		// RegisterUpdateOneSerialOrderStepStatusRecLst(serialorderstepstatusreclst, "/updateone", serviceOfSerialOrderStepStatusRecLst.UpdateOne)
		// SerialOrderStepStatusRecLst修改多条
		// RegisterUpdateSerialOrderStepStatusRecLst(serialorderstepstatusreclst, "/update", serviceOfSerialOrderStepStatusRecLst.Update)

		// SerialOrderOPDetail的路由组
		serialorderopdetail := party.Party("/serialorderopdetail")
		// SerialOrderOPDetail的服务实例
		var serviceOfSerialOrderOPDetail = svr.NewSerialOrderOPDetailService()
		// SerialOrderOPDetail插入一条
		// RegisterInsertOneSerialOrderOPDetail(serialorderopdetail, "/insertone", serviceOfSerialOrderOPDetail.InsertOne)
		// SerialOrderOPDetail插入多条
		// RegisterInsertSerialOrderOPDetail(serialorderopdetail, "/insert", serviceOfSerialOrderOPDetail.Insert)
		// SerialOrderOPDetail删除一条
		// RegisterDeleteOneSerialOrderOPDetail(serialorderopdetail, "/deleteone", serviceOfSerialOrderOPDetail.DeleteOne)
		// SerialOrderOPDetail删除多条
		// RegisterDeleteSerialOrderOPDetail(serialorderopdetail, "/delete", serviceOfSerialOrderOPDetail.Delete)
		// SerialOrderOPDetail查询多条
		RegisterSelectSerialOrderOPDetail(serialorderopdetail, "/query", serviceOfSerialOrderOPDetail.Select)
		// SerialOrderOPDetail查询一条
		RegisterSelectOneSerialOrderOPDetail(serialorderopdetail, "/get", serviceOfSerialOrderOPDetail.SelectOne)
		// SerialOrderOPDetail修改一条
		// RegisterUpdateOneSerialOrderOPDetail(serialorderopdetail, "/updateone", serviceOfSerialOrderOPDetail.UpdateOne)
		// SerialOrderOPDetail修改多条
		// RegisterUpdateSerialOrderOPDetail(serialorderopdetail, "/update", serviceOfSerialOrderOPDetail.Update)

		// SerialOrderOPDetailStatusRecLst的路由组
		serialorderopdetailstatusreclst := party.Party("/serialorderopdetailstatusreclst")
		// SerialOrderOPDetailStatusRecLst的服务实例
		var serviceOfSerialOrderOPDetailStatusRecLst = svr.NewSerialOrderOPDetailStatusRecLstService()
		// SerialOrderOPDetailStatusRecLst插入一条
		// RegisterInsertOneSerialOrderOPDetailStatusRecLst(serialorderopdetailstatusreclst, "/insertone", serviceOfSerialOrderOPDetailStatusRecLst.InsertOne)
		// SerialOrderOPDetailStatusRecLst插入多条
		// RegisterInsertSerialOrderOPDetailStatusRecLst(serialorderopdetailstatusreclst, "/insert", serviceOfSerialOrderOPDetailStatusRecLst.Insert)
		// SerialOrderOPDetailStatusRecLst删除一条
		// RegisterDeleteOneSerialOrderOPDetailStatusRecLst(serialorderopdetailstatusreclst, "/deleteone", serviceOfSerialOrderOPDetailStatusRecLst.DeleteOne)
		// SerialOrderOPDetailStatusRecLst删除多条
		// RegisterDeleteSerialOrderOPDetailStatusRecLst(serialorderopdetailstatusreclst, "/delete", serviceOfSerialOrderOPDetailStatusRecLst.Delete)
		// SerialOrderOPDetailStatusRecLst查询多条
		RegisterSelectSerialOrderOPDetailStatusRecLst(serialorderopdetailstatusreclst, "/query", serviceOfSerialOrderOPDetailStatusRecLst.Select)
		// SerialOrderOPDetailStatusRecLst查询一条
		RegisterSelectOneSerialOrderOPDetailStatusRecLst(serialorderopdetailstatusreclst, "/get", serviceOfSerialOrderOPDetailStatusRecLst.SelectOne)
		// SerialOrderOPDetailStatusRecLst修改一条
		// RegisterUpdateOneSerialOrderOPDetailStatusRecLst(serialorderopdetailstatusreclst, "/updateone", serviceOfSerialOrderOPDetailStatusRecLst.UpdateOne)
		// SerialOrderOPDetailStatusRecLst修改多条
		// RegisterUpdateSerialOrderOPDetailStatusRecLst(serialorderopdetailstatusreclst, "/update", serviceOfSerialOrderOPDetailStatusRecLst.Update)

		// SerialOrderPOLst的路由组
		serialorderpolst := party.Party("/serialorderpolst")
		// SerialOrderPOLst的服务实例
		var serviceOfSerialOrderPOLst = svr.NewSerialOrderPOLstService()
		// SerialOrderPOLst插入一条
		// RegisterInsertOneSerialOrderPOLst(serialorderpolst, "/insertone", serviceOfSerialOrderPOLst.InsertOne)
		// SerialOrderPOLst插入多条
		// RegisterInsertSerialOrderPOLst(serialorderpolst, "/insert", serviceOfSerialOrderPOLst.Insert)
		// SerialOrderPOLst删除一条
		// RegisterDeleteOneSerialOrderPOLst(serialorderpolst, "/deleteone", serviceOfSerialOrderPOLst.DeleteOne)
		// SerialOrderPOLst删除多条
		// RegisterDeleteSerialOrderPOLst(serialorderpolst, "/delete", serviceOfSerialOrderPOLst.Delete)
		// SerialOrderPOLst查询多条
		RegisterSelectSerialOrderPOLst(serialorderpolst, "/query", serviceOfSerialOrderPOLst.Select)
		// SerialOrderPOLst查询一条
		RegisterSelectOneSerialOrderPOLst(serialorderpolst, "/get", serviceOfSerialOrderPOLst.SelectOne)
		// SerialOrderPOLst修改一条
		// RegisterUpdateOneSerialOrderPOLst(serialorderpolst, "/updateone", serviceOfSerialOrderPOLst.UpdateOne)
		// SerialOrderPOLst修改多条
		// RegisterUpdateSerialOrderPOLst(serialorderpolst, "/update", serviceOfSerialOrderPOLst.Update)

		// SerialOrderPOStatusRecLst的路由组
		serialorderpostatusreclst := party.Party("/serialorderpostatusreclst")
		// SerialOrderPOStatusRecLst的服务实例
		var serviceOfSerialOrderPOStatusRecLst = svr.NewSerialOrderPOStatusRecLstService()
		// SerialOrderPOStatusRecLst插入一条
		// RegisterInsertOneSerialOrderPOStatusRecLst(serialorderpostatusreclst, "/insertone", serviceOfSerialOrderPOStatusRecLst.InsertOne)
		// SerialOrderPOStatusRecLst插入多条
		// RegisterInsertSerialOrderPOStatusRecLst(serialorderpostatusreclst, "/insert", serviceOfSerialOrderPOStatusRecLst.Insert)
		// SerialOrderPOStatusRecLst删除一条
		// RegisterDeleteOneSerialOrderPOStatusRecLst(serialorderpostatusreclst, "/deleteone", serviceOfSerialOrderPOStatusRecLst.DeleteOne)
		// SerialOrderPOStatusRecLst删除多条
		// RegisterDeleteSerialOrderPOStatusRecLst(serialorderpostatusreclst, "/delete", serviceOfSerialOrderPOStatusRecLst.Delete)
		// SerialOrderPOStatusRecLst查询多条
		RegisterSelectSerialOrderPOStatusRecLst(serialorderpostatusreclst, "/query", serviceOfSerialOrderPOStatusRecLst.Select)
		// SerialOrderPOStatusRecLst查询一条
		RegisterSelectOneSerialOrderPOStatusRecLst(serialorderpostatusreclst, "/get", serviceOfSerialOrderPOStatusRecLst.SelectOne)
		// SerialOrderPOStatusRecLst修改一条
		// RegisterUpdateOneSerialOrderPOStatusRecLst(serialorderpostatusreclst, "/updateone", serviceOfSerialOrderPOStatusRecLst.UpdateOne)
		// SerialOrderPOStatusRecLst修改多条
		// RegisterUpdateSerialOrderPOStatusRecLst(serialorderpostatusreclst, "/update", serviceOfSerialOrderPOStatusRecLst.Update)
	})
}

/******************************************************************************
 *
 * @Interface Name           : init
 *-----------------------------------------------------------------------------
 *
 * @Description              : 包初始化方法
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-18 22:50:49
 *
 ******************************************************************************/
func init() {

	// 注册路由
	RegisterRoutes()
}
