// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pdc

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	svr "LAPP_LF_MOM_BACKEND/services/pdc"
	"github.com/kataras/iris/v12/core/router"
)

/******************************************************************************
 *
 * @Interface Name           : RegisterRoutes
 *-----------------------------------------------------------------------------
 *
 * @Description              : 注册路由
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-24 10:49:50
 *
 ******************************************************************************/
func RegisterRoutes() {
	// 模块pdc路由分组
	grmi.RegisterRouteMapping("/pdc", func(party router.Party) {

		// ScrewDown的路由组
		screwdown := party.Party("/screwdown")
		// ScrewDown的服务实例
		var serviceOfScrewDown = svr.NewScrewDownService()
		// ScrewDown插入一条
		//RegisterInsertOneScrewDown(screwdown, "/insertone", serviceOfScrewDown.InsertOne)
		// ScrewDown插入多条
		//RegisterInsertScrewDown(screwdown, "/insert", serviceOfScrewDown.Insert)
		// ScrewDown删除一条
		RegisterDeleteOneScrewDown(screwdown, "/deleteone", serviceOfScrewDown.DeleteOne)
		// ScrewDown删除多条
		// RegisterDeleteScrewDown(screwdown, "/delete", serviceOfScrewDown.Delete)
		// ScrewDown查询多条
		RegisterSelectScrewDown(screwdown, "/query", serviceOfScrewDown.Select)
		// ScrewDown展示列表
		RegisterSelectScrewDown(screwdown, "/list", serviceOfScrewDown.List)
		// ScrewDown查询一条
		//RegisterSelectOneScrewDown(screwdown, "/get", serviceOfScrewDown.SelectOne)
		// ScrewDown修改一条
		//RegisterUpdateOneScrewDown(screwdown, "/updateone", serviceOfScrewDown.UpdateOne)
		// ScrewDown修改多条
		// RegisterUpdateScrewDown(screwdown, "/update", serviceOfScrewDown.Update)
		// ScrewDown修改多条
		RegisterSaveScrewDownHandler(screwdown, "/save", serviceOfScrewDown.Save)
		// ScrewDown删除一条
		RegisterDeleteScrewDownByArtIdHandler(screwdown, "/deletebyartid", serviceOfScrewDown.DeleteByArtId)
	})
}

/******************************************************************************
 *
 * @Interface Name           : init
 *-----------------------------------------------------------------------------
 *
 * @Description              : 包初始化方法
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-24 10:49:50
 *
 ******************************************************************************/
func init() {

	// 注册路由
	RegisterRoutes()
}
