// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package wm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	svr "LAPP_LF_MOM_BACKEND/services/wm"
	"fmt"
	"github.com/kataras/iris/v12/core/router"
)

/******************************************************************************
 *
 * @Interface Name           : RegisterRoutes
 *-----------------------------------------------------------------------------
 *
 * @Description              : 注册路由
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-21 11:04:46
 *
 ******************************************************************************/
func RegisterRoutes() {
	// 模块wm路由分组
	grmi.RegisterRouteMapping("/wm", func(party router.Party) {

		// Article的路由组
		article := party.Party("/article")
		fmt.Println(article.GetRelPath())
		// Article的服务实例
		var serviceOfArticle = svr.NewArticleService()
		// Article插入一条
		RegisterInsertOneArticle(article, "/insertone", serviceOfArticle.InsertOne)
		// Article插入多条
		// RegisterInsertArticle(article, "/insert", serviceOfArticle.Insert)
		// Article删除一条
		RegisterDeleteOneArticle(article, "/deleteone", serviceOfArticle.DeleteOne)
		// Article删除多条
		// RegisterDeleteArticle(article, "/delete", serviceOfArticle.Delete)
		// Article查询多条
		RegisterSelectArticle(article, "/query", serviceOfArticle.Select)
		// Article查询一条
		RegisterSelectOneArticle(article, "/get", serviceOfArticle.SelectOne)
		// Article修改一条
		RegisterUpdateOneArticle(article, "/updateone", serviceOfArticle.UpdateOne)
		// Article修改多条
		// RegisterUpdateArticle(article, "/update", serviceOfArticle.Update)
		// 导出excel
		RegisterExportArticle(article, "/exportexcel", serviceOfArticle.ExportExcel)

		// ArticlePickingRate的路由组
		//articlepickingrate := party.Party("/articlepickingrate")
		// ArticlePickingRate的服务实例
		//var serviceOfArticlePickingRate = svr.NewArticlePickingRateService()
		// ArticlePickingRate插入一条
		// RegisterInsertOneArticlePickingRate(articlepickingrate, "/insertone", serviceOfArticlePickingRate.InsertOne)
		// ArticlePickingRate插入多条
		// RegisterInsertArticlePickingRate(articlepickingrate, "/insert", serviceOfArticlePickingRate.Insert)
		// ArticlePickingRate删除一条
		// RegisterDeleteOneArticlePickingRate(articlepickingrate, "/deleteone", serviceOfArticlePickingRate.DeleteOne)
		// ArticlePickingRate删除多条
		// RegisterDeleteArticlePickingRate(articlepickingrate, "/delete", serviceOfArticlePickingRate.Delete)
		// ArticlePickingRate查询多条
		//RegisterSelectArticlePickingRate(articlepickingrate, "/query", serviceOfArticlePickingRate.Select)
		// ArticlePickingRate查询一条
		//RegisterSelectOneArticlePickingRate(articlepickingrate, "/get", serviceOfArticlePickingRate.SelectOne)
		// ArticlePickingRate修改一条
		// RegisterUpdateOneArticlePickingRate(articlepickingrate, "/updateone", serviceOfArticlePickingRate.UpdateOne)
		// ArticlePickingRate修改多条
		// RegisterUpdateArticlePickingRate(articlepickingrate, "/update", serviceOfArticlePickingRate.Update)

		// ArticleReplenish的路由组
		//articlereplenish := party.Party("/articlereplenish")
		// ArticleReplenish的服务实例
		//var serviceOfArticleReplenish = svr.NewArticleReplenishService()
		// ArticleReplenish插入一条
		// RegisterInsertOneArticleReplenish(articlereplenish, "/insertone", serviceOfArticleReplenish.InsertOne)
		// ArticleReplenish插入多条
		// RegisterInsertArticleReplenish(articlereplenish, "/insert", serviceOfArticleReplenish.Insert)
		// ArticleReplenish删除一条
		// RegisterDeleteOneArticleReplenish(articlereplenish, "/deleteone", serviceOfArticleReplenish.DeleteOne)
		// ArticleReplenish删除多条
		// RegisterDeleteArticleReplenish(articlereplenish, "/delete", serviceOfArticleReplenish.Delete)
		// ArticleReplenish查询多条
		//RegisterSelectArticleReplenish(articlereplenish, "/query", serviceOfArticleReplenish.Select)
		// ArticleReplenish查询一条
		//RegisterSelectOneArticleReplenish(articlereplenish, "/get", serviceOfArticleReplenish.SelectOne)
		// ArticleReplenish修改一条
		// RegisterUpdateOneArticleReplenish(articlereplenish, "/updateone", serviceOfArticleReplenish.UpdateOne)
		// ArticleReplenish修改多条
		// RegisterUpdateArticleReplenish(articlereplenish, "/update", serviceOfArticleReplenish.Update)

		// AssertArtLst的路由组
		assertartlst := party.Party("/assertartlst")
		// AssertArtLst的服务实例
		var serviceOfAssertArtLst = svr.NewAssertArtLstService()
		// AssertArtLst插入一条
		// RegisterInsertOneAssertArtLst(assertartlst, "/insertone", serviceOfAssertArtLst.InsertOne)
		// AssertArtLst插入多条
		RegisterInsertAssertArtLst(assertartlst, "/insert", serviceOfAssertArtLst.Insert)
		// AssertArtLst删除一条
		// RegisterDeleteOneAssertArtLst(assertartlst, "/deleteone", serviceOfAssertArtLst.DeleteOne)
		// AssertArtLst删除多条
		// RegisterDeleteAssertArtLst(assertartlst, "/delete", serviceOfAssertArtLst.Delete)
		// AssertArtLst查询多条
		RegisterSelectAssertArtLst(assertartlst, "/query", serviceOfAssertArtLst.Select)
		// AssertArtLst查询一条
		//RegisterSelectOneAssertArtLst(assertartlst, "/get", serviceOfAssertArtLst.SelectOne)
		// AssertArtLst修改一条
		// RegisterUpdateOneAssertArtLst(assertartlst, "/updateone", serviceOfAssertArtLst.UpdateOne)
		// AssertArtLst修改多条
		// RegisterUpdateAssertArtLst(assertartlst, "/update", serviceOfAssertArtLst.Update)

		// GoodsIssueDetail的路由组
		goodsissuedetail := party.Party("/goodsissuedetail")
		// GoodsIssueDetail的服务实例
		var serviceOfGoodsIssueDetail = svr.NewGoodsIssueDetailService()
		// GoodsIssueDetail插入一条
		// RegisterInsertOneGoodsIssueDetail(goodsissuedetail, "/insertone", serviceOfGoodsIssueDetail.InsertOne)
		// GoodsIssueDetail插入多条
		// RegisterInsertGoodsIssueDetail(goodsissuedetail, "/insert", serviceOfGoodsIssueDetail.Insert)
		// GoodsIssueDetail删除一条
		// RegisterDeleteOneGoodsIssueDetail(goodsissuedetail, "/deleteone", serviceOfGoodsIssueDetail.DeleteOne)
		// GoodsIssueDetail删除多条
		// RegisterDeleteGoodsIssueDetail(goodsissuedetail, "/delete", serviceOfGoodsIssueDetail.Delete)
		// GoodsIssueDetail查询多条
		RegisterSelectGoodsIssueDetail(goodsissuedetail, "/query", serviceOfGoodsIssueDetail.Select)
		// GoodsIssueDetail查询一条
		RegisterSelectOneGoodsIssueDetail(goodsissuedetail, "/get", serviceOfGoodsIssueDetail.SelectOne)
		// GoodsIssueDetail修改一条
		// RegisterUpdateOneGoodsIssueDetail(goodsissuedetail, "/updateone", serviceOfGoodsIssueDetail.UpdateOne)
		// GoodsIssueDetail修改多条
		// RegisterUpdateGoodsIssueDetail(goodsissuedetail, "/update", serviceOfGoodsIssueDetail.Update)

		// GoodsIssueHead的路由组
		goodsissuehead := party.Party("/goodsissuehead")
		// GoodsIssueHead的服务实例
		var serviceOfGoodsIssueHead = svr.NewGoodsIssueHeadService()
		// GoodsIssueHead插入一条
		RegisterInsertOneGoodsIssueHead(goodsissuehead, "/insertone", serviceOfGoodsIssueHead.InsertOne)
		// GoodsIssueHead插入多条
		// RegisterInsertGoodsIssueHead(goodsissuehead, "/insert", serviceOfGoodsIssueHead.Insert)
		// GoodsIssueHead删除一条
		// RegisterDeleteOneGoodsIssueHead(goodsissuehead, "/deleteone", serviceOfGoodsIssueHead.DeleteOne)
		// GoodsIssueHead删除多条
		// RegisterDeleteGoodsIssueHead(goodsissuehead, "/delete", serviceOfGoodsIssueHead.Delete)
		// GoodsIssueHead查询多条
		RegisterSelectGoodsIssueHead(goodsissuehead, "/query", serviceOfGoodsIssueHead.Select)
		// GoodsIssueHead查询一条
		RegisterSelectOneGoodsIssueHead(goodsissuehead, "/get", serviceOfGoodsIssueHead.SelectOne)
		// GoodsIssueHead修改一条
		// RegisterUpdateOneGoodsIssueHead(goodsissuehead, "/updateone", serviceOfGoodsIssueHead.UpdateOne)
		// GoodsIssueHead修改多条
		// RegisterUpdateGoodsIssueHead(goodsissuehead, "/update", serviceOfGoodsIssueHead.Update)
		// 导出excel
		RegisterExportGoodsIssueHead(goodsissuehead, "/exportexcel", serviceOfGoodsIssueHead.ExportExcel)

		// GoodsIssueLst的路由组
		goodsissuelst := party.Party("/goodsissuelst")
		// GoodsIssueLst的服务实例
		var serviceOfGoodsIssueLst = svr.NewGoodsIssueLstService()
		// GoodsIssueLst插入一条
		// RegisterInsertOneGoodsIssueLst(goodsissuelst, "/insertone", serviceOfGoodsIssueLst.InsertOne)
		// GoodsIssueLst插入多条
		// RegisterInsertGoodsIssueLst(goodsissuelst, "/insert", serviceOfGoodsIssueLst.Insert)
		// GoodsIssueLst删除一条
		// RegisterDeleteOneGoodsIssueLst(goodsissuelst, "/deleteone", serviceOfGoodsIssueLst.DeleteOne)
		// GoodsIssueLst删除多条
		// RegisterDeleteGoodsIssueLst(goodsissuelst, "/delete", serviceOfGoodsIssueLst.Delete)
		// GoodsIssueLst查询多条
		RegisterSelectGoodsIssueLst(goodsissuelst, "/query", serviceOfGoodsIssueLst.Select)
		// GoodsIssueLst查询一条
		RegisterSelectOneGoodsIssueLst(goodsissuelst, "/get", serviceOfGoodsIssueLst.SelectOne)
		// GoodsIssueLst修改一条
		// RegisterUpdateOneGoodsIssueLst(goodsissuelst, "/updateone", serviceOfGoodsIssueLst.UpdateOne)
		// GoodsIssueLst修改多条
		// RegisterUpdateGoodsIssueLst(goodsissuelst, "/update", serviceOfGoodsIssueLst.Update)

		// GoodsReceiptDetail的路由组
		goodsreceiptdetail := party.Party("/goodsreceiptdetail")
		// GoodsReceiptDetail的服务实例
		var serviceOfGoodsReceiptDetail = svr.NewGoodsReceiptDetailService()
		// GoodsReceiptDetail插入一条
		// RegisterInsertOneGoodsReceiptDetail(goodsreceiptdetail, "/insertone", serviceOfGoodsReceiptDetail.InsertOne)
		// GoodsReceiptDetail插入多条
		// RegisterInsertGoodsReceiptDetail(goodsreceiptdetail, "/insert", serviceOfGoodsReceiptDetail.Insert)
		// GoodsReceiptDetail删除一条
		// RegisterDeleteOneGoodsReceiptDetail(goodsreceiptdetail, "/deleteone", serviceOfGoodsReceiptDetail.DeleteOne)
		// GoodsReceiptDetail删除多条
		// RegisterDeleteGoodsReceiptDetail(goodsreceiptdetail, "/delete", serviceOfGoodsReceiptDetail.Delete)
		// GoodsReceiptDetail查询多条
		RegisterSelectGoodsReceiptDetail(goodsreceiptdetail, "/query", serviceOfGoodsReceiptDetail.Select)
		// GoodsReceiptDetail查询一条
		RegisterSelectOneGoodsReceiptDetail(goodsreceiptdetail, "/get", serviceOfGoodsReceiptDetail.SelectOne)
		// GoodsReceiptDetail修改一条
		// RegisterUpdateOneGoodsReceiptDetail(goodsreceiptdetail, "/updateone", serviceOfGoodsReceiptDetail.UpdateOne)
		// GoodsReceiptDetail修改多条
		// RegisterUpdateGoodsReceiptDetail(goodsreceiptdetail, "/update", serviceOfGoodsReceiptDetail.Update)

		// GoodsReceiptHead的路由组
		goodsreceipthead := party.Party("/goodsreceipthead")
		// GoodsReceiptHead的服务实例
		var serviceOfGoodsReceiptHead = svr.NewGoodsReceiptHeadService()
		// GoodsReceiptHead插入一条
		RegisterInsertOneGoodsReceiptHead(goodsreceipthead, "/insertone", serviceOfGoodsReceiptHead.InsertOne)
		// GoodsReceiptHead插入多条
		// RegisterInsertGoodsReceiptHead(goodsreceipthead, "/insert", serviceOfGoodsReceiptHead.Insert)
		// GoodsReceiptHead删除一条
		// RegisterDeleteOneGoodsReceiptHead(goodsreceipthead, "/deleteone", serviceOfGoodsReceiptHead.DeleteOne)
		// GoodsReceiptHead删除多条
		// RegisterDeleteGoodsReceiptHead(goodsreceipthead, "/delete", serviceOfGoodsReceiptHead.Delete)
		// GoodsReceiptHead查询多条
		RegisterSelectGoodsReceiptHead(goodsreceipthead, "/query", serviceOfGoodsReceiptHead.Select)
		// GoodsReceiptHead查询一条
		RegisterSelectOneGoodsReceiptHead(goodsreceipthead, "/get", serviceOfGoodsReceiptHead.SelectOne)
		// GoodsReceiptHead修改一条
		// RegisterUpdateOneGoodsReceiptHead(goodsreceipthead, "/updateone", serviceOfGoodsReceiptHead.UpdateOne)
		// GoodsReceiptHead修改多条
		// RegisterUpdateGoodsReceiptHead(goodsreceipthead, "/update", serviceOfGoodsReceiptHead.Update)
		// 导出excel
		RegisterExportGoodsReceiptHead(goodsreceipthead, "/exportexcel", serviceOfGoodsReceiptHead.ExportExcel)

		// GoodsReceiptLst的路由组
		goodsreceiptlst := party.Party("/goodsreceiptlst")
		// GoodsReceiptLst的服务实例
		var serviceOfGoodsReceiptLst = svr.NewGoodsReceiptLstService()
		// GoodsReceiptLst插入一条
		// RegisterInsertOneGoodsReceiptLst(goodsreceiptlst, "/insertone", serviceOfGoodsReceiptLst.InsertOne)
		// GoodsReceiptLst插入多条
		// RegisterInsertGoodsReceiptLst(goodsreceiptlst, "/insert", serviceOfGoodsReceiptLst.Insert)
		// GoodsReceiptLst删除一条
		// RegisterDeleteOneGoodsReceiptLst(goodsreceiptlst, "/deleteone", serviceOfGoodsReceiptLst.DeleteOne)
		// GoodsReceiptLst删除多条
		// RegisterDeleteGoodsReceiptLst(goodsreceiptlst, "/delete", serviceOfGoodsReceiptLst.Delete)
		// GoodsReceiptLst查询多条
		RegisterSelectGoodsReceiptLst(goodsreceiptlst, "/query", serviceOfGoodsReceiptLst.Select)
		// GoodsReceiptLst查询一条
		RegisterSelectOneGoodsReceiptLst(goodsreceiptlst, "/get", serviceOfGoodsReceiptLst.SelectOne)
		// GoodsReceiptLst修改一条
		// RegisterUpdateOneGoodsReceiptLst(goodsreceiptlst, "/updateone", serviceOfGoodsReceiptLst.UpdateOne)
		// GoodsReceiptLst修改多条
		// RegisterUpdateGoodsReceiptLst(goodsreceiptlst, "/update", serviceOfGoodsReceiptLst.Update)

		// InventoryBook的路由组
		inventorybook := party.Party("/inventorybook")
		// InventoryBook的服务实例
		var serviceOfInventoryBook = svr.NewInventoryBookService()
		// InventoryBook插入一条
		RegisterInsertOneInventoryBook(inventorybook, "/insertone", serviceOfInventoryBook.InsertOne)
		// InventoryBook插入多条
		// RegisterInsertInventoryBook(inventorybook, "/insert", serviceOfInventoryBook.Insert)
		// InventoryBook删除一条
		RegisterDeleteOneInventoryBook(inventorybook, "/deleteone", serviceOfInventoryBook.DeleteOne)
		// InventoryBook删除多条
		// RegisterDeleteInventoryBook(inventorybook, "/delete", serviceOfInventoryBook.Delete)
		// InventoryBook查询多条
		RegisterSelectInventoryBook(inventorybook, "/query", serviceOfInventoryBook.Select)
		// InventoryBook查询一条
		RegisterSelectOneInventoryBook(inventorybook, "/get", serviceOfInventoryBook.SelectOne)
		// InventoryBook修改一条
		RegisterUpdateOneInventoryBook(inventorybook, "/updateone", serviceOfInventoryBook.UpdateOne)
		// InventoryBook修改多条
		// RegisterUpdateInventoryBook(inventorybook, "/update", serviceOfInventoryBook.Update)
		// 导出excel
		RegisterExportInventoryBook(inventorybook, "/exportexcel", serviceOfInventoryBook.ExportExcel)

		// InventoryCheckDetail的路由组
		inventorycheckdetail := party.Party("/inventorycheckdetail")
		// InventoryCheckDetail的服务实例
		var serviceOfInventoryCheckDetail = svr.NewInventoryCheckDetailService()
		// InventoryCheckDetail插入一条
		// RegisterInsertOneInventoryCheckDetail(inventorycheckdetail, "/insertone", serviceOfInventoryCheckDetail.InsertOne)
		// InventoryCheckDetail插入多条
		// RegisterInsertInventoryCheckDetail(inventorycheckdetail, "/insert", serviceOfInventoryCheckDetail.Insert)
		// InventoryCheckDetail删除一条
		// RegisterDeleteOneInventoryCheckDetail(inventorycheckdetail, "/deleteone", serviceOfInventoryCheckDetail.DeleteOne)
		// InventoryCheckDetail删除多条
		// RegisterDeleteInventoryCheckDetail(inventorycheckdetail, "/delete", serviceOfInventoryCheckDetail.Delete)
		// InventoryCheckDetail查询多条
		RegisterSelectInventoryCheckDetail(inventorycheckdetail, "/query", serviceOfInventoryCheckDetail.Select)
		// InventoryCheckDetail查询一条
		RegisterSelectOneInventoryCheckDetail(inventorycheckdetail, "/get", serviceOfInventoryCheckDetail.SelectOne)
		// InventoryCheckDetail修改一条
		// RegisterUpdateOneInventoryCheckDetail(inventorycheckdetail, "/updateone", serviceOfInventoryCheckDetail.UpdateOne)
		// InventoryCheckDetail修改多条
		// RegisterUpdateInventoryCheckDetail(inventorycheckdetail, "/update", serviceOfInventoryCheckDetail.Update)

		// InventoryCheckHead的路由组
		inventorycheckhead := party.Party("/inventorycheckhead")
		// InventoryCheckHead的服务实例
		var serviceOfInventoryCheckHead = svr.NewInventoryCheckHeadService()
		// InventoryCheckHead插入一条
		RegisterInsertOneInventoryCheckHead(inventorycheckhead, "/insertone", serviceOfInventoryCheckHead.InsertOne)
		// InventoryCheckHead插入多条
		// RegisterInsertInventoryCheckHead(inventorycheckhead, "/insert", serviceOfInventoryCheckHead.Insert)
		// InventoryCheckHead删除一条
		RegisterDeleteOneInventoryCheckHead(inventorycheckhead, "/deleteone", serviceOfInventoryCheckHead.DeleteOne)
		// InventoryCheckHead删除多条
		// RegisterDeleteInventoryCheckHead(inventorycheckhead, "/delete", serviceOfInventoryCheckHead.Delete)
		// InventoryCheckHead查询多条
		RegisterSelectInventoryCheckHead(inventorycheckhead, "/query", serviceOfInventoryCheckHead.Select)
		// InventoryCheckHead查询一条
		RegisterSelectOneInventoryCheckHead(inventorycheckhead, "/get", serviceOfInventoryCheckHead.SelectOne)
		// InventoryCheckHead修改一条
		// RegisterUpdateOneInventoryCheckHead(inventorycheckhead, "/updateone", serviceOfInventoryCheckHead.UpdateOne)
		// InventoryCheckHead修改多条
		// RegisterUpdateInventoryCheckHead(inventorycheckhead, "/update", serviceOfInventoryCheckHead.Update)
		// InventoryCheckHead完成盘点单
		RegisterAccomplishInventoryCheckHead(inventorycheckhead, "/accomplish", serviceOfInventoryCheckHead.AccomplishCheckHead)
		// 导出excel
		RegisterExportInventoryCheckHead(inventorycheckhead, "/exportexcel", serviceOfInventoryCheckHead.ExportExcel)

		// StorageArea的路由组
		storagearea := party.Party("/storagearea")
		// StorageArea的服务实例
		var serviceOfStorageArea = svr.NewStorageAreaService()
		// StorageArea插入一条
		RegisterInsertOneStorageArea(storagearea, "/insertone", serviceOfStorageArea.InsertOne)
		// StorageArea插入多条
		// RegisterInsertStorageArea(storagearea, "/insert", serviceOfStorageArea.Insert)
		// StorageArea删除一条
		RegisterDeleteOneStorageArea(storagearea, "/deleteone", serviceOfStorageArea.DeleteOne)
		// StorageArea删除多条
		// RegisterDeleteStorageArea(storagearea, "/delete", serviceOfStorageArea.Delete)
		// StorageArea查询多条
		RegisterSelectStorageArea(storagearea, "/query", serviceOfStorageArea.Select)
		// StorageArea查询一条
		RegisterSelectOneStorageArea(storagearea, "/get", serviceOfStorageArea.SelectOne)
		// StorageArea修改一条
		RegisterUpdateOneStorageArea(storagearea, "/updateone", serviceOfStorageArea.UpdateOne)
		// StorageArea修改多条
		// RegisterUpdateStorageArea(storagearea, "/update", serviceOfStorageArea.Update)

		// StorageBin的路由组
		storagebin := party.Party("/storagebin")
		// StorageBin的服务实例
		var serviceOfStorageBin = svr.NewStorageBinService()
		// StorageBin插入一条
		RegisterInsertOneStorageBin(storagebin, "/insertone", serviceOfStorageBin.InsertOne)
		// StorageBin插入多条
		// RegisterInsertStorageBin(storagebin, "/insert", serviceOfStorageBin.Insert)
		// StorageBin删除一条
		RegisterDeleteOneStorageBin(storagebin, "/deleteone", serviceOfStorageBin.DeleteOne)
		// StorageBin删除多条
		// RegisterDeleteStorageBin(storagebin, "/delete", serviceOfStorageBin.Delete)
		// StorageBin查询多条
		RegisterSelectStorageBin(storagebin, "/query", serviceOfStorageBin.Select)
		// StorageBin查询一条
		RegisterSelectOneStorageBin(storagebin, "/get", serviceOfStorageBin.SelectOne)
		// StorageBin修改一条
		RegisterUpdateOneStorageBin(storagebin, "/updateone", serviceOfStorageBin.UpdateOne)
		// StorageBin修改多条
		// RegisterUpdateStorageBin(storagebin, "/update", serviceOfStorageBin.Update)

		// StockTransferDetail的路由组
		stocktransferdetail := party.Party("/stocktransferdetail")
		// StockTransferDetail的服务实例
		var serviceOfStockTransferDetail = svr.NewStockTransferDetailService()
		// StockTransferDetail插入一条
		// RegisterInsertOneStockTransferDetail(stocktransferdetail, "/insertone", serviceOfStockTransferDetail.InsertOne)
		// StockTransferDetail插入多条
		// RegisterInsertStockTransferDetail(stocktransferdetail, "/insert", serviceOfStockTransferDetail.Insert)
		// StockTransferDetail删除一条
		// RegisterDeleteOneStockTransferDetail(stocktransferdetail, "/deleteone", serviceOfStockTransferDetail.DeleteOne)
		// StockTransferDetail删除多条
		// RegisterDeleteStockTransferDetail(stocktransferdetail, "/delete", serviceOfStockTransferDetail.Delete)
		// StockTransferDetail查询多条
		RegisterSelectStockTransferDetail(stocktransferdetail, "/query", serviceOfStockTransferDetail.Select)
		// StockTransferDetail查询一条
		RegisterSelectOneStockTransferDetail(stocktransferdetail, "/get", serviceOfStockTransferDetail.SelectOne)
		// StockTransferDetail修改一条
		// RegisterUpdateOneStockTransferDetail(stocktransferdetail, "/updateone", serviceOfStockTransferDetail.UpdateOne)
		// StockTransferDetail修改多条
		// RegisterUpdateStockTransferDetail(stocktransferdetail, "/update", serviceOfStockTransferDetail.Update)

		// StockTransferHead的路由组
		stocktransferhead := party.Party("/stocktransferhead")
		// StockTransferHead的服务实例
		var serviceOfStockTransferHead = svr.NewStockTransferHeadService()
		// StockTransferHead插入一条
		RegisterInsertOneStockTransferHead(stocktransferhead, "/insertone", serviceOfStockTransferHead.InsertOne)
		// StockTransferHead插入多条
		// RegisterInsertStockTransferHead(stocktransferhead, "/insert", serviceOfStockTransferHead.Insert)
		// StockTransferHead删除一条
		// RegisterDeleteOneStockTransferHead(stocktransferhead, "/deleteone", serviceOfStockTransferHead.DeleteOne)
		// StockTransferHead删除多条
		// RegisterDeleteStockTransferHead(stocktransferhead, "/delete", serviceOfStockTransferHead.Delete)
		// StockTransferHead查询多条
		RegisterSelectStockTransferHead(stocktransferhead, "/query", serviceOfStockTransferHead.Select)
		// StockTransferHead查询一条
		RegisterSelectOneStockTransferHead(stocktransferhead, "/get", serviceOfStockTransferHead.SelectOne)
		// StockTransferHead修改一条
		// RegisterUpdateOneStockTransferHead(stocktransferhead, "/updateone", serviceOfStockTransferHead.UpdateOne)
		// StockTransferHead修改多条StockTransferHead
		// RegisterUpdateStockTransferHead(stocktransferhead, "/update", serviceOfStockTransferHead.Update)
		// 导出excel
		RegisterExportStockTransferHead(stocktransferhead, "/exportexcel", serviceOfStockTransferHead.ExportExcel)

		// Warehouse的路由组
		warehouse := party.Party("/warehouse")
		// Warehouse的服务实例
		var serviceOfWarehouse = svr.NewWarehouseService()
		// Warehouse插入一条
		RegisterInsertOneWarehouse(warehouse, "/insertone", serviceOfWarehouse.InsertOne)
		// Warehouse插入多条
		// RegisterInsertWarehouse(warehouse, "/insert", serviceOfWarehouse.Insert)
		// Warehouse删除一条
		RegisterDeleteOneWarehouse(warehouse, "/deleteone", serviceOfWarehouse.DeleteOne)
		// Warehouse删除多条
		// RegisterDeleteWarehouse(warehouse, "/delete", serviceOfWarehouse.Delete)
		// Warehouse查询多条
		RegisterSelectWarehouse(warehouse, "/query", serviceOfWarehouse.Select)
		// Warehouse查询一条
		RegisterSelectOneWarehouse(warehouse, "/get", serviceOfWarehouse.SelectOne)
		// Warehouse修改一条
		RegisterUpdateOneWarehouse(warehouse, "/updateone", serviceOfWarehouse.UpdateOne)
		// Warehouse修改多条
		// RegisterUpdateWarehouse(warehouse, "/update", serviceOfWarehouse.Update)

		// WorkArea的路由组
		workarea := party.Party("/workarea")
		// WorkArea的服务实例
		var serviceOfWorkArea = svr.NewWorkAreaService()
		// WorkArea插入一条
		RegisterInsertOneWorkArea(workarea, "/insertone", serviceOfWorkArea.InsertOne)
		// WorkArea插入多条
		// RegisterInsertWorkArea(workarea, "/insert", serviceOfWorkArea.Insert)
		// WorkArea删除一条
		RegisterDeleteOneWorkArea(workarea, "/deleteone", serviceOfWorkArea.DeleteOne)
		// WorkArea删除多条
		// RegisterDeleteWorkArea(workarea, "/delete", serviceOfWorkArea.Delete)
		// WorkArea查询多条
		RegisterSelectWorkArea(workarea, "/query", serviceOfWorkArea.Select)
		// WorkArea查询一条
		RegisterSelectOneWorkArea(workarea, "/get", serviceOfWorkArea.SelectOne)
		// WorkArea修改一条
		RegisterUpdateOneWorkArea(workarea, "/updateone", serviceOfWorkArea.UpdateOne)
		// WorkArea修改多条
		// RegisterUpdateWorkArea(workarea, "/update", serviceOfWorkArea.Update)

		// WorkAreaUserLst的路由组
		workareauserlst := party.Party("/workareauserlst")
		// WorkAreaUserLst的服务实例
		var serviceOfWorkAreaUserLst = svr.NewWorkAreaUserLstService()
		// WorkAreaUserLst插入一条
		// RegisterInsertOneWorkAreaUserLst(workareauserlst, "/insertone", serviceOfWorkAreaUserLst.InsertOne)
		// WorkAreaUserLst插入多条
		RegisterInsertWorkAreaUserLst(workareauserlst, "/insert", serviceOfWorkAreaUserLst.Insert)
		// WorkAreaUserLst删除一条
		// RegisterDeleteOneWorkAreaUserLst(workareauserlst, "/deleteone", serviceOfWorkAreaUserLst.DeleteOne)
		// WorkAreaUserLst删除多条
		// RegisterDeleteWorkAreaUserLst(workareauserlst, "/delete", serviceOfWorkAreaUserLst.Delete)
		// WorkAreaUserLst查询多条
		RegisterSelectWorkAreaUserLst(workareauserlst, "/query", serviceOfWorkAreaUserLst.Select)
		// WorkAreaUserLst查询一条
		//RegisterSelectOneWorkAreaUserLst(workareauserlst, "/get", serviceOfWorkAreaUserLst.SelectOne)
		// WorkAreaUserLst修改一条
		// RegisterUpdateOneWorkAreaUserLst(workareauserlst, "/updateone", serviceOfWorkAreaUserLst.UpdateOne)
		// WorkAreaUserLst修改多条
		// RegisterUpdateWorkAreaUserLst(workareauserlst, "/update", serviceOfWorkAreaUserLst.Update)

		// StorageRack的路由组
		storagerack := party.Party("/storagerack")
		// StorageRack的服务实例
		var serviceOfStorageRack = svr.NewStorageRackService()
		// StorageRack插入一条
		RegisterInsertOneStorageRack(storagerack, "/insertone", serviceOfStorageRack.InsertOne)
		// StorageRack插入多条
		// RegisterInsertStorageRack(storagerack, "/insert", serviceOfStorageRack.Insert)
		// StorageRack删除一条
		RegisterDeleteOneStorageRack(storagerack, "/deleteone", serviceOfStorageRack.DeleteOne)
		// StorageRack删除多条
		// RegisterDeleteStorageRack(storagerack, "/delete", serviceOfStorageRack.Delete)
		// StorageRack查询多条
		RegisterSelectStorageRack(storagerack, "/query", serviceOfStorageRack.Select)
		// StorageRack查询一条
		RegisterSelectOneStorageRack(storagerack, "/get", serviceOfStorageRack.SelectOne)
		// StorageRack修改一条
		RegisterUpdateOneStorageRack(storagerack, "/updateone", serviceOfStorageRack.UpdateOne)
		// StorageRack修改多条
		// RegisterUpdateStorageRack(storagerack, "/update", serviceOfStorageRack.Update)

		// InventoryCheckLst的路由组
		inventorychecklst := party.Party("/inventorychecklst")
		// InventoryCheckLst的服务实例
		var serviceOfInventoryCheckLst = svr.NewInventoryCheckLstService()
		// InventoryCheckLst插入一条
		// RegisterInsertOneInventoryCheckLst(inventorychecklst, "/insertone", serviceOfInventoryCheckLst.InsertOne)
		// InventoryCheckLst插入多条
		// RegisterInsertInventoryCheckLst(inventorychecklst, "/insert", serviceOfInventoryCheckLst.Insert)
		// InventoryCheckLst删除一条
		// RegisterDeleteOneInventoryCheckLst(inventorychecklst, "/deleteone", serviceOfInventoryCheckLst.DeleteOne)
		// InventoryCheckLst删除多条
		// RegisterDeleteInventoryCheckLst(inventorychecklst, "/delete", serviceOfInventoryCheckLst.Delete)
		// InventoryCheckLst查询多条
		RegisterSelectInventoryCheckLst(inventorychecklst, "/query", serviceOfInventoryCheckLst.Select)
		// InventoryCheckLst查询一条
		RegisterSelectOneInventoryCheckLst(inventorychecklst, "/get", serviceOfInventoryCheckLst.SelectOne)
		// InventoryCheckLst修改一条
		// RegisterUpdateOneInventoryCheckLst(inventorychecklst, "/updateone", serviceOfInventoryCheckLst.UpdateOne)
		// InventoryCheckLst修改多条
		// RegisterUpdateInventoryCheckLst(inventorychecklst, "/update", serviceOfInventoryCheckLst.Update)

		// ReplenishOrder的路由组
		replenishorder := party.Party("/replenishorder")
		// ReplenishOrder的服务实例
		var serviceOfReplenishOrder = svr.NewReplenishOrderService()
		// ReplenishOrder插入一条
		// RegisterInsertOneReplenishOrder(replenishorder, "/insertone", serviceOfReplenishOrder.InsertOne)
		// ReplenishOrder插入多条
		// RegisterInsertReplenishOrder(replenishorder, "/insert", serviceOfReplenishOrder.Insert)
		// ReplenishOrder删除一条
		// RegisterDeleteOneReplenishOrder(replenishorder, "/deleteone", serviceOfReplenishOrder.DeleteOne)
		// ReplenishOrder删除多条
		// RegisterDeleteReplenishOrder(replenishorder, "/delete", serviceOfReplenishOrder.Delete)
		// ReplenishOrder查询多条
		RegisterSelectReplenishOrder(replenishorder, "/query", serviceOfReplenishOrder.Select)
		// ReplenishOrder查询一条
		RegisterSelectOneReplenishOrder(replenishorder, "/get", serviceOfReplenishOrder.SelectOne)
		// ReplenishOrder修改一条
		RegisterUpdateOneReplenishOrder(replenishorder, "/updateone", serviceOfReplenishOrder.UpdateOne)
		// ReplenishOrder修改多条
		// RegisterUpdateReplenishOrder(replenishorder, "/update", serviceOfReplenishOrder.Update)

		// Client的路由组
		client := party.Party("/client")
		// Client的服务实例
		var serviceOfClient = svr.NewClientService()
		// Client插入一条
		RegisterInsertOneClient(client, "/insertone", serviceOfClient.InsertOne)
		// Client插入多条
		// RegisterInsertClient(client, "/insert", serviceOfClient.Insert)
		// Client删除一条
		RegisterDeleteOneClient(client, "/deleteone", serviceOfClient.DeleteOne)
		// Client删除多条
		// RegisterDeleteClient(client, "/delete", serviceOfClient.Delete)
		// Client查询多条
		RegisterSelectClient(client, "/query", serviceOfClient.Select)
		// Client查询一条
		RegisterSelectOneClient(client, "/get", serviceOfClient.SelectOne)
		// Client修改一条
		RegisterUpdateOneClient(client, "/updateone", serviceOfClient.UpdateOne)
		// Client修改多条
		// RegisterUpdateClient(client, "/update", serviceOfClient.Update)

		// Vendor的路由组
		vendor := party.Party("/vendor")
		// Vendor的服务实例
		var serviceOfVendor = svr.NewVendorService()
		// Vendor插入一条
		RegisterInsertOneVendor(vendor, "/insertone", serviceOfVendor.InsertOne)
		// Vendor插入多条
		// RegisterInsertVendor(vendor, "/insert", serviceOfVendor.Insert)
		// Vendor删除一条
		RegisterDeleteOneVendor(vendor, "/deleteone", serviceOfVendor.DeleteOne)
		// Vendor删除多条
		// RegisterDeleteVendor(vendor, "/delete", serviceOfVendor.Delete)
		// Vendor查询多条
		RegisterSelectVendor(vendor, "/query", serviceOfVendor.Select)
		// Vendor查询一条
		RegisterSelectOneVendor(vendor, "/get", serviceOfVendor.SelectOne)
		// Vendor修改一条
		RegisterUpdateOneVendor(vendor, "/updateone", serviceOfVendor.UpdateOne)
		// Vendor修改多条
		// RegisterUpdateVendor(vendor, "/update", serviceOfVendor.Update)
	})
}

/******************************************************************************
 *
 * @Interface Name           : init
 *-----------------------------------------------------------------------------
 *
 * @Description              : 包初始化方法
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-06-29 10:57:04
 *
 ******************************************************************************/
func init() {

	// 注册路由
	RegisterRoutes()
}
